// SDB-CGEN V1.8.3
// gcc -DMAIN=1 USER.c ; ./a.out > USER.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1","MESSAGEBOX"}, 
  {"10","SETTIMER"}, 
  {"100","DLGDIRLIST"}, 
  {"101","SENDDLGITEMMESSAGE"}, 
  {"102","ADJUSTWINDOWRECT"}, 
  {"103","MAPDIALOGRECT"}, 
  {"104","MESSAGEBEEP"}, 
  {"105","FLASHWINDOW"}, 
  {"106","GETKEYSTATE"}, 
  {"107","DEFWINDOWPROC"}, 
  {"108","GETMESSAGE"}, 
  {"109","PEEKMESSAGE"}, 
  {"11","BEAR11"}, 
  {"110","POSTMESSAGE"}, 
  {"111","SENDMESSAGE"}, 
  {"112","WAITMESSAGE"}, 
  {"113","TRANSLATEMESSAGE"}, 
  {"114","DISPATCHMESSAGE"}, 
  {"115","REPLYMESSAGE"}, 
  {"116","POSTAPPMESSAGE"}, 
  {"117","WINDOWFROMDC"}, 
  {"118","REGISTERWINDOWMESSAGE"}, 
  {"119","GETMESSAGEPOS"}, 
  {"12","KILLTIMER"}, 
  {"120","GETMESSAGETIME"}, 
  {"121","SETWINDOWSHOOK"}, 
  {"122","CALLWINDOWPROC"}, 
  {"123","CALLMSGFILTER"}, 
  {"124","UPDATEWINDOW"}, 
  {"125","INVALIDATERECT"}, 
  {"126","INVALIDATERGN"}, 
  {"127","VALIDATERECT"}, 
  {"128","VALIDATERGN"}, 
  {"129","GETCLASSWORD"}, 
  {"13","GETTICKCOUNT"}, 
  {"130","SETCLASSWORD"}, 
  {"131","GETCLASSLONG"}, 
  {"132","SETCLASSLONG"}, 
  {"133","GETWINDOWWORD"}, 
  {"134","SETWINDOWWORD"}, 
  {"135","GETWINDOWLONG"}, 
  {"136","SETWINDOWLONG"}, 
  {"137","OPENCLIPBOARD"}, 
  {"138","CLOSECLIPBOARD"}, 
  {"139","EMPTYCLIPBOARD"}, 
  {"14","GETTIMERRESOLUTION"}, 
  {"140","GETCLIPBOARDOWNER"}, 
  {"141","SETCLIPBOARDDATA"}, 
  {"142","GETCLIPBOARDDATA"}, 
  {"143","COUNTCLIPBOARDFORMATS"}, 
  {"144","ENUMCLIPBOARDFORMATS"}, 
  {"145","REGISTERCLIPBOARDFORMAT"}, 
  {"146","GETCLIPBOARDFORMATNAME"}, 
  {"147","SETCLIPBOARDVIEWER"}, 
  {"148","GETCLIPBOARDVIEWER"}, 
  {"149","CHANGECLIPBOARDCHAIN"}, 
  {"15","GETCURRENTTIME"}, 
  {"150","LOADMENU"}, 
  {"151","CREATEMENU"}, 
  {"152","DESTROYMENU"}, 
  {"153","CHANGEMENU"}, 
  {"154","CHECKMENUITEM"}, 
  {"155","ENABLEMENUITEM"}, 
  {"156","GETSYSTEMMENU"}, 
  {"157","GETMENU"}, 
  {"158","SETMENU"}, 
  {"159","GETSUBMENU"}, 
  {"16","CLIPCURSOR"}, 
  {"160","DRAWMENUBAR"}, 
  {"161","GETMENUSTRING"}, 
  {"162","HILITEMENUITEM"}, 
  {"163","CREATECARET"}, 
  {"164","DESTROYCARET"}, 
  {"165","SETCARETPOS"}, 
  {"166","HIDECARET"}, 
  {"167","SHOWCARET"}, 
  {"168","SETCARETBLINKTIME"}, 
  {"169","GETCARETBLINKTIME"}, 
  {"17","GETCURSORPOS"}, 
  {"170","ARRANGEICONICWINDOWS"}, 
  {"171","WINHELP"}, 
  {"172","SWITCHTOTHISWINDOW"}, 
  {"173","LOADCURSOR"}, 
  {"174","LOADICON"}, 
  {"175","LOADBITMAP"}, 
  {"176","LOADSTRING"}, 
  {"177","LOADACCELERATORS"}, 
  {"178","TRANSLATEACCELERATOR"}, 
  {"179","GETSYSTEMMETRICS"}, 
  {"18","SETCAPTURE"}, 
  {"180","GETSYSCOLOR"}, 
  {"181","SETSYSCOLORS"}, 
  {"182","BEAR182"}, 
  {"183","GETCARETPOS"}, 
  {"184","QUERYSENDMESSAGE"}, 
  {"185","GRAYSTRING"}, 
  {"186","SWAPMOUSEBUTTON"}, 
  {"187","ENDMENU"}, 
  {"188","SETSYSMODALWINDOW"}, 
  {"189","GETSYSMODALWINDOW"}, 
  {"19","RELEASECAPTURE"}, 
  {"190","GETUPDATERECT"}, 
  {"191","CHILDWINDOWFROMPOINT"}, 
  {"192","INSENDMESSAGE"}, 
  {"193","ISCLIPBOARDFORMATAVAILABLE"}, 
  {"194","DLGDIRSELECTCOMBOBOX"}, 
  {"195","DLGDIRLISTCOMBOBOX"}, 
  {"196","TABBEDTEXTOUT"}, 
  {"197","GETTABBEDTEXTEXTENT"}, 
  {"198","CASCADECHILDWINDOWS"}, 
  {"199","TILECHILDWINDOWS"}, 
  {"2","OLDEXITWINDOWS"}, 
  {"20","SETDOUBLECLICKTIME"}, 
  {"200","OPENCOMM"}, 
  {"201","SETCOMMSTATE"}, 
  {"202","GETCOMMSTATE"}, 
  {"203","GETCOMMERROR"}, 
  {"204","READCOMM"}, 
  {"205","WRITECOMM"}, 
  {"206","TRANSMITCOMMCHAR"}, 
  {"207","CLOSECOMM"}, 
  {"208","SETCOMMEVENTMASK"}, 
  {"209","GETCOMMEVENTMASK"}, 
  {"21","GETDOUBLECLICKTIME"}, 
  {"210","SETCOMMBREAK"}, 
  {"211","CLEARCOMMBREAK"}, 
  {"212","UNGETCOMMCHAR"}, 
  {"213","BUILDCOMMDCB"}, 
  {"214","ESCAPECOMMFUNCTION"}, 
  {"215","FLUSHCOMM"}, 
  {"216","USERSEEUSERDO"}, 
  {"217","LOOKUPMENUHANDLE"}, 
  {"218","DIALOGBOXINDIRECT"}, 
  {"219","CREATEDIALOGINDIRECT"}, 
  {"22","SETFOCUS"}, 
  {"220","LOADMENUINDIRECT"}, 
  {"221","SCROLLDC"}, 
  {"222","GETKEYBOARDSTATE"}, 
  {"223","SETKEYBOARDSTATE"}, 
  {"224","GETWINDOWTASK"}, 
  {"225","ENUMTASKWINDOWS"}, 
  {"226","LOCKINPUT"}, 
  {"227","GETNEXTDLGGROUPITEM"}, 
  {"228","GETNEXTDLGTABITEM"}, 
  {"229","GETTOPWINDOW"}, 
  {"23","GETFOCUS"}, 
  {"230","GETNEXTWINDOW"}, 
  {"231","GETSYSTEMDEBUGSTATE"}, 
  {"232","SETWINDOWPOS"}, 
  {"233","SETPARENT"}, 
  {"234","UNHOOKWINDOWSHOOK"}, 
  {"235","DEFHOOKPROC"}, 
  {"236","GETCAPTURE"}, 
  {"237","GETUPDATERGN"}, 
  {"238","EXCLUDEUPDATERGN"}, 
  {"239","DIALOGBOXPARAM"}, 
  {"24","REMOVEPROP"}, 
  {"240","DIALOGBOXINDIRECTPARAM"}, 
  {"241","CREATEDIALOGPARAM"}, 
  {"242","CREATEDIALOGINDIRECTPARAM"}, 
  {"243","GETDIALOGBASEUNITS"}, 
  {"244","EQUALRECT"}, 
  {"245","ENABLECOMMNOTIFICATION"}, 
  {"246","EXITWINDOWSEXEC"}, 
  {"247","GETCURSOR"}, 
  {"248","GETOPENCLIPBOARDWINDOW"}, 
  {"249","GETASYNCKEYSTATE"}, 
  {"25","GETPROP"}, 
  {"250","GETMENUSTATE"}, 
  {"251","SENDDRIVERMESSAGE"}, 
  {"252","OPENDRIVER"}, 
  {"253","CLOSEDRIVER"}, 
  {"254","GETDRIVERMODULEHANDLE"}, 
  {"255","DEFDRIVERPROC"}, 
  {"256","GETDRIVERINFO"}, 
  {"257","GETNEXTDRIVER"}, 
  {"258","MAPWINDOWPOINTS"}, 
  {"259","BEGINDEFERWINDOWPOS"}, 
  {"26","SETPROP"}, 
  {"260","DEFERWINDOWPOS"}, 
  {"261","ENDDEFERWINDOWPOS"}, 
  {"262","GETWINDOW"}, 
  {"263","GETMENUITEMCOUNT"}, 
  {"264","GETMENUITEMID"}, 
  {"265","SHOWOWNEDPOPUPS"}, 
  {"266","SETMESSAGEQUEUE"}, 
  {"267","SHOWSCROLLBAR"}, 
  {"268","GLOBALADDATOM"}, 
  {"269","GLOBALDELETEATOM"}, 
  {"27","ENUMPROPS"}, 
  {"270","GLOBALFINDATOM"}, 
  {"271","GLOBALGETATOMNAME"}, 
  {"272","ISZOOMED"}, 
  {"273","CONTROLPANELINFO"}, 
  {"274","GETNEXTQUEUEWINDOW"}, 
  {"275","REPAINTSCREEN"}, 
  {"276","LOCKMYTASK"}, 
  {"277","GETDLGCTRLID"}, 
  {"278","GETDESKTOPHWND"}, 
  {"279","OLDSETDESKPATTERN"}, 
  {"28","CLIENTTOSCREEN"}, 
  {"280","SETSYSTEMMENU"}, 
  {"281","GETSYSCOLORBRUSH"}, 
  {"282","SELECTPALETTE"}, 
  {"283","REALIZEPALETTE"}, 
  {"284","GETFREESYSTEMRESOURCES"}, 
  {"285","BEAR285"}, 
  {"286","GETDESKTOPWINDOW"}, 
  {"287","GETLASTACTIVEPOPUP"}, 
  {"288","GETMESSAGEEXTRAINFO"}, 
  {"289","KEYBD_EVENT"}, 
  {"29","SCREENTOCLIENT"}, 
  {"290","REDRAWWINDOW"}, 
  {"291","SETWINDOWSHOOKEX"}, 
  {"292","UNHOOKWINDOWSHOOKEX"}, 
  {"293","CALLNEXTHOOKEX"}, 
  {"294","LOCKWINDOWUPDATE"}, 
  {"299","MOUSE_EVENT"}, 
  {"3","ENABLEOEMLAYER"}, 
  {"30","WINDOWFROMPOINT"}, 
  {"300","UNLOADINSTALLABLEDRIVERS"}, 
  {"301","BOZOSLIVEHERE"}, 
  {"302","STATICWNDPROC"}, 
  {"303","BUTTONWNDPROC"}, 
  {"304","SBWNDPROC"}, 
  {"305","DESKTOPWNDPROC"}, 
  {"306","BEAR306"}, 
  {"307","LBOXCTLWNDPROC"}, 
  {"308","DEFDLGPROC"}, 
  {"309","GETCLIPCURSOR"}, 
  {"31","ISICONIC"}, 
  {"310","CONTSCROLL"}, 
  {"311","CARETBLINKPROC"}, 
  {"312","SENDMESSAGE2"}, 
  {"313","POSTMESSAGE2"}, 
  {"314","SIGNALPROC"}, 
  {"315","XCSTODS"}, 
  {"316","COMPUPDATERECT"}, 
  {"317","COMPUPDATERGN"}, 
  {"318","GETWC2"}, 
  {"319","SCROLLWINDOWEX"}, 
  {"32","GETWINDOWRECT"}, 
  {"320","SYSERRORBOX"}, 
  {"321","SETEVENTHOOK"}, 
  {"322","WINOLDAPPHACKOMATIC"}, 
  {"323","GETMESSAGE2"}, 
  {"324","FILLWINDOW"}, 
  {"325","PAINTRECT"}, 
  {"326","GETCONTROLBRUSH"}, 
  {"327","KILLTIMER2"}, 
  {"328","SETTIMER2"}, 
  {"329","MENUITEMSTATE"}, 
  {"33","GETCLIENTRECT"}, 
  {"330","SETGETKBDSTATE"}, 
  {"331","ENABLEHARDWAREINPUT"}, 
  {"332","USERYIELD"}, 
  {"333","ISUSERIDLE"}, 
  {"334","GETQUEUESTATUS"}, 
  {"335","GETINPUTSTATE"}, 
  {"336","LOADCURSORICONHANDLER"}, 
  {"337","GETMOUSEEVENTPROC"}, 
  {"338","ECGETDS"}, 
  {"34","ENABLEWINDOW"}, 
  {"340","WINFARFRAME"}, 
  {"35","ISWINDOWENABLED"}, 
  {"358","ISMENU"}, 
  {"359","GETDCEX"}, 
  {"36","GETWINDOWTEXT"}, 
  {"362","DCHOOK"}, 
  {"364","LOOKUPICONIDFROMDIRECTORYEX"}, 
  {"368","COPYICON"}, 
  {"369","COPYCURSOR"}, 
  {"37","SETWINDOWTEXT"}, 
  {"370","GETWINDOWPLACEMENT"}, 
  {"371","SETWINDOWPLACEMENT"}, 
  {"372","GETINTERNALICONHEADER"}, 
  {"373","SUBTRACTRECT"}, 
  {"374","DLLENTRYPOINT"}, 
  {"375","DRAWTEXTEX"}, 
  {"376","SETMESSAGEEXTRAINFO"}, 
  {"378","SETPROPEX"}, 
  {"379","GETPROPEX"}, 
  {"38","GETWINDOWTEXTLENGTH"}, 
  {"380","REMOVEPROPEX"}, 
  {"381","USRMPR_THUNKDATA16"}, 
  {"382","SETWINDOWCONTEXTHELPID"}, 
  {"383","GETWINDOWCONTEXTHELPID"}, 
  {"384","SETMENUCONTEXTHELPID"}, 
  {"385","GETMENUCONTEXTHELPID"}, 
  {"389","LOADIMAGE"}, 
  {"39","BEGINPAINT"}, 
  {"390","COPYIMAGE"}, 
  {"391","SIGNALPROC32"}, 
  {"394","DRAWICONEX"}, 
  {"395","GETICONINFO"}, 
  {"397","REGISTERCLASSEX"}, 
  {"398","GETCLASSINFOEX"}, 
  {"399","CHILDWINDOWFROMPOINTEX"}, 
  {"4","DISABLEOEMLAYER"}, 
  {"40","ENDPAINT"}, 
  {"400","FINALUSERINIT"}, 
  {"402","GETPRIORITYCLIPBOARDFORMAT"}, 
  {"403","UNREGISTERCLASS"}, 
  {"404","GETCLASSINFO"}, 
  {"406","CREATECURSOR"}, 
  {"407","CREATEICON"}, 
  {"408","CREATECURSORICONINDIRECT"}, 
  {"409","INITTHREADINPUT"}, 
  {"41","CREATEWINDOW"}, 
  {"410","INSERTMENU"}, 
  {"411","APPENDMENU"}, 
  {"412","REMOVEMENU"}, 
  {"413","DELETEMENU"}, 
  {"414","MODIFYMENU"}, 
  {"415","CREATEPOPUPMENU"}, 
  {"416","TRACKPOPUPMENU"}, 
  {"417","GETMENUCHECKMARKDIMENSIONS"}, 
  {"418","SETMENUITEMBITMAPS"}, 
  {"42","SHOWWINDOW"}, 
  {"420","_WSPRINTF"}, 
  {"421","WVSPRINTF"}, 
  {"422","DLGDIRSELECTEX"}, 
  {"423","DLGDIRSELECTCOMBOBOXEX"}, 
  {"427","FINDWINDOWEX"}, 
  {"428","TILEWINDOWS"}, 
  {"429","CASCADEWINDOWS"}, 
  {"43","CLOSEWINDOW"}, 
  {"430","LSTRCMP"}, 
  {"431","ANSIUPPER"}, 
  {"432","ANSILOWER"}, 
  {"433","ISCHARALPHA"}, 
  {"434","ISCHARALPHANUMERIC"}, 
  {"435","ISCHARUPPER"}, 
  {"436","ISCHARLOWER"}, 
  {"437","ANSIUPPERBUFF"}, 
  {"438","ANSILOWERBUFF"}, 
  {"44","OPENICON"}, 
  {"441","INSERTMENUITEM"}, 
  {"443","GETMENUITEMINFO"}, 
  {"445","DEFFRAMEPROC"}, 
  {"446","SETMENUITEMINFO"}, 
  {"447","DEFMDICHILDPROC"}, 
  {"448","DRAWANIMATEDRECTS"}, 
  {"449","DRAWSTATE"}, 
  {"45","BRINGWINDOWTOTOP"}, 
  {"450","CREATEICONFROMRESOURCEEX"}, 
  {"451","TRANSLATEMDISYSACCEL"}, 
  {"452","CREATEWINDOWEX"}, 
  {"454","ADJUSTWINDOWRECTEX"}, 
  {"455","GETICONID"}, 
  {"456","LOADICONHANDLER"}, 
  {"457","DESTROYICON"}, 
  {"458","DESTROYCURSOR"}, 
  {"459","DUMPICON"}, 
  {"46","GETPARENT"}, 
  {"460","GETINTERNALWINDOWPOS"}, 
  {"461","SETINTERNALWINDOWPOS"}, 
  {"462","CALCCHILDSCROLL"}, 
  {"463","SCROLLCHILDREN"}, 
  {"464","DRAGOBJECT"}, 
  {"465","DRAGDETECT"}, 
  {"466","DRAWFOCUSRECT"}, 
  {"47","ISWINDOW"}, 
  {"470","STRINGFUNC"}, 
  {"471","LSTRCMPI"}, 
  {"472","ANSINEXT"}, 
  {"473","ANSIPREV"}, 
  {"475","SETSCROLLINFO"}, 
  {"476","GETSCROLLINFO"}, 
  {"477","GETKEYBOARDLAYOUTNAME"}, 
  {"478","LOADKEYBOARDLAYOUT"}, 
  {"479","MENUITEMFROMPOINT"}, 
  {"48","ISCHILD"}, 
  {"480","GETUSERLOCALOBJTYPE"}, 
  {"481","HARDWARE_EVENT"}, 
  {"482","ENABLESCROLLBAR"}, 
  {"483","SYSTEMPARAMETERSINFO"}, 
  {"484","__GP"}, 
  {"49","ISWINDOWVISIBLE"}, 
  {"498","BEAR498"}, 
  {"499","WNETERRORTEXT"}, 
  {"5","INITAPP"}, 
  {"50","FINDWINDOW"}, 
  {"501","WNETOPENJOB"}, 
  {"502","WNETCLOSEJOB"}, 
  {"503","WNETABORTJOB"}, 
  {"504","WNETHOLDJOB"}, 
  {"505","WNETRELEASEJOB"}, 
  {"506","WNETCANCELJOB"}, 
  {"507","WNETSETJOBCOPIES"}, 
  {"508","WNETWATCHQUEUE"}, 
  {"509","WNETUNWATCHQUEUE"}, 
  {"51","BEAR51"}, 
  {"510","WNETLOCKQUEUEDATA"}, 
  {"511","WNETUNLOCKQUEUEDATA"}, 
  {"512","WNETGETCONNECTION"}, 
  {"513","WNETGETCAPS"}, 
  {"514","WNETDEVICEMODE"}, 
  {"515","WNETBROWSEDIALOG"}, 
  {"516","WNETGETUSER"}, 
  {"517","WNETADDCONNECTION"}, 
  {"518","WNETCANCELCONNECTION"}, 
  {"519","WNETGETERROR"}, 
  {"52","ANYPOPUP"}, 
  {"520","WNETGETERRORTEXT"}, 
  {"521","WNETENABLE"}, 
  {"522","WNETDISABLE"}, 
  {"523","WNETRESTORECONNECTION"}, 
  {"524","WNETWRITEJOB"}, 
  {"525","WNETCONNECTDIALOG"}, 
  {"526","WNETDISCONNECTDIALOG"}, 
  {"527","WNETCONNECTIONDIALOG"}, 
  {"528","WNETVIEWQUEUEDIALOG"}, 
  {"529","WNETPROPERTYDIALOG"}, 
  {"53","DESTROYWINDOW"}, 
  {"530","WNETGETDIRECTORYTYPE"}, 
  {"531","WNETDIRECTORYNOTIFY"}, 
  {"532","WNETGETPROPERTYTEXT"}, 
  {"533","WNETINITIALIZE"}, 
  {"534","WNETLOGON"}, 
  {"54","ENUMWINDOWS"}, 
  {"55","ENUMCHILDWINDOWS"}, 
  {"56","MOVEWINDOW"}, 
  {"57","REGISTERCLASS"}, 
  {"58","GETCLASSNAME"}, 
  {"59","SETACTIVEWINDOW"}, 
  {"6","POSTQUITMESSAGE"}, 
  {"60","GETACTIVEWINDOW"}, 
  {"600","GETSHELLWINDOW"}, 
  {"601","DOHOTKEYSTUFF"}, 
  {"602","SETCHECKCURSORTIMER"}, 
  {"604","BROADCASTSYSTEMMESSAGE"}, 
  {"605","HACKTASKMONITOR"}, 
  {"606","FORMATMESSAGE"}, 
  {"608","GETFOREGROUNDWINDOW"}, 
  {"609","SETFOREGROUNDWINDOW"}, 
  {"61","SCROLLWINDOW"}, 
  {"610","DESTROYICON32"}, 
  {"62","SETSCROLLPOS"}, 
  {"620","CHANGEDISPLAYSETTINGS"}, 
  {"621","ENUMDISPLAYSETTINGS"}, 
  {"63","GETSCROLLPOS"}, 
  {"64","SETSCROLLRANGE"}, 
  {"640","MSGWAITFORMULTIPLEOBJECTS"}, 
  {"65","GETSCROLLRANGE"}, 
  {"650","ACTIVATEKEYBOARDLAYOUT"}, 
  {"651","GETKEYBOARDLAYOUT"}, 
  {"652","GETKEYBOARDLAYOUTLIST"}, 
  {"654","UNLOADKEYBOARDLAYOUT"}, 
  {"655","POSTPOSTEDMESSAGES"}, 
  {"656","DRAWFRAMECONTROL"}, 
  {"657","DRAWCAPTIONTEMP"}, 
  {"658","DISPATCHINPUT"}, 
  {"659","DRAWEDGE"}, 
  {"66","GETDC"}, 
  {"660","DRAWCAPTION"}, 
  {"661","SETSYSCOLORSTEMP"}, 
  {"662","DRAWMENUBARTEMP"}, 
  {"663","GETMENUDEFAULTITEM"}, 
  {"664","SETMENUDEFAULTITEM"}, 
  {"665","GETMENUITEMRECT"}, 
  {"666","CHECKMENURADIOITEM"}, 
  {"667","TRACKPOPUPMENUEX"}, 
  {"668","SETWINDOWRGN"}, 
  {"669","GETWINDOWRGN"}, 
  {"67","GETWINDOWDC"}, 
  {"68","RELEASEDC"}, 
  {"69","SETCURSOR"}, 
  {"7","EXITWINDOWS"}, 
  {"70","SETCURSORPOS"}, 
  {"71","SHOWCURSOR"}, 
  {"72","SETRECT"}, 
  {"73","SETRECTEMPTY"}, 
  {"74","COPYRECT"}, 
  {"75","ISRECTEMPTY"}, 
  {"76","PTINRECT"}, 
  {"77","OFFSETRECT"}, 
  {"78","INFLATERECT"}, 
  {"79","INTERSECTRECT"}, 
  {"8","BEAR8"}, 
  {"80","UNIONRECT"}, 
  {"800","CHOOSEFONT_CALLBACK16"}, 
  {"801","FINDREPLACE_CALLBACK16"}, 
  {"802","OPENFILENAME_CALLBACK16"}, 
  {"803","PRINTDLG_CALLBACK16"}, 
  {"804","CHOOSECOLOR_CALLBACK16"}, 
  {"81","FILLRECT"}, 
  {"819","PEEKMESSAGE32"}, 
  {"82","INVERTRECT"}, 
  {"820","GETMESSAGE32"}, 
  {"821","TRANSLATEMESSAGE32"}, 
  {"822","DISPATCHMESSAGE32"}, 
  {"823","CALLMSGFILTER32"}, 
  {"824","ISDIALOGMESSAGE32"}, 
  {"825","POSTMESSAGE32"}, 
  {"826","POSTTHREADMESSAGE32"}, 
  {"827","MESSAGEBOXINDIRECT"}, 
  {"83","FRAMERECT"}, 
  {"84","DRAWICON"}, 
  {"85","DRAWTEXT"}, 
  {"850","USRTHKCONNECTIONDATALS"}, 
  {"851","MSGTHKCONNECTIONDATALS"}, 
  {"853","FT_USRFTHKTHKCONNECTIONDATA"}, 
  {"854","FT_USRF2THKTHKCONNECTIONDATA"}, 
  {"855","USR32THKCONNECTIONDATASL"}, 
  {"86","BEAR86"}, 
  {"87","DIALOGBOX"}, 
  {"88","ENDDIALOG"}, 
  {"89","CREATEDIALOG"}, 
  {"890","INSTALLIMT"}, 
  {"891","UNINSTALLIMT"}, 
  {"9","WEP"}, 
  {"90","ISDIALOGMESSAGE"}, 
  {"91","GETDLGITEM"}, 
  {"92","SETDLGITEMTEXT"}, 
  {"93","GETDLGITEMTEXT"}, 
  {"94","SETDLGITEMINT"}, 
  {"95","GETDLGITEMINT"}, 
  {"96","CHECKRADIOBUTTON"}, 
  {"97","CHECKDLGBUTTON"}, 
  {"98","ISDLGBUTTONCHECKED"}, 
  {"99","DLGDIRSELECT"}, 
  {NULL, NULL}
};
// 0x559113b098a0
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_USER_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_USER_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_USER(x,y) gperf_USER_hash(x)
const unsigned int gperf_USER_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_USER = {
  .name = "USER",
  .get = &gperf_USER_get,
  .hash = &gperf_USER_hash,
  .foreach = &gperf_USER_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_USER.get)("foo");
	printf ("%s\n", s);
}
#endif
