// SDB-CGEN V1.8.3
// gcc -DMAIN=1 WINOLDAP.c ; ./a.out > WINOLDAP.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1","TTYWNDPROC"}, 
  {"2","DIALOGPROC"}, 
  {NULL, NULL}
};
// 0x55bc79d052a0
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_WINOLDAP_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_WINOLDAP_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_WINOLDAP(x,y) gperf_WINOLDAP_hash(x)
const unsigned int gperf_WINOLDAP_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_WINOLDAP = {
  .name = "WINOLDAP",
  .get = &gperf_WINOLDAP_get,
  .hash = &gperf_WINOLDAP_hash,
  .foreach = &gperf_WINOLDAP_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_WINOLDAP.get)("foo");
	printf ("%s\n", s);
}
#endif
