// SDB-CGEN V1.8.3
// gcc -DMAIN=1 gsprop32.c ; ./a.out > gsprop32.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"10","GetBackdrop"}, 
  {"100","GetEBarValue"}, 
  {"1000","GetTrendSets"}, 
  {"1001","SetTrendSets"}, 
  {"1002","SetTrendSetsAt"}, 
  {"1003","GetOverlayTrendSets"}, 
  {"1004","SetOverlayTrendSets"}, 
  {"1005","SetOverlayTrendSetsAt"}, 
  {"1006","GetMapRefStringsText"}, 
  {"1007","SetMapRefStringsText"}, 
  {"1008","SetMapRefStringsTextAt"}, 
  {"1009","GetOverlayXPosData_"}, 
  {"101","GetEBarXPosDataMinus"}, 
  {"1010","GetMapFormat"}, 
  {"1011","SetMapFormat"}, 
  {"1012","GetMapName"}, 
  {"1013","SetMapName"}, 
  {"1014","GetToolNum"}, 
  {"102","GetEBarXPosDataPlus"}, 
  {"103","GetGridLineStyle"}, 
  {"104","GetHelpFile"}, 
  {"105","GetHotButton"}, 
  {"106","GetLabelStyle"}, 
  {"107","GetLeftTitleStyle"}, 
  {"108","GetLegendPos"}, 
  {"109","GetLegendSize"}, 
  {"11","GetBackdropStyle"}, 
  {"110","GetOverlayGraph"}, 
  {"111","GetOverlayGraphStyle"}, 
  {"112","GetOverlayGraphType"}, 
  {"113","GetOverlayNumSets"}, 
  {"114","GetOverlayData"}, 
  {"115","GetOverlayColor"}, 
  {"116","GetOverlayPattern"}, 
  {"117","GetOverlaySymbol"}, 
  {"118","GetOverlayPatternedLines"}, 
  {"119","GetOverlayThickLines"}, 
  {"12","GetBackground"}, 
  {"120","GetPropertyCaption"}, 
  {"121","GetPropertyPages"}, 
  {"122","GetRightTitle"}, 
  {"123","GetRightTitleStyle"}, 
  {"124","GetSurfaceColorMax"}, 
  {"125","GetSurfaceColorMin"}, 
  {"126","GetSurfaceWallColor"}, 
  {"127","GetTrue3DDepth"}, 
  {"128","GetTrue3DXGap"}, 
  {"129","GetTrue3DZGap"}, 
  {"13","GetBottomTitle"}, 
  {"130","GetXAxisMinorTicks"}, 
  {"131","GetYAxisMinorTicks"}, 
  {"132","GetYLabelText"}, 
  {"133","GetZLabelText"}, 
  {"134","GetZPosData"}, 
  {"135","GetZAxisMax"}, 
  {"136","GetZAxisMin"}, 
  {"137","GetZAxisStyle"}, 
  {"138","GetZAxisTicks"}, 
  {"139","GetRunTime"}, 
  {"14","GetColorData"}, 
  {"140","GetGraphName"}, 
  {"141","GetGraphFile"}, 
  {"142","GetRangeMin"}, 
  {"143","GetRangeMax"}, 
  {"144","GetBar2DGap"}, 
  {"145","GetClipGraph"}, 
  {"146","GetNewLineChar"}, 
  {"147","GetSmartLabels"}, 
  {"148","GetLabelXFormat"}, 
  {"149","GetLabelYFormat"}, 
  {"15","GetCurveOrder"}, 
  {"150","GetLabelZFormat"}, 
  {"151","GetDataLabelFormat"}, 
  {"152","GetLimitLines"}, 
  {"153","GetLimitLinePattern"}, 
  {"154","GetLimitFillPattern"}, 
  {"155","GetLimitHighValue"}, 
  {"156","GetLimitLowValue"}, 
  {"157","GetLimitHighLabel"}, 
  {"158","GetLimitLowLabel"}, 
  {"159","GetMissingData"}, 
  {"16","GetCurveSteps"}, 
  {"17","GetCurveType"}, 
  {"18","GetDataReset"}, 
  {"19","GetDrawMode"}, 
  {"20","GetDrawStyle"}, 
  {"21","GetExtraData"}, 
  {"22","GetFontFamily"}, 
  {"23","GetFontName"}, 
  {"24","GetFontSize"}, 
  {"25","GetFontStyle"}, 
  {"26","GetForeground"}, 
  {"27","GetGraphData"}, 
  {"28","GetGraphStyle"}, 
  {"29","GetGraphTitle"}, 
  {"30","GetGraphType"}, 
  {"31","GetGridStyle"}, 
  {"32","GetImageFile"}, 
  {"33","GetLabelText"}, 
  {"34","GetLabelEvery"}, 
  {"35","GetLabels"}, 
  {"36","GetLeftTitle"}, 
  {"37","GetLegendText"}, 
  {"38","GetLegendStyle"}, 
  {"39","GetLineStats"}, 
  {"40","GetNumPoints"}, 
  {"41","GetNumSets"}, 
  {"42","GetPalette"}, 
  {"43","GetPatternData"}, 
  {"44","GetPatternedLines"}, 
  {"45","GetPrintStyle"}, 
  {"46","GetQuickData"}, 
  {"47","GetRandomData"}, 
  {"48","GetSymbolData"}, 
  {"49","GetSymbolSize"}, 
  {"5","GraphCtlWndProc"}, 
  {"50","GetThickLines"}, 
  {"51","GetTickEvery"}, 
  {"510","SetBackdrop"}, 
  {"511","SetBackdropStyle"}, 
  {"512","SetBackground"}, 
  {"513","SetBottomTitle"}, 
  {"514","SetColorData"}, 
  {"515","SetCurveOrder"}, 
  {"516","SetCurveSteps"}, 
  {"517","SetCurveType"}, 
  {"518","SetDataReset"}, 
  {"519","SetDrawMode"}, 
  {"52","GetTicks"}, 
  {"520","SetDrawStyle"}, 
  {"521","SetExtraData"}, 
  {"522","SetFontFamily"}, 
  {"523","SetFontName"}, 
  {"524","SetFontSize"}, 
  {"525","SetFontStyle"}, 
  {"526","SetForeground"}, 
  {"527","SetGraphData"}, 
  {"528","SetGraphStyle"}, 
  {"529","SetGraphTitle"}, 
  {"53","GetXAxisMax"}, 
  {"530","SetGraphType"}, 
  {"531","SetGridStyle"}, 
  {"532","SetImageFile"}, 
  {"533","SetLabelText"}, 
  {"534","SetLabelEvery"}, 
  {"535","SetLabels"}, 
  {"536","SetLeftTitle"}, 
  {"537","SetLegendText"}, 
  {"538","SetLegendStyle"}, 
  {"539","SetLineStats"}, 
  {"54","GetXAxisMin"}, 
  {"540","SetNumPoints"}, 
  {"541","SetNumSets"}, 
  {"542","SetPalette"}, 
  {"543","SetPatternData"}, 
  {"544","SetPatternedLines"}, 
  {"545","SetPrintStyle"}, 
  {"546","SetQuickData"}, 
  {"547","SetRandomData"}, 
  {"548","SetSymbolData"}, 
  {"549","SetSymbolSize"}, 
  {"55","GetXAxisPos"}, 
  {"550","SetThickLines"}, 
  {"551","SetTickEvery"}, 
  {"552","SetTicks"}, 
  {"553","SetXAxisMax"}, 
  {"554","SetXAxisMin"}, 
  {"555","SetXAxisPos"}, 
  {"556","SetXAxisStyle"}, 
  {"557","SetXAxisTicks"}, 
  {"558","SetXPosData"}, 
  {"559","SetYAxisMax"}, 
  {"56","GetXAxisStyle"}, 
  {"560","SetYAxisMin"}, 
  {"561","SetYAxisPos"}, 
  {"562","SetYAxisStyle"}, 
  {"563","SetYAxisTicks"}, 
  {"564","SetHot"}, 
  {"566","SetSDKPaint"}, 
  {"57","GetXAxisTicks"}, 
  {"572","SetGraphCaption"}, 
  {"573","SetMousePointer"}, 
  {"574","SetSDKMouse"}, 
  {"575","SetNWin"}, 
  {"576","SetRotation"}, 
  {"577","SetElevation"}, 
  {"578","SetPerspective"}, 
  {"579","SetToolbar"}, 
  {"58","GetXPosData"}, 
  {"580","SetStatusBar"}, 
  {"581","SetTrue3D"}, 
  {"582","SetCageFlip"}, 
  {"588","SetPropDialog"}, 
  {"589","SetToolStat"}, 
  {"59","GetYAxisMax"}, 
  {"590","SetBackgroundStyle"}, 
  {"591","SetCageEdgeColor"}, 
  {"592","SetCageStyle"}, 
  {"593","SetCageWallColor"}, 
  {"594","SetDataLabels"}, 
  {"595","SetDataLabelText"}, 
  {"596","SetEBarGraphDataMinus"}, 
  {"597","SetEBarGraphDataPlus"}, 
  {"598","SetEBarSource"}, 
  {"599","SetEBarStyle"}, 
  {"6","CreateGraph"}, 
  {"60","GetYAxisMin"}, 
  {"600","SetEBarValue"}, 
  {"601","SetEBarXPosDataMinus"}, 
  {"602","SetEBarXPosDataPlus"}, 
  {"603","SetGridLineStyle"}, 
  {"604","SetHelpFile"}, 
  {"606","SetLabelStyle"}, 
  {"607","SetLeftTitleStyle"}, 
  {"608","SetLegendPos"}, 
  {"609","SetLegendSize"}, 
  {"61","GetYAxisPos"}, 
  {"610","SetOverlayGraph"}, 
  {"611","SetOverlayGraphStyle"}, 
  {"612","SetOverlayGraphType"}, 
  {"614","SetOverlayData"}, 
  {"615","SetOverlayColor"}, 
  {"616","SetOverlayPattern"}, 
  {"617","SetOverlaySymbol"}, 
  {"618","SetOverlayPatternedLines"}, 
  {"619","SetOverlayThickLines"}, 
  {"62","GetYAxisStyle"}, 
  {"620","SetPropertyCaption"}, 
  {"621","SetPropertyPages"}, 
  {"622","SetRightTitle"}, 
  {"623","SetRightTitleStyle"}, 
  {"624","SetSurfaceColorMax"}, 
  {"625","SetSurfaceColorMin"}, 
  {"626","SetSurfaceWallColor"}, 
  {"627","SetTrue3DDepth"}, 
  {"628","SetTrue3DXGap"}, 
  {"629","SetTrue3DZGap"}, 
  {"63","GetYAxisTicks"}, 
  {"630","SetXAxisMinorTicks"}, 
  {"631","SetYAxisMinorTicks"}, 
  {"632","SetYLabelText"}, 
  {"633","SetZLabelText"}, 
  {"634","SetZPosData"}, 
  {"635","SetZAxisMax"}, 
  {"636","SetZAxisMin"}, 
  {"637","SetZAxisStyle"}, 
  {"638","SetZAxisTicks"}, 
  {"639","SetRunTime"}, 
  {"64","GetHot"}, 
  {"640","SetGraphName"}, 
  {"641","SetGraphFile"}, 
  {"642","SetRangeMin"}, 
  {"643","SetRangeMax"}, 
  {"644","SetBar2DGap"}, 
  {"645","SetClipGraph"}, 
  {"646","SetNewLineChar"}, 
  {"647","SetSmartLabels"}, 
  {"648","SetLabelXFormat"}, 
  {"649","SetLabelYFormat"}, 
  {"65","GetSDKInfo"}, 
  {"650","SetLabelZFormat"}, 
  {"651","SetDataLabelFormat"}, 
  {"652","SetLimitLines"}, 
  {"653","SetLimitLinePattern"}, 
  {"654","SetLimitFillPattern"}, 
  {"655","SetLimitHighValue"}, 
  {"656","SetLimitLowValue"}, 
  {"657","SetLimitHighLabel"}, 
  {"658","SetLimitLowLabel"}, 
  {"659","SetMissingData"}, 
  {"66","GetSDKPaint"}, 
  {"7","CreateGraphEx"}, 
  {"72","GetGraphCaption"}, 
  {"73","GetMousePointer"}, 
  {"74","GetSDKMouse"}, 
  {"75","GetNWin"}, 
  {"76","GetRotation"}, 
  {"77","GetElevation"}, 
  {"78","GetPerspective"}, 
  {"79","GetToolbar"}, 
  {"80","GetStatusBar"}, 
  {"81","GetTrue3D"}, 
  {"82","GetCageFlip"}, 
  {"83","GetNumColors"}, 
  {"84","GetNumPatterns"}, 
  {"85","GetNumSymbols"}, 
  {"89","GetToolStat"}, 
  {"90","GetBackgroundStyle"}, 
  {"901","SetBackgroundAt"}, 
  {"902","SetColorDataAt"}, 
  {"903","SetExtraDataAt"}, 
  {"904","SetFontFamilyAt"}, 
  {"905","SetFontNameAt"}, 
  {"906","SetFontSizeAt"}, 
  {"907","SetFontStyleAt"}, 
  {"908","SetForegroundAt"}, 
  {"909","SetGraphDataAt"}, 
  {"91","GetCageEdgeColor"}, 
  {"910","SetLabelTextAt"}, 
  {"911","SetLegendTextAt"}, 
  {"912","SetPatternDataAt"}, 
  {"913","SetSymbolDataAt"}, 
  {"914","SetToolStatAt"}, 
  {"915","SetXPosDataAt"}, 
  {"916","SetYAxisMaxAt"}, 
  {"917","SetYAxisMinAt"}, 
  {"918","SetYAxisPosAt"}, 
  {"919","SetYAxisStyleAt"}, 
  {"92","GetCageStyle"}, 
  {"920","SetYAxisTicksAt"}, 
  {"921","SetBackgroundStyleAt"}, 
  {"922","SetDataLabelTextAt"}, 
  {"923","SetEBarGraphDataMinusAt"}, 
  {"924","SetEBarGraphDataPlusAt"}, 
  {"925","SetEBarSourceAt"}, 
  {"926","SetEBarStyleAt"}, 
  {"927","SetEBarValueAt"}, 
  {"928","SetEBarXPosDataMinusAt"}, 
  {"929","SetEBarXPosDataPlusAt"}, 
  {"93","GetCageWallColor"}, 
  {"930","SetOverlayDataAt"}, 
  {"931","SetYAxisMinorTicksAt"}, 
  {"932","SetYLabelTextAt"}, 
  {"933","SetZLabelTextAt"}, 
  {"934","SetZPosDataAt"}, 
  {"935","GetPrintInfo"}, 
  {"936","SetPrintInfo"}, 
  {"937","SetPrintInfoAt"}, 
  {"938","SetLabelYFormatAt"}, 
  {"939","EnableEnhancedEvents"}, 
  {"94","GetDataLabels"}, 
  {"940","GetGraphData_"}, 
  {"941","GetSDKInfo_"}, 
  {"942","GetXPosData_"}, 
  {"943","GetXAxisMax_"}, 
  {"944","GetXAxisMin_"}, 
  {"945","GetYAxisMax_"}, 
  {"946","GetYAxisMin_"}, 
  {"947","GetEBarGraphDataMinus_"}, 
  {"948","GetEBarGraphDataPlus_"}, 
  {"949","GetEBarValue_"}, 
  {"95","GetDataLabelText"}, 
  {"950","GetEBarXPosDataMinus_"}, 
  {"951","GetEBarXPosDataPlus_"}, 
  {"952","GetOverlayData_"}, 
  {"953","GetZPosData_"}, 
  {"954","GetZAxisMax_"}, 
  {"955","GetZAxisMin_"}, 
  {"956","GetLimitHighValue_"}, 
  {"957","GetLimitLowValue_"}, 
  {"958","GetHitX"}, 
  {"959","GetHitY"}, 
  {"96","GetEBarGraphDataMinus"}, 
  {"960","GetHitDataX"}, 
  {"961","GetHitDataY"}, 
  {"962","GetHitStatus"}, 
  {"963","GetHitRegion"}, 
  {"964","GetHitPoint"}, 
  {"965","GetHitSet"}, 
  {"966","GetHitX_"}, 
  {"967","GetHitY_"}, 
  {"968","GetHitDataX_"}, 
  {"969","GetHitDataY_"}, 
  {"97","GetEBarGraphDataPlus"}, 
  {"970","GetDataSourceName"}, 
  {"971","SetDataSourceName"}, 
  {"972","GetDataFields"}, 
  {"973","SetDataFields"}, 
  {"974","SetDataFieldsAt"}, 
  {"975","GetLabelField"}, 
  {"976","SetLabelField"}, 
  {"977","GetLegendField"}, 
  {"978","SetLegendField"}, 
  {"979","GetMapFile"}, 
  {"98","GetEBarSource"}, 
  {"980","SetMapFile"}, 
  {"981","GetMissingLineMode"}, 
  {"982","SetMissingLineMode"}, 
  {"983","GetTickStyle"}, 
  {"984","SetTickStyle"}, 
  {"985","GetLabelXType"}, 
  {"986","SetLabelXType"}, 
  {"987","GetLabelXDateStart"}, 
  {"988","SetLabelXDateStart"}, 
  {"989","GetLabelXDateInc"}, 
  {"99","GetEBarStyle"}, 
  {"990","SetLabelXDateInc"}, 
  {"991","GetXPosFields"}, 
  {"992","SetXPosFields"}, 
  {"993","SetXPosFieldsAt"}, 
  {"994","GetOverlayXPosData"}, 
  {"995","SetOverlayXPosData"}, 
  {"996","SetOverlayXPosDataAt"}, 
  {"997","GetOverlayExtraData"}, 
  {"998","SetOverlayExtraData"}, 
  {"999","SetOverlayExtraDataAt"}, 
  {NULL, NULL}
};
// 0x556a2df5d420
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_gsprop32_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_gsprop32_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_gsprop32(x,y) gperf_gsprop32_hash(x)
const unsigned int gperf_gsprop32_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_gsprop32 = {
  .name = "gsprop32",
  .get = &gperf_gsprop32_get,
  .hash = &gperf_gsprop32_hash,
  .foreach = &gperf_gsprop32_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_gsprop32.get)("foo");
	printf ("%s\n", s);
}
#endif
