// SDB-CGEN V1.8.3
// gcc -DMAIN=1 mfc30.c ; ./a.out > mfc30.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1000","CPtrList::FindIndex"}, 
  {"1001","CStringList::FindIndex"}, 
  {"1002","CPropertySheet::FindNextControl"}, 
  {"1003","CWnd::FindNextControl"}, 
  {"1004","CString::FindOneOf"}, 
  {"1005","CPreviewView::FindPageRect"}, 
  {"1006","CEditView::FindTextA"}, 
  {"1007","CFrameWnd::FloatControlBar"}, 
  {"1008","CArchive::Flush"}, 
  {"1009","CDumpContext::Flush"}, 
  {"1010","CFile::Flush"}, 
  {"1011","CMemFile::Flush"}, 
  {"1012","CStdioFile::Flush"}, 
  {"1013","CString::Format"}, 
  {"1014","CTime::Format"}, 
  {"1015","CTimeSpan::Format"}, 
  {"1016","CTime::FormatGmt"}, 
  {"1017","CMemFile::Free"}, 
  {"1018","CSharedFile::Free"}, 
  {"1019","CMapPtrToPtr::FreeAssoc"}, 
  {"1020","CMapPtrToWord::FreeAssoc"}, 
  {"1021","CMapStringToOb::FreeAssoc"}, 
  {"1022","CMapStringToPtr::FreeAssoc"}, 
  {"1023","CMapStringToString::FreeAssoc"}, 
  {"1024","CMapWordToOb::FreeAssoc"}, 
  {"1025","CMapWordToPtr::FreeAssoc"}, 
  {"1026","CPlex::FreeDataChain"}, 
  {"1027","CByteArray::FreeExtra"}, 
  {"1028","CDWordArray::FreeExtra"}, 
  {"1029","CObArray::FreeExtra"}, 
  {"1030","CPtrArray::FreeExtra"}, 
  {"1031","CString::FreeExtra"}, 
  {"1032","CStringArray::FreeExtra"}, 
  {"1033","CUIntArray::FreeExtra"}, 
  {"1034","CWordArray::FreeExtra"}, 
  {"1035","CObList::FreeNode"}, 
  {"1036","CPtrList::FreeNode"}, 
  {"1037","CStringList::FreeNode"}, 
  {"1038","CDC::FromHandle"}, 
  {"1039","CGdiObject::FromHandle"}, 
  {"1040","CMenu::FromHandle"}, 
  {"1041","CWnd::FromHandle"}, 
  {"1042","CWnd::FromHandlePermanent"}, 
  {"1043","CFrameWnd::GetActiveDocument"}, 
  {"1044","CFrameWnd::GetActiveFrame"}, 
  {"1045","CMDIFrameWnd::GetActiveFrame"}, 
  {"1046","CSplitterWnd::GetActivePane"}, 
  {"1047","CFrameWnd::GetActiveView"}, 
  {"1048","CWinApp::GetAppRegistryKey"}, 
  {"1049","CMapPtrToPtr::GetAssocAt"}, 
  {"1050","CMapPtrToWord::GetAssocAt"}, 
  {"1051","CMapStringToOb::GetAssocAt"}, 
  {"1052","CMapStringToPtr::GetAssocAt"}, 
  {"1053","CMapStringToString::GetAssocAt"}, 
  {"1054","CMapWordToOb::GetAssocAt"}, 
  {"1055","CMapWordToPtr::GetAssocAt"}, 
  {"1056","CStringArray::GetAt"}, 
  {"1057","CString::GetBuffer"}, 
  {"1058","CEditView::GetBufferLength"}, 
  {"1059","CFile::GetBufferPtr"}, 
  {"1060","CMemFile::GetBufferPtr"}, 
  {"1061","CString::GetBufferSetLength"}, 
  {"1062","CToolBar::GetButtonInfo"}, 
  {"1063","CWnd::GetCheckedRadioButton"}, 
  {"1064","CDC::GetClipBox"}, 
  {"1065","CMetaFileDC::GetClipBox"}, 
  {"1066","CSplitterWnd::GetColumnInfo"}, 
  {"1067","CFrameWnd::GetControlBar"}, 
  {"1068","CPrintDialog::GetCopies"}, 
  {"1069","CWnd::GetCurrentMessage"}, 
  {"1070","CDocument::GetDefaultAccelerator"}, 
  {"1071","CFrameWnd::GetDefaultAccelerator"}, 
  {"1072","CDocument::GetDefaultMenu"}, 
  {"1073","CWnd::GetDescendantWindow"}, 
  {"1074","CPrintDialog::GetDeviceName"}, 
  {"1075","CScrollView::GetDeviceScrollPosition"}, 
  {"1076","CScrollView::GetDeviceScrollSizes"}, 
  {"1077","CPrintDialog::GetDevMode"}, 
  {"1078","CCmdTarget::GetDispatchMap"}, 
  {"1079","CRecentFileList::GetDisplayName"}, 
  {"1080","CDockContext::GetDockBar"}, 
  {"1081","CDockBar::GetDockedCount"}, 
  {"1082","CDockBar::GetDockedVisibleCount"}, 
  {"1083","CControlBar::GetDockingFrame"}, 
  {"1084","CFrameWnd::GetDockState"}, 
  {"1085","CDocTemplate::GetDocString"}, 
  {"1086","CPrintDialog::GetDriverName"}, 
  {"1087","CDocument::GetFile"}, 
  {"1088","CFileDialog::GetFileName"}, 
  {"1089","CFindReplaceDialog::GetFindString"}, 
  {"1090","CMultiDocTemplate::GetFirstDocPosition"}, 
  {"1091","CSingleDocTemplate::GetFirstDocPosition"}, 
  {"1092","CWnd::GetFirstLevelChild"}, 
  {"1093","CDocument::GetFirstViewPosition"}, 
  {"1094","CTime::GetGmtTm"}, 
  {"1095","CDC::GetHalftoneBrush"}, 
  {"1096","CRectTracker::GetHandleMask"}, 
  {"1097","CRectTracker::GetHandleRect"}, 
  {"1098","CRectTracker::GetHandleSize"}, 
  {"1099","CSplitterWnd::GetHitRect"}, 
  {"1100","CFrameWnd::GetIconWndClass"}, 
  {"1101","CSplitterWnd::GetInsideRect"}, 
  {"1102","CCmdTarget::GetInterfaceHook"}, 
  {"1103","CCmdTarget::GetInterfaceMap"}, 
  {"1104","CStatusBar::GetItemID"}, 
  {"1105","CToolBar::GetItemID"}, 
  {"1106","CStatusBar::GetItemRect"}, 
  {"1107","CToolBar::GetItemRect"}, 
  {"1108","CComboBox::GetLBText"}, 
  {"1109","CFile::GetLength"}, 
  {"1110","CTime::GetLocalTm"}, 
  {"1111","CWinThread::GetMainWnd"}, 
  {"1112","CMDIChildWnd::GetMDIFrame"}, 
  {"1113","CFrameWnd::GetMessageBar"}, 
  {"1114","CMDIChildWnd::GetMessageBar"}, 
  {"1115","CCmdTarget::GetMessageMap"}, 
  {"1116","CColorDialog::GetMessageMap"}, 
  {"1117","CControlBar::GetMessageMap"}, 
  {"1118","CDialog::GetMessageMap"}, 
  {"1119","CDockBar::GetMessageMap"}, 
  {"1120","CDocument::GetMessageMap"}, 
  {"1121","CEditView::GetMessageMap"}, 
  {"1122","CFormView::GetMessageMap"}, 
  {"1123","CFrameWnd::GetMessageMap"}, 
  {"1124","CMDIChildWnd::GetMessageMap"}, 
  {"1125","CMDIFrameWnd::GetMessageMap"}, 
  {"1126","CMiniDockFrameWnd::GetMessageMap"}, 
  {"1127","CMiniFrameWnd::GetMessageMap"}, 
  {"1128","CPreviewView::GetMessageMap"}, 
  {"1129","CPrintDialog::GetMessageMap"}, 
  {"1130","CPropertyPage::GetMessageMap"}, 
  {"1131","CPropertySheet::GetMessageMap"}, 
  {"1132","CScrollView::GetMessageMap"}, 
  {"1133","CSplitterWnd::GetMessageMap"}, 
  {"1134","CStatusBar::GetMessageMap"}, 
  {"1135","CTabControl::GetMessageMap"}, 
  {"1136","CToolBar::GetMessageMap"}, 
  {"1137","CView::GetMessageMap"}, 
  {"1138","CWinApp::GetMessageMap"}, 
  {"1139","CWnd::GetMessageMap"}, 
  {"1140","CFrameWnd::GetMessageString"}, 
  {"1141","CRectTracker::GetModifyPointers"}, 
  {"1142","CMapPtrToPtr::GetNextAssoc"}, 
  {"1143","CMapPtrToWord::GetNextAssoc"}, 
  {"1144","CMapStringToOb::GetNextAssoc"}, 
  {"1145","CMapStringToPtr::GetNextAssoc"}, 
  {"1146","CMapStringToString::GetNextAssoc"}, 
  {"1147","CMapWordToOb::GetNextAssoc"}, 
  {"1148","CMapWordToPtr::GetNextAssoc"}, 
  {"1149","CMultiDocTemplate::GetNextDoc"}, 
  {"1150","CSingleDocTemplate::GetNextDoc"}, 
  {"1151","CDocument::GetNextView"}, 
  {"1152","CFindReplaceDialog::GetNotifier"}, 
  {"1153","CArchive::GetObjectSchema"}, 
  {"1154","CWinApp::GetOpenDocumentCount"}, 
  {"1155","CSplitterWnd::GetPane"}, 
  {"1156","CStatusBar::GetPaneInfo"}, 
  {"1157","CStatusBar::GetPaneText"}, 
  {"1158","CWnd::GetParentFrame"}, 
  {"1159","CView::GetParentSplitter"}, 
  {"1160","CPrintDialog::GetPortName"}, 
  {"1161","CFile::GetPosition"}, 
  {"1162","CMemFile::GetPosition"}, 
  {"1163","CStdioFile::GetPosition"}, 
  {"1164","CWinApp::GetPrinterDeviceDefaults"}, 
  {"1165","CEditView::GetPrinterFont"}, 
  {"1166","CWinApp::GetProfileIntA"}, 
  {"1167","CWinApp::GetProfileStringA"}, 
  {"1168","CFindReplaceDialog::GetReplaceString"}, 
  {"1169","CCmdTarget::GetRoutingView"}, 
  {"1170","CSplitterWnd::GetRowInfo"}, 
  {"1171","CArchiveException::GetRuntimeClass"}, 
  {"1172","CBitmap::GetRuntimeClass"}, 
  {"1173","CBitmapButton::GetRuntimeClass"}, 
  {"1174","CBrush::GetRuntimeClass"}, 
  {"1175","CButton::GetRuntimeClass"}, 
  {"1176","CByteArray::GetRuntimeClass"}, 
  {"1177","CClientDC::GetRuntimeClass"}, 
  {"1178","CCmdTarget::GetRuntimeClass"}, 
  {"1179","CColorDialog::GetRuntimeClass"}, 
  {"1180","CComboBox::GetRuntimeClass"}, 
  {"1181","CControlBar::GetRuntimeClass"}, 
  {"1182","CDC::GetRuntimeClass"}, 
  {"1183","CDialog::GetRuntimeClass"}, 
  {"1184","CDialogBar::GetRuntimeClass"}, 
  {"1185","CDockBar::GetRuntimeClass"}, 
  {"1186","CDockState::GetRuntimeClass"}, 
  {"1187","CDocTemplate::GetRuntimeClass"}, 
  {"1188","CDocument::GetRuntimeClass"}, 
  {"1189","CDWordArray::GetRuntimeClass"}, 
  {"1190","CDynLinkLibrary::GetRuntimeClass"}, 
  {"1191","CEdit::GetRuntimeClass"}, 
  {"1192","CEditView::GetRuntimeClass"}, 
  {"1193","CException::GetRuntimeClass"}, 
  {"1194","CFile::GetRuntimeClass"}, 
  {"1195","CFileDialog::GetRuntimeClass"}, 
  {"1196","CFileException::GetRuntimeClass"}, 
  {"1197","CFindReplaceDialog::GetRuntimeClass"}, 
  {"1198","CFont::GetRuntimeClass"}, 
  {"1199","CFontDialog::GetRuntimeClass"}, 
  {"1200","CFormView::GetRuntimeClass"}, 
  {"1201","CFrameWnd::GetRuntimeClass"}, 
  {"1202","CGdiObject::GetRuntimeClass"}, 
  {"1203","CListBox::GetRuntimeClass"}, 
  {"1204","CMapPtrToPtr::GetRuntimeClass"}, 
  {"1205","CMapPtrToWord::GetRuntimeClass"}, 
  {"1206","CMapStringToOb::GetRuntimeClass"}, 
  {"1207","CMapStringToPtr::GetRuntimeClass"}, 
  {"1208","CMapStringToString::GetRuntimeClass"}, 
  {"1209","CMapWordToOb::GetRuntimeClass"}, 
  {"1210","CMapWordToPtr::GetRuntimeClass"}, 
  {"1211","CMDIChildWnd::GetRuntimeClass"}, 
  {"1212","CMDIFrameWnd::GetRuntimeClass"}, 
  {"1213","CMemFile::GetRuntimeClass"}, 
  {"1214","CMemoryException::GetRuntimeClass"}, 
  {"1215","CMenu::GetRuntimeClass"}, 
  {"1216","CMetaFileDC::GetRuntimeClass"}, 
  {"1217","CMiniDockFrameWnd::GetRuntimeClass"}, 
  {"1218","CMiniFrameWnd::GetRuntimeClass"}, 
  {"1219","CMultiDocTemplate::GetRuntimeClass"}, 
  {"1220","CNotSupportedException::GetRuntimeClass"}, 
  {"1221","CObArray::GetRuntimeClass"}, 
  {"1222","CObject::GetRuntimeClass"}, 
  {"1223","CObList::GetRuntimeClass"}, 
  {"1224","CPaintDC::GetRuntimeClass"}, 
  {"1225","CPalette::GetRuntimeClass"}, 
  {"1226","CPen::GetRuntimeClass"}, 
  {"1227","CPreviewDC::GetRuntimeClass"}, 
  {"1228","CPreviewView::GetRuntimeClass"}, 
  {"1229","CPrintDialog::GetRuntimeClass"}, 
  {"1230","CPropertyPage::GetRuntimeClass"}, 
  {"1231","CPropertySheet::GetRuntimeClass"}, 
  {"1232","CPtrArray::GetRuntimeClass"}, 
  {"1233","CPtrList::GetRuntimeClass"}, 
  {"1234","CResourceException::GetRuntimeClass"}, 
  {"1235","CRgn::GetRuntimeClass"}, 
  {"1236","CScrollBar::GetRuntimeClass"}, 
  {"1237","CScrollView::GetRuntimeClass"}, 
  {"1238","CSharedFile::GetRuntimeClass"}, 
  {"1239","CSingleDocTemplate::GetRuntimeClass"}, 
  {"1240","CSplitterWnd::GetRuntimeClass"}, 
  {"1241","CStatic::GetRuntimeClass"}, 
  {"1242","CStatusBar::GetRuntimeClass"}, 
  {"1243","CStdioFile::GetRuntimeClass"}, 
  {"1244","CStringArray::GetRuntimeClass"}, 
  {"1245","CStringList::GetRuntimeClass"}, 
  {"1246","CTabControl::GetRuntimeClass"}, 
  {"1247","CToolBar::GetRuntimeClass"}, 
  {"1248","CUIntArray::GetRuntimeClass"}, 
  {"1249","CUserException::GetRuntimeClass"}, 
  {"1250","CView::GetRuntimeClass"}, 
  {"1251","CWinApp::GetRuntimeClass"}, 
  {"1252","CWindowDC::GetRuntimeClass"}, 
  {"1253","CWinThread::GetRuntimeClass"}, 
  {"1254","CWnd::GetRuntimeClass"}, 
  {"1255","CWordArray::GetRuntimeClass"}, 
  {"1256","CView::GetScrollBarCtrl"}, 
  {"1257","CWnd::GetScrollBarCtrl"}, 
  {"1258","CScrollView::GetScrollBarSizes"}, 
  {"1259","CScrollView::GetScrollBarState"}, 
  {"1260","CWnd::GetScrollInfo"}, 
  {"1261","CScrollView::GetScrollLimit"}, 
  {"1262","CWnd::GetScrollPos"}, 
  {"1263","CScrollView::GetScrollPosition"}, 
  {"1264","CWnd::GetScrollRange"}, 
  {"1265","CSplitterWnd::GetScrollStyle"}, 
  {"1266","CWinApp::GetSectionKey"}, 
  {"1267","CEditView::GetSelectedText"}, 
  {"1268","CSplitterWnd::GetSizingParent"}, 
  {"1269","CFile::GetStatus"}, 
  {"1270","CFile::GetStatus"}, 
  {"1271","CMemFile::GetStatus"}, 
  {"1272","CWnd::GetSuperWndProcAddr"}, 
  {"1273","CListBox::GetText"}, 
  {"1274","CTime::GetTickCount"}, 
  {"1275","CWnd::GetTopLevelFrame"}, 
  {"1276","CWnd::GetTopLevelParent"}, 
  {"1277","CScrollView::GetTrueClientSize"}, 
  {"1278","CRectTracker::GetTrueRect"}, 
  {"1279","CMDIFrameWnd::GetWindowMenuPopup"}, 
  {"1280","CWnd::GetWindowTextA"}, 
  {"1281","CPropertySheet::GotoControl"}, 
  {"1282","CWnd::GrayCtlColor"}, 
  {"1283","CDC::GrayStringA"}, 
  {"1284","CPreviewDC::GrayStringA"}, 
  {"1285","CMemFile::GrowFile"}, 
  {"1286","CWnd::HandleFloatingSysCommand"}, 
  {"1287","HashKey"}, 
  {"1288","CDumpContext::HexDump"}, 
  {"1289","CWinApp::HideApplication"}, 
  {"1290","CDC::HIMETRICtoDP"}, 
  {"1291","CDC::HIMETRICtoLP"}, 
  {"1292","CRectTracker::HitTest"}, 
  {"1293","CSplitterWnd::HitTest"}, 
  {"1294","CToolBar::HitTest"}, 
  {"1295","CRectTracker::HitTestHandles"}, 
  {"1296","CControlBar::HitTestToolTip"}, 
  {"1297","CSplitterWnd::IdFromRowCol"}, 
  {"1298","CString::Init"}, 
  {"1299","CWinApp::InitApplication"}, 
  {"1300","CMapPtrToPtr::InitHashTable"}, 
  {"1301","CMapPtrToWord::InitHashTable"}, 
  {"1302","CMapStringToOb::InitHashTable"}, 
  {"1303","CMapStringToPtr::InitHashTable"}, 
  {"1304","CMapStringToString::InitHashTable"}, 
  {"1305","CMapWordToOb::InitHashTable"}, 
  {"1306","CMapWordToPtr::InitHashTable"}, 
  {"1307","CEditView::InitializeReplace"}, 
  {"1308","CDocTemplate::InitialUpdateFrame"}, 
  {"1309","CWinApp::InitInstance"}, 
  {"1310","CWinThread::InitInstance"}, 
  {"1311","CDialog::InitModalIndirect"}, 
  {"1312","CDockBar::Insert"}, 
  {"1313","CObList::InsertAfter"}, 
  {"1314","CPtrList::InsertAfter"}, 
  {"1315","CStringList::InsertAfter"}, 
  {"1316","CByteArray::InsertAt"}, 
  {"1317","CByteArray::InsertAt"}, 
  {"1318","CDWordArray::InsertAt"}, 
  {"1319","CDWordArray::InsertAt"}, 
  {"1320","CObArray::InsertAt"}, 
  {"1321","CObArray::InsertAt"}, 
  {"1322","CPtrArray::InsertAt"}, 
  {"1323","CPtrArray::InsertAt"}, 
  {"1324","CStringArray::InsertAt"}, 
  {"1325","CStringArray::InsertAt"}, 
  {"1326","CUIntArray::InsertAt"}, 
  {"1327","CUIntArray::InsertAt"}, 
  {"1328","CWordArray::InsertAt"}, 
  {"1329","CWordArray::InsertAt"}, 
  {"1330","CObList::InsertBefore"}, 
  {"1331","CPtrList::InsertBefore"}, 
  {"1332","CStringList::InsertBefore"}, 
  {"1333","protected: static struct AFX_INTERFACEMAP const CCmdTarget::interfaceMap"}, 
  {"1334","CDC::IntersectClipRect"}, 
  {"1335","CDC::IntersectClipRect"}, 
  {"1336","CToolBar::InvalidateButton"}, 
  {"1337","CTabControl::InvalidateTab"}, 
  {"1338","CMiniFrameWnd::InvertSysMenu"}, 
  {"1339","CSplitterWnd::IsChildPane"}, 
  {"1340","CControlBar::IsDockBar"}, 
  {"1341","CDockBar::IsDockBar"}, 
  {"1342","CControlBar::IsFloating"}, 
  {"1343","CFrameWnd::IsFrameWnd"}, 
  {"1344","CWnd::IsFrameWnd"}, 
  {"1345","CWinThread::IsIdleMessage"}, 
  {"1346","CObject::IsKindOf"}, 
  {"1347","CView::IsSelected"}, 
  {"1348","CObject::IsSerializable"}, 
  {"1349","CTabControl::IsTabVisible"}, 
  {"1350","CWnd::IsTopParentActive"}, 
  {"1351","CFrameWnd::IsTracking"}, 
  {"1352","CControlBar::IsVisible"}, 
  {"1353","CTabControl::LayoutTabsSingle"}, 
  {"1354","CTabControl::LayoutTabsStacked"}, 
  {"1355","CString::Left"}, 
  {"1356","CDC::LineTo"}, 
  {"1357","CRuntimeCRuntimeClass::Load"}, 
  {"1358","CFrameWnd::LoadAccelTable"}, 
  {"1359","CFrameWnd::LoadBarState"}, 
  {"1360","CToolBar::LoadBitmapA"}, 
  {"1361","CBitmapButton::LoadBitmaps"}, 
  {"1362","CPropertyPage::LoadCaption"}, 
  {"1363","CFrameWnd::LoadFrame"}, 
  {"1364","CMDIChildWnd::LoadFrame"}, 
  {"1365","CMDIFrameWnd::LoadFrame"}, 
  {"1366","CDockState::LoadState"}, 
  {"1367","CWinApp::LoadStdProfileSettings"}, 
  {"1368","CString::LoadStringA"}, 
  {"1369","CEditView::LockBuffer"}, 
  {"1370","CFile::LockRange"}, 
  {"1371","CMemFile::LockRange"}, 
  {"1372","CStdioFile::LockRange"}, 
  {"1373","CMapPtrToPtr::Lookup"}, 
  {"1374","CMapPtrToWord::Lookup"}, 
  {"1375","CMapStringToOb::Lookup"}, 
  {"1376","CMapStringToPtr::Lookup"}, 
  {"1377","CMapStringToString::Lookup"}, 
  {"1378","CMapWordToOb::Lookup"}, 
  {"1379","CMapWordToPtr::Lookup"}, 
  {"1380","CDC::LPtoDP"}, 
  {"1381","CDC::LPtoHIMETRIC"}, 
  {"1382","CDocTemplate::MatchDocType"}, 
  {"1383","CMDIFrameWnd::MDIGetActive"}, 
  {"1384","CComboBox::MeasureItem"}, 
  {"1385","CListBox::MeasureItem"}, 
  {"1386","CMenu::MeasureItem"}, 
  {"1387","CMemFile::Memcpy"}, 
  {"1388","CWnd::MessageBoxA"}, 
  {"1389","CCmdTarget::messageMap"}, 
  {"1390","CColorDialog::messageMap"}, 
  {"1391","CControlBar::messageMap"}, 
  {"1392","CDialog::messageMap"}, 
  {"1393","CDockBar::messageMap"}, 
  {"1394","CDocument::messageMap"}, 
  {"1395","CEditView::messageMap"}, 
  {"1396","CFormView::messageMap"}, 
  {"1397","CFrameWnd::messageMap"}, 
  {"1398","CMDIChildWnd::messageMap"}, 
  {"1399","CMDIFrameWnd::messageMap"}, 
  {"1400","CMiniDockFrameWnd::messageMap"}, 
  {"1401","CMiniFrameWnd::messageMap"}, 
  {"1402","CPreviewView::messageMap"}, 
  {"1403","CPrintDialog::messageMap"}, 
  {"1404","CPropertyPage::messageMap"}, 
  {"1405","CPropertySheet::messageMap"}, 
  {"1406","CScrollView::messageMap"}, 
  {"1407","CSplitterWnd::messageMap"}, 
  {"1408","CStatusBar::messageMap"}, 
  {"1409","CTabControl::messageMap"}, 
  {"1410","CToolBar::messageMap"}, 
  {"1411","CView::messageMap"}, 
  {"1412","CWinApp::messageMap"}, 
  {"1413","CWnd::messageMap"}, 
  {"1414","CString::Mid"}, 
  {"1415","CString::Mid"}, 
  {"1416","CPreviewDC::MirrorAttributes"}, 
  {"1417","CPreviewDC::MirrorFont"}, 
  {"1418","CPreviewDC::MirrorMappingMode"}, 
  {"1419","CPreviewDC::MirrorViewportOrg"}, 
  {"1420","CWnd::ModifyStyle"}, 
  {"1421","CWnd::ModifyStyleEx"}, 
  {"1422","CDockContext::Move"}, 
  {"1423","CDC::MoveTo"}, 
  {"1424","CFrameWnd::NegotiateBorderSpace"}, 
  {"1425","CMapPtrToPtr::NewAssoc"}, 
  {"1426","CMapPtrToWord::NewAssoc"}, 
  {"1427","CMapStringToOb::NewAssoc"}, 
  {"1428","CMapStringToPtr::NewAssoc"}, 
  {"1429","CMapStringToString::NewAssoc"}, 
  {"1430","CMapWordToOb::NewAssoc"}, 
  {"1431","CMapWordToPtr::NewAssoc"}, 
  {"1432","CObList::NewNode"}, 
  {"1433","CPtrList::NewNode"}, 
  {"1434","CStringList::NewNode"}, 
  {"1435","CTabControl::NextTab"}, 
  {"1436","CEditView::nMaxSize"}, 
  {"1437","CRectTracker::NormalizeHit"}, 
  {"1438","CRect::NormalizeRect"}, 
  {"1439","CFrameWnd::NotifyFloatingWindows"}, 
  {"1440","CDC::OffsetClipRgn"}, 
  {"1441","CDC::OffsetClipRgn"}, 
  {"1442","CDC::OffsetViewportOrg"}, 
  {"1443","CMetaFileDC::OffsetViewportOrg"}, 
  {"1444","CPreviewDC::OffsetViewportOrg"}, 
  {"1445","CDC::OffsetWindowOrg"}, 
  {"1446","CFrameWnd::OnActivate"}, 
  {"1447","CPropertySheet::OnActivate"}, 
  {"1448","CFormView::OnActivateFrame"}, 
  {"1449","CView::OnActivateFrame"}, 
  {"1450","CFrameWnd::OnActivateTopLevel"}, 
  {"1451","CFormView::OnActivateView"}, 
  {"1452","CPreviewView::OnActivateView"}, 
  {"1453","CView::OnActivateView"}, 
  {"1454","CWinApp::OnAppExit"}, 
  {"1455","CPropertySheet::OnApply"}, 
  {"1456","CFrameWnd::OnBarCheck"}, 
  {"1457","CEditView::OnBeginPrinting"}, 
  {"1458","CView::OnBeginPrinting"}, 
  {"1459","CCommonDialog::OnCancel"}, 
  {"1460","CDialog::OnCancel"}, 
  {"1461","CPropertyPage::OnCancel"}, 
  {"1462","CPropertySheet::OnCancel"}, 
  {"1463","CControlBar::OnCancelMode"}, 
  {"1464","CSplitterWnd::OnCancelMode"}, 
  {"1465","CToolBar::OnCancelMode"}, 
  {"1466","CRectTracker::OnChangedRect"}, 
  {"1467","CDocument::OnChangedViewList"}, 
  {"1468","CButton::OnChildNotify"}, 
  {"1469","CComboBox::OnChildNotify"}, 
  {"1470","CListBox::OnChildNotify"}, 
  {"1471","CWnd::OnChildNotify"}, 
  {"1472","CFrameWnd::OnClose"}, 
  {"1473","CMiniDockFrameWnd::OnClose"}, 
  {"1474","CPropertySheet::OnClose"}, 
  {"1475","CDocument::OnCloseDocument"}, 
  {"1476","CControlBar::OnCmdHitTest"}, 
  {"1477","CToolBar::OnCmdHitTest"}, 
  {"1478","CCmdTarget::OnCmdMsg"}, 
  {"1479","CDialog::OnCmdMsg"}, 
  {"1480","CDocument::OnCmdMsg"}, 
  {"1481","CFrameWnd::OnCmdMsg"}, 
  {"1482","CMDIFrameWnd::OnCmdMsg"}, 
  {"1483","CView::OnCmdMsg"}, 
  {"1484","CColorDialog::OnColorOK"}, 
  {"1485","CFrameWnd::OnCommand"}, 
  {"1486","CMDIFrameWnd::OnCommand"}, 
  {"1487","CSplitterWnd::OnCommand"}, 
  {"1488","CWnd::OnCommand"}, 
  {"1489","CDialog::OnCommandHelp"}, 
  {"1490","CFrameWnd::OnCommandHelp"}, 
  {"1491","CMDIFrameWnd::OnCommandHelp"}, 
  {"1492","CPropertySheet::OnCommandHelp"}, 
  {"1493","CWnd::OnCompareItem"}, 
  {"1494","CFrameWnd::OnContextHelp"}, 
  {"1495","CWinApp::OnContextHelp"}, 
  {"1496","CControlBar::OnCreate"}, 
  {"1497","CEditView::OnCreate"}, 
  {"1498","CFormView::OnCreate"}, 
  {"1499","CFrameWnd::OnCreate"}, 
  {"1500","CMDIChildWnd::OnCreate"}, 
  {"1501","CPreviewView::OnCreate"}, 
  {"1502","CPropertyPage::OnCreate"}, 
  {"1503","CPropertySheet::OnCreate"}, 
  {"1504","CTabControl::OnCreate"}, 
  {"1505","CView::OnCreate"}, 
  {"1506","CCmdTarget::OnCreateAggregates"}, 
  {"1507","CFrameWnd::OnCreateClient"}, 
  {"1508","CMDIFrameWnd::OnCreateClient"}, 
  {"1509","CFrameWnd::OnCreateHelper"}, 
  {"1510","CColorDialog::OnCtlColor"}, 
  {"1511","CControlBar::OnCtlColor"}, 
  {"1512","CDialog::OnCtlColor"}, 
  {"1513","CPropertyPage::OnCtlColor"}, 
  {"1514","CPropertySheet::OnCtlColor"}, 
  {"1515","CWnd::OnCtlColor"}, 
  {"1516","CWinApp::OnDDECommand"}, 
  {"1517","CFrameWnd::OnDDEExecute"}, 
  {"1518","CFrameWnd::OnDDEInitiate"}, 
  {"1519","CFrameWnd::OnDDETerminate"}, 
  {"1520","CWnd::OnDeleteItem"}, 
  {"1521","CControlBar::OnDestroy"}, 
  {"1522","CFrameWnd::OnDestroy"}, 
  {"1523","CMDIChildWnd::OnDestroy"}, 
  {"1524","CMDIFrameWnd::OnDestroy"}, 
  {"1525","CView::OnDestroy"}, 
  {"1526","CPreviewView::OnDisplayPageNumber"}, 
  {"1527","CView::OnDragEnter"}, 
  {"1528","CView::OnDragLeave"}, 
  {"1529","CView::OnDragOver"}, 
  {"1530","CEditView::OnDraw"}, 
  {"1531","CFormView::OnDraw"}, 
  {"1532","CPreviewView::OnDraw"}, 
  {"1533","CWnd::OnDrawItem"}, 
  {"1534","CSplitterWnd::OnDrawSplitter"}, 
  {"1535","CView::OnDrop"}, 
  {"1536","CFrameWnd::OnDropFiles"}, 
  {"1537","CEditView::OnEditChange"}, 
  {"1538","CEditView::OnEditClear"}, 
  {"1539","CEditView::OnEditCopy"}, 
  {"1540","CEditView::OnEditCut"}, 
  {"1541","CEditView::OnEditFind"}, 
  {"1542","CEditView::OnEditFindReplace"}, 
  {"1543","CEditView::OnEditPaste"}, 
  {"1544","CEditView::OnEditRepeat"}, 
  {"1545","CEditView::OnEditReplace"}, 
  {"1546","CEditView::OnEditSelectAll"}, 
  {"1547","CEditView::OnEditUndo"}, 
  {"1548","CFrameWnd::OnEnable"}, 
  {"1549","CEditView::OnEndPrinting"}, 
  {"1550","CView::OnEndPrinting"}, 
  {"1551","CView::OnEndPrintPreview"}, 
  {"1552","CFrameWnd::OnEndSession"}, 
  {"1553","CFrameWnd::OnEnterIdle"}, 
  {"1554","CFrameWnd::OnEraseBkgnd"}, 
  {"1555","CPreviewView::OnEraseBkgnd"}, 
  {"1556","CTabControl::OnEraseBkgnd"}, 
  {"1557","CWnd::OnEraseBkgnd"}, 
  {"1558","CDocument::OnFileClose"}, 
  {"1559","CFileDialog::OnFileNameOK"}, 
  {"1560","CWinApp::OnFileNew"}, 
  {"1561","CWinApp::OnFileOpen"}, 
  {"1562","CView::OnFilePrint"}, 
  {"1563","CView::OnFilePrintPreview"}, 
  {"1564","CWinApp::OnFilePrintSetup"}, 
  {"1565","CDocument::OnFileSave"}, 
  {"1566","CDocument::OnFileSaveAs"}, 
  {"1567","CCmdTarget::OnFinalRelease"}, 
  {"1568","CDocument::OnFinalRelease"}, 
  {"1569","CWnd::OnFinalRelease"}, 
  {"1570","CEditView::OnFindNext"}, 
  {"1571","CEditView::OnFindReplaceCmd"}, 
  {"1572","CMiniFrameWnd::OnFloatStatus"}, 
  {"1573","CTabControl::OnGetDlgCode"}, 
  {"1574","CPropertySheet::OnGetFont"}, 
  {"1575","CStatusBar::OnGetFont"}, 
  {"1576","CMiniFrameWnd::OnGetMinMaxInfo"}, 
  {"1577","CMiniFrameWnd::OnGetText"}, 
  {"1578","CStatusBar::OnGetText"}, 
  {"1579","CMiniFrameWnd::OnGetTextLength"}, 
  {"1580","CStatusBar::OnGetTextLength"}, 
  {"1581","CWnd::OnGrayCtlColor"}, 
  {"1582","CFrameWnd::OnHelp"}, 
  {"1583","CWinApp::OnHelp"}, 
  {"1584","CWnd::OnHelp"}, 
  {"1585","CControlBar::OnHelpHitTest"}, 
  {"1586","CDialog::OnHelpHitTest"}, 
  {"1587","CFrameWnd::OnHelpHitTest"}, 
  {"1588","CWinApp::OnHelpIndex"}, 
  {"1589","CWnd::OnHelpIndex"}, 
  {"1590","CWinApp::OnHelpUsing"}, 
  {"1591","CWnd::OnHelpUsing"}, 
  {"1592","CFrameWnd::OnHScroll"}, 
  {"1593","CPreviewView::OnHScroll"}, 
  {"1594","CScrollView::OnHScroll"}, 
  {"1595","CSplitterWnd::OnHScroll"}, 
  {"1596","CWnd::OnHScroll"}, 
  {"1597","CDocTemplate::OnIdle"}, 
  {"1598","CDocument::OnIdle"}, 
  {"1599","CWinApp::OnIdle"}, 
  {"1600","CWinThread::OnIdle"}, 
  {"1601","CControlBar::OnIdleUpdateCmdUI"}, 
  {"1602","CFrameWnd::OnIdleUpdateCmdUI"}, 
  {"1603","CMDIFrameWnd::OnIdleUpdateCmdUI"}, 
  {"1604","CDialog::OnInitDialog"}, 
  {"1605","CControlBar::OnInitialUpdate"}, 
  {"1606","CFormView::OnInitialUpdate"}, 
  {"1607","CView::OnInitialUpdate"}, 
  {"1608","CFrameWnd::OnInitMenuPopup"}, 
  {"1609","CSplitterWnd::OnInvertTracker"}, 
  {"1610","CDockContext::OnKey"}, 
  {"1611","CSplitterWnd::OnKeyDown"}, 
  {"1612","CTabControl::OnKeyDown"}, 
  {"1613","CPropertyPage::OnKillActive"}, 
  {"1614","CTabControl::OnKillFocus"}, 
  {"1615","CFileDialog::OnLBSelChangedNotify"}, 
  {"1616","CSplitterWnd::OnLButtonDblClk"}, 
  {"1617","CControlBar::OnLButtonDown"}, 
  {"1618","CPreviewView::OnLButtonDown"}, 
  {"1619","CSplitterWnd::OnLButtonDown"}, 
  {"1620","CTabControl::OnLButtonDown"}, 
  {"1621","CToolBar::OnLButtonDown"}, 
  {"1622","CMiniFrameWnd::OnLButtonUp"}, 
  {"1623","CSplitterWnd::OnLButtonUp"}, 
  {"1624","CTabControl::OnLButtonUp"}, 
  {"1625","CToolBar::OnLButtonUp"}, 
  {"1626","CMDIChildWnd::OnMDIActivate"}, 
  {"1627","CMDIFrameWnd::OnMDIWindowCmd"}, 
  {"1628","CWnd::OnMeasureItem"}, 
  {"1629","CFrameWnd::OnMenuSelect"}, 
  {"1630","CControlBar::OnMouseActivate"}, 
  {"1631","CView::OnMouseActivate"}, 
  {"1632","CMiniFrameWnd::OnMouseMove"}, 
  {"1633","CSplitterWnd::OnMouseMove"}, 
  {"1634","CTabControl::OnMouseMove"}, 
  {"1635","CToolBar::OnMouseMove"}, 
  {"1636","CFrameWnd::OnNcActivate"}, 
  {"1637","CMDIChildWnd::OnNcActivate"}, 
  {"1638","CMiniFrameWnd::OnNcActivate"}, 
  {"1639","CDockBar::OnNcCalcSize"}, 
  {"1640","CMiniFrameWnd::OnNcCalcSize"}, 
  {"1641","CMDIChildWnd::OnNcCreate"}, 
  {"1642","CMiniFrameWnd::OnNcCreate"}, 
  {"1643","CPropertyPage::OnNcCreate"}, 
  {"1644","CSplitterWnd::OnNcCreate"}, 
  {"1645","CWnd::OnNcDestroy"}, 
  {"1646","CMiniFrameWnd::OnNcHitTest"}, 
  {"1647","CStatusBar::OnNcHitTest"}, 
  {"1648","CMiniDockFrameWnd::OnNcLButtonDown"}, 
  {"1649","CMiniFrameWnd::OnNcLButtonDown"}, 
  {"1650","CDockBar::OnNcPaint"}, 
  {"1651","CMiniFrameWnd::OnNcPaint"}, 
  {"1652","CDocument::OnNewDocument"}, 
  {"1653","CPreviewView::OnNextPage"}, 
  {"1654","CView::OnNextPaneCmd"}, 
  {"1655","CSplitterWnd::OnNotify"}, 
  {"1656","CWnd::OnNotify"}, 
  {"1657","CWnd::OnNTCtlColor"}, 
  {"1658","CPreviewView::OnNumPageChange"}, 
  {"1659","CCommonDialog::OnOK"}, 
  {"1660","CDialog::OnOK"}, 
  {"1661","CPropertyPage::OnOK"}, 
  {"1662","CPropertySheet::OnOK"}, 
  {"1663","CDocument::OnOpenDocument"}, 
  {"1664","CWinApp::OnOpenRecentFile"}, 
  {"1665","CControlBar::OnPaint"}, 
  {"1666","CDockBar::OnPaint"}, 
  {"1667","CEditView::OnPaint"}, 
  {"1668","CPropertySheet::OnPaint"}, 
  {"1669","CSplitterWnd::OnPaint"}, 
  {"1670","CTabControl::OnPaint"}, 
  {"1671","CView::OnPaint"}, 
  {"1672","CWnd::OnParentNotify"}, 
  {"1673","CEditView::OnPrepareDC"}, 
  {"1674","CPreviewView::OnPrepareDC"}, 
  {"1675","CScrollView::OnPrepareDC"}, 
  {"1676","CView::OnPrepareDC"}, 
  {"1677","CEditView::OnPreparePrinting"}, 
  {"1678","CView::OnPreparePrinting"}, 
  {"1679","CPreviewView::OnPreviewClose"}, 
  {"1680","CPreviewView::OnPreviewPrint"}, 
  {"1681","CPreviewView::OnPrevPage"}, 
  {"1682","CEditView::OnPrint"}, 
  {"1683","CView::OnPrint"}, 
  {"1684","CPrintDialog::OnPrintSetup"}, 
  {"1685","CWnd::OnQuery3dControls"}, 
  {"1686","CMiniFrameWnd::OnQueryCenterWnd"}, 
  {"1687","CFrameWnd::OnQueryEndSession"}, 
  {"1688","CEditView::OnReplaceAll"}, 
  {"1689","CEditView::OnReplaceSel"}, 
  {"1690","CDocument::OnSaveDocument"}, 
  {"1691","CScrollView::OnScroll"}, 
  {"1692","CView::OnScroll"}, 
  {"1693","CScrollView::OnScrollBy"}, 
  {"1694","CView::OnScrollBy"}, 
  {"1695","CPropertyPage::OnSetActive"}, 
  {"1696","CFrameWnd::OnSetCursor"}, 
  {"1697","CPreviewView::OnSetCursor"}, 
  {"1698","CSplitterWnd::OnSetCursor"}, 
  {"1699","CWnd::OnSetCursor"}, 
  {"1700","CFormView::OnSetFocus"}, 
  {"1701","CFrameWnd::OnSetFocus"}, 
  {"1702","CPropertySheet::OnSetFocus"}, 
  {"1703","CTabControl::OnSetFocus"}, 
  {"1704","CDialog::OnSetFont"}, 
  {"1705","CEditView::OnSetFont"}, 
  {"1706","CStatusBar::OnSetFont"}, 
  {"1707","CFrameWnd::OnSetMessageString"}, 
  {"1708","CFrameWnd::OnSetPreviewMode"}, 
  {"1709","CMiniFrameWnd::OnSetText"}, 
  {"1710","CStatusBar::OnSetText"}, 
  {"1711","CFileDialog::OnShareViolation"}, 
  {"1712","CControlBar::OnShowWindow"}, 
  {"1713","CFrameWnd::OnSize"}, 
  {"1714","CMDIChildWnd::OnSize"}, 
  {"1715","CMDIFrameWnd::OnSize"}, 
  {"1716","CPreviewView::OnSize"}, 
  {"1717","CScrollView::OnSize"}, 
  {"1718","CSplitterWnd::OnSize"}, 
  {"1719","CStatusBar::OnSize"}, 
  {"1720","CTabControl::OnSize"}, 
  {"1721","CControlBar::OnSizeParent"}, 
  {"1722","CDockBar::OnSizeParent"}, 
  {"1723","CStatusBar::OnSizeParent"}, 
  {"1724","CView::OnSplitCmd"}, 
  {"1725","CToolBar::OnSysColorChange"}, 
  {"1726","CWnd::OnSysColorChange"}, 
  {"1727","CFrameWnd::OnSysCommand"}, 
  {"1728","CMiniFrameWnd::OnSysCommand"}, 
  {"1729","CSplitterWnd::OnSysCommand"}, 
  {"1730","CStatusBar::OnSysCommand"}, 
  {"1731","CPropertySheet::OnTabChanged"}, 
  {"1732","CPropertySheet::OnTabChanging"}, 
  {"1733","CEditView::OnTextNotFound"}, 
  {"1734","CControlBar::OnTimer"}, 
  {"1735","CTabControl::OnTimer"}, 
  {"1736","CFrameWnd::OnToolTipText"}, 
  {"1737","CView::OnUpdate"}, 
  {"1738","CDialogBar::OnUpdateCmdUI"}, 
  {"1739","CDockBar::OnUpdateCmdUI"}, 
  {"1740","CStatusBar::OnUpdateCmdUI"}, 
  {"1741","CToolBar::OnUpdateCmdUI"}, 
  {"1742","CFrameWnd::OnUpdateContextHelp"}, 
  {"1743","CFrameWnd::OnUpdateControlBarMenu"}, 
  {"1744","CEditView::OnUpdateEditUndo"}, 
  {"1745","CFrameWnd::OnUpdateFrameMenu"}, 
  {"1746","CMDIChildWnd::OnUpdateFrameMenu"}, 
  {"1747","CMDIFrameWnd::OnUpdateFrameMenu"}, 
  {"1748","CFrameWnd::OnUpdateFrameTitle"}, 
  {"1749","CMDIChildWnd::OnUpdateFrameTitle"}, 
  {"1750","CMDIFrameWnd::OnUpdateFrameTitle"}, 
  {"1751","CFrameWnd::OnUpdateKeyIndicator"}, 
  {"1752","CMDIFrameWnd::OnUpdateMDIWindowCmd"}, 
  {"1753","CEditView::OnUpdateNeedClip"}, 
  {"1754","CEditView::OnUpdateNeedFind"}, 
  {"1755","CEditView::OnUpdateNeedSel"}, 
  {"1756","CEditView::OnUpdateNeedText"}, 
  {"1757","CPreviewView::OnUpdateNextPage"}, 
  {"1758","CView::OnUpdateNextPaneMenu"}, 
  {"1759","CPreviewView::OnUpdateNumPageChange"}, 
  {"1760","CPreviewView::OnUpdatePrevPage"}, 
  {"1761","CWinApp::OnUpdateRecentFileMenu"}, 
  {"1762","CView::OnUpdateSplitCmd"}, 
  {"1763","CPreviewView::OnUpdateZoomIn"}, 
  {"1764","CPreviewView::OnUpdateZoomOut"}, 
  {"1765","CFrameWnd::OnVScroll"}, 
  {"1766","CPreviewView::OnVScroll"}, 
  {"1767","CScrollView::OnVScroll"}, 
  {"1768","CSplitterWnd::OnVScroll"}, 
  {"1769","CWnd::OnVScroll"}, 
  {"1770","CMDIFrameWnd::OnWindowNew"}, 
  {"1771","CControlBar::OnWindowPosChanging"}, 
  {"1772","CDockBar::OnWindowPosChanging"}, 
  {"1773","CMDIChildWnd::OnWindowPosChanging"}, 
  {"1774","CWnd::OnWinIniChange"}, 
  {"1775","CPreviewView::OnZoomIn"}, 
  {"1776","CPreviewView::OnZoomOut"}, 
  {"1777","CFile::Open"}, 
  {"1778","CStdioFile::Open"}, 
  {"1779","CMultiDocTemplate::OpenDocumentFile"}, 
  {"1780","CSingleDocTemplate::OpenDocumentFile"}, 
  {"1781","CWinApp::OpenDocumentFile"}, 
  {"1782","CFileException::OsErrorToException"}, 
  {"1783","CDumpContext::OutputString"}, 
  {"1784","CPropertySheet::PageChanged"}, 
  {"1785","CEditView::PaginateTo"}, 
  {"1786","CDC::PlayMetaFile"}, 
  {"1787","CDC::PolyBezierTo"}, 
  {"1788","CDC::PolyDraw"}, 
  {"1789","CDC::PolylineTo"}, 
  {"1790","CPreviewView::PositionPage"}, 
  {"1791","CDialog::PostModal"}, 
  {"1792","CControlBar::PostNcDestroy"}, 
  {"1793","CFindReplaceDialog::PostNcDestroy"}, 
  {"1794","CFrameWnd::PostNcDestroy"}, 
  {"1795","CView::PostNcDestroy"}, 
  {"1796","CWnd::PostNcDestroy"}, 
  {"1797","CDocument::PreCloseFrame"}, 
  {"1798","CControlBar::PreCreateWindow"}, 
  {"1799","CEditView::PreCreateWindow"}, 
  {"1800","CFrameWnd::PreCreateWindow"}, 
  {"1801","CMDIChildWnd::PreCreateWindow"}, 
  {"1802","CMDIFrameWnd::PreCreateWindow"}, 
  {"1803","CMiniFrameWnd::PreCreateWindow"}, 
  {"1804","CStatusBar::PreCreateWindow"}, 
  {"1805","CView::PreCreateWindow"}, 
  {"1806","CWnd::PreCreateWindow"}, 
  {"1807","CDialog::PreModal"}, 
  {"1808","CDataExchange::PrepareCtrl"}, 
  {"1809","CToolBar::PrepareDrawButton"}, 
  {"1810","CDataExchange::PrepareEditCtrl"}, 
  {"1811","CWnd::PreTranslateInput"}, 
  {"1812","CPropertyPage::PreTranslateKeyDown"}, 
  {"1813","CControlBar::PreTranslateMessage"}, 
  {"1814","CDialog::PreTranslateMessage"}, 
  {"1815","CFormView::PreTranslateMessage"}, 
  {"1816","CFrameWnd::PreTranslateMessage"}, 
  {"1817","CMDIChildWnd::PreTranslateMessage"}, 
  {"1818","CMDIFrameWnd::PreTranslateMessage"}, 
  {"1819","CPropertyPage::PreTranslateMessage"}, 
  {"1820","CPropertySheet::PreTranslateMessage"}, 
  {"1821","CWinApp::PreTranslateMessage"}, 
  {"1822","CWinThread::PreTranslateMessage"}, 
  {"1823","CWnd::PreTranslateMessage"}, 
  {"1824","CPreviewDC::PrinterDPtoScreenDP"}, 
  {"1825","CEditView::PrintInsideRect"}, 
  {"1826","CPropertySheet::ProcessChars"}, 
  {"1827","CFrameWnd::ProcessHelpMsg"}, 
  {"1828","CWinApp::ProcessMessageFilter"}, 
  {"1829","CWinThread::ProcessMessageFilter"}, 
  {"1830","CPropertyPage::ProcessTab"}, 
  {"1831","CPropertySheet::ProcessTab"}, 
  {"1832","CWinApp::ProcessWndProcException"}, 
  {"1833","CWinThread::ProcessWndProcException"}, 
  {"1834","CDC::PtVisible"}, 
  {"1835","CMetaFileDC::PtVisible"}, 
  {"1836","CPropertySheet::PumpMessage"}, 
  {"1837","CWinThread::PumpMessage"}, 
  {"1838","CArchive::Read"}, 
  {"1839","CFile::Read"}, 
  {"1840","CMemFile::Read"}, 
  {"1841","CStdioFile::Read"}, 
  {"1842","CEditView::ReadFromArchive"}, 
  {"1843","CRecentFileList::ReadList"}, 
  {"1844","CArchive::ReadObject"}, 
  {"1845","CStdioFile::ReadString"}, 
  {"1846","CMemFile::Realloc"}, 
  {"1847","CSharedFile::Realloc"}, 
  {"1848","CControlBar::RecalcDelayShow"}, 
  {"1849","CFrameWnd::RecalcLayout"}, 
  {"1850","CMiniDockFrameWnd::RecalcLayout"}, 
  {"1851","CPropertySheet::RecalcLayout"}, 
  {"1852","CSplitterWnd::RecalcLayout"}, 
  {"1853","CFrameWnd::rectDefault"}, 
  {"1854","CDC::RectVisible"}, 
  {"1855","CMetaFileDC::RectVisible"}, 
  {"1856","CWinApp::RegisterShellFileTypes"}, 
  {"1857","CDC::ReleaseAttribDC"}, 
  {"1858","CString::ReleaseBuffer"}, 
  {"1859","CDC::ReleaseOutputDC"}, 
  {"1860","CMetaFileDC::ReleaseOutputDC"}, 
  {"1861","CPreviewDC::ReleaseOutputDC"}, 
  {"1862","CFile::Remove"}, 
  {"1863","CMapPtrToPtr::RemoveAll"}, 
  {"1864","CMapPtrToWord::RemoveAll"}, 
  {"1865","CMapStringToOb::RemoveAll"}, 
  {"1866","CMapStringToPtr::RemoveAll"}, 
  {"1867","CMapStringToString::RemoveAll"}, 
  {"1868","CMapWordToOb::RemoveAll"}, 
  {"1869","CMapWordToPtr::RemoveAll"}, 
  {"1870","CObList::RemoveAll"}, 
  {"1871","CPtrList::RemoveAll"}, 
  {"1872","CStringList::RemoveAll"}, 
  {"1873","CByteArray::RemoveAt"}, 
  {"1874","CDWordArray::RemoveAt"}, 
  {"1875","CObArray::RemoveAt"}, 
  {"1876","CObList::RemoveAt"}, 
  {"1877","CPtrArray::RemoveAt"}, 
  {"1878","CPtrList::RemoveAt"}, 
  {"1879","CStringArray::RemoveAt"}, 
  {"1880","CStringList::RemoveAt"}, 
  {"1881","CUIntArray::RemoveAt"}, 
  {"1882","CWordArray::RemoveAt"}, 
  {"1883","CDockBar::RemoveControlBar"}, 
  {"1884","CFrameWnd::RemoveControlBar"}, 
  {"1885","CDocTemplate::RemoveDocument"}, 
  {"1886","CMultiDocTemplate::RemoveDocument"}, 
  {"1887","CSingleDocTemplate::RemoveDocument"}, 
  {"1888","CFrameWnd::RemoveFrameWnd"}, 
  {"1889","CObList::RemoveHead"}, 
  {"1890","CPtrList::RemoveHead"}, 
  {"1891","CStringList::RemoveHead"}, 
  {"1892","CMapPtrToPtr::RemoveKey"}, 
  {"1893","CMapPtrToWord::RemoveKey"}, 
  {"1894","CMapStringToOb::RemoveKey"}, 
  {"1895","CMapStringToPtr::RemoveKey"}, 
  {"1896","CMapStringToString::RemoveKey"}, 
  {"1897","CMapWordToOb::RemoveKey"}, 
  {"1898","CMapWordToPtr::RemoveKey"}, 
  {"1899","CPropertySheet::RemovePage"}, 
  {"1900","CPropertySheet::RemovePage"}, 
  {"1901","CTabControl::RemoveTab"}, 
  {"1902","CObList::RemoveTail"}, 
  {"1903","CPtrList::RemoveTail"}, 
  {"1904","CStringList::RemoveTail"}, 
  {"1905","CDocument::RemoveView"}, 
  {"1906","CFile::Rename"}, 
  {"1907","CDocument::ReportSaveLoadException"}, 
  {"1908","CWnd::RepositionBars"}, 
  {"1909","CScrollView::ResizeParentToFit"}, 
  {"1910","CDC::RestoreDC"}, 
  {"1911","CPreviewDC::RestoreDC"}, 
  {"1912","CCmdTarget::RestoreWaitCursor"}, 
  {"1913","CString::ReverseFind"}, 
  {"1914","CString::Right"}, 
  {"1915","CWinApp::Run"}, 
  {"1916","CWinThread::Run"}, 
  {"1917","CString::SafeDelete"}, 
  {"1918","CEditView::SameAsSelected"}, 
  {"1919","CDocTemplate::SaveAllModified"}, 
  {"1920","CWinApp::SaveAllModified"}, 
  {"1921","CFrameWnd::SaveBarState"}, 
  {"1922","CDC::SaveDC"}, 
  {"1923","CPreviewDC::SaveDC"}, 
  {"1924","CFormView::SaveFocusControl"}, 
  {"1925","CDocument::SaveModified"}, 
  {"1926","CDockState::SaveState"}, 
  {"1927","CWinApp::SaveStdProfileSettings"}, 
  {"1928","CDC::ScaleViewportExt"}, 
  {"1929","CMetaFileDC::ScaleViewportExt"}, 
  {"1930","CPreviewDC::ScaleViewportExt"}, 
  {"1931","CDC::ScaleWindowExt"}, 
  {"1932","CPreviewDC::ScaleWindowExt"}, 
  {"1933","CTabControl::Scroll"}, 
  {"1934","CTabControl::ScrollIntoView"}, 
  {"1935","CScrollView::ScrollToDevicePosition"}, 
  {"1936","CScrollView::ScrollToPosition"}, 
  {"1937","CFile::Seek"}, 
  {"1938","CMemFile::Seek"}, 
  {"1939","CStdioFile::Seek"}, 
  {"1940","CDC::SelectClipPath"}, 
  {"1941","CDC::SelectClipRgn"}, 
  {"1942","CDC::SelectClipRgn"}, 
  {"1943","protected: static CDC::SelectGdiObject"}, 
  {"1944","CDC::SelectObject"}, 
  {"1945","CDC::SelectObject"}, 
  {"1946","CDC::SelectObject"}, 
  {"1947","CDC::SelectObject"}, 
  {"1948","CPreviewDC::SelectObject"}, 
  {"1949","CDC::SelectPalette"}, 
  {"1950","CDC::SelectStockObject"}, 
  {"1951","CPreviewDC::SelectStockObject"}, 
  {"1952","CWnd::SendChildNotifyLastMsg"}, 
  {"1953","CDocument::SendInitialUpdate"}, 
  {"1954","CWnd::SendMessageToDescendants"}, 
  {"1955","CByteArray::Serialize"}, 
  {"1956","CDockState::Serialize"}, 
  {"1957","CDWordArray::Serialize"}, 
  {"1958","CEditView::Serialize"}, 
  {"1959","CMapStringToOb::Serialize"}, 
  {"1960","CMapStringToString::Serialize"}, 
  {"1961","CMapWordToOb::Serialize"}, 
  {"1962","CObArray::Serialize"}, 
  {"1963","CObject::Serialize"}, 
  {"1964","CObList::Serialize"}, 
  {"1965","CStringArray::Serialize"}, 
  {"1966","CStringList::Serialize"}, 
  {"1967","CWordArray::Serialize"}, 
  {"1968","SerializeElements"}, 
  {"1969","CEditView::SerializeRaw"}, 
  {"1970","CPropertySheet::SetActivePage"}, 
  {"1971","CSplitterWnd::SetActivePane"}, 
  {"1972","CFrameWnd::SetActiveView"}, 
  {"1973","CDC::SetArcDirection"}, 
  {"1974","CByteArray::SetAtGrow"}, 
  {"1975","CDWordArray::SetAtGrow"}, 
  {"1976","CObArray::SetAtGrow"}, 
  {"1977","CPtrArray::SetAtGrow"}, 
  {"1978","CStringArray::SetAtGrow"}, 
  {"1979","CUIntArray::SetAtGrow"}, 
  {"1980","CWordArray::SetAtGrow"}, 
  {"1981","CDC::SetAttribDC"}, 
  {"1982","CMetaFileDC::SetAttribDC"}, 
  {"1983","CPreviewDC::SetAttribDC"}, 
  {"1984","CDC::SetBkColor"}, 
  {"1985","CPreviewDC::SetBkColor"}, 
  {"1986","CDC::SetBkMode"}, 
  {"1987","CToolBar::SetButtonInfo"}, 
  {"1988","CToolBar::SetButtons"}, 
  {"1989","CCmdUI::SetCheck"}, 
  {"1990","CStatusCmdUI::SetCheck"}, 
  {"1991","CTestCmdUI::SetCheck"}, 
  {"1992","CToolCmdUI::SetCheck"}, 
  {"1993","CDC::SetColorAdjustment"}, 
  {"1994","CSplitterWnd::SetColumnInfo"}, 
  {"1995","CDocTemplate::SetContainerInfo"}, 
  {"1996","CColorDialog::SetCurrentColor"}, 
  {"1997","CWinApp::SetCurrentHandles"}, 
  {"1998","CPreviewView::SetCurrentPage"}, 
  {"1999","CTabControl::SetCurSel"}, 
  {"2000","CRectTracker::SetCursor"}, 
  {"2001","CMultiDocTemplate::SetDefaultTitle"}, 
  {"2002","CSingleDocTemplate::SetDefaultTitle"}, 
  {"2003","CWinApp::SetDialogBkColor"}, 
  {"2004","CFrameWnd::SetDockState"}, 
  {"2005","CTabControl::SetFirstTab"}, 
  {"2006","CSharedFile::SetHandle"}, 
  {"2007","CToolBar::SetHeight"}, 
  {"2008","CFrameWnd::SetHelpCapture"}, 
  {"2009","CStatusBar::SetIndicators"}, 
  {"2010","CFile::SetLength"}, 
  {"2011","CMemFile::SetLength"}, 
  {"2012","CDC::SetMapMode"}, 
  {"2013","CPreviewDC::SetMapMode"}, 
  {"2014","CDC::SetMapperFlags"}, 
  {"2015","CFrameWnd::SetMessageText"}, 
  {"2016","CFrameWnd::SetMessageText"}, 
  {"2017","CPropertyPage::SetModified"}, 
  {"2018","CDC::SetOutputDC"}, 
  {"2019","CMetaFileDC::SetOutputDC"}, 
  {"2020","CPreviewDC::SetOutputDC"}, 
  {"2021","CStatusBar::SetPaneInfo"}, 
  {"2022","CStatusBar::SetPaneText"}, 
  {"2023","CDocument::SetPathName"}, 
  {"2024","CDC::SetPolyFillMode"}, 
  {"2025","CEditView::SetPrinterFont"}, 
  {"2026","CPreviewView::SetPrintView"}, 
  {"2027","CCmdUI::SetRadio"}, 
  {"2028","CTestCmdUI::SetRadio"}, 
  {"2029","CWinApp::SetRegistryKey"}, 
  {"2030","CWinApp::SetRegistryKey"}, 
  {"2031","CDC::SetROP2"}, 
  {"2032","CSplitterWnd::SetRowInfo"}, 
  {"2033","CPreviewView::SetScaledSize"}, 
  {"2034","CPreviewDC::SetScaleRatio"}, 
  {"2035","CScrollView::SetScaleToFitSize"}, 
  {"2036","CWnd::SetScrollInfo"}, 
  {"2037","CWnd::SetScrollPos"}, 
  {"2038","CWnd::SetScrollRange"}, 
  {"2039","CScrollView::SetScrollSizes"}, 
  {"2040","CSplitterWnd::SetScrollStyle"}, 
  {"2041","CDocTemplate::SetServerInfo"}, 
  {"2042","CByteArray::SetSize"}, 
  {"2043","CDWordArray::SetSize"}, 
  {"2044","CObArray::SetSize"}, 
  {"2045","CPtrArray::SetSize"}, 
  {"2046","CStringArray::SetSize"}, 
  {"2047","CUIntArray::SetSize"}, 
  {"2048","CWordArray::SetSize"}, 
  {"2049","CToolBar::SetSizes"}, 
  {"2050","CSplitterWnd::SetSplitCursor"}, 
  {"2051","CFile::SetStatus"}, 
  {"2052","CDC::SetStretchBltMode"}, 
  {"2053","CEditView::SetTabStops"}, 
  {"2054","CCmdUI::SetText"}, 
  {"2055","CStatusCmdUI::SetText"}, 
  {"2056","CTestCmdUI::SetText"}, 
  {"2057","CToolCmdUI::SetText"}, 
  {"2058","CDC::SetTextAlign"}, 
  {"2059","CDC::SetTextCharacterExtra"}, 
  {"2060","CDC::SetTextColor"}, 
  {"2061","CPreviewDC::SetTextColor"}, 
  {"2062","CDC::SetTextJustification"}, 
  {"2063","CDocument::SetTitle"}, 
  {"2064","CPreviewDC::SetTopLeftOffset"}, 
  {"2065","CDC::SetViewportExt"}, 
  {"2066","CMetaFileDC::SetViewportExt"}, 
  {"2067","CPreviewDC::SetViewportExt"}, 
  {"2068","CDC::SetViewportOrg"}, 
  {"2069","CMetaFileDC::SetViewportOrg"}, 
  {"2070","CPreviewDC::SetViewportOrg"}, 
  {"2071","CDC::SetWindowExt"}, 
  {"2072","CPreviewDC::SetWindowExt"}, 
  {"2073","CDC::SetWindowOrg"}, 
  {"2074","CPreviewView::SetZoomState"}, 
  {"2075","CDockBar::ShowAll"}, 
  {"2076","CFrameWnd::ShowControlBar"}, 
  {"2077","CFrameWnd::ShowOwnedWindows"}, 
  {"2078","CControlBar::ShowToolTip"}, 
  {"2079","CScrollView::sizeDefault"}, 
  {"2080","CBitmapButton::SizeToContent"}, 
  {"2081","CString::SpanExcluding"}, 
  {"2082","CString::SpanIncluding"}, 
  {"2083","CSplitterWnd::SplitColumn"}, 
  {"2084","CSplitterWnd::SplitRow"}, 
  {"2085","CDC::StartDocA"}, 
  {"2086","CDockContext::StartDrag"}, 
  {"2087","CSplitterWnd::StartTracking"}, 
  {"2088","CSplitterWnd::StopTracking"}, 
  {"2089","CRuntimeClass::Store"}, 
  {"2090","CWnd::SubclassCtl3d"}, 
  {"2091","CWnd::SubclassDlg3d"}, 
  {"2092","CWnd::SubclassDlgItem"}, 
  {"2093","CWnd::SubclassWindow"}, 
  {"2094","CDC::TabbedTextOutA"}, 
  {"2095","CMetaFileDC::TabbedTextOutA"}, 
  {"2096","CPreviewDC::TabbedTextOutA"}, 
  {"2097","CTabControl::TabFromPoint"}, 
  {"2098","CDC::TextOutA"}, 
  {"2099","CMetaFileDC::TextOutA"}, 
  {"2100","CPreviewDC::TextOutA"}, 
  {"2101","CFileException::ThrowErrno"}, 
  {"2102","CFileException::ThrowOsError"}, 
  {"2103","CDockContext::Track"}, 
  {"2104","CRectTracker::Track"}, 
  {"2105","CSplitterWnd::TrackColumnSize"}, 
  {"2106","CRectTracker::TrackHandle"}, 
  {"2107","CMenu::TrackPopupMenu"}, 
  {"2108","CSplitterWnd::TrackRowSize"}, 
  {"2109","CRectTracker::TrackRubberBand"}, 
  {"2110","CEditView::UnlockBuffer"}, 
  {"2111","CFile::UnlockRange"}, 
  {"2112","CMemFile::UnlockRange"}, 
  {"2113","CStdioFile::UnlockRange"}, 
  {"2114","CDocument::UpdateAllViews"}, 
  {"2115","CScrollView::UpdateBars"}, 
  {"2116","CToolBar::UpdateButton"}, 
  {"2117","CMDIChildWnd::UpdateClientEdge"}, 
  {"2118","CWnd::UpdateData"}, 
  {"2119","CWnd::UpdateDialogControls"}, 
  {"2120","CDocument::UpdateFrameCounts"}, 
  {"2121","CFrameWnd::UpdateFrameTitleForDocument"}, 
  {"2122","CRecentFileList::UpdateMenu"}, 
  {"2123","CWinApp::UpdatePrinterSelection"}, 
  {"2124","CDockContext::UpdateState"}, 
  {"2125","CWnd::WalkPreTranslateTree"}, 
  {"2126","CControlBar::WindowProc"}, 
  {"2127","CWnd::WindowProc"}, 
  {"2128","CWinApp::WinHelpA"}, 
  {"2129","CWnd::WinHelpA"}, 
  {"2130","CWnd::wndBottom"}, 
  {"2131","CWnd::wndNoTopMost"}, 
  {"2132","CWnd::wndTop"}, 
  {"2133","CWnd::wndTopMost"}, 
  {"2134","CArchive::Write"}, 
  {"2135","CFile::Write"}, 
  {"2136","CMemFile::Write"}, 
  {"2137","CStdioFile::Write"}, 
  {"2138","CRecentFileList::WriteList"}, 
  {"2139","CArchive::WriteObject"}, 
  {"2140","CWinApp::WriteProfileInt"}, 
  {"2141","CWinApp::WriteProfileStringA"}, 
  {"2142","CStdioFile::WriteString"}, 
  {"2143","CEditView::WriteToArchive"}, 
  {"2144","_afx_version"}, 
  {"2145","afxChNil"}, 
  {"2146","WinMain"}, 
  {"268","AFX_CLASSINIT::AFX_CLASSINIT"}, 
  {"269","AFX_EXCEPTION_LINK::AFX_EXCEPTION_LINK"}, 
  {"270","AFX_MODULE_STATE::AFX_MODULE_STATE"}, 
  {"271","CArchive::CArchive"}, 
  {"272","CBitmap::CBitmap"}, 
  {"273","CBitmapButton::CBitmapButton"}, 
  {"274","CBrush::CBrush"}, 
  {"275","CBrush::CBrush"}, 
  {"276","CBrush::CBrush"}, 
  {"277","CBrush::CBrush"}, 
  {"278","CButton::CButton"}, 
  {"279","CByteArray::CByteArray"}, 
  {"280","CClientDC::CClientDC"}, 
  {"281","CCmdTarget::CCmdTarget"}, 
  {"282","CCmdUI::CCmdUI"}, 
  {"283","CColorDialog::CColorDialog"}, 
  {"284","CComboBox::CComboBox"}, 
  {"285","CControlBar::CControlBar"}, 
  {"286","CDataExchange::CDataExchange"}, 
  {"287","CDC::CDC"}, 
  {"288","CDialog::CDialog"}, 
  {"289","CDialog::CDialog"}, 
  {"290","CDialog::CDialog"}, 
  {"291","CDialogBar::CDialogBar"}, 
  {"292","CDockBar::CDockBar"}, 
  {"293","CDockContext::CDockContext"}, 
  {"294","CDocTemplate::CDocTemplate"}, 
  {"295","CDocument::CDocument"}, 
  {"296","CDumpContext::CDumpContext"}, 
  {"297","CDWordArray::CDWordArray"}, 
  {"298","CDynLinkLibrary::CDynLinkLibrary"}, 
  {"299","CEdit::CEdit"}, 
  {"300","CEditView::CEditView"}, 
  {"301","CException::CException"}, 
  {"302","CException::CException"}, 
  {"303","CFile::CFile"}, 
  {"304","CFile::CFile"}, 
  {"305","CFile::CFile"}, 
  {"306","CFileDialog::CFileDialog"}, 
  {"307","CFindReplaceDialog::CFindReplaceDialog"}, 
  {"308","CFont::CFont"}, 
  {"309","CFontDialog::CFontDialog"}, 
  {"310","CFormView::CFormView"}, 
  {"311","CFormView::CFormView"}, 
  {"312","CFrameWnd::CFrameWnd"}, 
  {"313","CListBox::CListBox"}, 
  {"314","CMapPtrToPtr::CMapPtrToPtr"}, 
  {"315","CMapPtrToWord::CMapPtrToWord"}, 
  {"316","CMapStringToOb::CMapStringToOb"}, 
  {"317","CMapStringToPtr::CMapStringToPtr"}, 
  {"318","CMapStringToString::CMapStringToString"}, 
  {"319","CMapWordToOb::CMapWordToOb"}, 
  {"320","CMapWordToPtr::CMapWordToPtr"}, 
  {"321","CMDIChildWnd::CMDIChildWnd"}, 
  {"322","CMDIFrameWnd::CMDIFrameWnd"}, 
  {"323","CMemFile::CMemFile"}, 
  {"324","CMenu::CMenu"}, 
  {"325","CMetaFileDC::CMetaFileDC"}, 
  {"326","CMiniDockFrameWnd::CMiniDockFrameWnd"}, 
  {"327","CMiniFrameWnd::CMiniFrameWnd"}, 
  {"328","CMultiDocTemplate::CMultiDocTemplate"}, 
  {"329","CObArray::CObArray"}, 
  {"330","CObList::CObList"}, 
  {"331","CPaintDC::CPaintDC"}, 
  {"332","CPalette::CPalette"}, 
  {"333","CPen::CPen"}, 
  {"334","CPen::CPen"}, 
  {"335","CPen::CPen"}, 
  {"336","CPoint::CPoint"}, 
  {"337","CPoint::CPoint"}, 
  {"338","CPreviewDC::CPreviewDC"}, 
  {"339","CPreviewView::CPreviewView"}, 
  {"340","CPrintDialog::CPrintDialog"}, 
  {"341","CPrintDialog::CPrintDialog"}, 
  {"342","CPrintInfo::CPrintInfo"}, 
  {"343","CPrintPreviewState::CPrintPreviewState"}, 
  {"344","CPropertyPage::CPropertyPage"}, 
  {"345","CPropertyPage::CPropertyPage"}, 
  {"346","CPropertySheet::CPropertySheet"}, 
  {"347","CPropertySheet::CPropertySheet"}, 
  {"348","CPtrArray::CPtrArray"}, 
  {"349","CPtrList::CPtrList"}, 
  {"350","CRecentFileList::CRecentFileList"}, 
  {"351","CRectTracker::CRectTracker"}, 
  {"352","CRectTracker::CRectTracker"}, 
  {"353","CRgn::CRgn"}, 
  {"354","CScrollBar::CScrollBar"}, 
  {"355","CScrollView::CScrollView"}, 
  {"356","CSharedFile::CSharedFile"}, 
  {"357","CSingleDocTemplate::CSingleDocTemplate"}, 
  {"358","CSplitterWnd::CSplitterWnd"}, 
  {"359","CStatic::CStatic"}, 
  {"360","CStatusBar::CStatusBar"}, 
  {"361","CStdioFile::CStdioFile"}, 
  {"362","CStdioFile::CStdioFile"}, 
  {"363","CStdioFile::CStdioFile"}, 
  {"364","CString::CString"}, 
  {"365","CString::CString"}, 
  {"366","CString::CString"}, 
  {"367","CString::CString"}, 
  {"368","CString::CString"}, 
  {"369","CString::CString"}, 
  {"370","CStringArray::CStringArray"}, 
  {"371","CStringList::CStringList"}, 
  {"372","CTabControl::CTabControl"}, 
  {"373","CTabItem::CTabItem"}, 
  {"374","CTestCmdUI::CTestCmdUI"}, 
  {"375","CTime::CTime"}, 
  {"376","CTime::CTime"}, 
  {"377","CTime::CTime"}, 
  {"378","CTime::CTime"}, 
  {"379","CTime::CTime"}, 
  {"380","CTimeSpan::CTimeSpan"}, 
  {"381","CToolBar::CToolBar"}, 
  {"382","CUIntArray::CUIntArray"}, 
  {"383","CView::CView"}, 
  {"384","CWinApp::CWinApp"}, 
  {"385","CWindowDC::CWindowDC"}, 
  {"386","CWinThread::CWinThread"}, 
  {"387","CWinThread::CWinThread"}, 
  {"388","CWnd::CWnd"}, 
  {"389","CWnd::CWnd"}, 
  {"390","CWordArray::CWordArray"}, 
  {"391","CPreviewView::PAGE_INFO::PAGE_INFO"}, 
  {"392","AFX_MODULE_STATE::~AFX_MODULE_STATE"}, 
  {"393","CArchive::~CArchive"}, 
  {"394","CBitmap::~CBitmap"}, 
  {"395","CBitmapButton::~CBitmapButton"}, 
  {"396","CBrush::~CBrush"}, 
  {"397","CButton::~CButton"}, 
  {"398","CByteArray::~CByteArray"}, 
  {"399","CClientDC::~CClientDC"}, 
  {"400","CCmdTarget::~CCmdTarget"}, 
  {"401","CComboBox::~CComboBox"}, 
  {"402","CCommonDialog::~CCommonDialog"}, 
  {"403","CControlBar::~CControlBar"}, 
  {"404","CDC::~CDC"}, 
  {"405","CDialog::~CDialog"}, 
  {"406","CDialogBar::~CDialogBar"}, 
  {"407","CDockBar::~CDockBar"}, 
  {"408","CDockState::~CDockState"}, 
  {"409","CDocTemplate::~CDocTemplate"}, 
  {"410","CDocument::~CDocument"}, 
  {"411","CDWordArray::~CDWordArray"}, 
  {"412","CDynLinkLibrary::~CDynLinkLibrary"}, 
  {"413","CEdit::~CEdit"}, 
  {"414","CEditView::~CEditView"}, 
  {"415","CException::~CException"}, 
  {"416","CFile::~CFile"}, 
  {"417","CFileDialog::~CFileDialog"}, 
  {"418","CFileException::~CFileException"}, 
  {"419","CFont::~CFont"}, 
  {"420","CFrameWnd::~CFrameWnd"}, 
  {"421","CGdiObject::~CGdiObject"}, 
  {"422","CListBox::~CListBox"}, 
  {"423","CMapPtrToPtr::~CMapPtrToPtr"}, 
  {"424","CMapPtrToWord::~CMapPtrToWord"}, 
  {"425","CMapStringToOb::~CMapStringToOb"}, 
  {"426","CMapStringToPtr::~CMapStringToPtr"}, 
  {"427","CMapStringToString::~CMapStringToString"}, 
  {"428","CMapWordToOb::~CMapWordToOb"}, 
  {"429","CMapWordToPtr::~CMapWordToPtr"}, 
  {"430","CMemFile::~CMemFile"}, 
  {"431","CMenu::~CMenu"}, 
  {"432","CMetaFileDC::~CMetaFileDC"}, 
  {"433","CMiniFrameWnd::~CMiniFrameWnd"}, 
  {"434","CMultiDocTemplate::~CMultiDocTemplate"}, 
  {"435","CObArray::~CObArray"}, 
  {"436","CObject::~CObject"}, 
  {"437","CObList::~CObList"}, 
  {"438","CPaintDC::~CPaintDC"}, 
  {"439","CPalette::~CPalette"}, 
  {"440","CPen::~CPen"}, 
  {"441","CPreviewDC::~CPreviewDC"}, 
  {"442","CPreviewView::~CPreviewView"}, 
  {"443","CPrintDialog::~CPrintDialog"}, 
  {"444","CPrintInfo::~CPrintInfo"}, 
  {"445","CPropertyPage::~CPropertyPage"}, 
  {"446","CPropertySheet::~CPropertySheet"}, 
  {"447","CPtrArray::~CPtrArray"}, 
  {"448","CPtrList::~CPtrList"}, 
  {"449","CRecentFileList::~CRecentFileList"}, 
  {"450","CRectTracker::~CRectTracker"}, 
  {"451","CRgn::~CRgn"}, 
  {"452","CScrollBar::~CScrollBar"}, 
  {"453","CScrollView::~CScrollView"}, 
  {"454","CSharedFile::~CSharedFile"}, 
  {"455","CSingleDocTemplate::~CSingleDocTemplate"}, 
  {"456","CSplitterWnd::~CSplitterWnd"}, 
  {"457","CStatic::~CStatic"}, 
  {"458","CStatusBar::~CStatusBar"}, 
  {"459","CStdioFile::~CStdioFile"}, 
  {"460","CString::~CString"}, 
  {"461","CStringArray::~CStringArray"}, 
  {"462","CStringList::~CStringList"}, 
  {"463","CTabControl::~CTabControl"}, 
  {"464","CToolBar::~CToolBar"}, 
  {"465","CUIntArray::~CUIntArray"}, 
  {"466","CView::~CView"}, 
  {"467","CWinApp::~CWinApp"}, 
  {"468","CWindowDC::~CWindowDC"}, 
  {"469","CWinThread::~CWinThread"}, 
  {"470","CWnd::~CWnd"}, 
  {"471","CWordArray::~CWordArray"}, 
  {"472","CString::operator="}, 
  {"473","CString::operator="}, 
  {"474","CString::operator="}, 
  {"475","CString::operator="}, 
  {"476","operator>>"}, 
  {"477","operator>>"}, 
  {"478","operator>>"}, 
  {"479","operator>>"}, 
  {"480","operator>>"}, 
  {"481","operator>>"}, 
  {"482","operator>>"}, 
  {"483","operator>>"}, 
  {"484","operator>>"}, 
  {"485","operator>>"}, 
  {"486","operator>>"}, 
  {"487","operator>>"}, 
  {"488","operator>>"}, 
  {"489","operator>>"}, 
  {"490","operator<<"}, 
  {"491","operator<<"}, 
  {"492","operator<<"}, 
  {"493","CDumpContext::operator<<"}, 
  {"494","CDumpContext::operator<<"}, 
  {"495","CDumpContext::operator<<"}, 
  {"496","CDumpContext::operator<<"}, 
  {"497","CDumpContext::operator<<"}, 
  {"498","CDumpContext::operator<<"}, 
  {"499","CDumpContext::operator<<"}, 
  {"500","CDumpContext::operator<<"}, 
  {"501","CDumpContext::operator<<"}, 
  {"502","CDumpContext::operator<<"}, 
  {"503","CDumpContext::operator<<"}, 
  {"504","CMapPtrToPtr::operator"}, 
  {"505","CMapPtrToWord::operator"}, 
  {"506","CMapStringToOb::operator"}, 
  {"507","CMapStringToPtr::operator"}, 
  {"508","CMapStringToString::operator"}, 
  {"509","CMapWordToOb::operator"}, 
  {"510","CMapWordToPtr::operator"}, 
  {"511","operator+"}, 
  {"512","operator+"}, 
  {"513","operator+"}, 
  {"514","operator+"}, 
  {"515","operator+"}, 
  {"516","CString::operator+="}, 
  {"517","CString::operator+="}, 
  {"518","CString::operator+="}, 
  {"519","class AFX_CRITICAL_SECTION _afxCriticalSection"}, 
  {"520","_mbstowcsz"}, 
  {"521","_wcstombsz"}, 
  {"522","CArchive::Abort"}, 
  {"523","CFile::Abort"}, 
  {"524","CMemFile::Abort"}, 
  {"525","CStdioFile::Abort"}, 
  {"526","CFrameWnd::ActivateFrame"}, 
  {"527","CMDIChildWnd::ActivateFrame"}, 
  {"528","CSplitterWnd::ActivateNext"}, 
  {"529","CWnd::ActivateTopParent"}, 
  {"530","CRecentFileList::Add"}, 
  {"531","CWinApp::AddDocTemplate"}, 
  {"532","CDocTemplate::AddDocument"}, 
  {"533","CMultiDocTemplate::AddDocument"}, 
  {"534","CSingleDocTemplate::AddDocument"}, 
  {"535","CFrameWnd::AddFrameWnd"}, 
  {"536","CObList::AddHead"}, 
  {"537","CObList::AddHead"}, 
  {"538","CPtrList::AddHead"}, 
  {"539","CPtrList::AddHead"}, 
  {"540","CStringList::AddHead"}, 
  {"541","CStringList::AddHead"}, 
  {"542","CPropertySheet::AddPage"}, 
  {"543","CTabControl::AddTab"}, 
  {"544","CObList::AddTail"}, 
  {"545","CObList::AddTail"}, 
  {"546","CPtrList::AddTail"}, 
  {"547","CPtrList::AddTail"}, 
  {"548","CStringList::AddTail"}, 
  {"549","CStringList::AddTail"}, 
  {"550","CWinApp::AddToRecentFileList"}, 
  {"551","CDocument::AddView"}, 
  {"552","CMetaFileDC::AdjustCP"}, 
  {"553","CRectTracker::AdjustRect"}, 
  {"554","afx_lstrcpyn"}, 
  {"555","AfxAbort"}, 
  {"556","AfxBeginThread"}, 
  {"557","AfxBeginThread"}, 
  {"558","AfxCallWndProc"}, 
  {"559","AfxCancelModes"}, 
  {"560","AfxComparePath"}, 
  {"561","AfxCriticalNewHandler"}, 
  {"562","struct AUX_DATA afxData"}, 
  {"563","AfxDeleteObject"}, 
  {"564","AfxDlgProc"}, 
  {"565","afxEmptyString"}, 
  {"566","AfxEnableWin40Compatibility"}, 
  {"567","AfxEndThread"}, 
  {"568","AfxEnumMetaFileProc"}, 
  {"569","AfxExtractSubString"}, 
  {"570","AfxFindMessageEntry"}, 
  {"571","AfxFindResource"}, 
  {"572","AfxFindResourceHandle"}, 
  {"573","AfxFormatString1"}, 
  {"574","AfxFormatString2"}, 
  {"575","AfxFormatStrings"}, 
  {"576","AfxFormatStrings"}, 
  {"577","AfxFullPath"}, 
  {"578","AfxGetAfxWndProc"}, 
  {"579","AfxGetAppState"}, 
  {"580","AfxGetFileTitle"}, 
  {"581","AfxGetLocaleInfo"}, 
  {"582","AfxGetParentOwner"}, 
  {"583","AfxGetSafeOwner"}, 
  {"584","AfxGetThread"}, 
  {"585","AfxGetThreadState"}, 
  {"586","AfxHelpEnabled"}, 
  {"587","AfxHookWindowCreate"}, 
  {"588","AfxInitExtensionModule"}, 
  {"589","AfxInitialize"}, 
  {"590","AfxIsDescendant"}, 
  {"591","AfxIsValidAddress"}, 
  {"592","AfxIsValidString"}, 
  {"593","AfxIsValidString"}, 
  {"594","AfxLoadString"}, 
  {"595","AfxLoadSysColorBitmap"}, 
  {"596","AfxLockTempMaps"}, 
  {"597","AfxMessageBox"}, 
  {"598","AfxMessageBox"}, 
  {"599","AfxNewHandler"}, 
  {"600","AfxOleCanExitApp"}, 
  {"601","AfxOleGetUserCtrl"}, 
  {"602","AfxOleLockApp"}, 
  {"603","AfxOleOnReleaseAllObjects"}, 
  {"604","AfxOleSetUserCtrl"}, 
  {"605","AfxOleUnlockApp"}, 
  {"606","AfxPostQuitMessage"}, 
  {"607","AfxRegisterWndClass"}, 
  {"608","AfxRepositionWindow"}, 
  {"609","AfxSetTerminate"}, 
  {"610","AfxSetWindowText"}, 
  {"611","AfxStandardTerminate"}, 
  {"612","AfxTermExtensionModule"}, 
  {"613","AfxTextFloatFormat"}, 
  {"614","AfxThrowArchiveException"}, 
  {"615","AfxThrowFileException"}, 
  {"616","AfxThrowLastCleanup"}, 
  {"617","AfxThrowMemoryException"}, 
  {"618","AfxThrowNotSupportedException"}, 
  {"619","AfxThrowResourceException"}, 
  {"620","AfxThrowUserException"}, 
  {"621","AfxTryCleanup"}, 
  {"622","AfxUnhookWindowCreate"}, 
  {"623","AfxUnlockTempMaps"}, 
  {"624","AfxWinInit"}, 
  {"625","AfxWinTerm"}, 
  {"626","AfxWndProc"}, 
  {"627","CMemFile::Alloc"}, 
  {"628","CSharedFile::Alloc"}, 
  {"629","CString::AllocBuffer"}, 
  {"630","CString::AllocCopy"}, 
  {"631","CControlBar::AllocElements"}, 
  {"632","CDC::ArcTo"}, 
  {"633","CObject::AssertValid"}, 
  {"634","CString::AssignCopy"}, 
  {"635","CDC::Attach"}, 
  {"636","CGdiObject::Attach"}, 
  {"637","CMenu::Attach"}, 
  {"638","CWnd::Attach"}, 
  {"639","CPrintDialog::AttachOnSetup"}, 
  {"640","CBitmapButton::AutoLoad"}, 
  {"641","CFrameWnd::BeginModalState"}, 
  {"642","CCmdTarget::BeginWaitCursor"}, 
  {"643","CFrameWnd::BringToTop"}, 
  {"644","CControlBar::CalcFixedLayout"}, 
  {"645","CDialogBar::CalcFixedLayout"}, 
  {"646","CDockBar::CalcFixedLayout"}, 
  {"647","CStatusBar::CalcFixedLayout"}, 
  {"648","CToolBar::CalcFixedLayout"}, 
  {"649","CControlBar::CalcInsideRect"}, 
  {"650","CPreviewView::CalcPageDisplaySize"}, 
  {"651","CPreviewView::CalcScaleRatio"}, 
  {"652","CEditView::CalcWindowRect"}, 
  {"653","CMiniFrameWnd::CalcWindowRect"}, 
  {"654","CScrollView::CalcWindowRect"}, 
  {"655","CView::CalcWindowRect"}, 
  {"656","CWnd::CalcWindowRect"}, 
  {"657","CSplitterWnd::CanActivateNext"}, 
  {"658","CDockContext::CancelDrag"}, 
  {"659","CPropertyPage::CancelToClose"}, 
  {"660","CPropertySheet::CancelToClose"}, 
  {"661","CControlBar::CancelToolTips"}, 
  {"662","CDocument::CanCloseFrame"}, 
  {"663","CDockContext::CanDock"}, 
  {"664","CFrameWnd::CanDock"}, 
  {"665","CFrameWnd::CanEnterHelpMode"}, 
  {"666","CTabControl::CanScroll"}, 
  {"667","CTabControl::Capture"}, 
  {"668","CScrollView::CenterOnPoint"}, 
  {"669","CWnd::CenterWindow"}, 
  {"670","CDialog::CheckAutoCenter"}, 
  {"671","CPropertySheet::CheckDefaultButton"}, 
  {"672","CPropertySheet::CheckFocusChange"}, 
  {"673","CArchiveException::classCArchiveException"}, 
  {"674","CBitmap::classCBitmap"}, 
  {"675","CBitmapButton::classCBitmapButton"}, 
  {"676","CBrush::classCBrush"}, 
  {"677","CButton::classCButton"}, 
  {"678","CByteArray::classCByteArray"}, 
  {"679","CClientDC::classCClientDC"}, 
  {"680","CCmdTarget::classCCmdTarget"}, 
  {"681","CColorDialog::classCColorDialog"}, 
  {"682","CComboBox::classCComboBox"}, 
  {"683","CControlBar::classCControlBar"}, 
  {"684","CDC::classCDC"}, 
  {"685","CDialog::classCDialog"}, 
  {"686","CDialogBar::classCDialogBar"}, 
  {"687","CDockBar::classCDockBar"}, 
  {"688","CDockState::classCDockState"}, 
  {"689","CDocTemplate::classCDocTemplate"}, 
  {"690","CDocument::classCDocument"}, 
  {"691","CDWordArray::classCDWordArray"}, 
  {"692","CDynLinkLibrary::classCDynLinkLibrary"}, 
  {"693","CEdit::classCEdit"}, 
  {"694","CEditView::classCEditView"}, 
  {"695","CException::classCException"}, 
  {"696","CFile::classCFile"}, 
  {"697","CFileDialog::classCFileDialog"}, 
  {"698","CFileException::classCFileException"}, 
  {"699","CFindReplaceDialog::classCFindReplaceDialog"}, 
  {"700","CFont::classCFont"}, 
  {"701","CFontDialog::classCFontDialog"}, 
  {"702","CFormView::classCFormView"}, 
  {"703","CFrameWnd::classCFrameWnd"}, 
  {"704","CGdiObject::classCGdiObject"}, 
  {"705","CListBox::classCListBox"}, 
  {"706","CMapPtrToPtr::classCMapPtrToPtr"}, 
  {"707","CMapPtrToWord::classCMapPtrToWord"}, 
  {"708","CMapStringToOb::classCMapStringToOb"}, 
  {"709","CMapStringToPtr::classCMapStringToPtr"}, 
  {"710","CMapStringToString::classCMapStringToString"}, 
  {"711","CMapWordToOb::classCMapWordToOb"}, 
  {"712","CMapWordToPtr::classCMapWordToPtr"}, 
  {"713","CMDIChildWnd::classCMDIChildWnd"}, 
  {"714","CMDIFrameWnd::classCMDIFrameWnd"}, 
  {"715","CMemFile::classCMemFile"}, 
  {"716","CMemoryException::classCMemoryException"}, 
  {"717","CMenu::classCMenu"}, 
  {"718","CMetaFileDC::classCMetaFileDC"}, 
  {"719","CMiniDockFrameWnd::classCMiniDockFrameWnd"}, 
  {"720","CMiniFrameWnd::classCMiniFrameWnd"}, 
  {"721","CMultiDocTemplate::classCMultiDocTemplate"}, 
  {"722","CNotSupportedException::classCNotSupportedException"}, 
  {"723","CObArray::classCObArray"}, 
  {"724","CObject::classCObject"}, 
  {"725","CObList::classCObList"}, 
  {"726","CPaintDC::classCPaintDC"}, 
  {"727","CPalette::classCPalette"}, 
  {"728","CPen::classCPen"}, 
  {"729","CPreviewDC::classCPreviewDC"}, 
  {"730","CPreviewView::classCPreviewView"}, 
  {"731","CPrintDialog::classCPrintDialog"}, 
  {"732","CPropertyPage::classCPropertyPage"}, 
  {"733","CPropertySheet::classCPropertySheet"}, 
  {"734","CPtrArray::classCPtrArray"}, 
  {"735","CPtrList::classCPtrList"}, 
  {"736","CResourceException::classCResourceException"}, 
  {"737","CRgn::classCRgn"}, 
  {"738","CScrollBar::classCScrollBar"}, 
  {"739","CScrollView::classCScrollView"}, 
  {"740","CSharedFile::classCSharedFile"}, 
  {"741","CSingleDocTemplate::classCSingleDocTemplate"}, 
  {"742","CSplitterWnd::classCSplitterWnd"}, 
  {"743","CStatic::classCStatic"}, 
  {"744","CStatusBar::classCStatusBar"}, 
  {"745","CStdioFile::classCStdioFile"}, 
  {"746","CStringArray::classCStringArray"}, 
  {"747","CStringList::classCStringList"}, 
  {"748","CTabControl::classCTabControl"}, 
  {"749","CToolBar::classCToolBar"}, 
  {"750","CUIntArray::classCUIntArray"}, 
  {"751","CUserException::classCUserException"}, 
  {"752","CView::classCView"}, 
  {"753","CWinApp::classCWinApp"}, 
  {"754","CWindowDC::classCWindowDC"}, 
  {"755","CWinThread::classCWinThread"}, 
  {"756","CWnd::classCWnd"}, 
  {"757","CWordArray::classCWordArray"}, 
  {"758","CPreviewDC::ClipToPage"}, 
  {"759","CArchive::Close"}, 
  {"760","CFile::Close"}, 
  {"761","CMemFile::Close"}, 
  {"762","CStdioFile::Close"}, 
  {"763","CDocTemplate::CloseAllDocuments"}, 
  {"764","CWinApp::CloseAllDocuments"}, 
  {"765","CStatusBar::CommandToIndex"}, 
  {"766","CToolBar::CommandToIndex"}, 
  {"767","CPropertyPage::CommonConstruct"}, 
  {"768","CPropertySheet::CommonConstruct"}, 
  {"769","CWinThread::CommonConstruct"}, 
  {"770","CComboBox::CompareItem"}, 
  {"771","CListBox::CompareItem"}, 
  {"772","CPreviewDC::ComputeDeltas"}, 
  {"773","CString::ConcatCopy"}, 
  {"774","CString::ConcatInPlace"}, 
  {"775","CByteArray::Construct"}, 
  {"776","CDC::Construct"}, 
  {"777","CDockState::Construct"}, 
  {"778","CDWordArray::Construct"}, 
  {"779","CEditView::Construct"}, 
  {"780","CFrameWnd::Construct"}, 
  {"781","CGdiObject::Construct"}, 
  {"782","CMapStringToOb::Construct"}, 
  {"783","CMapStringToString::Construct"}, 
  {"784","CMapWordToOb::Construct"}, 
  {"785","CMDIChildWnd::Construct"}, 
  {"786","CMDIFrameWnd::Construct"}, 
  {"787","CMenu::Construct"}, 
  {"788","CMiniDockFrameWnd::Construct"}, 
  {"789","CMiniFrameWnd::Construct"}, 
  {"790","CObArray::Construct"}, 
  {"791","CObList::Construct"}, 
  {"792","CPreviewView::Construct"}, 
  {"793","CRectTracker::Construct"}, 
  {"794","CStringArray::Construct"}, 
  {"795","CStringList::Construct"}, 
  {"796","CWnd::Construct"}, 
  {"797","CWordArray::Construct"}, 
  {"798","ConstructElements"}, 
  {"799","CRuntimeClass::ConstructObject"}, 
  {"800","CButton::Create"}, 
  {"801","CComboBox::Create"}, 
  {"802","CDialog::Create"}, 
  {"803","CDialogBar::Create"}, 
  {"804","CDockBar::Create"}, 
  {"805","CEdit::Create"}, 
  {"806","CFindReplaceDialog::Create"}, 
  {"807","CFormView::Create"}, 
  {"808","CFrameWnd::Create"}, 
  {"809","CListBox::Create"}, 
  {"810","CMDIChildWnd::Create"}, 
  {"811","CMiniDockFrameWnd::Create"}, 
  {"812","CMiniFrameWnd::Create"}, 
  {"813","CPlex::Create"}, 
  {"814","CPropertySheet::Create"}, 
  {"815","CScrollBar::Create"}, 
  {"816","CSplitterWnd::Create"}, 
  {"817","CStatic::Create"}, 
  {"818","CStatusBar::Create"}, 
  {"819","CTabControl::Create"}, 
  {"820","CToolBar::Create"}, 
  {"821","CWnd::Create"}, 
  {"822","CMDIFrameWnd::CreateClient"}, 
  {"823","CSplitterWnd::CreateCommon"}, 
  {"824","CWnd::CreateEx"}, 
  {"825","CFrameWnd::CreateFloatingFrame"}, 
  {"826","CDialog::CreateIndirect"}, 
  {"827","CToolBar::CreateMask"}, 
  {"828","CDocTemplate::CreateNewDocument"}, 
  {"829","CDocTemplate::CreateNewFrame"}, 
  {"830","CRuntimeClass::CreateObject"}, 
  {"831","CDocTemplate::CreateOleFrame"}, 
  {"832","CPropertyPage::CreatePage"}, 
  {"833","CPrintDialog::CreatePrinterDC"}, 
  {"834","CSplitterWnd::CreateScrollBarCtrl"}, 
  {"835","CPropertySheet::CreateStandardButtons"}, 
  {"836","CSplitterWnd::CreateStatic"}, 
  {"837","CWinThread::CreateThread"}, 
  {"838","CControlBar::CreateToolTip"}, 
  {"839","CSplitterWnd::CreateView"}, 
  {"840","DDV_MaxChars"}, 
  {"841","DDV_MinMaxByte"}, 
  {"842","DDV_MinMaxDouble"}, 
  {"843","DDV_MinMaxDWord"}, 
  {"844","DDV_MinMaxFloat"}, 
  {"845","DDV_MinMaxInt"}, 
  {"846","DDV_MinMaxLong"}, 
  {"847","DDV_MinMaxUInt"}, 
  {"848","DDX_CBIndex"}, 
  {"849","DDX_CBString"}, 
  {"850","DDX_CBStringExact"}, 
  {"851","DDX_Check"}, 
  {"852","DDX_Control"}, 
  {"853","DDX_LBIndex"}, 
  {"854","DDX_LBString"}, 
  {"855","DDX_LBStringExact"}, 
  {"856","DDX_Radio"}, 
  {"857","DDX_Scroll"}, 
  {"858","DDX_Text"}, 
  {"859","DDX_Text"}, 
  {"860","DDX_Text"}, 
  {"861","DDX_Text"}, 
  {"862","DDX_Text"}, 
  {"863","DDX_Text"}, 
  {"864","DDX_Text"}, 
  {"865","DDX_Text"}, 
  {"866","CWnd::Default"}, 
  {"867","CMDIChildWnd::DefWindowProcA"}, 
  {"868","CMDIFrameWnd::DefWindowProcA"}, 
  {"869","CWnd::DefWindowProcA"}, 
  {"870","CControlBar::DelayShow"}, 
  {"871","CFrameWnd::DelayUpdateFrameMenu"}, 
  {"872","CMDIFrameWnd::DelayUpdateFrameMenu"}, 
  {"873","CException::Delete"}, 
  {"874","CWinThread::Delete"}, 
  {"875","CSplitterWnd::DeleteColumn"}, 
  {"876","CDocument::DeleteContents"}, 
  {"877","CEditView::DeleteContents"}, 
  {"878","CDC::DeleteDC"}, 
  {"879","CComboBox::DeleteItem"}, 
  {"880","CListBox::DeleteItem"}, 
  {"881","CGdiObject::DeleteObject"}, 
  {"882","CSplitterWnd::DeleteRow"}, 
  {"883","CDC::DeleteTempMap"}, 
  {"884","CGdiObject::DeleteTempMap"}, 
  {"885","CMenu::DeleteTempMap"}, 
  {"886","CWnd::DeleteTempMap"}, 
  {"887","CSplitterWnd::DeleteView"}, 
  {"888","CFrameWnd::DestroyDockBars"}, 
  {"889","CMenu::DestroyMenu"}, 
  {"890","CControlBar::DestroyToolTip"}, 
  {"891","CMDIChildWnd::DestroyWindow"}, 
  {"892","CPropertySheet::DestroyWindow"}, 
  {"893","CWnd::DestroyWindow"}, 
  {"894","DestructElements"}, 
  {"895","CDC::Detach"}, 
  {"896","CGdiObject::Detach"}, 
  {"897","CMenu::Detach"}, 
  {"898","CSharedFile::Detach"}, 
  {"899","CWnd::Detach"}, 
  {"900","CDocument::DisconnectViews"}, 
  {"901","protected: static struct AFX_DISPMAP const CCmdTarget::dispatchMap"}, 
  {"902","CDockBar::DockControlBar"}, 
  {"903","CFrameWnd::DockControlBar"}, 
  {"904","CFrameWnd::DockControlBar"}, 
  {"905","CWnd::DoDataExchange"}, 
  {"906","CDocument::DoFileSave"}, 
  {"907","CSplitterWnd::DoKeyboardSplit"}, 
  {"908","CWinApp::DoMessageBox"}, 
  {"909","CColorDialog::DoModal"}, 
  {"910","CDialog::DoModal"}, 
  {"911","CFileDialog::DoModal"}, 
  {"912","CFontDialog::DoModal"}, 
  {"913","CPrintDialog::DoModal"}, 
  {"914","CPropertySheet::DoModal"}, 
  {"915","CControlBar::DoPaint"}, 
  {"916","CDockBar::DoPaint"}, 
  {"917","CStatusBar::DoPaint"}, 
  {"918","CToolBar::DoPaint"}, 
  {"919","CView::DoPreparePrinting"}, 
  {"920","CWinApp::DoPrintDialog"}, 
  {"921","CView::DoPrintPreview"}, 
  {"922","CWinApp::DoPromptFileName"}, 
  {"923","CDocument::DoSave"}, 
  {"924","CSplitterWnd::DoScroll"}, 
  {"925","CSplitterWnd::DoScrollBy"}, 
  {"926","CScrollView::DoScrollWindow"}, 
  {"927","CCmdUI::DoUpdate"}, 
  {"928","CWinApp::DoWaitCursor"}, 
  {"929","CPreviewView::DoZoom"}, 
  {"930","CDC::DPtoHIMETRIC"}, 
  {"931","CDC::DPtoLP"}, 
  {"932","CRectTracker::Draw"}, 
  {"933","CTabItem::Draw"}, 
  {"934","CDC::Draw3dRect"}, 
  {"935","CDC::Draw3dRect"}, 
  {"936","CSplitterWnd::DrawAllSplitBars"}, 
  {"937","CControlBar::DrawBorders"}, 
  {"938","CToolBar::DrawButton"}, 
  {"939","CDC::DrawDragRect"}, 
  {"940","CDockContext::DrawFocusRect"}, 
  {"941","CTabControl::DrawFocusRect"}, 
  {"942","CBitmapButton::DrawItem"}, 
  {"943","CButton::DrawItem"}, 
  {"944","CComboBox::DrawItem"}, 
  {"945","CListBox::DrawItem"}, 
  {"946","CMenu::DrawItem"}, 
  {"947","CTabControl::DrawScrollers"}, 
  {"948","CStatusBar::DrawStatusText"}, 
  {"949","CDC::DrawTextA"}, 
  {"950","CMetaFileDC::DrawTextA"}, 
  {"951","CPreviewDC::DrawTextA"}, 
  {"952","CRectTracker::DrawTrackerRect"}, 
  {"953","CObject::Dump"}, 
  {"954","CFile::Duplicate"}, 
  {"955","CMemFile::Duplicate"}, 
  {"956","CStdioFile::Duplicate"}, 
  {"957","CEditView::dwStyleDefault"}, 
  {"958","CString::Empty"}, 
  {"959","CCmdUI::Enable"}, 
  {"960","CStatusCmdUI::Enable"}, 
  {"961","CTestCmdUI::Enable"}, 
  {"962","CToolCmdUI::Enable"}, 
  {"963","CWinApp::Enable3dControls"}, 
  {"964","CControlBar::EnableDocking"}, 
  {"965","CFrameWnd::EnableDocking"}, 
  {"966","CWinApp::EnableModeless"}, 
  {"967","CWnd::EnableScrollBarCtrl"}, 
  {"968","CWinApp::EnableShellOpen"}, 
  {"969","CPropertySheet::EndDialog"}, 
  {"970","CDockContext::EndDrag"}, 
  {"971","CToolBar::EndDrawButton"}, 
  {"972","CFrameWnd::EndModalState"}, 
  {"973","CCmdTarget::EndWaitCursor"}, 
  {"974","CFileException::ErrnoToException"}, 
  {"975","CDC::Escape"}, 
  {"976","CMetaFileDC::Escape"}, 
  {"977","CPreviewDC::Escape"}, 
  {"978","CDC::ExcludeClipRect"}, 
  {"979","CDC::ExcludeClipRect"}, 
  {"980","CWnd::ExecuteDlgInit"}, 
  {"981","CFrameWnd::ExitHelpMode"}, 
  {"982","CWinApp::ExitInstance"}, 
  {"983","CWinThread::ExitInstance"}, 
  {"984","CDC::ExtTextOutA"}, 
  {"985","CMetaFileDC::ExtTextOutA"}, 
  {"986","CPreviewDC::ExtTextOutA"}, 
  {"987","CDataExchange::Fail"}, 
  {"988","CArchive::FillBuffer"}, 
  {"989","CScrollView::FillOutsideRect"}, 
  {"990","CDC::FillSolidRect"}, 
  {"991","CDC::FillSolidRect"}, 
  {"992","CControlBar::FilterToolTipMsg"}, 
  {"993","CObList::Find"}, 
  {"994","CPtrList::Find"}, 
  {"995","CString::Find"}, 
  {"996","CString::Find"}, 
  {"997","CStringList::Find"}, 
  {"998","CDockBar::FindBar"}, 
  {"999","CObList::FindIndex"}, 
  {NULL, NULL}
};
// 0x55fc10f15cc0
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_mfc30_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_mfc30_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_mfc30(x,y) gperf_mfc30_hash(x)
const unsigned int gperf_mfc30_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_mfc30 = {
  .name = "mfc30",
  .get = &gperf_mfc30_get,
  .hash = &gperf_mfc30_hash,
  .foreach = &gperf_mfc30_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_mfc30.get)("foo");
	printf ("%s\n", s);
}
#endif
