// SDB-CGEN V1.8.3
// gcc -DMAIN=1 msvbvm50.c ; ./a.out > msvbvm50.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"100","ThunRTMain"}, 
  {"101","VBDllUnRegisterServer"}, 
  {"1016","TipInvokeMethod"}, 
  {"102","VBDllCanUnloadNow"}, 
  {"1024","IID_IVbaHost"}, 
  {"1025","EbGetObjConnectionCounts"}, 
  {"103","VBDllRegisterServer"}, 
  {"104","VBDllGetClassObject"}, 
  {"105","UserDllMain"}, 
  {"106","DllRegisterServer"}, 
  {"107","DllUnregisterServer"}, 
  {"108","__vbaAryLock"}, 
  {"109","__vbaBoolErrVar"}, 
  {"110","__vbaStrErrVarCopy"}, 
  {"111","__vbaAryVarVarg"}, 
  {"112","__vbaFpCDblR4"}, 
  {"113","__vbaFpCDblR8"}, 
  {"114","__vbaFpCSngR4"}, 
  {"115","__vbaFpCSngR8"}, 
  {"116","__vbaFpCmpCy"}, 
  {"117","__vbaFpCy"}, 
  {"118","__vbaFpI2"}, 
  {"119","__vbaFpI4"}, 
  {"120","__vbaFpR4"}, 
  {"121","__vbaFpR8"}, 
  {"122","__vbaFpUI1"}, 
  {"123","__vbaFreeObj"}, 
  {"124","__vbaFreeStr"}, 
  {"125","__vbaFreeVar"}, 
  {"126","__vbaFreeVarg"}, 
  {"127","__vbaI2Abs"}, 
  {"128","__vbaI2I4"}, 
  {"129","__vbaI2Sgn"}, 
  {"130","__vbaI4Abs"}, 
  {"131","__vbaI4Sgn"}, 
  {"132","__vbaStrCopy"}, 
  {"133","__vbaStrMove"}, 
  {"134","__vbaUI1I2"}, 
  {"135","__vbaUI1I4"}, 
  {"136","__vbaUI1Sgn"}, 
  {"137","__vbaVarCopy"}, 
  {"138","__vbaVarDup"}, 
  {"139","__vbaVarMove"}, 
  {"140","__vbaVarVargNofree"}, 
  {"141","__vbaVargParmRef"}, 
  {"142","__vbaVargVar"}, 
  {"143","__vbaVargVarCopy"}, 
  {"144","__vbaVargVarMove"}, 
  {"145","__vbaVargVarRef"}, 
  {"146","DLLGetDocumentation"}, 
  {"147","_CIatan"}, 
  {"148","_CIcos"}, 
  {"149","_CIexp"}, 
  {"150","_CIlog"}, 
  {"151","_CIsin"}, 
  {"152","_CIsqrt"}, 
  {"153","_CItan"}, 
  {"154","__vbaAptOffset"}, 
  {"155","__vbaAryConstruct"}, 
  {"156","__vbaAryCopy"}, 
  {"157","__vbaAryDestruct"}, 
  {"158","__vbaAryMove"}, 
  {"159","__vbaAryRebase1Var"}, 
  {"160","__vbaAryUnlock"}, 
  {"161","__vbaBoolStr"}, 
  {"162","__vbaBoolVar"}, 
  {"163","__vbaBoolVarNull"}, 
  {"164","__vbaCastObj"}, 
  {"165","__vbaCastObjVar"}, 
  {"166","__vbaCheckType"}, 
  {"167","__vbaCheckTypeVar"}, 
  {"168","__vbaChkstk"}, 
  {"169","__vbaCopyBytes"}, 
  {"170","__vbaCyAbs"}, 
  {"171","__vbaCyAdd"}, 
  {"172","__vbaCyErrVar"}, 
  {"173","__vbaCyFix"}, 
  {"174","__vbaCyForInit"}, 
  {"175","__vbaCyForNext"}, 
  {"176","__vbaCyI2"}, 
  {"177","__vbaCyI4"}, 
  {"178","__vbaCyInt"}, 
  {"179","__vbaCyMul"}, 
  {"180","__vbaCyMulI2"}, 
  {"181","__vbaCySgn"}, 
  {"182","__vbaCyStr"}, 
  {"183","__vbaCySub"}, 
  {"184","__vbaCyUI1"}, 
  {"185","__vbaCyVar"}, 
  {"186","ProcCallEngine"}, 
  {"187","DllFunctionCall"}, 
  {"188","__vbaRecAssign"}, 
  {"189","__vbaRecDestruct"}, 
  {"190","CopyRecord"}, 
  {"191","__vbaDateR4"}, 
  {"192","__vbaDateR8"}, 
  {"193","__vbaDateStr"}, 
  {"194","__vbaDateVar"}, 
  {"195","TipGetAddressOfPredeclaredInstance"}, 
  {"196","__vbaDerefAry"}, 
  {"197","__vbaDerefAry1"}, 
  {"198","__vbaEnd"}, 
  {"199","MethCallEngine"}, 
  {"200","__vbaErase"}, 
  {"2000","CreateIExprSrvObj"}, 
  {"201","__vbaEraseKeepData"}, 
  {"2010","EbGetVBAObject"}, 
  {"202","__vbaEraseNoPop"}, 
  {"203","__vbaError"}, 
  {"204","__vbaErrorOverflow"}, 
  {"205","__vbaExceptHandler"}, 
  {"206","__vbaExitEachAry"}, 
  {"207","__vbaExitEachColl"}, 
  {"208","__vbaExitEachVar"}, 
  {"209","__vbaExitProc"}, 
  {"210","__vbaFPException"}, 
  {"211","__vbaFPFix"}, 
  {"212","__vbaFPInt"}, 
  {"213","__vbaFailedFriend"}, 
  {"214","__vbaFileClose"}, 
  {"215","__vbaFileCloseAll"}, 
  {"216","__vbaFileLock"}, 
  {"217","__vbaFileOpen"}, 
  {"218","__vbaFileSeek"}, 
  {"219","__vbaFixstrConstruct"}, 
  {"220","TipSetOption"}, 
  {"221","__vbaForEachAry"}, 
  {"222","__vbaForEachCollAd"}, 
  {"223","__vbaForEachCollObj"}, 
  {"224","__vbaForEachCollVar"}, 
  {"225","__vbaForEachVar"}, 
  {"226","__vbaFreeObjList"}, 
  {"227","TipUnloadProject"}, 
  {"228","__vbaFreeStrList"}, 
  {"229","__vbaFreeVarList"}, 
  {"230","TipCreateInstanceProject"}, 
  {"231","EbResetProject"}, 
  {"232","EbGetHandleOfExecutingProject"}, 
  {"233","__vbaGenerateBoundsError"}, 
  {"234","__vbaGet3"}, 
  {"235","__vbaGet4"}, 
  {"236","__vbaGetFxStr3"}, 
  {"237","__vbaGetFxStr4"}, 
  {"238","__vbaGetOwner3"}, 
  {"239","__vbaGetOwner4"}, 
  {"240","__vbaGosub"}, 
  {"241","__vbaGosubFree"}, 
  {"242","__vbaGosubReturn"}, 
  {"243","__vbaHresultCheck"}, 
  {"244","__vbaHresultCheckNonvirt"}, 
  {"245","__vbaHresultCheckObj"}, 
  {"246","__vbaI2Cy"}, 
  {"247","__vbaI2ErrVar"}, 
  {"248","__vbaI2ForNextCheck"}, 
  {"249","__vbaI2Str"}, 
  {"250","__vbaI2Var"}, 
  {"251","__vbaI4Cy"}, 
  {"252","__vbaI4ErrVar"}, 
  {"253","__vbaI4ForNextCheck"}, 
  {"254","__vbaI4Str"}, 
  {"255","__vbaI4Var"}, 
  {"256","__vbaInStr"}, 
  {"257","__vbaInStrB"}, 
  {"258","__vbaInStrVar"}, 
  {"259","__vbaInStrVarB"}, 
  {"260","__vbaInputFile"}, 
  {"261","__vbaLateIdCall"}, 
  {"262","__vbaLateIdCallLd"}, 
  {"263","__vbaLateIdCallSt"}, 
  {"264","__vbaLateIdNamedCall"}, 
  {"265","EbResetProjectNormal"}, 
  {"266","TipUnloadInstance"}, 
  {"267","__vbaLateIdNamedCallLd"}, 
  {"268","EbLibraryLoad"}, 
  {"269","EbLibraryUnload"}, 
  {"270","__vbaLateIdNamedCallSt"}, 
  {"271","EbLoadRunTime"}, 
  {"272","__vbaLateIdNamedStAd"}, 
  {"273","__vbaLateIdSt"}, 
  {"274","EbCreateContext"}, 
  {"275","EbDestroyContext"}, 
  {"276","EbSetContextWorkerThread"}, 
  {"277","__vbaLateIdStAd"}, 
  {"278","__vbaLateMemCall"}, 
  {"279","__vbaLateMemCallLd"}, 
  {"280","__vbaLateMemCallSt"}, 
  {"281","__vbaLateMemNamedCall"}, 
  {"282","__vbaLateMemNamedCallLd"}, 
  {"283","__vbaLateMemNamedCallSt"}, 
  {"284","__vbaLateMemNamedStAd"}, 
  {"285","__vbaLateMemSt"}, 
  {"286","__vbaLateMemStAd"}, 
  {"287","__vbaLbound"}, 
  {"288","__vbaLenBstr"}, 
  {"289","__vbaLenBstrB"}, 
  {"290","__vbaLenVar"}, 
  {"291","__vbaLenVarB"}, 
  {"292","__vbaLineInputStr"}, 
  {"293","__vbaLineInputVar"}, 
  {"294","__vbaLsetFixstr"}, 
  {"295","__vbaLsetFixstrFree"}, 
  {"296","__vbaMidStmtBstr"}, 
  {"297","__vbaMidStmtBstrB"}, 
  {"298","EbIsProjectOnStack"}, 
  {"299","TipCreateInstanceEx"}, 
  {"300","GetMem2"}, 
  {"301","GetMem4"}, 
  {"302","GetMem8"}, 
  {"303","GetMemStr"}, 
  {"304","GetMemVar"}, 
  {"305","GetMemObj"}, 
  {"306","PutMem2"}, 
  {"307","PutMem4"}, 
  {"308","PutMem8"}, 
  {"309","PutMemStr"}, 
  {"310","PutMemVar"}, 
  {"311","PutMemObj"}, 
  {"312","SetMemVar"}, 
  {"313","SetMemObj"}, 
  {"314","GetMemNewObj"}, 
  {"315","PutMemNewObj"}, 
  {"316","SetMemNewObj"}, 
  {"317","GetMem1"}, 
  {"318","PutMem1"}, 
  {"319","GetMemEvent"}, 
  {"320","PutMemEvent"}, 
  {"321","SetMemEvent"}, 
  {"322","__vbaMidStmtVar"}, 
  {"323","__vbaMidStmtVarB"}, 
  {"324","__vbaNameFile"}, 
  {"325","__vbaNew2"}, 
  {"326","__vbaNew"}, 
  {"327","__vbaNextEachAry"}, 
  {"328","__vbaNextEachCollAd"}, 
  {"329","__vbaNextEachCollObj"}, 
  {"330","__vbaNextEachCollVar"}, 
  {"331","__vbaNextEachVar"}, 
  {"332","__vbaObjAddref"}, 
  {"333","__vbaObjIs"}, 
  {"334","__vbaObjSet"}, 
  {"335","__vbaObjSetAddref"}, 
  {"336","__vbaObjVar"}, 
  {"337","__vbaOnError"}, 
  {"338","__vbaOnGoCheck"}, 
  {"339","__vbaPowerR8"}, 
  {"340","__vbaPrintFile"}, 
  {"341","__vbaPrintObj"}, 
  {"342","__vbaPut3"}, 
  {"343","__vbaPut4"}, 
  {"344","__vbaPutFxStr3"}, 
  {"345","__vbaPutFxStr4"}, 
  {"346","__vbaPutOwner3"}, 
  {"347","__vbaPutOwner4"}, 
  {"348","__vbaR4Cy"}, 
  {"349","__vbaR4ErrVar"}, 
  {"350","__vbaR4ForNextCheck"}, 
  {"351","__vbaR4Sgn"}, 
  {"352","__vbaR4Str"}, 
  {"353","__vbaR4Var"}, 
  {"354","__vbaR8Cy"}, 
  {"355","__vbaR8ErrVar"}, 
  {"356","__vbaR8FixI2"}, 
  {"357","__vbaR8FixI4"}, 
  {"358","__vbaR8ForNextCheck"}, 
  {"359","__vbaR8IntI2"}, 
  {"360","__vbaR8IntI4"}, 
  {"361","__vbaR8Sgn"}, 
  {"362","__vbaR8Str"}, 
  {"363","__vbaR8Var"}, 
  {"364","__vbaRaiseEvent"}, 
  {"365","__vbaRecAnsiToUni"}, 
  {"366","__vbaRecDestructAnsi"}, 
  {"367","__vbaRecUniToAnsi"}, 
  {"368","__vbaRedim"}, 
  {"369","__vbaRedimPreserve"}, 
  {"370","__vbaRedimPreserveVar"}, 
  {"371","__vbaRedimVar"}, 
  {"372","__vbaRefVarAry"}, 
  {"373","__vbaResume"}, 
  {"374","__vbaRsetFixstr"}, 
  {"375","__vbaRsetFixstrFree"}, 
  {"376","__vbaSetSystemError"}, 
  {"377","__vbaStopExe"}, 
  {"378","__vbaStr2Vec"}, 
  {"379","__vbaStrAryToAnsi"}, 
  {"380","__vbaStrAryToUnicode"}, 
  {"381","__vbaStrBool"}, 
  {"382","__vbaStrCat"}, 
  {"383","__vbaStrCmp"}, 
  {"384","__vbaStrComp"}, 
  {"385","__vbaStrCompVar"}, 
  {"386","__vbaStrCy"}, 
  {"387","__vbaStrDate"}, 
  {"388","__vbaStrFixstr"}, 
  {"389","__vbaStrI2"}, 
  {"390","__vbaStrI4"}, 
  {"391","__vbaStrLike"}, 
  {"392","__vbaStrR4"}, 
  {"393","__vbaStrR8"}, 
  {"394","__vbaStrTextCmp"}, 
  {"395","__vbaStrTextLike"}, 
  {"396","__vbaStrToAnsi"}, 
  {"397","__vbaStrToUnicode"}, 
  {"398","__vbaStrUI1"}, 
  {"399","__vbaStrVarCopy"}, 
  {"400","EVENT_SINK_QueryInterface"}, 
  {"401","EVENT_SINK_AddRef"}, 
  {"402","EVENT_SINK_Release"}, 
  {"403","EVENT_SINK_GetIDsOfNames"}, 
  {"404","EVENT_SINK_Invoke"}, 
  {"405","__vbaStrVarMove"}, 
  {"406","__vbaStrVarVal"}, 
  {"407","__vbaUI1Cy"}, 
  {"408","__vbaUI1ErrVar"}, 
  {"409","__vbaUI1Str"}, 
  {"410","BASIC_CLASS_QueryInterface"}, 
  {"411","BASIC_CLASS_AddRef"}, 
  {"412","BASIC_CLASS_Release"}, 
  {"413","BASIC_CLASS_GetIDsOfNames"}, 
  {"414","BASIC_CLASS_Invoke"}, 
  {"415","__vbaUI1Var"}, 
  {"416","__vbaUbound"}, 
  {"417","__vbaUnkVar"}, 
  {"418","__vbaVar2Vec"}, 
  {"419","__vbaVarAbs"}, 
  {"420","BASIC_DISPINTERFACE_GetTICount"}, 
  {"421","BASIC_DISPINTERFACE_GetTypeInfo"}, 
  {"422","__vbaVarAdd"}, 
  {"423","__vbaVarAnd"}, 
  {"424","__vbaVarCat"}, 
  {"425","__vbaVarCmpEq"}, 
  {"426","__vbaVarCmpGe"}, 
  {"427","__vbaVarCmpGt"}, 
  {"428","__vbaVarCmpLe"}, 
  {"429","__vbaVarCmpLt"}, 
  {"430","Zombie_QueryInterface"}, 
  {"431","Zombie_AddRef"}, 
  {"432","Zombie_Release"}, 
  {"433","Zombie_GetTypeInfoCount"}, 
  {"434","Zombie_GetTypeInfo"}, 
  {"435","Zombie_GetIDsOfNames"}, 
  {"436","Zombie_Invoke"}, 
  {"437","__vbaVarCmpNe"}, 
  {"438","__vbaVarDateVar"}, 
  {"439","__vbaVarDiv"}, 
  {"440","EVENT_SINK2_AddRef"}, 
  {"441","EVENT_SINK2_Release"}, 
  {"442","__vbaVarEqv"}, 
  {"443","__vbaVarErrI4"}, 
  {"444","__vbaVarFix"}, 
  {"445","__vbaVarForInit"}, 
  {"446","__vbaVarForNext"}, 
  {"447","__vbaVarIdiv"}, 
  {"448","__vbaVarImp"}, 
  {"449","__vbaVarIndexLoad"}, 
  {"450","__vbaVarIndexLoadRef"}, 
  {"451","__vbaVarIndexLoadRefLock"}, 
  {"452","__vbaVarIndexStore"}, 
  {"453","__vbaVarIndexStoreObj"}, 
  {"454","__vbaVarInt"}, 
  {"455","__vbaVarLike"}, 
  {"456","__vbaVarLikeVar"}, 
  {"457","__vbaVarMod"}, 
  {"458","__vbaVarMul"}, 
  {"459","__vbaVarNeg"}, 
  {"460","__vbaVarNot"}, 
  {"461","__vbaVarOr"}, 
  {"462","__vbaVarPow"}, 
  {"463","__vbaVarSetObj"}, 
  {"464","__vbaVarSetObjAddref"}, 
  {"465","__vbaVarSetUnk"}, 
  {"466","__vbaVarSetUnkAddref"}, 
  {"467","__vbaVarSetVar"}, 
  {"468","__vbaVarSetVarAddref"}, 
  {"469","__vbaVarSub"}, 
  {"470","__vbaVarTextCmpEq"}, 
  {"471","__vbaVarTextCmpGe"}, 
  {"472","__vbaVarTextCmpGt"}, 
  {"473","__vbaVarTextCmpLe"}, 
  {"474","__vbaVarTextCmpLt"}, 
  {"475","__vbaVarTextCmpNe"}, 
  {"476","__vbaVarTextLike"}, 
  {"477","__vbaVarTextLikeVar"}, 
  {"478","__vbaVarTextTstEq"}, 
  {"479","__vbaVarTextTstGe"}, 
  {"480","__vbaVarTextTstGt"}, 
  {"481","__vbaVarTextTstLe"}, 
  {"482","__vbaVarTextTstLt"}, 
  {"483","__vbaVarTextTstNe"}, 
  {"484","__vbaVarTstEq"}, 
  {"485","__vbaVarTstGe"}, 
  {"486","__vbaVarTstGt"}, 
  {"487","__vbaVarTstLe"}, 
  {"488","__vbaVarTstLt"}, 
  {"489","__vbaVarTstNe"}, 
  {"490","__vbaVarXor"}, 
  {"491","__vbaVargObj"}, 
  {"492","__vbaVargObjAddref"}, 
  {"493","__vbaVargUnk"}, 
  {"494","__vbaVargUnkAddref"}, 
  {"495","__vbaVerifyVarObj"}, 
  {"496","__vbaWriteFile"}, 
  {"497","_adj_fdiv_m16i"}, 
  {"498","_adj_fdiv_m32"}, 
  {"499","_adj_fdiv_m32i"}, 
  {"500","_adj_fdiv_m64"}, 
  {"501","_adj_fdiv_r"}, 
  {"502","_adj_fdivr_m16i"}, 
  {"503","_adj_fdivr_m32"}, 
  {"504","_adj_fdivr_m32i"}, 
  {"505","_adj_fdivr_m64"}, 
  {"506","_adj_fpatan"}, 
  {"507","_adj_fprem"}, 
  {"508","_adj_fprem1"}, 
  {"509","_adj_fptan"}, 
  {"510","_allmul"}, 
  {"512","rtcLeftBstr"}, 
  {"513","rtcLeftVar"}, 
  {"514","rtcRightBstr"}, 
  {"515","rtcRightVar"}, 
  {"516","rtcAnsiValueBstr"}, 
  {"517","rtcLowerCaseBstr"}, 
  {"518","rtcLowerCaseVar"}, 
  {"519","rtcTrimBstr"}, 
  {"520","rtcTrimVar"}, 
  {"521","rtcLeftTrimBstr"}, 
  {"522","rtcLeftTrimVar"}, 
  {"523","rtcRightTrimBstr"}, 
  {"524","rtcRightTrimVar"}, 
  {"525","rtcSpaceBstr"}, 
  {"526","rtcSpaceVar"}, 
  {"527","rtcUpperCaseBstr"}, 
  {"528","rtcUpperCaseVar"}, 
  {"529","rtcKillFiles"}, 
  {"530","rtcChangeDir"}, 
  {"531","rtcMakeDir"}, 
  {"532","rtcRemoveDir"}, 
  {"533","rtcChangeDrive"}, 
  {"534","rtcBeep"}, 
  {"535","rtcGetTimer"}, 
  {"536","rtcStrFromVar"}, 
  {"537","rtcBstrFromAnsi"}, 
  {"538","rtcPackDate"}, 
  {"539","rtcPackTime"}, 
  {"540","rtcGetDateValue"}, 
  {"541","rtcGetTimeValue"}, 
  {"542","rtcGetDayOfMonth"}, 
  {"543","rtcGetHourOfDay"}, 
  {"544","rtcGetMinuteOfHour"}, 
  {"545","rtcGetMonthOfYear"}, 
  {"546","rtcGetPresentDate"}, 
  {"547","rtcGetSecondOfMinute"}, 
  {"548","rtcSetDateVar"}, 
  {"549","rtcSetDateBstr"}, 
  {"550","rtcSetTimeVar"}, 
  {"551","rtcSetTimeBstr"}, 
  {"552","rtcGetDayOfWeek"}, 
  {"553","rtcGetYear"}, 
  {"554","rtcFileReset"}, 
  {"555","rtcFileAttributes"}, 
  {"556","rtcIsArray"}, 
  {"557","rtcIsDate"}, 
  {"558","rtcIsEmpty"}, 
  {"559","rtcIsError"}, 
  {"560","rtcIsNull"}, 
  {"561","rtcIsNumeric"}, 
  {"562","rtcIsObject"}, 
  {"563","rtcVarType"}, 
  {"564","rtDecFromVar"}, 
  {"565","rtcFileWidth"}, 
  {"566","rtcInputCount"}, 
  {"567","rtcInputCountVar"}, 
  {"568","rtcFileSeek"}, 
  {"569","rtcFileLocation"}, 
  {"570","rtcFileLength"}, 
  {"571","rtcEndOfFile"}, 
  {"572","rtcHexBstrFromVar"}, 
  {"573","rtcHexVarFromVar"}, 
  {"574","rtcOctBstrFromVar"}, 
  {"575","rtcOctVarFromVar"}, 
  {"576","rtcFileCopy"}, 
  {"577","rtcFileDateTime"}, 
  {"578","rtcFileLen"}, 
  {"579","rtcGetFileAttr"}, 
  {"580","rtcSetFileAttr"}, 
  {"581","rtcR8ValFromBstr"}, 
  {"582","rtcSin"}, 
  {"583","rtcCos"}, 
  {"584","rtcTan"}, 
  {"585","rtcAtn"}, 
  {"586","rtcExp"}, 
  {"587","rtcLog"}, 
  {"588","rtcRgb"}, 
  {"589","rtcQBColor"}, 
  {"590","rtcMacId"}, 
  {"591","rtcTypeName"}, 
  {"592","rtcIsMissing"}, 
  {"593","rtcRandomNext"}, 
  {"594","rtcRandomize"}, 
  {"595","rtcMsgBox"}, 
  {"596","rtcInputBox"}, 
  {"597","rtcAppActivate"}, 
  {"598","rtcDoEvents"}, 
  {"599","rtcSendKeys"}, 
  {"600","rtcShell"}, 
  {"601","rtcArray"}, 
  {"605","rtcGetErl"}, 
  {"606","rtcStringBstr"}, 
  {"607","rtcStringVar"}, 
  {"608","rtcVarBstrFromAnsi"}, 
  {"609","rtcGetDateBstr"}, 
  {"610","rtcGetDateVar"}, 
  {"611","rtcGetTimeBstr"}, 
  {"612","rtcGetTimeVar"}, 
  {"613","rtcVarStrFromVar"}, 
  {"614","rtcSqr"}, 
  {"615","rtcIMEStatus"}, 
  {"616","rtcLeftCharBstr"}, 
  {"617","rtcLeftCharVar"}, 
  {"618","rtcRightCharBstr"}, 
  {"619","rtcRightCharVar"}, 
  {"620","rtcInputCharCount"}, 
  {"621","rtcInputCharCountVar"}, 
  {"622","rtcStrConvVar"}, 
  {"624","rtcGetHostLCID"}, 
  {"625","rtcCreateObject"}, 
  {"626","rtcGetObject"}, 
  {"627","rtcAppleScript"}, 
  {"628","rtcMidBstr"}, 
  {"629","rtcMidVar"}, 
  {"630","rtcInStr"}, 
  {"631","rtcMidCharBstr"}, 
  {"632","rtcMidCharVar"}, 
  {"633","rtcInStrChar"}, 
  {"634","rtBstrFromErrVar"}, 
  {"635","rtBoolFromErrVar"}, 
  {"636","rtCyFromErrVar"}, 
  {"637","rtI2FromErrVar"}, 
  {"638","rtI4FromErrVar"}, 
  {"639","rtR4FromErrVar"}, 
  {"640","rtR8FromErrVar"}, 
  {"641","rtcDateFromVar"}, 
  {"642","rtcVarFromVar"}, 
  {"643","rtcCVErrFromVar"}, 
  {"644","VarPtr"}, 
  {"645","rtcDir"}, 
  {"646","rtcCurrentDirBstr"}, 
  {"647","rtcCurrentDir"}, 
  {"648","rtcFreeFile"}, 
  {"649","rtcCompareBstr"}, 
  {"650","rtcBstrFromFormatVar"}, 
  {"651","rtcBstrFromError"}, 
  {"652","rtcVarFromError"}, 
  {"653","rtcLenCharVar"}, 
  {"654","rtcLenVar"}, 
  {"655","rtcFixVar"}, 
  {"656","rtcAbsVar"}, 
  {"657","rtcIntVar"}, 
  {"658","rtcSgnVar"}, 
  {"660","rtcVarFromFormatVar"}, 
  {"661","rtcDateAdd"}, 
  {"662","rtcDateDiff"}, 
  {"663","rtcDatePart"}, 
  {"664","rtcPartition"}, 
  {"665","rtcChoose"}, 
  {"666","rtcEnvironVar"}, 
  {"667","rtcEnvironBstr"}, 
  {"668","rtcSwitch"}, 
  {"669","rtcCommandBstr"}, 
  {"670","rtcCommandVar"}, 
  {"671","rtcSLN"}, 
  {"672","rtcSYD"}, 
  {"673","rtcDDB"}, 
  {"674","rtcIPMT"}, 
  {"675","rtcPPMT"}, 
  {"676","rtcPMT"}, 
  {"677","rtcPV"}, 
  {"678","rtcFV"}, 
  {"679","rtcNPer"}, 
  {"680","rtcRate"}, 
  {"681","rtcImmediateIf"}, 
  {"682","rtcIRR"}, 
  {"683","rtcMIRR"}, 
  {"684","rtcNPV"}, 
  {"685","rtcErrObj"}, 
  {"686","rtUI1FromErrVar"}, 
  {"687","rtcVarDateFromVar"}, 
  {"689","rtcGetSetting"}, 
  {"690","rtcSaveSetting"}, 
  {"691","rtcDeleteSetting"}, 
  {"692","rtcGetAllSettings"}, 
  {"693","rtcByteValueBstr"}, 
  {"694","rtcBstrFromByte"}, 
  {"695","rtcVarBstrFromByte"}, 
  {"696","rtcCharValueBstr"}, 
  {"697","rtcBstrFromChar"}, 
  {"698","rtcVarBstrFromChar"}, 
  {"699","rtcSetCurrentCalendar"}, 
  {"700","rtcGetCurrentCalendar"}, 
  {"999","TipInvokeMethod2"}, 
  {NULL, NULL}
};
// 0x556c5cf1f5c0
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_msvbvm50_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_msvbvm50_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_msvbvm50(x,y) gperf_msvbvm50_hash(x)
const unsigned int gperf_msvbvm50_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_msvbvm50 = {
  .name = "msvbvm50",
  .get = &gperf_msvbvm50_get,
  .hash = &gperf_msvbvm50_hash,
  .foreach = &gperf_msvbvm50_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_msvbvm50.get)("foo");
	printf ("%s\n", s);
}
#endif
