// SDB-CGEN V1.8.3
// gcc -DMAIN=1 odbc32.c ; ./a.out > odbc32.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1","SQLAllocConnect"}, 
  {"10","SQLError"}, 
  {"100","ValidateErrorQueue"}, 
  {"101","g_hHeapMalloc"}, 
  {"106","SQLColAttributesW"}, 
  {"107","SQLConnectW"}, 
  {"108","SQLDescribeColW"}, 
  {"11","SQLExecDirect"}, 
  {"110","SQLErrorW"}, 
  {"111","SQLExecDirectW"}, 
  {"117","SQLGetCursorNameW"}, 
  {"119","SQLPrepareW"}, 
  {"12","SQLExecute"}, 
  {"121","SQLSetCursorNameW"}, 
  {"127","SQLColAttributeW"}, 
  {"13","SQLFetch"}, 
  {"132","SQLGetConnectAttrW"}, 
  {"133","SQLGetDescFieldW"}, 
  {"134","SQLGetDescRecW"}, 
  {"135","SQLGetDiagFieldW"}, 
  {"136","SQLGetDiagRecW"}, 
  {"138","SQLGetStmtAttrW"}, 
  {"139","SQLSetConnectAttrW"}, 
  {"14","SQLFreeConnect"}, 
  {"140","SQLColumnsW"}, 
  {"141","SQLDriverConnectW"}, 
  {"142","SQLGetConnectOptionW"}, 
  {"145","SQLGetInfoW"}, 
  {"147","SQLGetTypeInfoW"}, 
  {"15","SQLFreeEnv"}, 
  {"150","SQLSetConnectOptionW"}, 
  {"152","SQLSpecialColumnsW"}, 
  {"153","SQLStatisticsW"}, 
  {"154","SQLTablesW"}, 
  {"155","SQLBrowseConnectW"}, 
  {"156","SQLColumnPrivilegesW"}, 
  {"157","SQLDataSourcesW"}, 
  {"16","SQLFreeStmt"}, 
  {"160","SQLForeignKeysW"}, 
  {"162","SQLNativeSqlW"}, 
  {"165","SQLPrimaryKeysW"}, 
  {"166","SQLProcedureColumnsW"}, 
  {"167","SQLProceduresW"}, 
  {"17","SQLGetCursorName"}, 
  {"170","SQLTablePrivilegesW"}, 
  {"171","SQLDriversW"}, 
  {"173","SQLSetDescFieldW"}, 
  {"176","SQLSetStmtAttrW"}, 
  {"18","SQLNumResultCols"}, 
  {"19","SQLPrepare"}, 
  {"2","SQLAllocEnv"}, 
  {"20","SQLRowCount"}, 
  {"206","SQLColAttributesA"}, 
  {"207","SQLConnectA"}, 
  {"208","SQLDescribeColA"}, 
  {"21","SQLSetCursorName"}, 
  {"210","SQLErrorA"}, 
  {"211","SQLExecDirectA"}, 
  {"217","SQLGetCursorNameA"}, 
  {"219","SQLPrepareA"}, 
  {"22","SQLSetParam"}, 
  {"221","SQLSetCursorNameA"}, 
  {"227","SQLColAttributeA"}, 
  {"23","SQLTransact"}, 
  {"232","SQLGetConnectAttrA"}, 
  {"233","SQLGetDescFieldA"}, 
  {"234","SQLGetDescRecA"}, 
  {"235","SQLGetDiagFieldA"}, 
  {"236","SQLGetDiagRecA"}, 
  {"238","SQLGetStmtAttrA"}, 
  {"239","SQLSetConnectAttrA"}, 
  {"24","SQLAllocHandle"}, 
  {"240","SQLColumnsA"}, 
  {"241","SQLDriverConnectA"}, 
  {"242","SQLGetConnectOptionA"}, 
  {"245","SQLGetInfoA"}, 
  {"247","SQLGetTypeInfoA"}, 
  {"25","SQLBindParam"}, 
  {"250","SQLSetConnectOptionA"}, 
  {"252","SQLSpecialColumnsA"}, 
  {"253","SQLStatisticsA"}, 
  {"254","SQLTablesA"}, 
  {"255","SQLBrowseConnectA"}, 
  {"256","SQLColumnPrivilegesA"}, 
  {"257","SQLDataSourcesA"}, 
  {"26","SQLCloseCursor"}, 
  {"260","SQLForeignKeysA"}, 
  {"262","SQLNativeSqlA"}, 
  {"265","SQLPrimaryKeysA"}, 
  {"266","SQLProcedureColumnsA"}, 
  {"267","SQLProceduresA"}, 
  {"27","SQLColAttribute"}, 
  {"270","SQLTablePrivilegesA"}, 
  {"271","SQLDriversA"}, 
  {"273","SQLSetDescFieldA"}, 
  {"276","SQLSetStmtAttrA"}, 
  {"28","SQLCopyDesc"}, 
  {"29","SQLEndTran"}, 
  {"3","SQLAllocStmt"}, 
  {"30","SQLFetchScroll"}, 
  {"301","ODBCQualifyFileDSNW"}, 
  {"31","SQLFreeHandle"}, 
  {"32","SQLGetConnectAttr"}, 
  {"33","SQLGetDescField"}, 
  {"34","SQLGetDescRec"}, 
  {"35","SQLGetDiagField"}, 
  {"36","SQLGetDiagRec"}, 
  {"37","SQLGetEnvAttr"}, 
  {"38","SQLGetStmtAttr"}, 
  {"39","SQLSetConnectAttr"}, 
  {"4","SQLBindCol"}, 
  {"40","SQLColumns"}, 
  {"41","SQLDriverConnect"}, 
  {"42","SQLGetConnectOption"}, 
  {"43","SQLGetData"}, 
  {"44","SQLGetFunctions"}, 
  {"45","SQLGetInfo"}, 
  {"46","SQLGetStmtOption"}, 
  {"47","SQLGetTypeInfo"}, 
  {"48","SQLParamData"}, 
  {"49","SQLPutData"}, 
  {"5","SQLCancel"}, 
  {"50","SQLSetConnectOption"}, 
  {"51","SQLSetStmtOption"}, 
  {"52","SQLSpecialColumns"}, 
  {"53","SQLStatistics"}, 
  {"54","SQLTables"}, 
  {"55","SQLBrowseConnect"}, 
  {"56","SQLColumnPrivileges"}, 
  {"57","SQLDataSources"}, 
  {"58","SQLDescribeParam"}, 
  {"59","SQLExtendedFetch"}, 
  {"6","SQLColAttributes"}, 
  {"60","SQLForeignKeys"}, 
  {"61","SQLMoreResults"}, 
  {"62","SQLNativeSql"}, 
  {"63","SQLNumParams"}, 
  {"64","SQLParamOptions"}, 
  {"65","SQLPrimaryKeys"}, 
  {"66","SQLProcedureColumns"}, 
  {"67","SQLProcedures"}, 
  {"68","SQLSetPos"}, 
  {"69","SQLSetScrollOptions"}, 
  {"7","SQLConnect"}, 
  {"70","SQLTablePrivileges"}, 
  {"71","SQLDrivers"}, 
  {"72","SQLBindParameter"}, 
  {"73","SQLSetDescField"}, 
  {"74","SQLSetDescRec"}, 
  {"75","SQLSetEnvAttr"}, 
  {"76","SQLSetStmtAttr"}, 
  {"77","SQLAllocHandleStd"}, 
  {"78","SQLBulkOperations"}, 
  {"79","CloseODBCPerfData"}, 
  {"8","SQLDescribeCol"}, 
  {"80","CollectODBCPerfData"}, 
  {"81","CursorLibLockDbc"}, 
  {"82","CursorLibLockDesc"}, 
  {"83","CursorLibLockStmt"}, 
  {"84","ODBCGetTryWaitValue"}, 
  {"85","CursorLibTransact"}, 
  {"86","ODBCSetTryWaitValue"}, 
  {"87","DllBidEntryPoint"}, 
  {"88","GetODBCSharedData"}, 
  {"89","LockHandle"}, 
  {"9","SQLDisconnect"}, 
  {"90","ODBCInternalConnectW"}, 
  {"91","OpenODBCPerfData"}, 
  {"92","PostComponentError"}, 
  {"93","PostODBCComponentError"}, 
  {"94","PostODBCError"}, 
  {"95","SQLCancelHandle"}, 
  {"96","SQLCompleteAsync"}, 
  {"97","SearchStatusCode"}, 
  {"98","VFreeErrors"}, 
  {"99","VRetrieveDriverErrorsRowCol"}, 
  {NULL, NULL}
};
// 0x55c352008e70
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_odbc32_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_odbc32_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_odbc32(x,y) gperf_odbc32_hash(x)
const unsigned int gperf_odbc32_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_odbc32 = {
  .name = "odbc32",
  .get = &gperf_odbc32_get,
  .hash = &gperf_odbc32_hash,
  .foreach = &gperf_odbc32_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_odbc32.get)("foo");
	printf ("%s\n", s);
}
#endif
