// SDB-CGEN V1.8.3
// gcc -DMAIN=1 shell32.c ; ./a.out > shell32.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"10","PifMgr_GetProperties"}, 
  {"100","SHRestricted"}, 
  {"102","SHCoCreateInstance"}, 
  {"103","SignalFileOpen"}, 
  {"11","PifMgr_SetProperties"}, 
  {"119","IsLFNDrive"}, 
  {"125","OpenAs_RunDLLA"}, 
  {"129","DAD_AutoScroll"}, 
  {"13","PifMgr_CloseProperties"}, 
  {"131","DAD_DragEnterEx"}, 
  {"132","DAD_DragLeave"}, 
  {"133","OpenAs_RunDLLW"}, 
  {"134","DAD_DragMove"}, 
  {"135","PrepareDiscForBurnRunDllW"}, 
  {"136","DAD_SetDragImage"}, 
  {"137","DAD_ShowDragImage"}, 
  {"138","PrintersGetCommand_RunDLL"}, 
  {"139","PrintersGetCommand_RunDLLA"}, 
  {"14","SHStartNetConnectionDialogW"}, 
  {"147","SHCLSIDFromString"}, 
  {"149","SHFind_InitMenuPopup"}, 
  {"150","PrintersGetCommand_RunDLLW"}, 
  {"152","ILGetSize"}, 
  {"153","ILGetNext"}, 
  {"154","ILAppendID"}, 
  {"155","ILFree"}, 
  {"157","ILCreateFromPath"}, 
  {"16","ILFindLastID"}, 
  {"162","SHSimpleIDListFromPath"}, 
  {"164","Win32DeleteFile"}, 
  {"165","SHCreateDirectory"}, 
  {"167","SHAddFromPropSheetExtArray"}, 
  {"168","SHCreatePropSheetExtArray"}, 
  {"169","SHDestroyPropSheetExtArray"}, 
  {"17","ILRemoveLastID"}, 
  {"170","SHReplaceFromPropSheetExtArray"}, 
  {"171","PathCleanupSpec"}, 
  {"173","SHValidateUNC"}, 
  {"174","SHCreateShellFolderViewEx"}, 
  {"176","SHSetInstanceExplorer"}, 
  {"178","SHObjectProperties"}, 
  {"179","SHGetNewLinkInfoA"}, 
  {"18","ILClone"}, 
  {"180","SHGetNewLinkInfoW"}, 
  {"182","ShellMessageBoxW"}, 
  {"183","ShellMessageBoxA"}, 
  {"189","ILCreateFromPathA"}, 
  {"19","ILCloneFirst"}, 
  {"190","ILCreateFromPathW"}, 
  {"191","SHUpdateImageA"}, 
  {"192","SHUpdateImageW"}, 
  {"193","SHHandleUpdateImage"}, 
  {"195","SHFree"}, 
  {"196","SHAlloc"}, 
  {"199","RealShellExecuteA"}, 
  {"2","SHChangeNotifyRegister"}, 
  {"207","RealShellExecuteExA"}, 
  {"208","RealShellExecuteExW"}, 
  {"21","ILIsEqual"}, 
  {"22","DAD_DragEnterEx2"}, 
  {"226","RealShellExecuteW"}, 
  {"228","SHHelpShortcuts_RunDLL"}, 
  {"229","SHHelpShortcuts_RunDLLA"}, 
  {"23","ILIsParent"}, 
  {"231","SHSetFolderPathA"}, 
  {"232","SHSetFolderPathW"}, 
  {"238","SHHelpShortcuts_RunDLLW"}, 
  {"239","PathIsSlowW"}, 
  {"24","ILFindChild"}, 
  {"240","PathIsSlowA"}, 
  {"245","SHTestTokenMembership"}, 
  {"25","ILCombine"}, 
  {"255","AppCompat_RunDLLW"}, 
  {"256","SHCreateShellFolderView"}, 
  {"263","AssocCreateForClasses"}, 
  {"267","AssocGetDetailsOfPropKey"}, 
  {"268","CheckEscapesW"}, 
  {"269","CommandLineToArgvW"}, 
  {"27","ILSaveToStream"}, 
  {"272","Control_RunDLL"}, 
  {"273","Control_RunDLLA"}, 
  {"274","Control_RunDLLAsUserW"}, 
  {"275","Control_RunDLLW"}, 
  {"276","DllCanUnloadNow"}, 
  {"277","DllGetActivationFactory"}, 
  {"278","DllGetClassObject"}, 
  {"279","DllGetVersion"}, 
  {"28","SHILCreateFromPath"}, 
  {"280","DllInstall"}, 
  {"281","DllRegisterServer"}, 
  {"282","DllUnregisterServer"}, 
  {"283","DoEnvironmentSubstA"}, 
  {"284","DoEnvironmentSubstW"}, 
  {"285","DragAcceptFiles"}, 
  {"286","DragFinish"}, 
  {"287","DragQueryFile"}, 
  {"288","DragQueryFileA"}, 
  {"289","DragQueryFileAorW"}, 
  {"290","DragQueryFileW"}, 
  {"291","DragQueryPoint"}, 
  {"292","DuplicateIcon"}, 
  {"293","ExtractAssociatedIconA"}, 
  {"294","ExtractAssociatedIconExA"}, 
  {"295","ExtractAssociatedIconExW"}, 
  {"296","ExtractAssociatedIconW"}, 
  {"297","ExtractIconA"}, 
  {"298","ExtractIconEx"}, 
  {"299","ExtractIconExA"}, 
  {"3","SHDefExtractIconA"}, 
  {"300","ExtractIconExW"}, 
  {"301","ExtractIconW"}, 
  {"302","FindExecutableA"}, 
  {"303","FindExecutableW"}, 
  {"304","FreeIconList"}, 
  {"305","GetCurrentProcessExplicitAppUserModelID"}, 
  {"306","InitNetworkAddressControl"}, 
  {"307","InternalExtractIconListA"}, 
  {"308","InternalExtractIconListW"}, 
  {"309","LaunchMSHelp_RunDLLW"}, 
  {"310","Options_RunDLL"}, 
  {"311","Options_RunDLLA"}, 
  {"312","Options_RunDLLW"}, 
  {"313","RegenerateUserEnvironment"}, 
  {"314","RunAsNewUser_RunDLLW"}, 
  {"315","SHAddDefaultPropertiesByExt"}, 
  {"316","SHAddToRecentDocs"}, 
  {"317","SHAppBarMessage"}, 
  {"318","SHAssocEnumHandlers"}, 
  {"319","SHAssocEnumHandlersForProtocolByApplication"}, 
  {"320","SHBindToFolderIDListParent"}, 
  {"321","SHBindToFolderIDListParentEx"}, 
  {"322","SHBindToObject"}, 
  {"323","SHBindToParent"}, 
  {"324","SHBrowseForFolder"}, 
  {"325","SHBrowseForFolderA"}, 
  {"326","SHBrowseForFolderW"}, 
  {"327","SHChangeNotify"}, 
  {"328","SHChangeNotifyRegisterThread"}, 
  {"329","SHChangeNotifySuspendResume"}, 
  {"330","SHCoCreateInstanceWorker"}, 
  {"331","SHCreateAssociationRegistration"}, 
  {"332","SHCreateCategoryEnum"}, 
  {"333","SHCreateDataObject"}, 
  {"334","SHCreateDefaultContextMenu"}, 
  {"335","SHCreateDefaultExtractIcon"}, 
  {"336","SHCreateDefaultPropertiesOp"}, 
  {"337","SHCreateDirectoryExA"}, 
  {"338","SHCreateDirectoryExW"}, 
  {"339","SHCreateDrvExtIcon"}, 
  {"340","SHCreateItemFromIDList"}, 
  {"341","SHCreateItemFromParsingName"}, 
  {"342","SHCreateItemFromRelativeName"}, 
  {"343","SHCreateItemInKnownFolder"}, 
  {"344","SHCreateItemWithParent"}, 
  {"345","SHCreateLocalServerRunDll"}, 
  {"346","SHCreateProcessAsUserW"}, 
  {"347","SHCreateQueryCancelAutoPlayMoniker"}, 
  {"348","SHCreateShellItem"}, 
  {"349","SHCreateShellItemArray"}, 
  {"350","SHCreateShellItemArrayFromDataObject"}, 
  {"351","SHCreateShellItemArrayFromIDLists"}, 
  {"352","SHCreateShellItemArrayFromShellItem"}, 
  {"353","SHELL32_AddToBackIconTable"}, 
  {"354","SHELL32_AddToFrontIconTable"}, 
  {"355","SHELL32_AreAllItemsAvailable"}, 
  {"356","SHELL32_BindToFilePlaceholderHandler"}, 
  {"357","SHELL32_CCommonPlacesFolder_CreateInstance"}, 
  {"358","SHELL32_CDBurn_CloseSession"}, 
  {"359","SHELL32_CDBurn_DriveSupportedForDataBurn"}, 
  {"360","SHELL32_CDBurn_Erase"}, 
  {"361","SHELL32_CDBurn_GetCDInfo"}, 
  {"362","SHELL32_CDBurn_GetLiveFSDiscInfo"}, 
  {"363","SHELL32_CDBurn_GetStagingPathOrNormalPath"}, 
  {"364","SHELL32_CDBurn_GetTaskInfo"}, 
  {"365","SHELL32_CDBurn_IsBlankDisc2"}, 
  {"366","SHELL32_CDBurn_IsBlankDisc"}, 
  {"367","SHELL32_CDBurn_IsLiveFS"}, 
  {"368","SHELL32_CDBurn_OnDeviceChange"}, 
  {"369","SHELL32_CDBurn_OnEject"}, 
  {"370","SHELL32_CDBurn_OnMediaChange"}, 
  {"371","SHELL32_CDefFolderMenu_Create2"}, 
  {"372","SHELL32_CDefFolderMenu_Create2Ex"}, 
  {"373","SHELL32_CDefFolderMenu_MergeMenu"}, 
  {"374","SHELL32_CDrivesContextMenu_Create"}, 
  {"375","SHELL32_CDrivesDropTarget_Create"}, 
  {"376","SHELL32_CFSDropTarget_CreateInstance"}, 
  {"377","SHELL32_CFSFolderCallback_Create"}, 
  {"378","SHELL32_CFillPropertiesTask_CreateInstance"}, 
  {"379","SHELL32_CLibraryDropTarget_CreateInstance"}, 
  {"380","SHELL32_CLocationContextMenu_Create"}, 
  {"381","SHELL32_CMountPoint_DoAutorun"}, 
  {"382","SHELL32_CMountPoint_DoAutorunPrompt"}, 
  {"383","SHELL32_CMountPoint_IsAutoRunDriveAndEnabledByPolicy"}, 
  {"384","SHELL32_CMountPoint_ProcessAutoRunFile"}, 
  {"385","SHELL32_CMountPoint_WantAutorunUI"}, 
  {"386","SHELL32_CMountPoint_WantAutorunUIGetReady"}, 
  {"387","SHELL32_CPL_CategoryIdArrayFromVariant"}, 
  {"388","SHELL32_CPL_IsLegacyCanonicalNameListedUnderKey"}, 
  {"389","SHELL32_CPL_ModifyWowDisplayName"}, 
  {"390","SHELL32_CRecentDocsContextMenu_CreateInstance"}, 
  {"391","SHELL32_CSyncRootManager_CreateInstance"}, 
  {"392","SHELL32_CTransferConfirmation_CreateInstance"}, 
  {"393","SHELL32_CallFileCopyHooks"}, 
  {"394","SHELL32_CanDisplayWin8CopyDialog"}, 
  {"395","SHELL32_CloseAutoplayPrompt"}, 
  {"396","SHELL32_CommandLineFromMsiDescriptor"}, 
  {"397","SHELL32_CopyExtrinsicPropertyStore"}, 
  {"398","SHELL32_CopyFilePlaceholderToNewFile"}, 
  {"399","SHELL32_CopySecondaryTiles"}, 
  {"4","SHChangeNotifyDeregister"}, 
  {"400","SHELL32_CreateAlternateStreamFileName"}, 
  {"401","SHELL32_CreateConfirmationInterrupt"}, 
  {"402","SHELL32_CreateConflictInterrupt"}, 
  {"403","SHELL32_CreateDefaultOperationDataProvider"}, 
  {"404","SHELL32_CreateExtrinsicPropertyStore"}, 
  {"405","SHELL32_CreateFileFolderContextMenu"}, 
  {"406","SHELL32_CreateLinkInfoW"}, 
  {"407","SHELL32_CreatePlaceholderFile"}, 
  {"408","SHELL32_CreateQosRecorder"}, 
  {"409","SHELL32_CreateSharePointView"}, 
  {"41","IsLFNDriveA"}, 
  {"410","SHELL32_Create_IEnumUICommand"}, 
  {"411","SHELL32_DestroyLinkInfo"}, 
  {"412","SHELL32_EncryptDirectory"}, 
  {"413","SHELL32_EncryptedFileKeyInfo"}, 
  {"414","SHELL32_EnumCommonTasks"}, 
  {"415","SHELL32_FilePlaceholder_BindToPrimaryStream"}, 
  {"416","SHELL32_FilePlaceholder_CreateInstance"}, 
  {"417","SHELL32_FreeEncryptedFileKeyInfo"}, 
  {"418","SHELL32_GenerateAppID"}, 
  {"419","SHELL32_GetAppIDRoot"}, 
  {"42","IsLFNDriveW"}, 
  {"420","SHELL32_GetCommandProviderForFolderType"}, 
  {"421","SHELL32_GetDPIAdjustedLogicalSize"}, 
  {"422","SHELL32_GetDiskCleanupPath"}, 
  {"423","SHELL32_GetFileNameFromBrowse"}, 
  {"424","SHELL32_GetIconOverlayManager"}, 
  {"425","SHELL32_GetLinkInfoData"}, 
  {"426","SHELL32_GetPlaceholderStatesFromFileAttributesAndReparsePointTag"}, 
  {"427","SHELL32_GetRatingBucket"}, 
  {"428","SHELL32_GetSkyDriveNetworkStates"}, 
  {"429","SHELL32_GetSqmableFileName"}, 
  {"43","PathIsExe"}, 
  {"430","SHELL32_GetThumbnailAdornerFromFactory2"}, 
  {"431","SHELL32_GetThumbnailAdornerFromFactory"}, 
  {"432","SHELL32_HandleUnrecognizedFileSystem"}, 
  {"433","SHELL32_IconCacheCreate"}, 
  {"434","SHELL32_IconCacheDestroy"}, 
  {"435","SHELL32_IconCacheHandleAssociationChanged"}, 
  {"436","SHELL32_IconCacheRestore"}, 
  {"437","SHELL32_IconCache_AboutToExtractIcons"}, 
  {"438","SHELL32_IconCache_DoneExtractingIcons"}, 
  {"439","SHELL32_IconCache_ExpandEnvAndSearchPath"}, 
  {"440","SHELL32_IconCache_RememberRecentlyExtractedIconsW"}, 
  {"441","SHELL32_IconOverlayManagerInit"}, 
  {"442","SHELL32_IsGetKeyboardLayoutPresent"}, 
  {"443","SHELL32_IsSystemUpgradeInProgress"}, 
  {"444","SHELL32_IsValidLinkInfo"}, 
  {"445","SHELL32_LegacyEnumSpecialTasksByType"}, 
  {"446","SHELL32_LegacyEnumTasks"}, 
  {"447","SHELL32_LookupBackIconIndex"}, 
  {"448","SHELL32_LookupFrontIconIndex"}, 
  {"449","SHELL32_NormalizeRating"}, 
  {"450","SHELL32_NotifyLinkTrackingServiceOfMove"}, 
  {"451","SHELL32_PifMgr_CloseProperties"}, 
  {"452","SHELL32_PifMgr_GetProperties"}, 
  {"453","SHELL32_PifMgr_OpenProperties"}, 
  {"454","SHELL32_PifMgr_SetProperties"}, 
  {"455","SHELL32_Printers_CreateBindInfo"}, 
  {"456","SHELL32_Printjob_GetPidl"}, 
  {"457","SHELL32_PurgeSystemIcon"}, 
  {"458","SHELL32_RefreshOverlayImages"}, 
  {"459","SHELL32_ResolveLinkInfoW"}, 
  {"460","SHELL32_SHAddSparseIcon"}, 
  {"461","SHELL32_SHCreateByValueOperationInterrupt"}, 
  {"462","SHELL32_SHCreateDefaultContextMenu"}, 
  {"463","SHELL32_SHCreateLocalServer"}, 
  {"464","SHELL32_SHCreateShellFolderView"}, 
  {"465","SHELL32_SHDuplicateEncryptionInfoFile"}, 
  {"466","SHELL32_SHEncryptFile"}, 
  {"467","SHELL32_SHFormatDriveAsync"}, 
  {"468","SHELL32_SHGetThreadUndoManager"}, 
  {"469","SHELL32_SHGetUserNameW"}, 
  {"47","PathMakeUniqueName"}, 
  {"470","SHELL32_SHIsVirtualDevice"}, 
  {"471","SHELL32_SHLaunchPropSheet"}, 
  {"472","SHELL32_SHLogILFromFSIL"}, 
  {"473","SHELL32_SHOpenWithDialog"}, 
  {"474","SHELL32_SHUICommandFromGUID"}, 
  {"475","SHELL32_SendToMenu_InvokeTargetedCommand"}, 
  {"476","SHELL32_SendToMenu_VerifyTargetedCommand"}, 
  {"477","SHELL32_SetPlaceholderReparsePointAttribute2"}, 
  {"478","SHELL32_SetPlaceholderReparsePointAttribute"}, 
  {"479","SHELL32_ShowHideIconOnlyOnDesktop"}, 
  {"480","SHELL32_SimpleRatingToFilterCondition"}, 
  {"481","SHELL32_StampIconForElevation"}, 
  {"482","SHELL32_SuspendUndo"}, 
  {"483","SHELL32_TryVirtualDiscImageDriveEject"}, 
  {"484","SHELL32_UpdateFilePlaceholderStates"}, 
  {"485","SHELL32_VerifySaferTrust"}, 
  {"486","SHEmptyRecycleBinA"}, 
  {"487","SHEmptyRecycleBinW"}, 
  {"488","SHEnableServiceObject"}, 
  {"489","SHEnumerateUnreadMailAccountsW"}, 
  {"49","PathQualify"}, 
  {"490","SHEvaluateSystemCommandTemplate"}, 
  {"491","SHExtractIconsW"}, 
  {"492","SHFileOperation"}, 
  {"493","SHFileOperationA"}, 
  {"494","SHFileOperationW"}, 
  {"495","SHFormatDrive"}, 
  {"496","SHFreeNameMappings"}, 
  {"497","SHGetDataFromIDListA"}, 
  {"498","SHGetDataFromIDListW"}, 
  {"499","SHGetDesktopFolder"}, 
  {"500","SHGetDiskFreeSpaceA"}, 
  {"501","SHGetDiskFreeSpaceExA"}, 
  {"502","SHGetDiskFreeSpaceExW"}, 
  {"503","SHGetDriveMedia"}, 
  {"504","SHGetFileInfo"}, 
  {"505","SHGetFileInfoA"}, 
  {"506","SHGetFileInfoW"}, 
  {"507","SHGetFolderLocation"}, 
  {"508","SHGetFolderPathA"}, 
  {"509","SHGetFolderPathAndSubDirA"}, 
  {"51","PathResolve"}, 
  {"510","SHGetFolderPathAndSubDirW"}, 
  {"511","SHGetFolderPathEx"}, 
  {"512","SHGetFolderPathW"}, 
  {"513","SHGetIDListFromObject"}, 
  {"514","SHGetIconOverlayIndexA"}, 
  {"515","SHGetIconOverlayIndexW"}, 
  {"516","SHGetInstanceExplorer"}, 
  {"517","SHGetItemFromDataObject"}, 
  {"518","SHGetItemFromObject"}, 
  {"519","SHGetKnownFolderIDList"}, 
  {"524","RealDriveType"}, 
  {"526","SHFlushSFCache"}, 
  {"527","SHGetKnownFolderItem"}, 
  {"528","SHGetKnownFolderPath"}, 
  {"529","SHGetLocalizedName"}, 
  {"530","SHGetMalloc"}, 
  {"531","SHGetNameFromIDList"}, 
  {"532","SHGetNewLinkInfo"}, 
  {"533","SHGetPathFromIDList"}, 
  {"534","SHGetPathFromIDListA"}, 
  {"535","SHGetPathFromIDListEx"}, 
  {"536","SHGetPathFromIDListW"}, 
  {"537","SHGetPropertyStoreForWindow"}, 
  {"538","SHGetPropertyStoreFromIDList"}, 
  {"539","SHGetPropertyStoreFromParsingName"}, 
  {"540","SHGetSettings"}, 
  {"541","SHGetSpecialFolderLocation"}, 
  {"542","SHGetSpecialFolderPathA"}, 
  {"543","SHGetSpecialFolderPathW"}, 
  {"544","SHGetStockIconInfo"}, 
  {"545","SHGetTemporaryPropertyForItem"}, 
  {"546","SHGetUnreadMailCountW"}, 
  {"547","SHInvokePrinterCommandA"}, 
  {"548","SHInvokePrinterCommandW"}, 
  {"549","SHIsFileAvailableOffline"}, 
  {"550","SHLoadInProc"}, 
  {"551","SHLoadNonloadedIconOverlayIdentifiers"}, 
  {"552","SHOpenFolderAndSelectItems"}, 
  {"553","SHOpenWithDialog"}, 
  {"554","SHParseDisplayName"}, 
  {"555","SHPathPrepareForWriteA"}, 
  {"556","SHPathPrepareForWriteW"}, 
  {"557","SHQueryRecycleBinA"}, 
  {"558","SHQueryRecycleBinW"}, 
  {"559","SHQueryUserNotificationState"}, 
  {"560","SHRemoveLocalizedName"}, 
  {"561","SHResolveLibrary"}, 
  {"562","SHSetDefaultProperties"}, 
  {"563","SHSetKnownFolderPath"}, 
  {"564","SHSetLocalizedName"}, 
  {"565","SHSetTemporaryPropertyForItem"}, 
  {"566","SHSetUnreadMailCountW"}, 
  {"567","SHShowManageLibraryUI"}, 
  {"568","SHUpdateRecycleBinIcon"}, 
  {"569","SetCurrentProcessExplicitAppUserModelID"}, 
  {"570","SheChangeDirA"}, 
  {"571","SheChangeDirExW"}, 
  {"572","SheGetDirA"}, 
  {"573","SheSetCurDrive"}, 
  {"574","ShellAboutA"}, 
  {"575","ShellAboutW"}, 
  {"576","ShellExec_RunDLL"}, 
  {"577","ShellExec_RunDLLA"}, 
  {"578","ShellExec_RunDLLW"}, 
  {"579","ShellExecuteA"}, 
  {"580","ShellExecuteEx"}, 
  {"581","ShellExecuteExA"}, 
  {"582","ShellExecuteExW"}, 
  {"583","ShellExecuteW"}, 
  {"584","ShellHookProc"}, 
  {"585","Shell_GetCachedImageIndexA"}, 
  {"586","Shell_GetCachedImageIndexW"}, 
  {"587","Shell_NotifyIcon"}, 
  {"588","Shell_NotifyIconA"}, 
  {"589","Shell_NotifyIconGetRect"}, 
  {"59","RestartDialog"}, 
  {"590","Shell_NotifyIconW"}, 
  {"591","StrChrA"}, 
  {"592","StrChrIA"}, 
  {"593","StrChrIW"}, 
  {"594","StrChrW"}, 
  {"595","StrCmpNA"}, 
  {"596","StrCmpNIA"}, 
  {"597","StrCmpNIW"}, 
  {"598","StrCmpNW"}, 
  {"599","StrNCmpA"}, 
  {"6","SHDefExtractIconW"}, 
  {"600","StrNCmpIA"}, 
  {"601","StrNCmpIW"}, 
  {"602","StrNCmpW"}, 
  {"603","StrRChrA"}, 
  {"604","StrRChrIA"}, 
  {"605","StrRChrIW"}, 
  {"606","StrRChrW"}, 
  {"607","StrRStrA"}, 
  {"608","StrRStrIA"}, 
  {"609","StrRStrIW"}, 
  {"610","StrRStrW"}, 
  {"611","StrStrA"}, 
  {"612","StrStrIA"}, 
  {"613","StrStrIW"}, 
  {"614","StrStrW"}, 
  {"615","UsersLibrariesFolderUI_CreateInstance"}, 
  {"616","WOWShellExecute"}, 
  {"617","WaitForExplorerRestartW"}, 
  {"62","PickIconDlg"}, 
  {"63","GetFileNameFromBrowse"}, 
  {"64","DriveType"}, 
  {"644","SHChangeNotification_Lock"}, 
  {"645","SHChangeNotification_Unlock"}, 
  {"652","WriteCabinetState"}, 
  {"654","ReadCabinetState"}, 
  {"66","IsNetDrive"}, 
  {"67","Shell_MergeMenus"}, 
  {"68","SHGetSetSettings"}, 
  {"680","IsUserAnAdmin"}, 
  {"682","StgMakeUniqueName"}, 
  {"685","SHPropStgCreate"}, 
  {"688","SHPropStgReadMultiple"}, 
  {"689","SHPropStgWriteMultiple"}, 
  {"701","CDefFolderMenu_Create2"}, 
  {"709","SHGetSetFolderCustomSettings"}, 
  {"71","Shell_GetImageLists"}, 
  {"716","SHMultiFileProperties"}, 
  {"72","Shell_GetCachedImageIndex"}, 
  {"727","SHGetImageList"}, 
  {"73","SHShellFolderView_Message"}, 
  {"730","RestartDialogEx"}, 
  {"74","SHCreateStdEnumFmtEtc"}, 
  {"743","SHCreateFileExtractIconW"}, 
  {"747","SHLimitInputEdit"}, 
  {"75","PathYetAnotherMakeUniqueName"}, 
  {"750","SHGetAttributesFromDataObject"}, 
  {"77","SHMapPIDLToSystemImageListIndex"}, 
  {"80","SHOpenPropSheetW"}, 
  {"81","OpenAs_RunDLL"}, 
  {"83","CIDLData_CreateFromIDArray"}, 
  {"846","ILLoadFromStreamEx"}, 
  {"85","OpenRegStream"}, 
  {"88","SHDoDragDrop"}, 
  {"89","SHCloneSpecialIDList"}, 
  {"9","PifMgr_OpenProperties"}, 
  {"90","SHFindFiles"}, 
  {"919","GetSystemPersistedStorageItemList"}, 
  {"92","PathGetShortPath"}, 
  {"920","CreateStorageItemFromPath_PartialTrustCaller"}, 
  {"921","CreateStorageItemFromShellItem_FullTrustCaller"}, 
  {"925","CreateStorageItemFromShellItem_FullTrustCaller_ForPackage"}, 
  {"929","CreateStorageItemFromShellItem_FullTrustCaller_ForPackage_WithProcessHandle"}, 
  {"931","CreateStorageItemFromShellItem_FullTrustCaller_UseImplicitFlagsAndPackage"}, 
  {"935","CreateStorageItemFromPath_FullTrustCaller"}, 
  {"936","CreateStorageItemFromPath_FullTrustCaller_ForPackage"}, 
  {"937","CStorageItem_GetValidatedStorageItemObject"}, 
  {"941","IsProcessAnExplorer"}, 
  {"942","IsDesktopExplorerProcess"}, 
  {"98","SHGetRealIDL"}, 
  {NULL, NULL}
};
// 0x5596dc04c5a0
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_shell32_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_shell32_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_shell32(x,y) gperf_shell32_hash(x)
const unsigned int gperf_shell32_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_shell32 = {
  .name = "shell32",
  .get = &gperf_shell32_get,
  .hash = &gperf_shell32_hash,
  .foreach = &gperf_shell32_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_shell32.get)("foo");
	printf ("%s\n", s);
}
#endif
