// SDB-CGEN V1.8.3
// gcc -DMAIN=1 linux_x86_32.c ; ./a.out > linux_x86_32.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"_","0x80"}, 
  {"accept4","0x80,364,4,"}, 
  {"access","0x80,33,2,"}, 
  {"acct","0x80,51,1,"}, 
  {"add_key","0x80,286,5,"}, 
  {"adjtimex","0x80,124,1,"}, 
  {"alarm","0x80,27,1,"}, 
  {"arch_prctl","0x80,384,2,"}, 
  {"bdflush","0x80,134,2,"}, 
  {"bind","0x80,361,3,"}, 
  {"bpf","0x80,357,3,"}, 
  {"brk","0x80,45,1,"}, 
  {"capget","0x80,184,2,"}, 
  {"capset","0x80,185,2,"}, 
  {"chdir","0x80,12,1,z"}, 
  {"chmod","0x80,15,2,"}, 
  {"chown","0x80,182,3,"}, 
  {"chown32","0x80,212,3,"}, 
  {"chroot","0x80,61,1,"}, 
  {"clock_adjtime","0x80,343,2,"}, 
  {"clock_getres","0x80,266,2,"}, 
  {"clock_gettime","0x80,265,2,"}, 
  {"clock_nanosleep","0x80,267,4,"}, 
  {"clock_settime","0x80,264,2,"}, 
  {"clone","0x80,120,4,"}, 
  {"close","0x80,6,1,i"}, 
  {"connect","0x80,362,3,"}, 
  {"copy_file_range","0x80,377,6,"}, 
  {"creat","0x80,8,2,zx"}, 
  {"create_module","0x80,127,2,"}, 
  {"delete_module","0x80,129,1,"}, 
  {"dup","0x80,41,2,"}, 
  {"dup2","0x80,63,2,"}, 
  {"dup3","0x80,330,3,"}, 
  {"epoll_create","0x80,254,1,"}, 
  {"epoll_create1","0x80,329,1,"}, 
  {"epoll_ctl","0x80,255,4,"}, 
  {"epoll_pwait","0x80,319,6,"}, 
  {"epoll_wait","0x80,256,4,"}, 
  {"eventfd","0x80,323,1,"}, 
  {"eventfd2","0x80,328,2,"}, 
  {"execve","0x80,11,3,zpp"}, 
  {"execveat","0x80,358,5,"}, 
  {"exit","0x80,1,1,i"}, 
  {"exit_group","0x80,252,1,"}, 
  {"faccessat","0x80,307,3,"}, 
  {"fadvise64","0x80,250,5,"}, 
  {"fadvise64_64","0x80,272,6,"}, 
  {"fallocate","0x80,324,6,"}, 
  {"fanotify_init","0x80,338,2,"}, 
  {"fanotify_mark","0x80,339,6,"}, 
  {"fchdir","0x80,133,1,"}, 
  {"fchmod","0x80,94,2,"}, 
  {"fchmodat","0x80,306,3,"}, 
  {"fchown","0x80,95,3,"}, 
  {"fchown32","0x80,207,3,"}, 
  {"fchownat","0x80,298,5,"}, 
  {"fcntl","0x80,55,3,"}, 
  {"fcntl64","0x80,221,3,"}, 
  {"fdatasync","0x80,148,1,"}, 
  {"fgetxattr","0x80,231,4,"}, 
  {"finit_module","0x80,350,3,"}, 
  {"flistxattr","0x80,234,3,"}, 
  {"flock","0x80,143,2,"}, 
  {"fork","0x80,2,0,"}, 
  {"fremovexattr","0x80,237,2,"}, 
  {"fsetxattr","0x80,228,5,"}, 
  {"fstat","0x80,28,2,"}, 
  {"fstat64","0x80,197,2,"}, 
  {"fstatat64","0x80,300,4,"}, 
  {"fstatfs","0x80,100,2,"}, 
  {"fstatfs64","0x80,269,3,"}, 
  {"fsync","0x80,118,1,"}, 
  {"ftruncate","0x80,93,2,"}, 
  {"futex","0x80,240,6,"}, 
  {"futimesat","0x80,299,3,"}, 
  {"get_kernel_syms","0x80,130,1,"}, 
  {"get_mempolicy","0x80,275,5,"}, 
  {"get_robust_list","0x80,312,3,"}, 
  {"get_thread_area","0x80,244,1,"}, 
  {"getcpu","0x80,318,3,"}, 
  {"getcwd","0x80,183,2,"}, 
  {"getdents","0x80,141,3,"}, 
  {"getdents64","0x80,220,3,"}, 
  {"getegid","0x80,50,0,"}, 
  {"getegid32","0x80,202,0,"}, 
  {"geteuid","0x80,49,0,"}, 
  {"geteuid32","0x80,201,0,"}, 
  {"getgid","0x80,47,0,"}, 
  {"getgid32","0x80,200,0,"}, 
  {"getgroups","0x80,80,2,"}, 
  {"getgroups32","0x80,205,2,"}, 
  {"getitimer","0x80,105,2,"}, 
  {"getpeername","0x80,368,3,"}, 
  {"getpgid","0x80,132,1,"}, 
  {"getpgrp","0x80,65,0,"}, 
  {"getpid","0x80,20,0,"}, 
  {"getppid","0x80,64,0,"}, 
  {"getpriority","0x80,96,2,"}, 
  {"getrandom","0x80,355,3,pii,"}, 
  {"getresgid","0x80,171,3,"}, 
  {"getresgid32","0x80,211,3,"}, 
  {"getresuid","0x80,165,3,"}, 
  {"getresuid32","0x80,209,3,"}, 
  {"getrlimit","0x80,76,2,"}, 
  {"getrusage","0x80,77,2,"}, 
  {"getsid","0x80,147,1,"}, 
  {"getsockname","0x80,367,3,"}, 
  {"getsockopt","0x80,365,5,"}, 
  {"gettid","0x80,224,0,"}, 
  {"gettimeofday","0x80,78,2,"}, 
  {"getuid","0x80,24,0,"}, 
  {"getuid32","0x80,199,0,"}, 
  {"getxattr","0x80,229,4,"}, 
  {"idle","0x80,112,0,"}, 
  {"init_module","0x80,128,2,"}, 
  {"inotify_add_watch","0x80,292,3,"}, 
  {"inotify_init","0x80,291,0,"}, 
  {"inotify_init1","0x80,332,1,"}, 
  {"inotify_rm_watch","0x80,293,2,"}, 
  {"io_cancel","0x80,249,3,"}, 
  {"io_destroy","0x80,246,1,"}, 
  {"io_getevents","0x80,247,5,"}, 
  {"io_pgetevents","0x80,385,6,"}, 
  {"io_setup","0x80,245,2,"}, 
  {"io_submit","0x80,248,3,"}, 
  {"ioctl","0x80,54,3,"}, 
  {"ioperm","0x80,101,3,"}, 
  {"iopl","0x80,110,1,"}, 
  {"ioprio_get","0x80,290,2,"}, 
  {"ioprio_set","0x80,289,3,"}, 
  {"ipc","0x80,117,5,"}, 
  {"kcmp","0x80,349,5,"}, 
  {"kexec_load","0x80,283,4,"}, 
  {"keyctl","0x80,288,5,"}, 
  {"kill","0x80,37,2,"}, 
  {"lchown","0x80,16,3,"}, 
  {"lchown32","0x80,198,3,"}, 
  {"lgetxattr","0x80,230,4,"}, 
  {"link","0x80,9,2,zz"}, 
  {"linkat","0x80,303,5,"}, 
  {"listen","0x80,363,2,"}, 
  {"listxattr","0x80,232,3,"}, 
  {"llistxattr","0x80,233,3,"}, 
  {"llseek","0x80,140,5,"}, 
  {"lookup_dcookie","0x80,253,4,"}, 
  {"lremovexattr","0x80,236,2,"}, 
  {"lseek","0x80,19,3,"}, 
  {"lsetxattr","0x80,227,5,"}, 
  {"lstat","0x80,84,2,"}, 
  {"madvise","0x80,219,3,"}, 
  {"mbind","0x80,274,6,"}, 
  {"membarrier","0x80,375,2,"}, 
  {"memfd_create","0x80,356,2,"}, 
  {"migrate_pages","0x80,294,4,"}, 
  {"mincore","0x80,218,3,"}, 
  {"mkdir","0x80,39,2,zi"}, 
  {"mkdirat","0x80,296,3,"}, 
  {"mknod","0x80,14,3,"}, 
  {"mknodat","0x80,297,4,"}, 
  {"mlock","0x80,150,2,"}, 
  {"mlock2","0x80,376,3,"}, 
  {"mlockall","0x80,152,1,"}, 
  {"mmap","0x80,90,6,"}, 
  {"mmap2","0x80,192,6,"}, 
  {"modify_ldt","0x80,123,3,"}, 
  {"mount","0x80,21,3,"}, 
  {"move_pages","0x80,317,6,"}, 
  {"mprotect","0x80,125,3,"}, 
  {"mq_getsetattr","0x80,282,3,"}, 
  {"mq_notify","0x80,281,2,"}, 
  {"mq_open","0x80,277,4,"}, 
  {"mq_timedreceive","0x80,280,5,"}, 
  {"mq_timedsend","0x80,279,5,"}, 
  {"mq_unlink","0x80,278,1,"}, 
  {"mremap","0x80,163,4,"}, 
  {"msync","0x80,144,3,"}, 
  {"munlock","0x80,151,2,"}, 
  {"munlockall","0x80,153,0,"}, 
  {"munmap","0x80,91,1,"}, 
  {"name_to_handle_at","0x80,341,5,"}, 
  {"nanosleep","0x80,162,2,"}, 
  {"newfstat","0x80,108,2,"}, 
  {"newlstat","0x80,107,2,"}, 
  {"newstat","0x80,106,2,"}, 
  {"newuname","0x80,122,1,"}, 
  {"nfsservctl","0x80,169,3,"}, 
  {"nice","0x80,34,1,"}, 
  {"old_readdir","0x80,89,3,"}, 
  {"old_select","0x80,82,1,"}, 
  {"oldumount","0x80,22,1,"}, 
  {"olduname","0x80,59,1,"}, 
  {"open","0x80,5,3,zxx"}, 
  {"open_by_handle_at","0x80,342,3,"}, 
  {"openat","0x80,295,4,"}, 
  {"pause","0x80,29,0,"}, 
  {"perf_event_open","0x80,336,5,"}, 
  {"personality","0x80,136,1,"}, 
  {"pipe","0x80,42,1,"}, 
  {"pipe2","0x80,331,2,"}, 
  {"pivot_root","0x80,217,2,"}, 
  {"pkey_alloc","0x80,381,2,"}, 
  {"pkey_free","0x80,382,1,"}, 
  {"pkey_mprotect","0x80,380,4,"}, 
  {"poll","0x80,168,3,"}, 
  {"ppoll","0x80,309,5,"}, 
  {"prctl","0x80,172,5,"}, 
  {"pread","0x80,180,4,"}, 
  {"preadv","0x80,333,5,"}, 
  {"preadv2","0x80,378,6,"}, 
  {"prlimit64","0x80,340,4,"}, 
  {"process_vm_readv","0x80,347,6,"}, 
  {"process_vm_writev","0x80,348,6,"}, 
  {"pselect6","0x80,308,6,"}, 
  {"ptrace","0x80,26,4,"}, 
  {"pwrite","0x80,181,4,"}, 
  {"pwritev","0x80,334,5,"}, 
  {"pwritev2","0x80,379,6,"}, 
  {"query_module","0x80,167,5,"}, 
  {"quotactl","0x80,131,4,"}, 
  {"read","0x80,3,3,ipi"}, 
  {"readahead","0x80,225,4,"}, 
  {"readlink","0x80,85,3,"}, 
  {"readlinkat","0x80,305,4,"}, 
  {"readv","0x80,145,3,"}, 
  {"reboot","0x80,88,4,"}, 
  {"recvfrom","0x80,371,6,"}, 
  {"recvmmsg","0x80,337,5,"}, 
  {"recvmsg","0x80,372,3,"}, 
  {"remap_file_pages","0x80,257,5,"}, 
  {"removexattr","0x80,235,2,"}, 
  {"rename","0x80,38,2,"}, 
  {"renameat","0x80,302,4,"}, 
  {"renameat2","0x80,353,5,"}, 
  {"request_key","0x80,287,4,"}, 
  {"rmdir","0x80,40,1,zi"}, 
  {"rseq","0x80,386,4,"}, 
  {"rt_sigaction","0x80,174,3,"}, 
  {"rt_sigpending","0x80,176,2,"}, 
  {"rt_sigprocmask","0x80,175,3,"}, 
  {"rt_sigqueueinfo","0x80,178,3,"}, 
  {"rt_sigreturn","0x80,173,1,"}, 
  {"rt_sigsuspend","0x80,179,2,"}, 
  {"rt_sigtimedwait","0x80,177,4,"}, 
  {"rt_tgsigqueueinfo","0x80,335,4,"}, 
  {"sched_get_priority_max","0x80,159,1,"}, 
  {"sched_get_priority_min","0x80,160,1,"}, 
  {"sched_getaffinity","0x80,242,3,"}, 
  {"sched_getattr","0x80,352,4,"}, 
  {"sched_getparam","0x80,155,2,"}, 
  {"sched_getscheduler","0x80,157,1,"}, 
  {"sched_rr_get_interval","0x80,161,2,"}, 
  {"sched_setaffinity","0x80,241,3,"}, 
  {"sched_setattr","0x80,351,3,"}, 
  {"sched_setparam","0x80,154,2,"}, 
  {"sched_setscheduler","0x80,156,3,"}, 
  {"sched_yield","0x80,158,0,"}, 
  {"seccomp","0x80,354,3,"}, 
  {"select","0x80,142,5,"}, 
  {"sendfile","0x80,187,4,"}, 
  {"sendfile64","0x80,239,4,"}, 
  {"sendmmsg","0x80,345,4,"}, 
  {"sendmsg","0x80,370,3,"}, 
  {"sendto","0x80,369,6,"}, 
  {"set_mempolicy","0x80,276,3,"}, 
  {"set_robust_list","0x80,311,2,"}, 
  {"set_thread_area","0x80,243,1,"}, 
  {"set_tid_address","0x80,258,1,"}, 
  {"setdomainname","0x80,121,2,"}, 
  {"setfsgid","0x80,139,1,"}, 
  {"setfsgid32","0x80,216,1,"}, 
  {"setfsuid","0x80,138,1,"}, 
  {"setfsuid32","0x80,215,1,"}, 
  {"setgid","0x80,46,1,"}, 
  {"setgid32","0x80,214,1,"}, 
  {"setgroups","0x80,81,2,"}, 
  {"setgroups32","0x80,206,2,"}, 
  {"sethostname","0x80,74,2,"}, 
  {"setitimer","0x80,104,3,"}, 
  {"setns","0x80,346,2,"}, 
  {"setpgid","0x80,57,2,"}, 
  {"setpriority","0x80,97,3,"}, 
  {"setregid","0x80,71,2,"}, 
  {"setregid32","0x80,204,2,"}, 
  {"setresgid","0x80,170,3,"}, 
  {"setresgid32","0x80,210,3,"}, 
  {"setresuid","0x80,164,3,"}, 
  {"setresuid32","0x80,208,3,"}, 
  {"setreuid","0x80,70,2,"}, 
  {"setreuid32","0x80,203,2,"}, 
  {"setrlimit","0x80,75,2,"}, 
  {"setsid","0x80,66,0,"}, 
  {"setsockopt","0x80,366,5,"}, 
  {"settimeofday","0x80,79,2,"}, 
  {"setuid","0x80,23,1,i"}, 
  {"setuid32","0x80,213,1,"}, 
  {"setxattr","0x80,226,5,"}, 
  {"sgetmask","0x80,68,0,"}, 
  {"shutdown","0x80,373,2,"}, 
  {"sigaction","0x80,67,3,"}, 
  {"sigaltstack","0x80,186,2,"}, 
  {"signal","0x80,48,2,"}, 
  {"signalfd","0x80,321,3,"}, 
  {"signalfd4","0x80,327,4,"}, 
  {"sigpending","0x80,73,1,"}, 
  {"sigprocmask","0x80,126,3,"}, 
  {"sigreturn","0x80,119,1,"}, 
  {"sigsuspend","0x80,72,3,"}, 
  {"socket","0x80,359,3,"}, 
  {"socketcall","0x80,102,2,"}, 
  {"socketpair","0x80,360,4,"}, 
  {"splice","0x80,313,6,"}, 
  {"ssetmask","0x80,69,1,"}, 
  {"stat","0x80,18,2,"}, 
  {"statfs","0x80,99,2,"}, 
  {"statfs64","0x80,268,3,"}, 
  {"statx","0x80,383,5,"}, 
  {"stime","0x80,25,1,"}, 
  {"swapoff","0x80,115,1,"}, 
  {"swapon","0x80,87,2,"}, 
  {"symlink","0x80,83,2,"}, 
  {"symlinkat","0x80,304,3,"}, 
  {"sync","0x80,36,0,"}, 
  {"sync_file_range","0x80,314,6,"}, 
  {"syncfs","0x80,344,1,"}, 
  {"sysctl","0x80,149,1,"}, 
  {"sysfs","0x80,135,3,"}, 
  {"sysinfo","0x80,116,1,"}, 
  {"syslog","0x80,103,3,"}, 
  {"tee","0x80,315,4,"}, 
  {"tgkill","0x80,270,3,"}, 
  {"time","0x80,13,1,"}, 
  {"timer_create","0x80,259,3,"}, 
  {"timer_delete","0x80,263,1,"}, 
  {"timer_getoverrun","0x80,262,1,"}, 
  {"timer_gettime","0x80,261,2,"}, 
  {"timer_settime","0x80,260,4,"}, 
  {"timerfd_create","0x80,322,2,"}, 
  {"timerfd_gettime","0x80,326,2,"}, 
  {"timerfd_settime","0x80,325,4,"}, 
  {"times","0x80,43,1,"}, 
  {"tkill","0x80,238,2,"}, 
  {"truncate","0x80,92,2,"}, 
  {"umask","0x80,60,1,"}, 
  {"umount","0x80,52,2,"}, 
  {"uname","0x80,109,1,"}, 
  {"unlink","0x80,10,1,z"}, 
  {"unlinkat","0x80,301,3,"}, 
  {"unshare","0x80,310,1,"}, 
  {"uselib","0x80,86,1,"}, 
  {"userfaultfd","0x80,374,1,"}, 
  {"ustat","0x80,62,2,"}, 
  {"utime","0x80,30,2,"}, 
  {"utimensat","0x80,320,4,"}, 
  {"utimes","0x80,271,2,"}, 
  {"vfork","0x80,190,0,"}, 
  {"vhangup","0x80,111,0,"}, 
  {"vm86","0x80,166,1,"}, 
  {"vm86old","0x80,113,2,"}, 
  {"vmsplice","0x80,316,4,"}, 
  {"vserver","0x80,273,5,"}, 
  {"wait4","0x80,114,4,"}, 
  {"waitid","0x80,284,5,"}, 
  {"waitpid","0x80,7,3,ipx"}, 
  {"write","0x80,4,3,iZi"}, 
  {"writev","0x80,146,3,"}, 
  {NULL, NULL}
};
// 0x563fcab7a060
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_linux_x86_32_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_linux_x86_32_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_linux_x86_32(x,y) gperf_linux_x86_32_hash(x)
const unsigned int gperf_linux_x86_32_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_linux_x86_32 = {
  .name = "linux-x86-32",
  .get = &gperf_linux_x86_32_get,
  .hash = &gperf_linux_x86_32_hash,
  .foreach = &gperf_linux_x86_32_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_linux_x86_32.get)("foo");
	printf ("%s\n", s);
}
#endif
