// SDB-CGEN V1.8.3
// gcc -DMAIN=1 CARDS.c ; ./a.out > CARDS.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1","CDTINIT"}, 
  {"2","CDTDRAW"}, 
  {"3","CDTDRAWEXT"}, 
  {"4","CDTTERM"}, 
  {"5","CDTANIMATE"}, 
  {"6","WEP"}, 
  {NULL, NULL}
};
// 0x562e7e6e8710
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_CARDS_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_CARDS_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_CARDS(x,y) gperf_CARDS_hash(x)
const unsigned int gperf_CARDS_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_CARDS = {
  .name = "CARDS",
  .get = &gperf_CARDS_get,
  .hash = &gperf_CARDS_hash,
  .foreach = &gperf_CARDS_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_CARDS.get)("foo");
	printf ("%s\n", s);
}
#endif
