// SDB-CGEN V1.8.3
// gcc -DMAIN=1 SYSTHUNK.c ; ./a.out > SYSTHUNK.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1","WEP"}, 
  {"2","FLATCODE"}, 
  {"3","FLATDATA"}, 
  {"4","FT_LZFTHKTHKCONNECTIONDATA"}, 
  {"5","THKBUF"}, 
  {NULL, NULL}
};
// 0x55e6dbfad650
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_SYSTHUNK_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_SYSTHUNK_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_SYSTHUNK(x,y) gperf_SYSTHUNK_hash(x)
const unsigned int gperf_SYSTHUNK_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_SYSTHUNK = {
  .name = "SYSTHUNK",
  .get = &gperf_SYSTHUNK_get,
  .hash = &gperf_SYSTHUNK_hash,
  .foreach = &gperf_SYSTHUNK_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_SYSTHUNK.get)("foo");
	printf ("%s\n", s);
}
#endif
