// SDB-CGEN V1.8.3
// gcc -DMAIN=1 kernel32.c ; ./a.out > kernel32.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1","BaseThreadInitThunk"}, 
  {"10","AddLocalAlternateComputerNameA"}, 
  {"100","CopyFileExA"}, 
  {"1000","SetFilePointer"}, 
  {"1001","SetFilePointerEx"}, 
  {"1002","SetFileShortNameA"}, 
  {"1003","SetFileShortNameW"}, 
  {"1004","SetFileTime"}, 
  {"1005","SetFileValidData"}, 
  {"1006","SetFirmwareEnvironmentVariableA"}, 
  {"1007","SetFirmwareEnvironmentVariableW"}, 
  {"1008","SetHandleContext"}, 
  {"1009","SetHandleCount"}, 
  {"101","CopyFileExW"}, 
  {"1010","SetHandleInformation"}, 
  {"1011","SetInformationJobObject"}, 
  {"1012","SetLastConsoleEventActive"}, 
  {"1013","SetLastError"}, 
  {"1014","SetLocalPrimaryComputerNameA"}, 
  {"1015","SetLocalPrimaryComputerNameW"}, 
  {"1016","SetLocalTime"}, 
  {"1017","SetLocaleInfoA"}, 
  {"1018","SetLocaleInfoW"}, 
  {"1019","SetMailslotInfo"}, 
  {"102","CopyFileTransactedA"}, 
  {"1020","SetMessageWaitingIndicator"}, 
  {"1021","SetNamedPipeAttribute"}, 
  {"1022","SetNamedPipeHandleState"}, 
  {"1023","SetPriorityClass"}, 
  {"1024","SetProcessAffinityMask"}, 
  {"1025","SetProcessAffinityUpdateMode"}, 
  {"1026","SetProcessDEPPolicy"}, 
  {"1027","SetProcessPriorityBoost"}, 
  {"1028","SetProcessShutdownParameters"}, 
  {"1029","SetProcessWorkingSetSize"}, 
  {"103","CopyFileTransactedW"}, 
  {"1030","SetProcessWorkingSetSizeEx"}, 
  {"1031","SetStdHandle"}, 
  {"1032","SetStdHandleEx"}, 
  {"1033","SetSystemFileCacheSize"}, 
  {"1034","SetSystemPowerState"}, 
  {"1035","SetSystemTime"}, 
  {"1036","SetSystemTimeAdjustment"}, 
  {"1037","SetTapeParameters"}, 
  {"1038","SetTapePosition"}, 
  {"1039","SetTermsrvAppInstallMode"}, 
  {"104","CopyFileW"}, 
  {"1040","SetThreadAffinityMask"}, 
  {"1041","SetThreadContext"}, 
  {"1042","SetThreadExecutionState"}, 
  {"1043","SetThreadIdealProcessor"}, 
  {"1044","SetThreadLocale"}, 
  {"1045","SetThreadPreferredUILanguages"}, 
  {"1046","SetThreadPriority"}, 
  {"1047","SetThreadPriorityBoost"}, 
  {"1048","SetThreadStackGuarantee"}, 
  {"1049","SetThreadUILanguage"}, 
  {"105","CopyLZFile"}, 
  {"1050","SetThreadpoolThreadMaximum"}, 
  {"1051","SetThreadpoolThreadMinimum"}, 
  {"1052","SetThreadpoolTimer"}, 
  {"1053","SetThreadpoolWait"}, 
  {"1054","SetTimeZoneInformation"}, 
  {"1055","SetTimerQueueTimer"}, 
  {"1056","SetUnhandledExceptionFilter"}, 
  {"1057","SetUserGeoID"}, 
  {"1058","SetVDMCurrentDirectories"}, 
  {"1059","SetVolumeLabelA"}, 
  {"106","CreateActCtxA"}, 
  {"1060","SetVolumeLabelW"}, 
  {"1061","SetVolumeMountPointA"}, 
  {"1062","SetVolumeMountPointW"}, 
  {"1063","SetWaitableTimer"}, 
  {"1064","SetupComm"}, 
  {"1065","ShowConsoleCursor"}, 
  {"1066","SignalObjectAndWait"}, 
  {"1067","SizeofResource"}, 
  {"1068","Sleep"}, 
  {"1069","SleepConditionVariableCS"}, 
  {"107","CreateActCtxW"}, 
  {"1070","SleepConditionVariableSRW"}, 
  {"1071","SleepEx"}, 
  {"1072","StartThreadpoolIo"}, 
  {"1073","SubmitThreadpoolWork"}, 
  {"1074","SuspendThread"}, 
  {"1075","SwitchToFiber"}, 
  {"1076","SwitchToThread"}, 
  {"1077","SystemTimeToFileTime"}, 
  {"1078","SystemTimeToTzSpecificLocalTime"}, 
  {"1079","TerminateJobObject"}, 
  {"108","CreateBoundaryDescriptorA"}, 
  {"1080","TerminateProcess"}, 
  {"1081","TerminateThread"}, 
  {"1082","TermsrvAppInstallMode"}, 
  {"1083","Thread32First"}, 
  {"1084","Thread32Next"}, 
  {"1085","TlsAlloc"}, 
  {"1086","TlsFree"}, 
  {"1087","TlsGetValue"}, 
  {"1088","TlsSetValue"}, 
  {"1089","Toolhelp32ReadProcessMemory"}, 
  {"109","CreateBoundaryDescriptorW"}, 
  {"1090","TransactNamedPipe"}, 
  {"1091","TransmitCommChar"}, 
  {"1092","TryEnterCriticalSection"}, 
  {"1093","TrySubmitThreadpoolCallback"}, 
  {"1094","TzSpecificLocalTimeToSystemTime"}, 
  {"1095","UTRegister"}, 
  {"1096","UTUnRegister"}, 
  {"1097","UnhandledExceptionFilter"}, 
  {"1098","UnlockFile"}, 
  {"1099","UnlockFileEx"}, 
  {"11","AddLocalAlternateComputerNameW"}, 
  {"110","CreateConsoleScreenBuffer"}, 
  {"1100","UnmapViewOfFile"}, 
  {"1101","UnregisterApplicationRecoveryCallback"}, 
  {"1102","UnregisterApplicationRestart"}, 
  {"1103","UnregisterConsoleIME"}, 
  {"1104","UnregisterWait"}, 
  {"1105","UnregisterWaitEx"}, 
  {"1106","UpdateCalendarDayOfWeek"}, 
  {"1107","UpdateProcThreadAttribute"}, 
  {"1108","UpdateResourceA"}, 
  {"1109","UpdateResourceW"}, 
  {"111","CreateDirectoryA"}, 
  {"1110","VDMConsoleOperation"}, 
  {"1111","VDMOperationStarted"}, 
  {"1112","VerLanguageNameA"}, 
  {"1113","VerLanguageNameW"}, 
  {"1114","VerSetConditionMask"}, 
  {"1115","VerifyConsoleIoHandle"}, 
  {"1116","VerifyScripts"}, 
  {"1117","VerifyVersionInfoA"}, 
  {"1118","VerifyVersionInfoW"}, 
  {"1119","VirtualAlloc"}, 
  {"112","CreateDirectoryExA"}, 
  {"1120","VirtualAllocEx"}, 
  {"1121","VirtualAllocExNuma"}, 
  {"1122","VirtualFree"}, 
  {"1123","VirtualFreeEx"}, 
  {"1124","VirtualLock"}, 
  {"1125","VirtualProtect"}, 
  {"1126","VirtualProtectEx"}, 
  {"1127","VirtualQuery"}, 
  {"1128","VirtualQueryEx"}, 
  {"1129","VirtualUnlock"}, 
  {"113","CreateDirectoryExW"}, 
  {"1130","WTSGetActiveConsoleSessionId"}, 
  {"1131","WaitCommEvent"}, 
  {"1132","WaitForDebugEvent"}, 
  {"1133","WaitForMultipleObjects"}, 
  {"1134","WaitForMultipleObjectsEx"}, 
  {"1135","WaitForSingleObject"}, 
  {"1136","WaitForSingleObjectEx"}, 
  {"1137","WaitForThreadpoolIoCallbacks"}, 
  {"1138","WaitForThreadpoolTimerCallbacks"}, 
  {"1139","WaitForThreadpoolWaitCallbacks"}, 
  {"114","CreateDirectoryTransactedA"}, 
  {"1140","WaitForThreadpoolWorkCallbacks"}, 
  {"1141","WaitNamedPipeA"}, 
  {"1142","WaitNamedPipeW"}, 
  {"1143","WakeAllConditionVariable"}, 
  {"1144","WakeConditionVariable"}, 
  {"1145","WerGetFlags"}, 
  {"1146","WerRegisterFile"}, 
  {"1147","WerRegisterMemoryBlock"}, 
  {"1148","WerSetFlags"}, 
  {"1149","WerUnregisterFile"}, 
  {"115","CreateDirectoryTransactedW"}, 
  {"1150","WerUnregisterMemoryBlock"}, 
  {"1151","WerpCleanupMessageMapping"}, 
  {"1152","WerpInitiateRemoteRecovery"}, 
  {"1153","WerpNotifyLoadStringResource"}, 
  {"1154","WerpNotifyLoadStringResourceEx"}, 
  {"1155","WerpNotifyUseStringResource"}, 
  {"1156","WerpStringLookup"}, 
  {"1157","WideCharToMultiByte"}, 
  {"1158","WinExec"}, 
  {"1159","Wow64DisableWow64FsRedirection"}, 
  {"116","CreateDirectoryW"}, 
  {"1160","Wow64EnableWow64FsRedirection"}, 
  {"1161","Wow64GetThreadContext"}, 
  {"1162","Wow64RevertWow64FsRedirection"}, 
  {"1163","Wow64SetThreadContext"}, 
  {"1164","Wow64SuspendThread"}, 
  {"1165","WriteConsoleA"}, 
  {"1166","WriteConsoleInputA"}, 
  {"1167","WriteConsoleInputVDMA"}, 
  {"1168","WriteConsoleInputVDMW"}, 
  {"1169","WriteConsoleInputW"}, 
  {"117","CreateEventA"}, 
  {"1170","WriteConsoleOutputA"}, 
  {"1171","WriteConsoleOutputAttribute"}, 
  {"1172","WriteConsoleOutputCharacterA"}, 
  {"1173","WriteConsoleOutputCharacterW"}, 
  {"1174","WriteConsoleOutputW"}, 
  {"1175","WriteConsoleW"}, 
  {"1176","WriteFile"}, 
  {"1177","WriteFileEx"}, 
  {"1178","WriteFileGather"}, 
  {"1179","WritePrivateProfileSectionA"}, 
  {"118","CreateEventExA"}, 
  {"1180","WritePrivateProfileSectionW"}, 
  {"1181","WritePrivateProfileStringA"}, 
  {"1182","WritePrivateProfileStringW"}, 
  {"1183","WritePrivateProfileStructA"}, 
  {"1184","WritePrivateProfileStructW"}, 
  {"1185","WriteProcessMemory"}, 
  {"1186","WriteProfileSectionA"}, 
  {"1187","WriteProfileSectionW"}, 
  {"1188","WriteProfileStringA"}, 
  {"1189","WriteProfileStringW"}, 
  {"119","CreateEventExW"}, 
  {"1190","WriteTapemark"}, 
  {"1191","ZombifyActCtx"}, 
  {"1192","_hread"}, 
  {"1193","_hwrite"}, 
  {"1194","_lclose"}, 
  {"1195","_lcreat"}, 
  {"1196","_llseek"}, 
  {"1197","_lopen"}, 
  {"1198","_lread"}, 
  {"1199","_lwrite"}, 
  {"12","AddRefActCtx"}, 
  {"120","CreateEventW"}, 
  {"1200","lstrcat"}, 
  {"1201","lstrcatA"}, 
  {"1202","lstrcatW"}, 
  {"1203","lstrcmp"}, 
  {"1204","lstrcmpA"}, 
  {"1205","lstrcmpW"}, 
  {"1206","lstrcmpi"}, 
  {"1207","lstrcmpiA"}, 
  {"1208","lstrcmpiW"}, 
  {"1209","lstrcpy"}, 
  {"121","CreateFiber"}, 
  {"1210","lstrcpyA"}, 
  {"1211","lstrcpyW"}, 
  {"1212","lstrcpyn"}, 
  {"1213","lstrcpynA"}, 
  {"1214","lstrcpynW"}, 
  {"1215","lstrlen"}, 
  {"1216","lstrlenA"}, 
  {"1217","lstrlenW"}, 
  {"122","CreateFiberEx"}, 
  {"123","CreateFileA"}, 
  {"124","CreateFileMappingA"}, 
  {"125","CreateFileMappingNumaA"}, 
  {"126","CreateFileMappingNumaW"}, 
  {"127","CreateFileMappingW"}, 
  {"128","CreateFileTransactedA"}, 
  {"129","CreateFileTransactedW"}, 
  {"13","AddSIDToBoundaryDescriptor"}, 
  {"130","CreateFileW"}, 
  {"131","CreateHardLinkA"}, 
  {"132","CreateHardLinkTransactedA"}, 
  {"133","CreateHardLinkTransactedW"}, 
  {"134","CreateHardLinkW"}, 
  {"135","CreateIoCompletionPort"}, 
  {"136","CreateJobObjectA"}, 
  {"137","CreateJobObjectW"}, 
  {"138","CreateJobSet"}, 
  {"139","CreateMailslotA"}, 
  {"14","AddSecureMemoryCacheCallback"}, 
  {"140","CreateMailslotW"}, 
  {"141","CreateMemoryResourceNotification"}, 
  {"142","CreateMutexA"}, 
  {"143","CreateMutexExA"}, 
  {"144","CreateMutexExW"}, 
  {"145","CreateMutexW"}, 
  {"146","CreateNamedPipeA"}, 
  {"147","CreateNamedPipeW"}, 
  {"148","CreatePipe"}, 
  {"149","CreatePrivateNamespaceA"}, 
  {"15","AddVectoredContinueHandler"}, 
  {"150","CreatePrivateNamespaceW"}, 
  {"151","CreateProcessA"}, 
  {"152","CreateProcessInternalA"}, 
  {"153","CreateProcessInternalW"}, 
  {"154","CreateProcessW"}, 
  {"155","CreateRemoteThread"}, 
  {"156","CreateSemaphoreA"}, 
  {"157","CreateSemaphoreExA"}, 
  {"158","CreateSemaphoreExW"}, 
  {"159","CreateSemaphoreW"}, 
  {"16","AddVectoredExceptionHandler"}, 
  {"160","CreateSocketHandle"}, 
  {"161","CreateSymbolicLinkA"}, 
  {"162","CreateSymbolicLinkTransactedA"}, 
  {"163","CreateSymbolicLinkTransactedW"}, 
  {"164","CreateSymbolicLinkW"}, 
  {"165","CreateTapePartition"}, 
  {"166","CreateThread"}, 
  {"167","CreateThreadpool"}, 
  {"168","CreateThreadpoolCleanupGroup"}, 
  {"169","CreateThreadpoolIo"}, 
  {"17","AdjustCalendarDate"}, 
  {"170","CreateThreadpoolTimer"}, 
  {"171","CreateThreadpoolWait"}, 
  {"172","CreateThreadpoolWork"}, 
  {"173","CreateTimerQueue"}, 
  {"174","CreateTimerQueueTimer"}, 
  {"175","CreateToolhelp32Snapshot"}, 
  {"176","CreateWaitableTimerA"}, 
  {"177","CreateWaitableTimerExA"}, 
  {"178","CreateWaitableTimerExW"}, 
  {"179","CreateWaitableTimerW"}, 
  {"18","AllocConsole"}, 
  {"180","DeactivateActCtx"}, 
  {"181","DebugActiveProcess"}, 
  {"182","DebugActiveProcessStop"}, 
  {"183","DebugBreak"}, 
  {"184","DebugBreakProcess"}, 
  {"185","DebugSetProcessKillOnExit"}, 
  {"186","DecodePointer"}, 
  {"187","DecodeSystemPointer"}, 
  {"188","DefineDosDeviceA"}, 
  {"189","DefineDosDeviceW"}, 
  {"19","AllocateUserPhysicalPages"}, 
  {"190","DelayLoadFailureHook"}, 
  {"191","DeleteAtom"}, 
  {"192","DeleteBoundaryDescriptor"}, 
  {"193","DeleteCriticalSection"}, 
  {"194","DeleteFiber"}, 
  {"195","DeleteFileA"}, 
  {"196","DeleteFileTransactedA"}, 
  {"197","DeleteFileTransactedW"}, 
  {"198","DeleteFileW"}, 
  {"199","DeleteProcThreadAttributeList"}, 
  {"2","InterlockedPushListSList"}, 
  {"20","AllocateUserPhysicalPagesNuma"}, 
  {"200","DeleteTimerQueue"}, 
  {"201","DeleteTimerQueueEx"}, 
  {"202","DeleteTimerQueueTimer"}, 
  {"203","DeleteVolumeMountPointA"}, 
  {"204","DeleteVolumeMountPointW"}, 
  {"205","DeviceIoControl"}, 
  {"206","DisableThreadLibraryCalls"}, 
  {"207","DisassociateCurrentThreadFromCallback"}, 
  {"208","DisconnectNamedPipe"}, 
  {"209","DnsHostnameToComputerNameA"}, 
  {"21","ApplicationRecoveryFinished"}, 
  {"210","DnsHostnameToComputerNameW"}, 
  {"211","DosDateTimeToFileTime"}, 
  {"212","DosPathToSessionPathA"}, 
  {"213","DosPathToSessionPathW"}, 
  {"214","DuplicateConsoleHandle"}, 
  {"215","DuplicateHandle"}, 
  {"216","EncodePointer"}, 
  {"217","EncodeSystemPointer"}, 
  {"218","EndUpdateResourceA"}, 
  {"219","EndUpdateResourceW"}, 
  {"22","ApplicationRecoveryInProgress"}, 
  {"220","EnterCriticalSection"}, 
  {"221","EnumCalendarInfoA"}, 
  {"222","EnumCalendarInfoExA"}, 
  {"223","EnumCalendarInfoExEx"}, 
  {"224","EnumCalendarInfoExW"}, 
  {"225","EnumCalendarInfoW"}, 
  {"226","EnumDateFormatsA"}, 
  {"227","EnumDateFormatsExA"}, 
  {"228","EnumDateFormatsExEx"}, 
  {"229","EnumDateFormatsExW"}, 
  {"23","AreFileApisANSI"}, 
  {"230","EnumDateFormatsW"}, 
  {"231","EnumLanguageGroupLocalesA"}, 
  {"232","EnumLanguageGroupLocalesW"}, 
  {"233","EnumResourceLanguagesA"}, 
  {"234","EnumResourceLanguagesExA"}, 
  {"235","EnumResourceLanguagesExW"}, 
  {"236","EnumResourceLanguagesW"}, 
  {"237","EnumResourceNamesA"}, 
  {"238","EnumResourceNamesExA"}, 
  {"239","EnumResourceNamesExW"}, 
  {"24","AssignProcessToJobObject"}, 
  {"240","EnumResourceNamesW"}, 
  {"241","EnumResourceTypesA"}, 
  {"242","EnumResourceTypesExA"}, 
  {"243","EnumResourceTypesExW"}, 
  {"244","EnumResourceTypesW"}, 
  {"245","EnumSystemCodePagesA"}, 
  {"246","EnumSystemCodePagesW"}, 
  {"247","EnumSystemFirmwareTables"}, 
  {"248","EnumSystemGeoID"}, 
  {"249","EnumSystemLanguageGroupsA"}, 
  {"25","AttachConsole"}, 
  {"250","EnumSystemLanguageGroupsW"}, 
  {"251","EnumSystemLocalesA"}, 
  {"252","EnumSystemLocalesEx"}, 
  {"253","EnumSystemLocalesW"}, 
  {"254","EnumTimeFormatsA"}, 
  {"255","EnumTimeFormatsEx"}, 
  {"256","EnumTimeFormatsW"}, 
  {"257","EnumUILanguagesA"}, 
  {"258","EnumUILanguagesW"}, 
  {"259","EnumerateLocalComputerNamesA"}, 
  {"26","BackupRead"}, 
  {"260","EnumerateLocalComputerNamesW"}, 
  {"261","EraseTape"}, 
  {"262","EscapeCommFunction"}, 
  {"263","ExitProcess"}, 
  {"264","ExitThread"}, 
  {"265","ExitVDM"}, 
  {"266","ExpandEnvironmentStringsA"}, 
  {"267","ExpandEnvironmentStringsW"}, 
  {"268","ExpungeConsoleCommandHistoryA"}, 
  {"269","ExpungeConsoleCommandHistoryW"}, 
  {"27","BackupSeek"}, 
  {"270","FatalAppExitA"}, 
  {"271","FatalAppExitW"}, 
  {"272","FatalExit"}, 
  {"273","FileTimeToDosDateTime"}, 
  {"274","FileTimeToLocalFileTime"}, 
  {"275","FileTimeToSystemTime"}, 
  {"276","FillConsoleOutputAttribute"}, 
  {"277","FillConsoleOutputCharacterA"}, 
  {"278","FillConsoleOutputCharacterW"}, 
  {"279","FindActCtxSectionGuid"}, 
  {"28","BackupWrite"}, 
  {"280","FindActCtxSectionStringA"}, 
  {"281","FindActCtxSectionStringW"}, 
  {"282","FindAtomA"}, 
  {"283","FindAtomW"}, 
  {"284","FindClose"}, 
  {"285","FindCloseChangeNotification"}, 
  {"286","FindFirstChangeNotificationA"}, 
  {"287","FindFirstChangeNotificationW"}, 
  {"288","FindFirstFileA"}, 
  {"289","FindFirstFileExA"}, 
  {"29","BaseCheckAppcompatCache"}, 
  {"290","FindFirstFileExW"}, 
  {"291","FindFirstFileNameTransactedW"}, 
  {"292","FindFirstFileNameW"}, 
  {"293","FindFirstFileTransactedA"}, 
  {"294","FindFirstFileTransactedW"}, 
  {"295","FindFirstFileW"}, 
  {"296","FindFirstStreamTransactedW"}, 
  {"297","FindFirstStreamW"}, 
  {"298","FindFirstVolumeA"}, 
  {"299","FindFirstVolumeMountPointA"}, 
  {"3","AcquireSRWLockExclusive"}, 
  {"30","BaseCheckRunApp"}, 
  {"300","FindFirstVolumeMountPointW"}, 
  {"301","FindFirstVolumeW"}, 
  {"302","FindNLSString"}, 
  {"303","FindNLSStringEx"}, 
  {"304","FindNextChangeNotification"}, 
  {"305","FindNextFileA"}, 
  {"306","FindNextFileNameW"}, 
  {"307","FindNextFileW"}, 
  {"308","FindNextStreamW"}, 
  {"309","FindNextVolumeA"}, 
  {"31","BaseCleanupAppcompatCacheSupport"}, 
  {"310","FindNextVolumeMountPointA"}, 
  {"311","FindNextVolumeMountPointW"}, 
  {"312","FindNextVolumeW"}, 
  {"313","FindResourceA"}, 
  {"314","FindResourceExA"}, 
  {"315","FindResourceExW"}, 
  {"316","FindResourceW"}, 
  {"317","FindVolumeClose"}, 
  {"318","FindVolumeMountPointClose"}, 
  {"319","FlsAlloc"}, 
  {"32","BaseDumpAppcompatCache"}, 
  {"320","FlsFree"}, 
  {"321","FlsGetValue"}, 
  {"322","FlsSetValue"}, 
  {"323","FlushConsoleInputBuffer"}, 
  {"324","FlushFileBuffers"}, 
  {"325","FlushInstructionCache"}, 
  {"326","FlushProcessWriteBuffers"}, 
  {"327","FlushViewOfFile"}, 
  {"328","FoldStringA"}, 
  {"329","FoldStringW"}, 
  {"33","BaseFlushAppcompatCache"}, 
  {"330","FormatMessageA"}, 
  {"331","FormatMessageW"}, 
  {"332","FreeConsole"}, 
  {"333","FreeEnvironmentStringsA"}, 
  {"334","FreeEnvironmentStringsW"}, 
  {"335","FreeLibrary"}, 
  {"336","FreeLibraryAndExitThread"}, 
  {"337","FreeLibraryWhenCallbackReturns"}, 
  {"338","FreeResource"}, 
  {"339","FreeUserPhysicalPages"}, 
  {"34","BaseGenerateAppCompatData"}, 
  {"340","GenerateConsoleCtrlEvent"}, 
  {"341","GetACP"}, 
  {"342","GetApplicationRecoveryCallback"}, 
  {"343","GetApplicationRestartSettings"}, 
  {"344","GetAtomNameA"}, 
  {"345","GetAtomNameW"}, 
  {"346","GetBinaryType"}, 
  {"347","GetBinaryTypeA"}, 
  {"348","GetBinaryTypeW"}, 
  {"349","GetCPFileNameFromRegistry"}, 
  {"35","BaseInitAppcompatCacheSupport"}, 
  {"350","GetCPInfo"}, 
  {"351","GetCPInfoExA"}, 
  {"352","GetCPInfoExW"}, 
  {"353","GetCalendarDateFormat"}, 
  {"354","GetCalendarDateFormatEx"}, 
  {"355","GetCalendarDaysInMonth"}, 
  {"356","GetCalendarDifferenceInDays"}, 
  {"357","GetCalendarInfoA"}, 
  {"358","GetCalendarInfoEx"}, 
  {"359","GetCalendarInfoW"}, 
  {"36","BaseIsAppcompatInfrastructureDisabled"}, 
  {"360","GetCalendarMonthsInYear"}, 
  {"361","GetCalendarSupportedDateRange"}, 
  {"362","GetCalendarWeekNumber"}, 
  {"363","GetComPlusPackageInstallStatus"}, 
  {"364","GetCommConfig"}, 
  {"365","GetCommMask"}, 
  {"366","GetCommModemStatus"}, 
  {"367","GetCommProperties"}, 
  {"368","GetCommState"}, 
  {"369","GetCommTimeouts"}, 
  {"37","BaseQueryModuleData"}, 
  {"370","GetCommandLineA"}, 
  {"371","GetCommandLineW"}, 
  {"372","GetCompressedFileSizeA"}, 
  {"373","GetCompressedFileSizeTransactedA"}, 
  {"374","GetCompressedFileSizeTransactedW"}, 
  {"375","GetCompressedFileSizeW"}, 
  {"376","GetComputerNameA"}, 
  {"377","GetComputerNameExA"}, 
  {"378","GetComputerNameExW"}, 
  {"379","GetComputerNameW"}, 
  {"38","BaseUpdateAppcompatCache"}, 
  {"380","GetConsoleAliasA"}, 
  {"381","GetConsoleAliasExesA"}, 
  {"382","GetConsoleAliasExesLengthA"}, 
  {"383","GetConsoleAliasExesLengthW"}, 
  {"384","GetConsoleAliasExesW"}, 
  {"385","GetConsoleAliasW"}, 
  {"386","GetConsoleAliasesA"}, 
  {"387","GetConsoleAliasesLengthA"}, 
  {"388","GetConsoleAliasesLengthW"}, 
  {"389","GetConsoleAliasesW"}, 
  {"39","BasepCheckBadapp"}, 
  {"390","GetConsoleCP"}, 
  {"391","GetConsoleCharType"}, 
  {"392","GetConsoleCommandHistoryA"}, 
  {"393","GetConsoleCommandHistoryLengthA"}, 
  {"394","GetConsoleCommandHistoryLengthW"}, 
  {"395","GetConsoleCommandHistoryW"}, 
  {"396","GetConsoleCursorInfo"}, 
  {"397","GetConsoleCursorMode"}, 
  {"398","GetConsoleDisplayMode"}, 
  {"399","GetConsoleFontInfo"}, 
  {"4","AcquireSRWLockShared"}, 
  {"40","BasepCheckWinSaferRestrictions"}, 
  {"400","GetConsoleFontSize"}, 
  {"401","GetConsoleHardwareState"}, 
  {"402","GetConsoleHistoryInfo"}, 
  {"403","GetConsoleInputExeNameA"}, 
  {"404","GetConsoleInputExeNameW"}, 
  {"405","GetConsoleInputWaitHandle"}, 
  {"406","GetConsoleKeyboardLayoutNameA"}, 
  {"407","GetConsoleKeyboardLayoutNameW"}, 
  {"408","GetConsoleMode"}, 
  {"409","GetConsoleNlsMode"}, 
  {"41","BasepFreeAppCompatData"}, 
  {"410","GetConsoleOriginalTitleA"}, 
  {"411","GetConsoleOriginalTitleW"}, 
  {"412","GetConsoleOutputCP"}, 
  {"413","GetConsoleProcessList"}, 
  {"414","GetConsoleScreenBufferInfo"}, 
  {"415","GetConsoleScreenBufferInfoEx"}, 
  {"416","GetConsoleSelectionInfo"}, 
  {"417","GetConsoleTitleA"}, 
  {"418","GetConsoleTitleW"}, 
  {"419","GetConsoleWindow"}, 
  {"42","Beep"}, 
  {"420","GetCurrencyFormatA"}, 
  {"421","GetCurrencyFormatEx"}, 
  {"422","GetCurrencyFormatW"}, 
  {"423","GetCurrentActCtx"}, 
  {"424","GetCurrentConsoleFont"}, 
  {"425","GetCurrentConsoleFontEx"}, 
  {"426","GetCurrentDirectoryA"}, 
  {"427","GetCurrentDirectoryW"}, 
  {"428","GetCurrentProcess"}, 
  {"429","GetCurrentProcessId"}, 
  {"43","BeginUpdateResourceA"}, 
  {"430","GetCurrentProcessorNumber"}, 
  {"431","GetCurrentThread"}, 
  {"432","GetCurrentThreadId"}, 
  {"433","GetDateFormatA"}, 
  {"434","GetDateFormatEx"}, 
  {"435","GetDateFormatW"}, 
  {"436","GetDefaultCommConfigA"}, 
  {"437","GetDefaultCommConfigW"}, 
  {"438","GetDevicePowerState"}, 
  {"439","GetDiskFreeSpaceA"}, 
  {"44","BeginUpdateResourceW"}, 
  {"440","GetDiskFreeSpaceExA"}, 
  {"441","GetDiskFreeSpaceExW"}, 
  {"442","GetDiskFreeSpaceW"}, 
  {"443","GetDllDirectoryA"}, 
  {"444","GetDllDirectoryW"}, 
  {"445","GetDriveTypeA"}, 
  {"446","GetDriveTypeW"}, 
  {"447","GetDurationFormat"}, 
  {"448","GetDurationFormatEx"}, 
  {"449","GetDynamicTimeZoneInformation"}, 
  {"45","BindIoCompletionCallback"}, 
  {"450","GetEnvironmentStrings"}, 
  {"451","GetEnvironmentStringsA"}, 
  {"452","GetEnvironmentStringsW"}, 
  {"453","GetEnvironmentVariableA"}, 
  {"454","GetEnvironmentVariableW"}, 
  {"455","GetErrorMode"}, 
  {"456","GetExitCodeProcess"}, 
  {"457","GetExitCodeThread"}, 
  {"458","GetExpandedNameA"}, 
  {"459","GetExpandedNameW"}, 
  {"46","BuildCommDCBA"}, 
  {"460","GetFileAttributesA"}, 
  {"461","GetFileAttributesExA"}, 
  {"462","GetFileAttributesExW"}, 
  {"463","GetFileAttributesTransactedA"}, 
  {"464","GetFileAttributesTransactedW"}, 
  {"465","GetFileAttributesW"}, 
  {"466","GetFileBandwidthReservation"}, 
  {"467","GetFileInformationByHandle"}, 
  {"468","GetFileInformationByHandleEx"}, 
  {"469","GetFileMUIInfo"}, 
  {"47","BuildCommDCBAndTimeoutsA"}, 
  {"470","GetFileMUIPath"}, 
  {"471","GetFileSize"}, 
  {"472","GetFileSizeEx"}, 
  {"473","GetFileTime"}, 
  {"474","GetFileType"}, 
  {"475","GetFinalPathNameByHandleA"}, 
  {"476","GetFinalPathNameByHandleW"}, 
  {"477","GetFirmwareEnvironmentVariableA"}, 
  {"478","GetFirmwareEnvironmentVariableW"}, 
  {"479","GetFullPathNameA"}, 
  {"48","BuildCommDCBAndTimeoutsW"}, 
  {"480","GetFullPathNameTransactedA"}, 
  {"481","GetFullPathNameTransactedW"}, 
  {"482","GetFullPathNameW"}, 
  {"483","GetGeoInfoA"}, 
  {"484","GetGeoInfoW"}, 
  {"485","GetHandleContext"}, 
  {"486","GetHandleInformation"}, 
  {"487","GetLargePageMinimum"}, 
  {"488","GetLargestConsoleWindowSize"}, 
  {"489","GetLastError"}, 
  {"49","BuildCommDCBW"}, 
  {"490","GetLocalTime"}, 
  {"491","GetLocaleInfoA"}, 
  {"492","GetLocaleInfoEx"}, 
  {"493","GetLocaleInfoW"}, 
  {"494","GetLogicalDriveStringsA"}, 
  {"495","GetLogicalDriveStringsW"}, 
  {"496","GetLogicalDrives"}, 
  {"497","GetLogicalProcessorInformation"}, 
  {"498","GetLongPathNameA"}, 
  {"499","GetLongPathNameTransactedA"}, 
  {"5","ActivateActCtx"}, 
  {"50","CallNamedPipeA"}, 
  {"500","GetLongPathNameTransactedW"}, 
  {"501","GetLongPathNameW"}, 
  {"502","GetMailslotInfo"}, 
  {"503","GetModuleFileNameA"}, 
  {"504","GetModuleFileNameW"}, 
  {"505","GetModuleHandleA"}, 
  {"506","GetModuleHandleExA"}, 
  {"507","GetModuleHandleExW"}, 
  {"508","GetModuleHandleW"}, 
  {"509","GetNLSVersion"}, 
  {"51","CallNamedPipeW"}, 
  {"510","GetNLSVersionEx"}, 
  {"511","GetNamedPipeAttribute"}, 
  {"512","GetNamedPipeClientComputerNameA"}, 
  {"513","GetNamedPipeClientComputerNameW"}, 
  {"514","GetNamedPipeClientProcessId"}, 
  {"515","GetNamedPipeClientSessionId"}, 
  {"516","GetNamedPipeHandleStateA"}, 
  {"517","GetNamedPipeHandleStateW"}, 
  {"518","GetNamedPipeInfo"}, 
  {"519","GetNamedPipeServerProcessId"}, 
  {"52","CallbackMayRunLong"}, 
  {"520","GetNamedPipeServerSessionId"}, 
  {"521","GetNativeSystemInfo"}, 
  {"522","GetNextVDMCommand"}, 
  {"523","GetNumaAvailableMemoryNode"}, 
  {"524","GetNumaHighestNodeNumber"}, 
  {"525","GetNumaNodeProcessorMask"}, 
  {"526","GetNumaProcessorNode"}, 
  {"527","GetNumaProximityNode"}, 
  {"528","GetNumberFormatA"}, 
  {"529","GetNumberFormatEx"}, 
  {"53","CancelDeviceWakeupRequest"}, 
  {"530","GetNumberFormatW"}, 
  {"531","GetNumberOfConsoleFonts"}, 
  {"532","GetNumberOfConsoleInputEvents"}, 
  {"533","GetNumberOfConsoleMouseButtons"}, 
  {"534","GetOEMCP"}, 
  {"535","GetOverlappedResult"}, 
  {"536","GetPhysicallyInstalledSystemMemory"}, 
  {"537","GetPriorityClass"}, 
  {"538","GetPrivateProfileIntA"}, 
  {"539","GetPrivateProfileIntW"}, 
  {"54","CancelIo"}, 
  {"540","GetPrivateProfileSectionA"}, 
  {"541","GetPrivateProfileSectionNamesA"}, 
  {"542","GetPrivateProfileSectionNamesW"}, 
  {"543","GetPrivateProfileSectionW"}, 
  {"544","GetPrivateProfileStringA"}, 
  {"545","GetPrivateProfileStringW"}, 
  {"546","GetPrivateProfileStructA"}, 
  {"547","GetPrivateProfileStructW"}, 
  {"548","GetProcAddress"}, 
  {"549","GetProcessAffinityMask"}, 
  {"55","CancelIoEx"}, 
  {"550","GetProcessDEPPolicy"}, 
  {"551","GetProcessHandleCount"}, 
  {"552","GetProcessHeap"}, 
  {"553","GetProcessHeaps"}, 
  {"554","GetProcessId"}, 
  {"555","GetProcessIdOfThread"}, 
  {"556","GetProcessIoCounters"}, 
  {"557","GetProcessPriorityBoost"}, 
  {"558","GetProcessShutdownParameters"}, 
  {"559","GetProcessTimes"}, 
  {"56","CancelSynchronousIo"}, 
  {"560","GetProcessVersion"}, 
  {"561","GetProcessWorkingSetSize"}, 
  {"562","GetProcessWorkingSetSizeEx"}, 
  {"563","GetProductInfo"}, 
  {"564","GetProfileIntA"}, 
  {"565","GetProfileIntW"}, 
  {"566","GetProfileSectionA"}, 
  {"567","GetProfileSectionW"}, 
  {"568","GetProfileStringA"}, 
  {"569","GetProfileStringW"}, 
  {"57","CancelThreadpoolIo"}, 
  {"570","GetQueuedCompletionStatus"}, 
  {"571","GetQueuedCompletionStatusEx"}, 
  {"572","GetShortPathNameA"}, 
  {"573","GetShortPathNameW"}, 
  {"574","GetStartupInfoA"}, 
  {"575","GetStartupInfoW"}, 
  {"576","GetStdHandle"}, 
  {"577","GetStringScripts"}, 
  {"578","GetStringTypeA"}, 
  {"579","GetStringTypeExA"}, 
  {"58","CancelTimerQueueTimer"}, 
  {"580","GetStringTypeExW"}, 
  {"581","GetStringTypeW"}, 
  {"582","GetSystemDEPPolicy"}, 
  {"583","GetSystemDefaultLCID"}, 
  {"584","GetSystemDefaultLangID"}, 
  {"585","GetSystemDefaultLocaleName"}, 
  {"586","GetSystemDefaultUILanguage"}, 
  {"587","GetSystemDirectoryA"}, 
  {"588","GetSystemDirectoryW"}, 
  {"589","GetSystemFileCacheSize"}, 
  {"59","CancelWaitableTimer"}, 
  {"590","GetSystemFirmwareTable"}, 
  {"591","GetSystemInfo"}, 
  {"592","GetSystemPowerStatus"}, 
  {"593","GetSystemPreferredUILanguages"}, 
  {"594","GetSystemRegistryQuota"}, 
  {"595","GetSystemTime"}, 
  {"596","GetSystemTimeAdjustment"}, 
  {"597","GetSystemTimeAsFileTime"}, 
  {"598","GetSystemTimes"}, 
  {"599","GetSystemWindowsDirectoryA"}, 
  {"6","AddAtomA"}, 
  {"60","ChangeTimerQueueTimer"}, 
  {"600","GetSystemWindowsDirectoryW"}, 
  {"601","GetSystemWow64DirectoryA"}, 
  {"602","GetSystemWow64DirectoryW"}, 
  {"603","GetTapeParameters"}, 
  {"604","GetTapePosition"}, 
  {"605","GetTapeStatus"}, 
  {"606","GetTempFileNameA"}, 
  {"607","GetTempFileNameW"}, 
  {"608","GetTempPathA"}, 
  {"609","GetTempPathW"}, 
  {"61","CheckElevation"}, 
  {"610","GetThreadContext"}, 
  {"611","GetThreadIOPendingFlag"}, 
  {"612","GetThreadId"}, 
  {"613","GetThreadLocale"}, 
  {"614","GetThreadPreferredUILanguages"}, 
  {"615","GetThreadPriority"}, 
  {"616","GetThreadPriorityBoost"}, 
  {"617","GetThreadSelectorEntry"}, 
  {"618","GetThreadTimes"}, 
  {"619","GetThreadUILanguage"}, 
  {"62","CheckElevationEnabled"}, 
  {"620","GetTickCount64"}, 
  {"621","GetTickCount"}, 
  {"622","GetTimeFormatA"}, 
  {"623","GetTimeFormatEx"}, 
  {"624","GetTimeFormatW"}, 
  {"625","GetTimeZoneInformation"}, 
  {"626","GetTimeZoneInformationForYear"}, 
  {"627","GetUILanguageInfo"}, 
  {"628","GetUserDefaultLCID"}, 
  {"629","GetUserDefaultLangID"}, 
  {"63","CheckForReadOnlyResource"}, 
  {"630","GetUserDefaultLocaleName"}, 
  {"631","GetUserDefaultUILanguage"}, 
  {"632","GetUserGeoID"}, 
  {"633","GetUserPreferredUILanguages"}, 
  {"634","GetVDMCurrentDirectories"}, 
  {"635","GetVersion"}, 
  {"636","GetVersionExA"}, 
  {"637","GetVersionExW"}, 
  {"638","GetVolumeInformationA"}, 
  {"639","GetVolumeInformationByHandleW"}, 
  {"64","CheckNameLegalDOS8Dot3A"}, 
  {"640","GetVolumeInformationW"}, 
  {"641","GetVolumeNameForVolumeMountPointA"}, 
  {"642","GetVolumeNameForVolumeMountPointW"}, 
  {"643","GetVolumePathNameA"}, 
  {"644","GetVolumePathNameW"}, 
  {"645","GetVolumePathNamesForVolumeNameA"}, 
  {"646","GetVolumePathNamesForVolumeNameW"}, 
  {"647","GetWindowsDirectoryA"}, 
  {"648","GetWindowsDirectoryW"}, 
  {"649","GetWriteWatch"}, 
  {"65","CheckNameLegalDOS8Dot3W"}, 
  {"650","GlobalAddAtomA"}, 
  {"651","GlobalAddAtomW"}, 
  {"652","GlobalAlloc"}, 
  {"653","GlobalCompact"}, 
  {"654","GlobalDeleteAtom"}, 
  {"655","GlobalFindAtomA"}, 
  {"656","GlobalFindAtomW"}, 
  {"657","GlobalFix"}, 
  {"658","GlobalFlags"}, 
  {"659","GlobalFree"}, 
  {"66","CheckRemoteDebuggerPresent"}, 
  {"660","GlobalGetAtomNameA"}, 
  {"661","GlobalGetAtomNameW"}, 
  {"662","GlobalHandle"}, 
  {"663","GlobalLock"}, 
  {"664","GlobalMemoryStatus"}, 
  {"665","GlobalMemoryStatusEx"}, 
  {"666","GlobalReAlloc"}, 
  {"667","GlobalSize"}, 
  {"668","GlobalUnWire"}, 
  {"669","GlobalUnfix"}, 
  {"67","ClearCommBreak"}, 
  {"670","GlobalUnlock"}, 
  {"671","GlobalWire"}, 
  {"672","Heap32First"}, 
  {"673","Heap32ListFirst"}, 
  {"674","Heap32ListNext"}, 
  {"675","Heap32Next"}, 
  {"676","HeapAlloc"}, 
  {"677","HeapCompact"}, 
  {"678","HeapCreate"}, 
  {"679","HeapDestroy"}, 
  {"68","ClearCommError"}, 
  {"680","HeapFree"}, 
  {"681","HeapLock"}, 
  {"682","HeapQueryInformation"}, 
  {"683","HeapReAlloc"}, 
  {"684","HeapSetInformation"}, 
  {"685","HeapSize"}, 
  {"686","HeapSummary"}, 
  {"687","HeapUnlock"}, 
  {"688","HeapValidate"}, 
  {"689","HeapWalk"}, 
  {"69","CloseConsoleHandle"}, 
  {"690","IdnToAscii"}, 
  {"691","IdnToNameprepUnicode"}, 
  {"692","IdnToUnicode"}, 
  {"693","InitAtomTable"}, 
  {"694","InitOnceBeginInitialize"}, 
  {"695","InitOnceComplete"}, 
  {"696","InitOnceExecuteOnce"}, 
  {"697","InitOnceInitialize"}, 
  {"698","InitializeConditionVariable"}, 
  {"699","InitializeCriticalSection"}, 
  {"7","AddAtomW"}, 
  {"70","CloseHandle"}, 
  {"700","InitializeCriticalSectionAndSpinCount"}, 
  {"701","InitializeCriticalSectionEx"}, 
  {"702","InitializeProcThreadAttributeList"}, 
  {"703","InitializeSListHead"}, 
  {"704","InitializeSRWLock"}, 
  {"705","InterlockedCompareExchange64"}, 
  {"706","InterlockedCompareExchange"}, 
  {"707","InterlockedDecrement"}, 
  {"708","InterlockedExchange"}, 
  {"709","InterlockedExchangeAdd"}, 
  {"71","ClosePrivateNamespace"}, 
  {"710","InterlockedFlushSList"}, 
  {"711","InterlockedIncrement"}, 
  {"712","InterlockedPopEntrySList"}, 
  {"713","InterlockedPushEntrySList"}, 
  {"714","InvalidateConsoleDIBits"}, 
  {"715","IsBadCodePtr"}, 
  {"716","IsBadHugeReadPtr"}, 
  {"717","IsBadHugeWritePtr"}, 
  {"718","IsBadReadPtr"}, 
  {"719","IsBadStringPtrA"}, 
  {"72","CloseProfileUserMapping"}, 
  {"720","IsBadStringPtrW"}, 
  {"721","IsBadWritePtr"}, 
  {"722","IsCalendarLeapDay"}, 
  {"723","IsCalendarLeapMonth"}, 
  {"724","IsCalendarLeapYear"}, 
  {"725","IsDBCSLeadByte"}, 
  {"726","IsDBCSLeadByteEx"}, 
  {"727","IsDebuggerPresent"}, 
  {"728","IsNLSDefinedString"}, 
  {"729","IsNormalizedString"}, 
  {"73","CloseThreadpool"}, 
  {"730","IsProcessInJob"}, 
  {"731","IsProcessorFeaturePresent"}, 
  {"732","IsSystemResumeAutomatic"}, 
  {"733","IsThreadAFiber"}, 
  {"734","IsThreadpoolTimerSet"}, 
  {"735","IsTimeZoneRedirectionEnabled"}, 
  {"736","IsValidCalDateTime"}, 
  {"737","IsValidCodePage"}, 
  {"738","IsValidLanguageGroup"}, 
  {"739","IsValidLocale"}, 
  {"74","CloseThreadpoolCleanupGroup"}, 
  {"740","IsValidLocaleName"}, 
  {"741","IsWow64Process"}, 
  {"742","LCIDToLocaleName"}, 
  {"743","LCMapStringA"}, 
  {"744","LCMapStringEx"}, 
  {"745","LCMapStringW"}, 
  {"746","LZClose"}, 
  {"747","LZCloseFile"}, 
  {"748","LZCopy"}, 
  {"749","LZCreateFileW"}, 
  {"75","CloseThreadpoolCleanupGroupMembers"}, 
  {"750","LZDone"}, 
  {"751","LZInit"}, 
  {"752","LZOpenFileA"}, 
  {"753","LZOpenFileW"}, 
  {"754","LZRead"}, 
  {"755","LZSeek"}, 
  {"756","LZStart"}, 
  {"757","LeaveCriticalSection"}, 
  {"758","LeaveCriticalSectionWhenCallbackReturns"}, 
  {"759","LoadLibraryA"}, 
  {"76","CloseThreadpoolIo"}, 
  {"760","LoadLibraryExA"}, 
  {"761","LoadLibraryExW"}, 
  {"762","LoadLibraryW"}, 
  {"763","LoadModule"}, 
  {"764","LoadResource"}, 
  {"765","LoadStringBaseExW"}, 
  {"766","LoadStringBaseW"}, 
  {"767","LocalAlloc"}, 
  {"768","LocalCompact"}, 
  {"769","LocalFileTimeToFileTime"}, 
  {"77","CloseThreadpoolTimer"}, 
  {"770","LocalFlags"}, 
  {"771","LocalFree"}, 
  {"772","LocalHandle"}, 
  {"773","LocalLock"}, 
  {"774","LocalReAlloc"}, 
  {"775","LocalShrink"}, 
  {"776","LocalSize"}, 
  {"777","LocalUnlock"}, 
  {"778","LocaleNameToLCID"}, 
  {"779","LockFile"}, 
  {"78","CloseThreadpoolWait"}, 
  {"780","LockFileEx"}, 
  {"781","LockResource"}, 
  {"782","MapUserPhysicalPages"}, 
  {"783","MapUserPhysicalPagesScatter"}, 
  {"784","MapViewOfFile"}, 
  {"785","MapViewOfFileEx"}, 
  {"786","MapViewOfFileExNuma"}, 
  {"787","Module32First"}, 
  {"788","Module32FirstW"}, 
  {"789","Module32Next"}, 
  {"79","CloseThreadpoolWork"}, 
  {"790","Module32NextW"}, 
  {"791","MoveFileA"}, 
  {"792","MoveFileExA"}, 
  {"793","MoveFileExW"}, 
  {"794","MoveFileTransactedA"}, 
  {"795","MoveFileTransactedW"}, 
  {"796","MoveFileW"}, 
  {"797","MoveFileWithProgressA"}, 
  {"798","MoveFileWithProgressW"}, 
  {"799","MulDiv"}, 
  {"8","AddConsoleAliasA"}, 
  {"80","CmdBatNotification"}, 
  {"800","MultiByteToWideChar"}, 
  {"801","NeedCurrentDirectoryForExePathA"}, 
  {"802","NeedCurrentDirectoryForExePathW"}, 
  {"803","NlsCheckPolicy"}, 
  {"804","NlsConvertIntegerToString"}, 
  {"805","NlsEventDataDescCreate"}, 
  {"806","NlsGetCacheUpdateCount"}, 
  {"807","NlsUpdateLocale"}, 
  {"808","NlsUpdateSystemLocale"}, 
  {"809","NlsWriteEtwEvent"}, 
  {"81","CommConfigDialogA"}, 
  {"810","NormalizeString"}, 
  {"811","NotifyUILanguageChange"}, 
  {"812","OpenConsoleW"}, 
  {"813","OpenEventA"}, 
  {"814","OpenEventW"}, 
  {"815","OpenFile"}, 
  {"816","OpenFileById"}, 
  {"817","OpenFileMappingA"}, 
  {"818","OpenFileMappingW"}, 
  {"819","OpenJobObjectA"}, 
  {"82","CommConfigDialogW"}, 
  {"820","OpenJobObjectW"}, 
  {"821","OpenMutexA"}, 
  {"822","OpenMutexW"}, 
  {"823","OpenPrivateNamespaceA"}, 
  {"824","OpenPrivateNamespaceW"}, 
  {"825","OpenProcess"}, 
  {"826","OpenProfileUserMapping"}, 
  {"827","OpenSemaphoreA"}, 
  {"828","OpenSemaphoreW"}, 
  {"829","OpenThread"}, 
  {"83","CompareCalendarDates"}, 
  {"830","OpenWaitableTimerA"}, 
  {"831","OpenWaitableTimerW"}, 
  {"832","OutputDebugStringA"}, 
  {"833","OutputDebugStringW"}, 
  {"834","PeekConsoleInputA"}, 
  {"835","PeekConsoleInputW"}, 
  {"836","PeekNamedPipe"}, 
  {"837","PostQueuedCompletionStatus"}, 
  {"838","PrepareTape"}, 
  {"839","PrivCopyFileExW"}, 
  {"84","CompareFileTime"}, 
  {"840","PrivMoveFileIdentityW"}, 
  {"841","Process32First"}, 
  {"842","Process32FirstW"}, 
  {"843","Process32Next"}, 
  {"844","Process32NextW"}, 
  {"845","ProcessIdToSessionId"}, 
  {"846","PulseEvent"}, 
  {"847","PurgeComm"}, 
  {"848","QueryActCtxSettingsW"}, 
  {"849","QueryActCtxW"}, 
  {"85","CompareStringA"}, 
  {"850","QueryDepthSList"}, 
  {"851","QueryDosDeviceA"}, 
  {"852","QueryDosDeviceW"}, 
  {"853","QueryFullProcessImageNameA"}, 
  {"854","QueryFullProcessImageNameW"}, 
  {"855","QueryIdleProcessorCycleTime"}, 
  {"856","QueryInformationJobObject"}, 
  {"857","QueryMemoryResourceNotification"}, 
  {"858","QueryPerformanceCounter"}, 
  {"859","QueryPerformanceFrequency"}, 
  {"86","CompareStringEx"}, 
  {"860","QueryProcessAffinityUpdateMode"}, 
  {"861","QueryProcessCycleTime"}, 
  {"862","QueryThreadCycleTime"}, 
  {"863","QueueUserAPC"}, 
  {"864","QueueUserWorkItem"}, 
  {"865","RaiseException"}, 
  {"866","ReOpenFile"}, 
  {"867","ReadConsoleA"}, 
  {"868","ReadConsoleInputA"}, 
  {"869","ReadConsoleInputExA"}, 
  {"87","CompareStringOrdinal"}, 
  {"870","ReadConsoleInputExW"}, 
  {"871","ReadConsoleInputW"}, 
  {"872","ReadConsoleOutputA"}, 
  {"873","ReadConsoleOutputAttribute"}, 
  {"874","ReadConsoleOutputCharacterA"}, 
  {"875","ReadConsoleOutputCharacterW"}, 
  {"876","ReadConsoleOutputW"}, 
  {"877","ReadConsoleW"}, 
  {"878","ReadDirectoryChangesW"}, 
  {"879","ReadFile"}, 
  {"88","CompareStringW"}, 
  {"880","ReadFileEx"}, 
  {"881","ReadFileScatter"}, 
  {"882","ReadProcessMemory"}, 
  {"883","RegisterApplicationRecoveryCallback"}, 
  {"884","RegisterApplicationRestart"}, 
  {"885","RegisterConsoleIME"}, 
  {"886","RegisterConsoleOS2"}, 
  {"887","RegisterConsoleVDM"}, 
  {"888","RegisterWaitForInputIdle"}, 
  {"889","RegisterWaitForSingleObject"}, 
  {"89","ConnectNamedPipe"}, 
  {"890","RegisterWaitForSingleObjectEx"}, 
  {"891","RegisterWowBaseHandlers"}, 
  {"892","RegisterWowExec"}, 
  {"893","ReleaseActCtx"}, 
  {"894","ReleaseMutex"}, 
  {"895","ReleaseMutexWhenCallbackReturns"}, 
  {"896","ReleaseSRWLockExclusive"}, 
  {"897","ReleaseSRWLockShared"}, 
  {"898","ReleaseSemaphore"}, 
  {"899","ReleaseSemaphoreWhenCallbackReturns"}, 
  {"9","AddConsoleAliasW"}, 
  {"90","ConsoleMenuControl"}, 
  {"900","RemoveDirectoryA"}, 
  {"901","RemoveDirectoryTransactedA"}, 
  {"902","RemoveDirectoryTransactedW"}, 
  {"903","RemoveDirectoryW"}, 
  {"904","RemoveLocalAlternateComputerNameA"}, 
  {"905","RemoveLocalAlternateComputerNameW"}, 
  {"906","RemoveSecureMemoryCacheCallback"}, 
  {"907","RemoveVectoredContinueHandler"}, 
  {"908","RemoveVectoredExceptionHandler"}, 
  {"909","ReplaceFile"}, 
  {"91","ContinueDebugEvent"}, 
  {"910","ReplaceFileA"}, 
  {"911","ReplaceFileW"}, 
  {"912","ReplacePartitionUnit"}, 
  {"913","RequestDeviceWakeup"}, 
  {"914","RequestWakeupLatency"}, 
  {"915","ResetEvent"}, 
  {"916","ResetWriteWatch"}, 
  {"917","RestoreLastError"}, 
  {"918","ResumeThread"}, 
  {"919","RtlCaptureContext"}, 
  {"92","ConvertCalDateTimeToSystemTime"}, 
  {"920","RtlCaptureStackBackTrace"}, 
  {"921","RtlFillMemory"}, 
  {"922","RtlMoveMemory"}, 
  {"923","RtlUnwind"}, 
  {"924","RtlZeroMemory"}, 
  {"925","ScrollConsoleScreenBufferA"}, 
  {"926","ScrollConsoleScreenBufferW"}, 
  {"927","SearchPathA"}, 
  {"928","SearchPathW"}, 
  {"929","SetCalendarInfoA"}, 
  {"93","ConvertDefaultLocale"}, 
  {"930","SetCalendarInfoW"}, 
  {"931","SetClientTimeZoneInformation"}, 
  {"932","SetComPlusPackageInstallStatus"}, 
  {"933","SetCommBreak"}, 
  {"934","SetCommConfig"}, 
  {"935","SetCommMask"}, 
  {"936","SetCommState"}, 
  {"937","SetCommTimeouts"}, 
  {"938","SetComputerNameA"}, 
  {"939","SetComputerNameExA"}, 
  {"94","ConvertFiberToThread"}, 
  {"940","SetComputerNameExW"}, 
  {"941","SetComputerNameW"}, 
  {"942","SetConsoleActiveScreenBuffer"}, 
  {"943","SetConsoleCP"}, 
  {"944","SetConsoleCtrlHandler"}, 
  {"945","SetConsoleCursor"}, 
  {"946","SetConsoleCursorInfo"}, 
  {"947","SetConsoleCursorMode"}, 
  {"948","SetConsoleCursorPosition"}, 
  {"949","SetConsoleDisplayMode"}, 
  {"95","ConvertNLSDayOfWeekToWin32DayOfWeek"}, 
  {"950","SetConsoleFont"}, 
  {"951","SetConsoleHardwareState"}, 
  {"952","SetConsoleHistoryInfo"}, 
  {"953","SetConsoleIcon"}, 
  {"954","SetConsoleInputExeNameA"}, 
  {"955","SetConsoleInputExeNameW"}, 
  {"956","SetConsoleKeyShortcuts"}, 
  {"957","SetConsoleLocalEUDC"}, 
  {"958","SetConsoleMaximumWindowSize"}, 
  {"959","SetConsoleMenuClose"}, 
  {"96","ConvertSystemTimeToCalDateTime"}, 
  {"960","SetConsoleMode"}, 
  {"961","SetConsoleNlsMode"}, 
  {"962","SetConsoleNumberOfCommandsA"}, 
  {"963","SetConsoleNumberOfCommandsW"}, 
  {"964","SetConsoleOS2OemFormat"}, 
  {"965","SetConsoleOutputCP"}, 
  {"966","SetConsolePalette"}, 
  {"967","SetConsoleScreenBufferInfoEx"}, 
  {"968","SetConsoleScreenBufferSize"}, 
  {"969","SetConsoleTextAttribute"}, 
  {"97","ConvertThreadToFiber"}, 
  {"970","SetConsoleTitleA"}, 
  {"971","SetConsoleTitleW"}, 
  {"972","SetConsoleWindowInfo"}, 
  {"973","SetCriticalSectionSpinCount"}, 
  {"974","SetCurrentConsoleFontEx"}, 
  {"975","SetCurrentDirectoryA"}, 
  {"976","SetCurrentDirectoryW"}, 
  {"977","SetDefaultCommConfigA"}, 
  {"978","SetDefaultCommConfigW"}, 
  {"979","SetDllDirectoryA"}, 
  {"98","ConvertThreadToFiberEx"}, 
  {"980","SetDllDirectoryW"}, 
  {"981","SetDynamicTimeZoneInformation"}, 
  {"982","SetEndOfFile"}, 
  {"983","SetEnvironmentStringsA"}, 
  {"984","SetEnvironmentStringsW"}, 
  {"985","SetEnvironmentVariableA"}, 
  {"986","SetEnvironmentVariableW"}, 
  {"987","SetErrorMode"}, 
  {"988","SetEvent"}, 
  {"989","SetEventWhenCallbackReturns"}, 
  {"99","CopyFileA"}, 
  {"990","SetFileApisToANSI"}, 
  {"991","SetFileApisToOEM"}, 
  {"992","SetFileAttributesA"}, 
  {"993","SetFileAttributesTransactedA"}, 
  {"994","SetFileAttributesTransactedW"}, 
  {"995","SetFileAttributesW"}, 
  {"996","SetFileBandwidthReservation"}, 
  {"997","SetFileCompletionNotificationModes"}, 
  {"998","SetFileInformationByHandle"}, 
  {"999","SetFileIoOverlappedRange"}, 
  {NULL, NULL}
};
// 0x564e2132cbc0
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_kernel32_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_kernel32_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_kernel32(x,y) gperf_kernel32_hash(x)
const unsigned int gperf_kernel32_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_kernel32 = {
  .name = "kernel32",
  .get = &gperf_kernel32_get,
  .hash = &gperf_kernel32_hash,
  .foreach = &gperf_kernel32_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_kernel32.get)("foo");
	printf ("%s\n", s);
}
#endif
