// SDB-CGEN V1.8.3
// gcc -DMAIN=1 oleaut32.c ; ./a.out > oleaut32.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1","SysAllocString"}, 
  {"10","VariantCopyInd"}, 
  {"100","VarCyFromR4"}, 
  {"101","VarCyFromR8"}, 
  {"102","VarCyFromDate"}, 
  {"103","VarCyFromStr"}, 
  {"104","VarCyFromDisp"}, 
  {"105","VarCyFromBool"}, 
  {"106","VarFormatNumber"}, 
  {"107","VarBstrFromUI1"}, 
  {"108","VarBstrFromI2"}, 
  {"109","VarBstrFromI4"}, 
  {"11","VariantChangeType"}, 
  {"110","VarBstrFromR4"}, 
  {"111","VarBstrFromR8"}, 
  {"112","VarBstrFromCy"}, 
  {"113","VarBstrFromDate"}, 
  {"114","VarBstrFromDisp"}, 
  {"115","VarBstrFromBool"}, 
  {"116","VarFormatPercent"}, 
  {"117","VarBoolFromUI1"}, 
  {"118","VarBoolFromI2"}, 
  {"119","VarBoolFromI4"}, 
  {"12","VariantTimeToDosDateTime"}, 
  {"120","VarBoolFromR4"}, 
  {"121","VarBoolFromR8"}, 
  {"122","VarBoolFromDate"}, 
  {"123","VarBoolFromCy"}, 
  {"124","VarBoolFromStr"}, 
  {"125","VarBoolFromDisp"}, 
  {"126","VarFormatCurrency"}, 
  {"127","VarWeekdayName"}, 
  {"128","VarMonthName"}, 
  {"129","VarUI1FromI2"}, 
  {"13","DosDateTimeToVariantTime"}, 
  {"130","VarUI1FromI4"}, 
  {"131","VarUI1FromR4"}, 
  {"132","VarUI1FromR8"}, 
  {"133","VarUI1FromCy"}, 
  {"134","VarUI1FromDate"}, 
  {"135","VarUI1FromStr"}, 
  {"136","VarUI1FromDisp"}, 
  {"137","VarUI1FromBool"}, 
  {"138","VarFormatFromTokens"}, 
  {"139","VarTokenizeFormatString"}, 
  {"14","SafeArrayCreate"}, 
  {"140","VarAdd"}, 
  {"141","VarAnd"}, 
  {"142","VarDiv"}, 
  {"143","DllCanUnloadNow"}, 
  {"144","DllGetClassObject"}, 
  {"145","DispCallFunc"}, 
  {"146","VariantChangeTypeEx"}, 
  {"147","SafeArrayPtrOfIndex"}, 
  {"148","SysStringByteLen"}, 
  {"149","SysAllocStringByteLen"}, 
  {"15","SafeArrayDestroy"}, 
  {"150","DllRegisterServer"}, 
  {"151","VarEqv"}, 
  {"152","VarIdiv"}, 
  {"153","VarImp"}, 
  {"154","VarMod"}, 
  {"155","VarMul"}, 
  {"156","VarOr"}, 
  {"157","VarPow"}, 
  {"158","VarSub"}, 
  {"159","CreateTypeLib"}, 
  {"16","SafeArrayGetDim"}, 
  {"160","LoadTypeLib"}, 
  {"161","LoadRegTypeLib"}, 
  {"162","RegisterTypeLib"}, 
  {"163","QueryPathOfRegTypeLib"}, 
  {"164","LHashValOfNameSys"}, 
  {"165","LHashValOfNameSysA"}, 
  {"166","VarXor"}, 
  {"167","VarAbs"}, 
  {"168","VarFix"}, 
  {"169","OaBuildVersion"}, 
  {"17","SafeArrayGetElemsize"}, 
  {"170","ClearCustData"}, 
  {"171","VarInt"}, 
  {"172","VarNeg"}, 
  {"173","VarNot"}, 
  {"174","VarRound"}, 
  {"175","VarCmp"}, 
  {"176","VarDecAdd"}, 
  {"177","VarDecDiv"}, 
  {"178","VarDecMul"}, 
  {"179","CreateTypeLib2"}, 
  {"18","SafeArrayGetUBound"}, 
  {"180","VarDecSub"}, 
  {"181","VarDecAbs"}, 
  {"182","LoadTypeLibEx"}, 
  {"183","SystemTimeToVariantTime"}, 
  {"184","VariantTimeToSystemTime"}, 
  {"185","UnRegisterTypeLib"}, 
  {"186","VarDecFix"}, 
  {"187","VarDecInt"}, 
  {"188","VarDecNeg"}, 
  {"189","VarDecFromUI1"}, 
  {"19","SafeArrayGetLBound"}, 
  {"190","VarDecFromI2"}, 
  {"191","VarDecFromI4"}, 
  {"192","VarDecFromR4"}, 
  {"193","VarDecFromR8"}, 
  {"194","VarDecFromDate"}, 
  {"195","VarDecFromCy"}, 
  {"196","VarDecFromStr"}, 
  {"197","VarDecFromDisp"}, 
  {"198","VarDecFromBool"}, 
  {"199","GetErrorInfo"}, 
  {"2","SysReAllocString"}, 
  {"20","SafeArrayLock"}, 
  {"200","SetErrorInfo"}, 
  {"201","CreateErrorInfo"}, 
  {"202","VarDecRound"}, 
  {"203","VarDecCmp"}, 
  {"204","VarI2FromI1"}, 
  {"205","VarI2FromUI2"}, 
  {"206","VarI2FromUI4"}, 
  {"207","VarI2FromDec"}, 
  {"208","VarI4FromI1"}, 
  {"209","VarI4FromUI2"}, 
  {"21","SafeArrayUnlock"}, 
  {"210","VarI4FromUI4"}, 
  {"211","VarI4FromDec"}, 
  {"212","VarR4FromI1"}, 
  {"213","VarR4FromUI2"}, 
  {"214","VarR4FromUI4"}, 
  {"215","VarR4FromDec"}, 
  {"216","VarR8FromI1"}, 
  {"217","VarR8FromUI2"}, 
  {"218","VarR8FromUI4"}, 
  {"219","VarR8FromDec"}, 
  {"22","SafeArrayAccessData"}, 
  {"220","VarDateFromI1"}, 
  {"221","VarDateFromUI2"}, 
  {"222","VarDateFromUI4"}, 
  {"223","VarDateFromDec"}, 
  {"224","VarCyFromI1"}, 
  {"225","VarCyFromUI2"}, 
  {"226","VarCyFromUI4"}, 
  {"227","VarCyFromDec"}, 
  {"228","VarBstrFromI1"}, 
  {"229","VarBstrFromUI2"}, 
  {"23","SafeArrayUnaccessData"}, 
  {"230","VarBstrFromUI4"}, 
  {"231","VarBstrFromDec"}, 
  {"232","VarBoolFromI1"}, 
  {"233","VarBoolFromUI2"}, 
  {"234","VarBoolFromUI4"}, 
  {"235","VarBoolFromDec"}, 
  {"236","VarUI1FromI1"}, 
  {"237","VarUI1FromUI2"}, 
  {"238","VarUI1FromUI4"}, 
  {"239","VarUI1FromDec"}, 
  {"24","SafeArrayGetElement"}, 
  {"240","VarDecFromI1"}, 
  {"241","VarDecFromUI2"}, 
  {"242","VarDecFromUI4"}, 
  {"243","VarI1FromUI1"}, 
  {"244","VarI1FromI2"}, 
  {"245","VarI1FromI4"}, 
  {"246","VarI1FromR4"}, 
  {"247","VarI1FromR8"}, 
  {"248","VarI1FromDate"}, 
  {"249","VarI1FromCy"}, 
  {"25","SafeArrayPutElement"}, 
  {"250","VarI1FromStr"}, 
  {"251","VarI1FromDisp"}, 
  {"252","VarI1FromBool"}, 
  {"253","VarI1FromUI2"}, 
  {"254","VarI1FromUI4"}, 
  {"255","VarI1FromDec"}, 
  {"256","VarUI2FromUI1"}, 
  {"257","VarUI2FromI2"}, 
  {"258","VarUI2FromI4"}, 
  {"259","VarUI2FromR4"}, 
  {"26","SafeArrayCopy"}, 
  {"260","VarUI2FromR8"}, 
  {"261","VarUI2FromDate"}, 
  {"262","VarUI2FromCy"}, 
  {"263","VarUI2FromStr"}, 
  {"264","VarUI2FromDisp"}, 
  {"265","VarUI2FromBool"}, 
  {"266","VarUI2FromI1"}, 
  {"267","VarUI2FromUI4"}, 
  {"268","VarUI2FromDec"}, 
  {"269","VarUI4FromUI1"}, 
  {"27","DispGetParam"}, 
  {"270","VarUI4FromI2"}, 
  {"271","VarUI4FromI4"}, 
  {"272","VarUI4FromR4"}, 
  {"273","VarUI4FromR8"}, 
  {"274","VarUI4FromDate"}, 
  {"275","VarUI4FromCy"}, 
  {"276","VarUI4FromStr"}, 
  {"277","VarUI4FromDisp"}, 
  {"278","VarUI4FromBool"}, 
  {"279","VarUI4FromI1"}, 
  {"28","DispGetIDsOfNames"}, 
  {"280","VarUI4FromUI2"}, 
  {"281","VarUI4FromDec"}, 
  {"282","BSTR_UserSize"}, 
  {"283","BSTR_UserMarshal"}, 
  {"284","BSTR_UserUnmarshal"}, 
  {"285","BSTR_UserFree"}, 
  {"286","VARIANT_UserSize"}, 
  {"287","VARIANT_UserMarshal"}, 
  {"288","VARIANT_UserUnmarshal"}, 
  {"289","VARIANT_UserFree"}, 
  {"29","DispInvoke"}, 
  {"290","LPSAFEARRAY_UserSize"}, 
  {"291","LPSAFEARRAY_UserMarshal"}, 
  {"292","LPSAFEARRAY_UserUnmarshal"}, 
  {"293","LPSAFEARRAY_UserFree"}, 
  {"294","LPSAFEARRAY_Size"}, 
  {"295","LPSAFEARRAY_Marshal"}, 
  {"296","LPSAFEARRAY_Unmarshal"}, 
  {"297","VarDecCmpR8"}, 
  {"298","VarCyAdd"}, 
  {"299","DllUnregisterServer"}, 
  {"3","SysAllocStringLen"}, 
  {"30","CreateDispTypeInfo"}, 
  {"300","OACreateTypeLib2"}, 
  {"302","VarCyMul"}, 
  {"303","VarCyMulI4"}, 
  {"304","VarCySub"}, 
  {"305","VarCyAbs"}, 
  {"306","VarCyFix"}, 
  {"307","VarCyInt"}, 
  {"308","VarCyNeg"}, 
  {"309","VarCyRound"}, 
  {"31","CreateStdDispatch"}, 
  {"310","VarCyCmp"}, 
  {"311","VarCyCmpR8"}, 
  {"312","VarBstrCat"}, 
  {"313","VarBstrCmp"}, 
  {"314","VarR8Pow"}, 
  {"315","VarR4CmpR8"}, 
  {"316","VarR8Round"}, 
  {"317","VarCat"}, 
  {"318","VarDateFromUdateEx"}, 
  {"32","RegisterActiveObject"}, 
  {"321","GetRecordInfoFromGuids"}, 
  {"322","GetRecordInfoFromTypeInfo"}, 
  {"324","SetVarConversionLocaleSetting"}, 
  {"325","GetVarConversionLocaleSetting"}, 
  {"326","SetOaNoCache"}, 
  {"328","VarCyMulI8"}, 
  {"329","VarDateFromUdate"}, 
  {"33","RevokeActiveObject"}, 
  {"330","VarUdateFromDate"}, 
  {"331","GetAltMonthNames"}, 
  {"332","VarI8FromUI1"}, 
  {"333","VarI8FromI2"}, 
  {"334","VarI8FromR4"}, 
  {"335","VarI8FromR8"}, 
  {"336","VarI8FromCy"}, 
  {"337","VarI8FromDate"}, 
  {"338","VarI8FromStr"}, 
  {"339","VarI8FromDisp"}, 
  {"34","GetActiveObject"}, 
  {"340","VarI8FromBool"}, 
  {"341","VarI8FromI1"}, 
  {"342","VarI8FromUI2"}, 
  {"343","VarI8FromUI4"}, 
  {"344","VarI8FromDec"}, 
  {"345","VarI2FromI8"}, 
  {"346","VarI2FromUI8"}, 
  {"347","VarI4FromI8"}, 
  {"348","VarI4FromUI8"}, 
  {"35","SafeArrayAllocDescriptor"}, 
  {"359","VarR4FromI8"}, 
  {"36","SafeArrayAllocData"}, 
  {"360","VarR4FromUI8"}, 
  {"361","VarR8FromI8"}, 
  {"362","VarR8FromUI8"}, 
  {"363","VarDateFromI8"}, 
  {"364","VarDateFromUI8"}, 
  {"365","VarCyFromI8"}, 
  {"366","VarCyFromUI8"}, 
  {"367","VarBstrFromI8"}, 
  {"368","VarBstrFromUI8"}, 
  {"369","VarBoolFromI8"}, 
  {"37","SafeArrayDestroyDescriptor"}, 
  {"370","VarBoolFromUI8"}, 
  {"371","VarUI1FromI8"}, 
  {"372","VarUI1FromUI8"}, 
  {"373","VarDecFromI8"}, 
  {"374","VarDecFromUI8"}, 
  {"375","VarI1FromI8"}, 
  {"376","VarI1FromUI8"}, 
  {"377","VarUI2FromI8"}, 
  {"378","VarUI2FromUI8"}, 
  {"38","SafeArrayDestroyData"}, 
  {"39","SafeArrayRedim"}, 
  {"4","SysReAllocStringLen"}, 
  {"40","SafeArrayAllocDescriptorEx"}, 
  {"400","OleLoadPictureEx"}, 
  {"401","OleLoadPictureFileEx"}, 
  {"41","SafeArrayCreateEx"}, 
  {"410","SafeArrayCreateVector"}, 
  {"411","SafeArrayCopyData"}, 
  {"412","VectorFromBstr"}, 
  {"413","BstrFromVector"}, 
  {"414","OleIconToCursor"}, 
  {"415","OleCreatePropertyFrameIndirect"}, 
  {"416","OleCreatePropertyFrame"}, 
  {"417","OleLoadPicture"}, 
  {"418","OleCreatePictureIndirect"}, 
  {"419","OleCreateFontIndirect"}, 
  {"42","SafeArrayCreateVectorEx"}, 
  {"420","OleTranslateColor"}, 
  {"421","OleLoadPictureFile"}, 
  {"422","OleSavePictureFile"}, 
  {"423","OleLoadPicturePath"}, 
  {"424","VarUI4FromI8"}, 
  {"425","VarUI4FromUI8"}, 
  {"426","VarI8FromUI8"}, 
  {"427","VarUI8FromI8"}, 
  {"428","VarUI8FromUI1"}, 
  {"429","VarUI8FromI2"}, 
  {"43","SafeArraySetRecordInfo"}, 
  {"430","VarUI8FromR4"}, 
  {"431","VarUI8FromR8"}, 
  {"432","VarUI8FromCy"}, 
  {"433","VarUI8FromDate"}, 
  {"434","VarUI8FromStr"}, 
  {"435","VarUI8FromDisp"}, 
  {"436","VarUI8FromBool"}, 
  {"437","VarUI8FromI1"}, 
  {"438","VarUI8FromUI2"}, 
  {"439","VarUI8FromUI4"}, 
  {"44","SafeArrayGetRecordInfo"}, 
  {"440","VarUI8FromDec"}, 
  {"441","RegisterTypeLibForUser"}, 
  {"442","UnRegisterTypeLibForUser"}, 
  {"443","OaEnablePerUserTLibRegistration"}, 
  {"45","VarParseNumFromStr"}, 
  {"46","VarNumFromParseNum"}, 
  {"47","VarI2FromUI1"}, 
  {"48","VarI2FromI4"}, 
  {"49","VarI2FromR4"}, 
  {"499","OACleanup"}, 
  {"5","SysFreeString"}, 
  {"50","VarI2FromR8"}, 
  {"51","VarI2FromCy"}, 
  {"52","VarI2FromDate"}, 
  {"53","VarI2FromStr"}, 
  {"54","VarI2FromDisp"}, 
  {"55","VarI2FromBool"}, 
  {"56","SafeArraySetIID"}, 
  {"57","VarI4FromUI1"}, 
  {"58","VarI4FromI2"}, 
  {"59","VarI4FromR4"}, 
  {"6","SysStringLen"}, 
  {"60","VarI4FromR8"}, 
  {"61","VarI4FromCy"}, 
  {"62","VarI4FromDate"}, 
  {"63","VarI4FromStr"}, 
  {"64","VarI4FromDisp"}, 
  {"65","VarI4FromBool"}, 
  {"66","SafeArrayGetIID"}, 
  {"67","VarR4FromUI1"}, 
  {"68","VarR4FromI2"}, 
  {"69","VarR4FromI4"}, 
  {"7","VariantInit"}, 
  {"70","VarR4FromR8"}, 
  {"71","VarR4FromCy"}, 
  {"72","VarR4FromDate"}, 
  {"73","VarR4FromStr"}, 
  {"74","VarR4FromDisp"}, 
  {"75","VarR4FromBool"}, 
  {"76","SafeArrayGetVartype"}, 
  {"77","VarR8FromUI1"}, 
  {"78","VarR8FromI2"}, 
  {"79","VarR8FromI4"}, 
  {"8","VariantClear"}, 
  {"80","VarR8FromR4"}, 
  {"81","VarR8FromCy"}, 
  {"82","VarR8FromDate"}, 
  {"83","VarR8FromStr"}, 
  {"84","VarR8FromDisp"}, 
  {"85","VarR8FromBool"}, 
  {"86","VarFormat"}, 
  {"87","VarDateFromUI1"}, 
  {"88","VarDateFromI2"}, 
  {"89","VarDateFromI4"}, 
  {"9","VariantCopy"}, 
  {"90","VarDateFromR4"}, 
  {"91","VarDateFromR8"}, 
  {"92","VarDateFromCy"}, 
  {"93","VarDateFromStr"}, 
  {"94","VarDateFromDisp"}, 
  {"95","VarDateFromBool"}, 
  {"96","VarFormatDateTime"}, 
  {"97","VarCyFromUI1"}, 
  {"98","VarCyFromI2"}, 
  {"99","VarCyFromI4"}, 
  {NULL, NULL}
};
// 0x555bc32a5450
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_oleaut32_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_oleaut32_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_oleaut32(x,y) gperf_oleaut32_hash(x)
const unsigned int gperf_oleaut32_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_oleaut32 = {
  .name = "oleaut32",
  .get = &gperf_oleaut32_get,
  .hash = &gperf_oleaut32_hash,
  .foreach = &gperf_oleaut32_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_oleaut32.get)("foo");
	printf ("%s\n", s);
}
#endif
