// SDB-CGEN V1.8.3
// gcc -DMAIN=1 spr32d70.c ; ./a.out > spr32d70.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"1900","EditFieldWndProc"}, 
  {"1901","EditGeneralWndProc"}, 
  {"1902","EditTimeWndProc"}, 
  {"1903","_CalendarEx@24"}, 
  {"1904","EditIntegerWndProc"}, 
  {"1905","_CalendarProc@16"}, 
  {"1906","EditPicWndProc"}, 
  {"1907","_CalendarWndProc@16"}, 
  {"1908","_CheckBoxLoadDefBitmaps@4"}, 
  {"1909","_CheckBoxUnloadDefBitmaps@0"}, 
  {"1910","_DateGetJulianStart@0"}, 
  {"1911","_DateGetWeekday@8"}, 
  {"1912","GetTBEditClassProc"}, 
  {"1913","_DateSetJulianStart@4"}, 
  {"1914","_DlgBoxCenter@4"}, 
  {"1915","_EditDateWndProc@16"}, 
  {"1916","_EditFloatWndProc@16"}, 
  {"1917","_EditNumWndProc@16"}, 
  {"1918","_FloatToEString@24"}, 
  {"1919","_FloatToFString@24"}, 
  {"1920","_HourGlassOff@0"}, 
  {"1921","_HourGlassOn@0"}, 
  {"1922","_IntToString@8"}, 
  {"1923","_LongToString@8"}, 
  {"1924","_MemCpy@12"}, 
  {"1925","_MemHugeCpy@12"}, 
  {"1926","_MemHugeSet@12"}, 
  {"1927","_MemSet@12"}, 
  {"1928","_PicFmtText@24"}, 
  {"1929","_PicFormatText@24"}, 
  {"1930","_PicGetValue@8"}, 
  {"1931","_PicIsNULL@4"}, 
  {"1932","_PicSetValue@8"}, 
  {"1933","_PicToValue@12"}, 
  {"1934","_QuickSortHuge@20"}, 
  {"1935","_SSAddCellSpan@20"}, 
  {"1936","_SSAddCustomFunctionExt@24"}, 
  {"1937","_SSClearColBoundInfo@4"}, 
  {"1938","_SSColLetterToNumber@4"}, 
  {"1939","_SSDeleteSheets@12"}, 
  {"1940","_SSEnumCustomFunction@16"}, 
  {"1941","_SSEnumCustomFunctionLen@8"}, 
  {"1942","_SSExportExcelBook@12"}, 
  {"1943","_SSExportExcelBookEx@16"}, 
  {"1944","_SSExportRangeToTextFile@44"}, 
  {"1945","_SSExportRangeToTextFileU@44"}, 
  {"1946","_SSExportToExcelEx@20"}, 
  {"1947","_SSExportToTextFile@28"}, 
  {"1948","_SSExportToTextFileU@28"}, 
  {"1949","_SSGetActionKey@20"}, 
  {"1950","_SSGetActiveCellHighlightStyle@4"}, 
  {"1951","_SSGetActiveSheet@4"}, 
  {"1952","_SSGetAppearance@4"}, 
  {"1953","_SSGetArray@28"}, 
  {"1954","_SSGetBackColorStyle@4"}, 
  {"1955","_SSGetBiffBuffer@12"}, 
  {"1956","_SSGetBorderEx@44"}, 
  {"1957","_SSGetCalTextOverride@52"}, 
  {"1958","_SSGetCellColor@20"}, 
  {"1959","_SSGetCellNote@16"}, 
  {"1960","_SSGetCellNoteIndicator@4"}, 
  {"1961","_SSGetCellSpan@28"}, 
  {"1962","_SSGetCellTag@16"}, 
  {"1963","_SSGetClipboardOptions@4"}, 
  {"1964","_SSGetColBoundInfo@16"}, 
  {"1965","_SSGetColFromID@8"}, 
  {"1966","_SSGetColHeaderRows@4"}, 
  {"1967","_SSGetColHeadersAutoTextIndex@4"}, 
  {"1968","_SSGetColHeadersUserSortIndex@4"}, 
  {"1969","_SSGetColID@12"}, 
  {"1970","_SSGetColMerge@8"}, 
  {"1971","_SSGetColUserSortIndicator@8"}, 
  {"1972","_SSGetCustomFunction@20"}, 
  {"1973","_SSGetCustomName@16"}, 
  {"1974","_SSGetCustomNameLen@8"}, 
  {"1975","_SSGetIteration@12"}, 
  {"1976","_SSGetNextPageBreakCol@8"}, 
  {"1977","_SSGetNextPageBreakRow@8"}, 
  {"1978","_SSGetOddEvenRowColor@20"}, 
  {"1979","_SSGetPrintAbortMsg@12"}, 
  {"1980","_SSGetPrintJobName@12"}, 
  {"1981","_SSGetPrintOptions@16"}, 
  {"1982","_SSGetPrintOptionsEx@16"}, 
  {"1983","_SSGetPrintPageCount@4"}, 
  {"1984","_SSGetRefStyle@4"}, 
  {"1985","_SSGetRowHeaderCols@4"}, 
  {"1986","_SSGetRowHeadersAutoTextIndex@4"}, 
  {"1987","_SSGetRowMerge@8"}, 
  {"1988","_SSGetScriptEnhanced@4"}, 
  {"1989","_SSGetScrollBarColor@12"}, 
  {"1990","_SSGetScrollBarSize@12"}, 
  {"1991","_SSGetSelColor@12"}, 
  {"1992","_SSGetSheet@4"}, 
  {"1993","_SSGetSheetCount@4"}, 
  {"1994","_SSGetSheetName@16"}, 
  {"1995","_SSGetSheetSendingMsg@4"}, 
  {"1996","_SSGetSheetVisible@8"}, 
  {"1997","_SSGetShowScrollTips@4"}, 
  {"1998","_SSGetTabStripFont@4"}, 
  {"1999","_SSGetTabStripLeftSheet@4"}, 
  {"2000","_SSGetTabStripPolicy@4"}, 
  {"2001","_SSGetTabStripRatio@4"}, 
  {"2002","_SSGetTextTip@24"}, 
  {"2003","_SSGetTwoDigitYearMax@4"}, 
  {"2004","_SSGetUserColAction@4"}, 
  {"2005","_SSGetXtra@12"}, 
  {"2006","_SSImportExcelBook@12"}, 
  {"2007","_SSInitSpread@4"}, 
  {"2008","_SSInsertSheets@12"}, 
  {"2009","_SSIsColHidden@8"}, 
  {"2010","_SSIsFetchCellNote@4"}, 
  {"2011","_SSIsRowHidden@8"}, 
  {"2012","_SSLoadBlockFromBuffer@28"}, 
  {"2013","_SSLoadTabFile@8"}, 
  {"2014","_SSLoadTextFile@28"}, 
  {"2015","_SSMoveSheets@16"}, 
  {"2016","_SSQueryCustomName@16"}, 
  {"2017","_SSQueryCustomNameLen@8"}, 
  {"2018","_SSReCalcCell@12"}, 
  {"2019","_SSRemoveCellSpan@12"}, 
  {"2020","_SSRemoveCustomFunction@8"}, 
  {"2021","_SSReset@4"}, 
  {"2022","_SSResetSheet@8"}, 
  {"2023","_SSSaveBlockToBuffer@28"}, 
  {"2024","_SSSaveTabFile@8"}, 
  {"2025","_SSSaveTabFileU@8"}, 
  {"2026","_SSSearchCol@24"}, 
  {"2027","_SSSearchRow@24"}, 
  {"2028","_SSSetActionKey@20"}, 
  {"2029","_SSSetActiveCellHighlightStyle@8"}, 
  {"2030","_SSSetActiveSheet@8"}, 
  {"2031","_SSSetAppearance@8"}, 
  {"2032","_SSSetArray@28"}, 
  {"2033","_SSSetBackColorStyle@8"}, 
  {"2034","_SSSetCalText@24"}, 
  {"2035","_SSSetCalTextOverride@28"}, 
  {"2036","_SSSetCellNote@16"}, 
  {"2037","_SSSetCellNoteIndicator@8"}, 
  {"2038","_SSSetCellNoteRange@24"}, 
  {"2039","_SSSetCellTag@16"}, 
  {"2040","_SSSetClipboardOptions@8"}, 
  {"2041","_SSSetColBoundInfo@16"}, 
  {"2042","_SSSetColHeaderRows@8"}, 
  {"2043","_SSSetColHeadersAutoTextIndex@8"}, 
  {"2044","_SSSetColHeadersUserSortIndex@8"}, 
  {"2045","_SSSetColID@12"}, 
  {"2046","_SSSetColMerge@12"}, 
  {"2047","_SSSetColUserSortIndicator@12"}, 
  {"2048","_SSSetCustomName@12"}, 
  {"2049","_SSSetIteration@20"}, 
  {"2050","_SSSetOddEvenRowColor@20"}, 
  {"2051","_SSSetPrintAbortMsg@8"}, 
  {"2052","_SSSetPrintJobName@8"}, 
  {"2053","_SSSetPrintOptions@16"}, 
  {"2054","_SSSetPrintOptionsEx@16"}, 
  {"2055","_SSSetRefStyle@8"}, 
  {"2056","_SSSetRowHeaderCols@8"}, 
  {"2057","_SSSetRowHeadersAutoTextIndex@8"}, 
  {"2058","_SSSetRowMerge@12"}, 
  {"2059","_SSSetScriptEnhanced@8"}, 
  {"2060","_SSSetScrollBarColor@12"}, 
  {"2061","_SSSetScrollBarSize@12"}, 
  {"2062","_SSSetSelColor@12"}, 
  {"2063","_SSSetSheet@8"}, 
  {"2064","_SSSetSheetCount@8"}, 
  {"2065","_SSSetSheetName@12"}, 
  {"2066","_SSSetSheetVisible@12"}, 
  {"2067","_SSSetShowScrollTips@8"}, 
  {"2068","_SSSetTabStripFont@8"}, 
  {"2069","_SSSetTabStripLeftSheet@8"}, 
  {"2070","_SSSetTabStripPolicy@8"}, 
  {"2071","_SSSetTabStripRatio@12"}, 
  {"2072","_SSSetTextTip@24"}, 
  {"2073","_SSSetTwoDigitYearMax@8"}, 
  {"2074","_SSSetTypeComboBoxEx@36"}, 
  {"2075","_SSSetTypeCurrency@36"}, 
  {"2076","_SSSetTypeCurrencyEx@80"}, 
  {"2077","_SSSetTypeNumber@36"}, 
  {"2078","_SSSetTypeNumberEx@68"}, 
  {"2079","_SSSetTypePercent@32"}, 
  {"2080","_SSSetTypePercentEx@60"}, 
  {"2081","_SSSetTypeScientific@36"}, 
  {"2082","_SSSetUserColAction@8"}, 
  {"2083","_SSSetXtra@16"}, 
  {"2084","_SSSortEx@32"}, 
  {"2085","_SS_CheckBoxProc@16"}, 
  {"2086","_SS_ClipboardCopy@12"}, 
  {"2087","_SS_CurrencyProc@16"}, 
  {"2088","_SS_DeskTopProc@16"}, 
  {"2089","_SS_EditComboBoxProc@16"}, 
  {"2090","_SS_GetCellSendingMsg@12"}, 
  {"2091","_SS_GetExcelSheetList@28"}, 
  {"2092","_SS_GetValueEx@20"}, 
  {"2093","_SS_HoverArrowWndFn@16"}, 
  {"2094","_SS_HoverWndFn@16"}, 
  {"2095","_SS_LoadXLBook@12"}, 
  {"2096","_SS_LoadXLSheet@16"}, 
  {"2097","_SS_NumberProc@16"}, 
  {"2098","_SS_PercentProc@16"}, 
  {"2099","_SS_ScientificFormat@24"}, 
  {"2100","_SS_ScientificProc@16"}, 
  {"2101","_SS_SetCalTextOverride@28"}, 
  {"2102","_SS_SortCompare@12"}, 
  {"2103","_SSx_EditProc@28"}, 
  {"2104","_SSx_SetData@32"}, 
  {"2105","_SpvGetAllowUserZoom@8"}, 
  {"2106","_SpvGetGrayAreaColor@8"}, 
  {"2107","_SpvGetGrayAreaMarginH@8"}, 
  {"2108","_SpvGetGrayAreaMarginType@8"}, 
  {"2109","_SpvGetGrayAreaMarginV@8"}, 
  {"2110","_SpvGetPageBorderColor@8"}, 
  {"2111","_SpvGetPageBorderWidth@8"}, 
  {"2112","_SpvGetPageCurrent@8"}, 
  {"2113","_SpvGetPageGutterH@8"}, 
  {"2114","_SpvGetPageGutterV@8"}, 
  {"2115","_SpvGetPageMultiCntH@8"}, 
  {"2116","_SpvGetPageMultiCntV@8"}, 
  {"2117","_SpvGetPagePercentageActual@8"}, 
  {"2118","_SpvGetPageShadowColor@8"}, 
  {"2119","_SpvGetPageShadowWidth@8"}, 
  {"2120","_SpvGetPageViewPercentage@8"}, 
  {"2121","_SpvGetPageViewType@8"}, 
  {"2122","_SpvGetPagesPerScreen@8"}, 
  {"2123","_SpvGetScriptEnhanced@8"}, 
  {"2124","_SpvGetScrollBarH@8"}, 
  {"2125","_SpvGetScrollBarV@8"}, 
  {"2126","_SpvGetScrollIncH@8"}, 
  {"2127","_SpvGetScrollIncV@8"}, 
  {"2128","_SpvGetZoomState@8"}, 
  {"2129","_SpvGethWndSpread@8"}, 
  {"2130","_SpvSetAllowUserZoom@8"}, 
  {"2131","_SpvSetGrayAreaColor@8"}, 
  {"2132","_SpvSetGrayAreaMarginH@8"}, 
  {"2133","_SpvSetGrayAreaMarginType@8"}, 
  {"2134","_SpvSetGrayAreaMarginV@8"}, 
  {"2135","_SpvSetPageBorderColor@8"}, 
  {"2136","_SpvSetPageBorderWidth@8"}, 
  {"2137","_SpvSetPageCurrent@8"}, 
  {"2138","_SpvSetPageGutterH@8"}, 
  {"2139","_SpvSetPageGutterV@8"}, 
  {"2140","_SpvSetPageMultiCntH@8"}, 
  {"2141","_SpvSetPageMultiCntV@8"}, 
  {"2142","_SpvSetPageShadowColor@8"}, 
  {"2143","_SpvSetPageShadowWidth@8"}, 
  {"2144","_SpvSetPageViewPercentage@8"}, 
  {"2145","_SpvSetPageViewType@8"}, 
  {"2146","_SpvSetScriptEnhanced@8"}, 
  {"2147","_SpvSetScrollBarH@8"}, 
  {"2148","_SpvSetScrollBarV@8"}, 
  {"2149","_SpvSetScrollIncH@8"}, 
  {"2150","_SpvSetScrollIncV@8"}, 
  {"2151","_SpvSetZoomState@8"}, 
  {"2152","_SpvSethWndSpread@8"}, 
  {"2153","_StrCat@8"}, 
  {"2154","_StrChr@8"}, 
  {"2155","_StrCmp@8"}, 
  {"2156","_StrCpy@8"}, 
  {"2157","_StrDeleteChar@8"}, 
  {"2158","_StrInsertChar@12"}, 
  {"2159","_StrLTrim@4"}, 
  {"2160","_StrLast@4"}, 
  {"2161","_StrLen@4"}, 
  {"2162","_StrLwr@4"}, 
  {"2163","_StrRTrim@4"}, 
  {"2164","_StrRemove@12"}, 
  {"2165","_StrRev@4"}, 
  {"2166","_StrStr@8"}, 
  {"2167","_StrTok@8"}, 
  {"2168","_StrTrim@4"}, 
  {"2169","_StrTrimAll@4"}, 
  {"2170","_StrUpr@4"}, 
  {"2171","_StriChr@8"}, 
  {"2172","_StriCmp@8"}, 
  {"2173","_StriStr@8"}, 
  {"2174","_StringReplaceCh@8"}, 
  {"2175","_StringToFloat@8"}, 
  {"2176","_StringToInt@4"}, 
  {"2177","_StringToLong@4"}, 
  {"2178","_StrnCat@12"}, 
  {"2179","_StrnCmp@12"}, 
  {"2180","_StrnCmpi@12"}, 
  {"2181","_StrnCpy@12"}, 
  {"2182","_StrniCmp@12"}, 
  {"2183","_StrnnCat@12"}, 
  {"2184","_StrnnCpy@12"}, 
  {"2185","_StrpBrk@8"}, 
  {"2186","_StrrChr@8"}, 
  {"2187","_SuperBtnFocusRect@12"}, 
  {"2188","_SysGetDate@12"}, 
  {"2189","_SysGetTime@12"}, 
  {"2190","_UnregisterAllClasses@0"}, 
  {"2191","_bif_GetFont@16"}, 
  {"2192","_bif_GetXF@12"}, 
  {"2193","_tbCheckBoxGetPict@8"}, 
  {"2194","_tbCheckBoxLoadDef@12"}, 
  {"2195","_tbCheckBoxUnloadDefs@4"}, 
  {"2196","_tbCheckBoxWndFn@16"}, 
  {"2197","_tbMemAlloc@12"}, 
  {"2198","_tbMemFree@4"}, 
  {"2199","_tbMemFreeLock@4"}, 
  {"2200","_tbMemLock@4"}, 
  {"2201","_tbMemUnlock@4"}, 
  {"2202","_tbSpinBtnWndFn@16"}, 
  {"2203","_tbxCheckBoxGetPict@16"}, 
  {"2204","_tbxCheckBoxLoadDef@20"}, 
  {"2205","_tbxCheckBoxUnloadDefs@12"}, 
  {"2206","_tbxCheckBoxWndFn@16"}, 
  {"2207","_xDateStringIsValid@16"}, 
  {"2208","_xlGetDigitsLeft@8"}, 
  {"2209","_xlGetDigitsRight@8"}, 
  {"2210","_xl_FindShrFmla@8"}, 
  {"2211","_xl_GetCoord3D@32"}, 
  {"2212","_xl_GetCoord@20"}, 
  {"2213","_xl_LoadFile@24"}, 
  {"2214","_xl_LogFile@20"}, 
  {"2215","_xl_NumFromRk@8"}, 
  {"2216","_xl_ParseFormat@20"}, 
  {"2217","_xl_ParseFormula@28"}, 
  {"2218","_xl_ParsePicFormat@12"}, 
  {"2219","_xl_ParseRecord@44"}, 
  {"2220","_xl_PreParseFormat@16"}, 
  {"2221","_xl_SaveFile@28"}, 
  {"2222","_xl_TimeToHMS@12"}, 
  {"2500","SetToolBoxGlobal"}, 
  {"2501","GetToolBoxGlobal"}, 
  {"2622","tbSuperBtnWndFn"}, 
  {"2700","SpreadSheetProc"}, 
  {"2701","SS_EditProc"}, 
  {"2702","SS_PicProc"}, 
  {"2703","SS_DateProc"}, 
  {"2704","SS_TimeProc"}, 
  {"2705","SS_IntegerProc"}, 
  {"2706","SS_FloatProc"}, 
  {"2707","SS_ButtonProc"}, 
  {"2710","SSShowCell"}, 
  {"2711","SSShowActiveCell"}, 
  {"2712","SSClear"}, 
  {"2713","SSClearRange"}, 
  {"2714","SSGetVisible"}, 
  {"2715","SSSetFont"}, 
  {"2716","SSSetFontRange"}, 
  {"2717","SSGetFont"}, 
  {"2718","SSSetCellType"}, 
  {"2719","SSSetCellTypeRange"}, 
  {"2720","SSGetCellType"}, 
  {"2721","SSSetColor"}, 
  {"2722","SSSetColorRange"}, 
  {"2723","SSGetColor"}, 
  {"2724","SSSetLock"}, 
  {"2725","SSSetLockRange"}, 
  {"2726","SSGetLock"}, 
  {"2750","SS_ListBoxProc"}, 
  {"2751","SS_ComboBoxProc"}, 
  {"2752","tbSSComboBoxWndFn"}, 
  {"2753","SS_EditHScrollProc"}, 
  {"2800","SSSetRowHeight"}, 
  {"2801","SSGetRowHeight"}, 
  {"2804","SSInsRow"}, 
  {"2805","SSDelRow"}, 
  {"2900","SSSetColWidth"}, 
  {"2901","SSGetColWidth"}, 
  {"2904","SSDelCol"}, 
  {"2905","SSInsCol"}, 
  {"3001","SSSetData"}, 
  {"3002","SSSetDataRange"}, 
  {"3003","SSGetData"}, 
  {"3004","SSGetDataLen"}, 
  {"3114","SSSetEditMode"}, 
  {"3115","SSGetEditMode"}, 
  {"3116","SSGetActiveCell"}, 
  {"3117","SSSetActiveCell"}, 
  {"3118","SSSetMaxCols"}, 
  {"3119","SSGetMaxCols"}, 
  {"3120","SSSetMaxRows"}, 
  {"3121","SSGetMaxRows"}, 
  {"3126","SSGetSelectBlock"}, 
  {"3127","SSSetSelectBlock"}, 
  {"3130","SSGetShadowColor"}, 
  {"3131","SSSetShadowColor"}, 
  {"3132","SSSetGrayAreaColor"}, 
  {"3133","SSGetGrayAreaColor"}, 
  {"3200","SSSetTypeEdit"}, 
  {"3201","SSSetTypePic"}, 
  {"3203","SSSetTypeStaticText"}, 
  {"3204","SSSetTypeDate"}, 
  {"3205","SSSetTypeTime"}, 
  {"3206","SSSetTypeInteger"}, 
  {"3207","SSSetTypeFloat"}, 
  {"3209","SSSetTypePicture"}, 
  {"3210","SSSetTypeButton"}, 
  {"3211","SSSetTypeComboBox"}, 
  {"3212","SSSetTypeIntegerExt"}, 
  {"3213","SSSetTypeCheckBox"}, 
  {"3214","SSSetTypeOwnerDraw"}, 
  {"3215","SSSetTypePictureHandle"}, 
  {"3216","SSSetTypeFloatExt"}, 
  {"3300","SSSaveToFile"}, 
  {"3301","SSSaveToBuffer"}, 
  {"3302","SSLoadFromFile"}, 
  {"3303","SSLoadFromBuffer"}, 
  {"3310","SSIsExcelFile"}, 
  {"3311","SSGetExcelSheetList"}, 
  {"3312","SSExportToExcel"}, 
  {"3313","SSImportExcelSheet"}, 
  {"3402","SSBuildDependencies"}, 
  {"3403","SSAddCustomFunction"}, 
  {"3505","SSSetFormula"}, 
  {"3506","SSSetFormulaRange"}, 
  {"3507","SSGetFormula"}, 
  {"3508","SSGetFormulaLen"}, 
  {"3509","SSGetTopLeftCell"}, 
  {"3510","SSGetBottomRightCell"}, 
  {"3511","SSSetBool"}, 
  {"3512","SSGetBool"}, 
  {"3513","SSClipOut"}, 
  {"3514","SSClipIn"}, 
  {"3515","SSClipValueOut"}, 
  {"3516","SSClipValueIn"}, 
  {"3600","SSSetSel"}, 
  {"3601","SSGetSel"}, 
  {"3602","SSReplaceSel"}, 
  {"3603","SSGetSelText"}, 
  {"3604","SSGetCurrSelBlockPos"}, 
  {"3700","SSValidateFormula"}, 
  {"3701","SSLogUnitsToColWidth"}, 
  {"3702","SSLogUnitsToRowHeight"}, 
  {"3703","SSColWidthToLogUnits"}, 
  {"3704","SSRowHeightToLogUnits"}, 
  {"3705","SSReCalc"}, 
  {"3706","SSDeSelectBlock"}, 
  {"3707","SSGetCellFromPixel"}, 
  {"3800","SSSetFreeze"}, 
  {"3801","SSGetFreeze"}, 
  {"3802","SSSetAutoSizeVisible"}, 
  {"3803","SSGetAutoSizeVisible"}, 
  {"3806","SSSetValue"}, 
  {"3807","SSSetValueRange"}, 
  {"3808","SSGetValue"}, 
  {"3809","SSGetValueLen"}, 
  {"3810","SSClearData"}, 
  {"3811","SSClearDataRange"}, 
  {"3812","SSGetLockColor"}, 
  {"3813","SSSetLockColor"}, 
  {"3850","SSPrint"}, 
  {"3851","SSComboBoxSendMessage"}, 
  {"3852","SSSetEditEnterAction"}, 
  {"3853","SSGetEditEnterAction"}, 
  {"3860","SSSetFloat"}, 
  {"3861","SSSetFloatRange"}, 
  {"3862","SSGetFloat"}, 
  {"3863","SSSetInteger"}, 
  {"3864","SSSetIntegerRange"}, 
  {"3865","SSGetInteger"}, 
  {"3870","SSSetUnitType"}, 
  {"3871","SSGetUnitType"}, 
  {"3872","SSClipboardCopy"}, 
  {"3873","SSClipboardCut"}, 
  {"3874","SSClipboardPaste"}, 
  {"3875","SSFloatFormat"}, 
  {"3876","SSSetOperationMode"}, 
  {"3877","SSGetOperationMode"}, 
  {"3878","SSSetUserData"}, 
  {"3879","SSGetUserData"}, 
  {"3880","SSSetOwner"}, 
  {"3881","SSGetOwner"}, 
  {"3882","SSSetCallBack"}, 
  {"3883","SSGetCallBack"}, 
  {"3884","SSGetCellSendingMsg"}, 
  {"3885","SSSetButtonDrawMode"}, 
  {"3886","SSGetButtonDrawMode"}, 
  {"3887","SSSetRowUserData"}, 
  {"3888","SSGetRowUserData"}, 
  {"3889","SSSetGridType"}, 
  {"3890","SSGetGridType"}, 
  {"3891","SSSetGridColor"}, 
  {"3892","SSGetGridColor"}, 
  {"3893","SSGetDataCnt"}, 
  {"3894","SSCopyRange"}, 
  {"3895","SSSwapRange"}, 
  {"3896","SSSort"}, 
  {"3897","SSSetUserResizeCol"}, 
  {"3898","SSGetUserResizeCol"}, 
  {"3899","SSSetUserResizeRow"}, 
  {"3900","SSGetUserResizeRow"}, 
  {"3901","SSSelModeSendMessage"}, 
  {"3902","SSGetBorder"}, 
  {"3903","SSSetBorder"}, 
  {"3904","SSSetBorderRange"}, 
  {"3905","SSGetMaxTextColWidth"}, 
  {"3906","SSGetMaxTextRowHeight"}, 
  {"3907","SSGetMaxTextCellSize"}, 
  {"3908","SSSetMultiSelBlocks"}, 
  {"3909","SSAddMultiSelBlocks"}, 
  {"3910","SSGetMultiSelBlocks"}, 
  {"3911","SSGetSelBlockOptions"}, 
  {"3912","SSSetSelBlockOptions"}, 
  {"3913","SSSetCursor"}, 
  {"3914","SSGetCursor"}, 
  {"3915","SSGetCellRect"}, 
  {"3916","SSSetUserResize"}, 
  {"3917","SSGetUserResize"}, 
  {"3918","SSInsColRange"}, 
  {"3919","SSDelColRange"}, 
  {"3920","SSInsRowRange"}, 
  {"3921","SSDelRowRange"}, 
  {"3922","SSShowRow"}, 
  {"3923","SSShowCol"}, 
  {"3924","SSVScrollSetSpecial"}, 
  {"3925","SSVScrollGetSpecial"}, 
  {"3926","SSVSetStyle"}, 
  {"3927","SSVGetStyle"}, 
  {"3928","SSVSetBufferSize"}, 
  {"3929","SSVGetBufferSize"}, 
  {"3930","SSVGetPhysBufferTop"}, 
  {"3931","SSVGetPhysBufferSize"}, 
  {"3932","SSVSetMax"}, 
  {"3933","SSVGetMax"}, 
  {"3936","SSSetDefFloatFormat"}, 
  {"3937","SSGetDefFloatFormat"}, 
  {"3938","SSGetClientRect"}, 
  {"3939","SSSetButtonText"}, 
  {"3940","SSGetButtonText"}, 
  {"3941","SSMoveRange"}, 
  {"3942","SSIsCellInSelection"}, 
  {"3943","SSSetColWidthInPixels"}, 
  {"3944","SSGetColWidthInPixels"}, 
  {"3945","SSSetRowHeightInPixels"}, 
  {"3946","SSGetRowHeightInPixels"}, 
  {"3947","SSSetColUserData"}, 
  {"3948","SSGetColUserData"}, 
  {"3949","SSGetTopLeftPrev"}, 
  {"3950","SSSetColHeaderDisplay"}, 
  {"3951","SSGetColHeaderDisplay"}, 
  {"3952","SSSetRowHeaderDisplay"}, 
  {"3953","SSGetRowHeaderDisplay"}, 
  {"3954","SSSetStartingNumbers"}, 
  {"3955","SSGetStartingNumbers"}, 
  {"3956","SSSetDataCnt"}, 
  {"3957","SSGetFirstValidCell"}, 
  {"3958","SSGetLastValidCell"}, 
  {"3959","SSSetColPageBreak"}, 
  {"3960","SSGetColPageBreak"}, 
  {"3961","SSSetRowPageBreak"}, 
  {"3962","SSGetRowPageBreak"}, 
  {"3963","SSVRefreshBuffer"}, 
  {"3964","SSExportToHTML"}, 
  {"3965","SSExportRangeToHTML"}, 
  {"3966","SSExportToXML"}, 
  {"3967","SSExportRangeToXML"}, 
  {"3968","SSExportToXMLBuffer"}, 
  {"3969","SSExportRangeToXMLBuffer"}, 
  {"3970","SSLoadPicture"}, 
  {"3971","SSLoadPictureBuffer"}, 
  {"3972","SSLoadResPicture"}, 
  {"3973","SSSavePicture"}, 
  {"3974","SSSavePictureBuffer"}, 
  {"4000","DateAddDays"}, 
  {"4001","DateDMYToJulian"}, 
  {"4002","DateDMYToString"}, 
  {"4003","DateGetFormat"}, 
  {"4005","DateIntIsValid"}, 
  {"4006","DateJulianToDMY"}, 
  {"4007","DateSetFormat"}, 
  {"4008","DateSetRange"}, 
  {"4009","DateStringIsValidEx"}, 
  {"4010","DateStringToDMYEx"}, 
  {"4011","DateSubtractDates"}, 
  {"4012","DateGetCurrentDate"}, 
  {"4013","DateSetDMY"}, 
  {"4014","DateGetDMY"}, 
  {"4015","PopupCalendar"}, 
  {"4016","Calendar"}, 
  {"4017","CalSetNames"}, 
  {"4018","DateWinFormat"}, 
  {"4019","DateSetNames"}, 
  {"4020","TimeGetFormat"}, 
  {"4021","TimeHMSToSeconds"}, 
  {"4022","TimeHMSToString"}, 
  {"4023","TimeSecondsToHMS"}, 
  {"4024","TimeSetFormat"}, 
  {"4025","TimeSetRange"}, 
  {"4026","TimeStringIsValid"}, 
  {"4027","TimeStringToHMS"}, 
  {"4028","TimeGetCurrentTime"}, 
  {"4029","IntSetRange"}, 
  {"4030","IntGetRange"}, 
  {"4031","IntGetValue"}, 
  {"4032","IntSetValue"}, 
  {"4033","IntSetMask"}, 
  {"4034","IntGetMask"}, 
  {"4035","IntSetSpin"}, 
  {"4036","IntGetSpin"}, 
  {"4037","FloatGetValue"}, 
  {"4038","FloatSetValue"}, 
  {"4039","FloatSetRange"}, 
  {"4040","FloatGetRange"}, 
  {"4041","FloatSetFormat"}, 
  {"4042","FloatGetFormat"}, 
  {"4043","FloatSetStyle"}, 
  {"4044","FloatSetMask"}, 
  {NULL, NULL}
};
// 0x56451375f150
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_spr32d70_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_spr32d70_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_spr32d70(x,y) gperf_spr32d70_hash(x)
const unsigned int gperf_spr32d70_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_spr32d70 = {
  .name = "spr32d70",
  .get = &gperf_spr32d70_get,
  .hash = &gperf_spr32d70_hash,
  .foreach = &gperf_spr32d70_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_spr32d70.get)("foo");
	printf ("%s\n", s);
}
#endif
