// SDB-CGEN V1.8.3
// gcc -DMAIN=1 vb40032.c ; ./a.out > vb40032.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"100","ThunRTMain"}, 
  {"101","VBDllGetClassObject"}, 
  {"1016","TipInvokeMethod"}, 
  {"102","VBDllCanUnloadNow"}, 
  {"1024","IID_IVbaHost"}, 
  {"1025","EbGetObjConnectionCounts"}, 
  {"103","VBDllRegisterServer"}, 
  {"104","VBDllUnRegisterServer"}, 
  {"105","UserDllMain"}, 
  {"106","IntlInitializeTable"}, 
  {"186","ProcCallEngine"}, 
  {"187","DllFunctionCall"}, 
  {"188","AssignRecord"}, 
  {"189","DestructRecord"}, 
  {"190","CopyRecord"}, 
  {"195","TipGetAddressOfPredeclaredInstance"}, 
  {"199","MethCallEngine"}, 
  {"2000","CreateIExprSrvObj"}, 
  {"2010","EbGetVBAObject"}, 
  {"227","TipUnloadProject"}, 
  {"230","TipCreateInstanceProject"}, 
  {"231","EbResetProject"}, 
  {"232","EbGetHandleOfExecutingProject"}, 
  {"239","EbResetProjectNormal"}, 
  {"300","GetMem2"}, 
  {"301","GetMem4"}, 
  {"302","GetMem8"}, 
  {"303","GetMemStr"}, 
  {"304","GetMemVar"}, 
  {"305","GetMemObj"}, 
  {"306","PutMem2"}, 
  {"307","PutMem4"}, 
  {"308","PutMem8"}, 
  {"309","PutMemStr"}, 
  {"310","PutMemVar"}, 
  {"311","PutMemObj"}, 
  {"312","SetMemVar"}, 
  {"313","SetMemObj"}, 
  {"314","GetMemNewObj"}, 
  {"315","PutMemNewObj"}, 
  {"316","SetMemNewObj"}, 
  {"317","GetMem1"}, 
  {"318","PutMem1"}, 
  {"512","rtcLeftBstr"}, 
  {"513","rtcLeftVar"}, 
  {"514","rtcRightBstr"}, 
  {"515","rtcRightVar"}, 
  {"516","rtcAnsiValueBstr"}, 
  {"517","rtcLowerCaseBstr"}, 
  {"518","rtcLowerCaseVar"}, 
  {"519","rtcTrimBstr"}, 
  {"520","rtcTrimVar"}, 
  {"521","rtcLeftTrimBstr"}, 
  {"522","rtcLeftTrimVar"}, 
  {"523","rtcRightTrimBstr"}, 
  {"524","rtcRightTrimVar"}, 
  {"525","rtcSpaceBstr"}, 
  {"526","rtcSpaceVar"}, 
  {"527","rtcUpperCaseBstr"}, 
  {"528","rtcUpperCaseVar"}, 
  {"529","rtcKillFiles"}, 
  {"530","rtcChangeDir"}, 
  {"531","rtcMakeDir"}, 
  {"532","rtcRemoveDir"}, 
  {"533","rtcChangeDrive"}, 
  {"534","rtcBeep"}, 
  {"535","rtcGetTimer"}, 
  {"536","rtcStrFromVar"}, 
  {"537","rtcBstrFromAnsi"}, 
  {"538","rtcPackDate"}, 
  {"539","rtcPackTime"}, 
  {"540","rtcGetDateValue"}, 
  {"541","rtcGetTimeValue"}, 
  {"542","rtcGetDayOfMonth"}, 
  {"543","rtcGetHourOfDay"}, 
  {"544","rtcGetMinuteOfHour"}, 
  {"545","rtcGetMonthOfYear"}, 
  {"546","rtcGetPresentDate"}, 
  {"547","rtcGetSecondOfMinute"}, 
  {"548","rtcSetDateVar"}, 
  {"549","rtcSetDateBstr"}, 
  {"550","rtcSetTimeVar"}, 
  {"551","rtcSetTimeBstr"}, 
  {"552","rtcGetDayOfWeek"}, 
  {"553","rtcGetYear"}, 
  {"554","rtcFileReset"}, 
  {"555","rtcFileAttributes"}, 
  {"556","rtcIsArray"}, 
  {"557","rtcIsDate"}, 
  {"558","rtcIsEmpty"}, 
  {"559","rtcIsError"}, 
  {"560","rtcIsNull"}, 
  {"561","rtcIsNumeric"}, 
  {"562","rtcIsObject"}, 
  {"563","rtcVarType"}, 
  {"565","rtcFileWidth"}, 
  {"566","rtcInputCount"}, 
  {"567","rtcInputCountVar"}, 
  {"568","rtcFileSeek"}, 
  {"569","rtcFileLocation"}, 
  {"570","rtcFileLength"}, 
  {"571","rtcEndOfFile"}, 
  {"572","rtcHexBstrFromVar"}, 
  {"573","rtcHexVarFromVar"}, 
  {"574","rtcOctBstrFromVar"}, 
  {"575","rtcOctVarFromVar"}, 
  {"576","rtcFileCopy"}, 
  {"577","rtcFileDateTime"}, 
  {"578","rtcFileLen"}, 
  {"579","rtcGetFileAttr"}, 
  {"580","rtcSetFileAttr"}, 
  {"581","rtcR8ValFromBstr"}, 
  {"582","rtcSin"}, 
  {"583","rtcCos"}, 
  {"584","rtcTan"}, 
  {"585","rtcAtn"}, 
  {"586","rtcExp"}, 
  {"587","rtcLog"}, 
  {"588","rtcRgb"}, 
  {"589","rtcQBColor"}, 
  {"590","rtcMacId"}, 
  {"591","rtcTypeName"}, 
  {"592","rtcIsMissing"}, 
  {"593","rtcRandomNext"}, 
  {"594","rtcRandomize"}, 
  {"595","rtcMsgBox"}, 
  {"596","rtcInputBox"}, 
  {"597","rtcAppActivate"}, 
  {"598","rtcDoEvents"}, 
  {"599","rtcSendKeys"}, 
  {"600","rtcShell"}, 
  {"601","rtcArray"}, 
  {"605","rtcGetErl"}, 
  {"606","rtcStringBstr"}, 
  {"607","rtcStringVar"}, 
  {"608","rtcVarBstrFromAnsi"}, 
  {"609","rtcGetDateBstr"}, 
  {"610","rtcGetDateVar"}, 
  {"611","rtcGetTimeBstr"}, 
  {"612","rtcGetTimeVar"}, 
  {"613","rtcVarStrFromVar"}, 
  {"614","rtcSqr"}, 
  {"615","rtcIMEStatus"}, 
  {"616","rtcLeftCharBstr"}, 
  {"617","rtcLeftCharVar"}, 
  {"618","rtcRightCharBstr"}, 
  {"619","rtcRightCharVar"}, 
  {"620","rtcInputCharCount"}, 
  {"621","rtcInputCharCountVar"}, 
  {"622","rtcStrConvVar"}, 
  {"623","rtcGetProjectLCID"}, 
  {"625","rtcCreateObject"}, 
  {"626","rtcGetObject"}, 
  {"627","rtcAppleScript"}, 
  {"628","rtcMidBstr"}, 
  {"629","rtcMidVar"}, 
  {"630","rtcInStr"}, 
  {"631","rtcMidCharBstr"}, 
  {"632","rtcMidCharVar"}, 
  {"633","rtcInStrChar"}, 
  {"634","rtBstrFromErrVar"}, 
  {"635","rtBoolFromErrVar"}, 
  {"636","rtCyFromErrVar"}, 
  {"637","rtI2FromErrVar"}, 
  {"638","rtI4FromErrVar"}, 
  {"639","rtR4FromErrVar"}, 
  {"640","rtR8FromErrVar"}, 
  {"641","rtcDateFromVar"}, 
  {"642","rtcVarFromVar"}, 
  {"643","rtcCVErrFromVar"}, 
  {"644","VarPtr"}, 
  {"645","rtcDir"}, 
  {"646","rtcCurrentDirBstr"}, 
  {"647","rtcCurrentDir"}, 
  {"648","rtcFreeFile"}, 
  {"649","rtcCompareBstr"}, 
  {"650","rtcBstrFromFormatVar"}, 
  {"651","rtcBstrFromError"}, 
  {"652","rtcVarFromError"}, 
  {"653","rtcLenCharVar"}, 
  {"654","rtcLenVar"}, 
  {"655","rtcFixVar"}, 
  {"656","rtcAbsVar"}, 
  {"657","rtcIntVar"}, 
  {"658","rtcSgnVar"}, 
  {"660","rtcVarFromFormatVar"}, 
  {"661","rtcDateAdd"}, 
  {"662","rtcDateDiff"}, 
  {"663","rtcDatePart"}, 
  {"664","rtcPartition"}, 
  {"665","rtcChoose"}, 
  {"666","rtcEnvironVar"}, 
  {"667","rtcEnvironBstr"}, 
  {"668","rtcSwitch"}, 
  {"669","rtcCommandBstr"}, 
  {"670","rtcCommandVar"}, 
  {"671","rtcSLN"}, 
  {"672","rtcSYD"}, 
  {"673","rtcDDB"}, 
  {"674","rtcIPMT"}, 
  {"675","rtcPPMT"}, 
  {"676","rtcPMT"}, 
  {"677","rtcPV"}, 
  {"678","rtcFV"}, 
  {"679","rtcNPer"}, 
  {"680","rtcRate"}, 
  {"681","rtcImmediateIf"}, 
  {"682","rtcIRR"}, 
  {"683","rtcMIRR"}, 
  {"684","rtcNPV"}, 
  {"685","rtcErrObj"}, 
  {"686","rtUI1FromErrVar"}, 
  {"687","rtcVarDateFromVar"}, 
  {"689","rtcGetSetting"}, 
  {"690","rtcSaveSetting"}, 
  {"691","rtcDeleteSetting"}, 
  {"692","rtcGetAllSettings"}, 
  {"693","rtcByteValueBstr"}, 
  {"694","rtcBstrFromByte"}, 
  {"695","rtcVarBstrFromByte"}, 
  {"696","rtcCharValueBstr"}, 
  {"697","rtcBstrFromChar"}, 
  {"698","rtcVarBstrFromChar"}, 
  {NULL, NULL}
};
// 0x55afd0a23b90
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_vb40032_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_vb40032_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_vb40032(x,y) gperf_vb40032_hash(x)
const unsigned int gperf_vb40032_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_vb40032 = {
  .name = "vb40032",
  .get = &gperf_vb40032_get,
  .hash = &gperf_vb40032_hash,
  .foreach = &gperf_vb40032_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_vb40032.get)("foo");
	printf ("%s\n", s);
}
#endif
