// SDB-CGEN V1.8.3
// gcc -DMAIN=1 windows_x86_32.c ; ./a.out > windows_x86_32.h
#include <ctype.h>
#include <stdio.h>
#include <string.h>

struct kv { const char *name; const char *value; };
static struct kv kvs[] = {
  {"DxEngVisRgnUniq","0x2e,0x1331,0,"}, 
  {"DxgStubContextDestroyAll","0x2e,0x1323,1,"}, 
  {"DxgStubDvpUpdateVideoPort","0x2e,0x10cf,4,"}, 
  {"DxgStubEndMoCompFrame","0x2e,0x1322,2,"}, 
  {"NtAcceptConnectPort","0x2e,0x0000,6,"}, 
  {"NtAccessCheck","0x2e,0x0001,8,"}, 
  {"NtAccessCheckAndAuditAlarm","0x2e,0x0002,11,"}, 
  {"NtAccessCheckByType","0x2e,0x0003,11,"}, 
  {"NtAccessCheckByTypeAndAuditAlarm","0x2e,0x0004,16,"}, 
  {"NtAccessCheckByTypeResultList","0x2e,0x0005,11,"}, 
  {"NtAccessCheckByTypeResultListAndAuditAlarm","0x2e,0x0006,16,"}, 
  {"NtAccessCheckByTypeResultListAndAuditAlarmByPlugin","0x2e,0x0007,17,"}, 
  {"NtAddAtom","0x2e,0x0008,3,"}, 
  {"NtAddBootEntry","0x2e,0x0009,2,"}, 
  {"NtAddDriverEntry","0x2e,0x000a,2,"}, 
  {"NtAdjustGroupsToken","0x2e,0x000b,6,"}, 
  {"NtAdjustPrivilegesToken","0x2e,0x000c,6,"}, 
  {"NtAlertResumeThread","0x2e,0x000d,2,"}, 
  {"NtAlertThread","0x2e,0x000e,1,"}, 
  {"NtAllocateLocallyUniqueId","0x2e,0x000f,1,"}, 
  {"NtAllocateReserveObject","0x2e,0x0010,3,"}, 
  {"NtAllocateUserPhysicalPages","0x2e,0x0011,3,"}, 
  {"NtAllocateUuids","0x2e,0x0012,4,"}, 
  {"NtAllocateVirtualMemory","0x2e,0x0013,6,"}, 
  {"NtAlpcAcceptConnectPort","0x2e,0x0014,9,"}, 
  {"NtAlpcCancelMessage","0x2e,0x0015,3,"}, 
  {"NtAlpcConnectPort","0x2e,0x0016,11,"}, 
  {"NtAlpcCreatePort","0x2e,0x0017,3,"}, 
  {"NtAlpcCreatePortSection","0x2e,0x0018,6,"}, 
  {"NtAlpcCreateResourceReserve","0x2e,0x0019,4,"}, 
  {"NtAlpcCreateSectionView","0x2e,0x001a,3,"}, 
  {"NtAlpcCreateSecurityContext","0x2e,0x001b,3,"}, 
  {"NtAlpcDeletePortSection","0x2e,0x001c,3,"}, 
  {"NtAlpcDeleteResourceReserve","0x2e,0x001d,3,"}, 
  {"NtAlpcDeleteSectionView","0x2e,0x001e,3,"}, 
  {"NtAlpcDeleteSecurityContext","0x2e,0x001f,3,"}, 
  {"NtAlpcDisconnectPort","0x2e,0x0020,2,"}, 
  {"NtAlpcImpersonateClientOfPort","0x2e,0x0021,3,"}, 
  {"NtAlpcOpenSenderProcess","0x2e,0x0022,6,"}, 
  {"NtAlpcOpenSenderThread","0x2e,0x0023,6,"}, 
  {"NtAlpcQueryInformation","0x2e,0x0024,5,"}, 
  {"NtAlpcQueryInformationMessage","0x2e,0x0025,6,"}, 
  {"NtAlpcRevokeSecurityContext","0x2e,0x0026,3,"}, 
  {"NtAlpcSendWaitReceivePort","0x2e,0x0027,8,"}, 
  {"NtAlpcSetInformation","0x2e,0x0028,4,"}, 
  {"NtApphelpCacheControl","0x2e,0x0029,2,"}, 
  {"NtAreMappedFilesTheSame","0x2e,0x002a,2,"}, 
  {"NtAssignProcessToJobObject","0x2e,0x002b,2,"}, 
  {"NtCallbackReturn","0x2e,0x002c,3,"}, 
  {"NtCancelIoFile","0x2e,0x002d,2,"}, 
  {"NtCancelIoFileEx","0x2e,0x002e,3,"}, 
  {"NtCancelSynchronousIoFile","0x2e,0x002f,3,"}, 
  {"NtCancelTimer","0x2e,0x0030,2,"}, 
  {"NtClearEvent","0x2e,0x0031,1,"}, 
  {"NtClose","0x2e,0x0032,1,"}, 
  {"NtCloseObjectAuditAlarm","0x2e,0x0033,3,"}, 
  {"NtCommitComplete","0x2e,0x0034,2,"}, 
  {"NtCommitEnlistment","0x2e,0x0035,2,"}, 
  {"NtCommitTransaction","0x2e,0x0036,2,"}, 
  {"NtCompactKeys","0x2e,0x0037,2,"}, 
  {"NtCompareTokens","0x2e,0x0038,3,"}, 
  {"NtCompleteConnectPort","0x2e,0x0039,1,"}, 
  {"NtCompressKey","0x2e,0x003a,1,"}, 
  {"NtConnectPort","0x2e,0x003b,8,"}, 
  {"NtContinue","0x2e,0x003c,2,"}, 
  {"NtCreateDebugObject","0x2e,0x003d,4,"}, 
  {"NtCreateDirectoryObject","0x2e,0x003e,3,"}, 
  {"NtCreateEnlistment","0x2e,0x003f,8,"}, 
  {"NtCreateEvent","0x2e,0x0040,5,"}, 
  {"NtCreateEventPair","0x2e,0x0041,3,"}, 
  {"NtCreateFile","0x2e,0x0042,11,"}, 
  {"NtCreateIoCompletion","0x2e,0x0043,4,"}, 
  {"NtCreateJobObject","0x2e,0x0044,3,"}, 
  {"NtCreateJobSet","0x2e,0x0045,3,"}, 
  {"NtCreateKey","0x2e,0x0046,7,"}, 
  {"NtCreateKeyTransacted","0x2e,0x0048,8,"}, 
  {"NtCreateKeyedEvent","0x2e,0x0047,4,"}, 
  {"NtCreateMailslotFile","0x2e,0x0049,8,"}, 
  {"NtCreateMutant","0x2e,0x004a,4,"}, 
  {"NtCreateNamedPipeFile","0x2e,0x004b,14,"}, 
  {"NtCreatePagingFile","0x2e,0x004c,4,"}, 
  {"NtCreatePort","0x2e,0x004d,5,"}, 
  {"NtCreatePrivateNamespace","0x2e,0x004e,4,"}, 
  {"NtCreateProcess","0x2e,0x004f,8,"}, 
  {"NtCreateProcessEx","0x2e,0x0050,9,"}, 
  {"NtCreateProfile","0x2e,0x0051,9,"}, 
  {"NtCreateProfileEx","0x2e,0x0052,10,"}, 
  {"NtCreateResourceManager","0x2e,0x0053,7,"}, 
  {"NtCreateSection","0x2e,0x0054,7,"}, 
  {"NtCreateSemaphore","0x2e,0x0055,5,"}, 
  {"NtCreateSymbolicLinkObject","0x2e,0x0056,4,"}, 
  {"NtCreateThread","0x2e,0x0057,8,"}, 
  {"NtCreateThreadEx","0x2e,0x0058,11,"}, 
  {"NtCreateTimer","0x2e,0x0059,4,"}, 
  {"NtCreateToken","0x2e,0x005a,13,"}, 
  {"NtCreateTransaction","0x2e,0x005b,10,"}, 
  {"NtCreateTransactionManager","0x2e,0x005c,6,"}, 
  {"NtCreateUserProcess","0x2e,0x005d,11,"}, 
  {"NtCreateWaitablePort","0x2e,0x005e,5,"}, 
  {"NtCreateWorkerFactory","0x2e,0x005f,10,"}, 
  {"NtDebugActiveProcess","0x2e,0x0060,2,"}, 
  {"NtDebugContinue","0x2e,0x0061,3,"}, 
  {"NtDelayExecution","0x2e,0x0062,2,"}, 
  {"NtDeleteAtom","0x2e,0x0063,1,"}, 
  {"NtDeleteBootEntry","0x2e,0x0064,1,"}, 
  {"NtDeleteDriverEntry","0x2e,0x0065,1,"}, 
  {"NtDeleteFile","0x2e,0x0066,1,"}, 
  {"NtDeleteKey","0x2e,0x0067,1,"}, 
  {"NtDeleteObjectAuditAlarm","0x2e,0x0068,3,"}, 
  {"NtDeletePrivateNamespace","0x2e,0x0069,1,"}, 
  {"NtDeleteValueKey","0x2e,0x006a,2,"}, 
  {"NtDeviceIoControlFile","0x2e,0x006b,10,"}, 
  {"NtDisableLastKnownGood","0x2e,0x006c,0,"}, 
  {"NtDisplayString","0x2e,0x006d,1,"}, 
  {"NtDrawText","0x2e,0x006e,1,"}, 
  {"NtDuplicateObject","0x2e,0x006f,7,"}, 
  {"NtDuplicateToken","0x2e,0x0070,6,"}, 
  {"NtEnableLastKnownGood","0x2e,0x0071,0,"}, 
  {"NtEnumerateBootEntries","0x2e,0x0072,2,"}, 
  {"NtEnumerateDriverEntries","0x2e,0x0073,2,"}, 
  {"NtEnumerateKey","0x2e,0x0074,6,"}, 
  {"NtEnumerateSystemEnvironmentValuesEx","0x2e,0x0075,3,"}, 
  {"NtEnumerateTransactionObject","0x2e,0x0076,5,"}, 
  {"NtEnumerateValueKey","0x2e,0x0077,6,"}, 
  {"NtExtendSection","0x2e,0x0078,2,"}, 
  {"NtFilterToken","0x2e,0x0079,6,"}, 
  {"NtFindAtom","0x2e,0x007a,3,"}, 
  {"NtFlushBuffersFile","0x2e,0x007b,2,"}, 
  {"NtFlushInstallUILanguage","0x2e,0x007c,2,"}, 
  {"NtFlushInstructionCache","0x2e,0x007d,3,"}, 
  {"NtFlushKey","0x2e,0x007e,1,"}, 
  {"NtFlushProcessWriteBuffers","0x2e,0x007f,0,"}, 
  {"NtFlushVirtualMemory","0x2e,0x0080,4,"}, 
  {"NtFlushWriteBuffer","0x2e,0x0081,0,"}, 
  {"NtFreeUserPhysicalPages","0x2e,0x0082,3,"}, 
  {"NtFreeVirtualMemory","0x2e,0x0083,4,"}, 
  {"NtFreezeRegistry","0x2e,0x0084,1,"}, 
  {"NtFreezeTransactions","0x2e,0x0085,2,"}, 
  {"NtFsControlFile","0x2e,0x0086,10,"}, 
  {"NtGdiAbortDoc","0x2e,0x1000,1,"}, 
  {"NtGdiAbortPath","0x2e,0x1001,1,"}, 
  {"NtGdiAddEmbFontToDC","0x2e,0x10e0,2,"}, 
  {"NtGdiAddFontMemResourceEx","0x2e,0x1004,5,"}, 
  {"NtGdiAddFontResourceW","0x2e,0x1002,6,"}, 
  {"NtGdiAddRemoteFontToDC","0x2e,0x1003,4,"}, 
  {"NtGdiAddRemoteMMInstanceToDC","0x2e,0x1006,3,"}, 
  {"NtGdiAlphaBlend","0x2e,0x1007,12,"}, 
  {"NtGdiAngleArc","0x2e,0x1008,6,"}, 
  {"NtGdiAnyLinkedFonts","0x2e,0x1009,0,"}, 
  {"NtGdiArcInternal","0x2e,0x100b,10,"}, 
  {"NtGdiBRUSHOBJ_DeleteRbrush","0x2e,0x12d9,2,"}, 
  {"NtGdiBRUSHOBJ_hGetColorTransform","0x2e,0x12be,1,"}, 
  {"NtGdiBRUSHOBJ_pvAllocRbrush","0x2e,0x12bc,2,"}, 
  {"NtGdiBRUSHOBJ_pvGetRbrush","0x2e,0x12bd,1,"}, 
  {"NtGdiBRUSHOBJ_ulGetBrushColor","0x2e,0x12bb,1,"}, 
  {"NtGdiBeginGdiRendering","0x2e,0x100c,2,"}, 
  {"NtGdiBeginPath","0x2e,0x100d,1,"}, 
  {"NtGdiBitBlt","0x2e,0x100e,11,"}, 
  {"NtGdiCLIPOBJ_bEnum","0x2e,0x12b5,3,"}, 
  {"NtGdiCLIPOBJ_cEnumStart","0x2e,0x12b6,5,"}, 
  {"NtGdiCLIPOBJ_ppoGetPath","0x2e,0x12b7,1,"}, 
  {"NtGdiCancelDC","0x2e,0x100f,1,"}, 
  {"NtGdiChangeGhostFont","0x2e,0x10df,2,"}, 
  {"NtGdiCheckBitmapBits","0x2e,0x1010,8,"}, 
  {"NtGdiClearBitmapAttributes","0x2e,0x1012,2,"}, 
  {"NtGdiClearBrushAttributes","0x2e,0x1013,2,"}, 
  {"NtGdiCloseFigure","0x2e,0x1011,1,"}, 
  {"NtGdiColorCorrectPalette","0x2e,0x1014,6,"}, 
  {"NtGdiCombineRgn","0x2e,0x1015,4,"}, 
  {"NtGdiCombineTransform","0x2e,0x1016,3,"}, 
  {"NtGdiComputeXformCoefficients","0x2e,0x1017,1,"}, 
  {"NtGdiConfigureOPMProtectedOutput","0x2e,0x1018,4,"}, 
  {"NtGdiConvertMetafileRect","0x2e,0x1019,2,"}, 
  {"NtGdiCreateBitmap","0x2e,0x101a,5,"}, 
  {"NtGdiCreateBitmapFromDxSurface","0x2e,0x101b,5,"}, 
  {"NtGdiCreateClientObj","0x2e,0x101c,1,"}, 
  {"NtGdiCreateColorSpace","0x2e,0x101d,1,"}, 
  {"NtGdiCreateColorTransform","0x2e,0x101e,8,"}, 
  {"NtGdiCreateCompatibleBitmap","0x2e,0x101f,3,"}, 
  {"NtGdiCreateCompatibleDC","0x2e,0x1020,1,"}, 
  {"NtGdiCreateDIBBrush","0x2e,0x1021,6,"}, 
  {"NtGdiCreateDIBSection","0x2e,0x1023,9,"}, 
  {"NtGdiCreateDIBitmapInternal","0x2e,0x1022,11,"}, 
  {"NtGdiCreateEllipticRgn","0x2e,0x1024,4,"}, 
  {"NtGdiCreateHalftonePalette","0x2e,0x1025,1,"}, 
  {"NtGdiCreateHatchBrushInternal","0x2e,0x1026,3,"}, 
  {"NtGdiCreateMetafileDC","0x2e,0x1027,1,"}, 
  {"NtGdiCreateOPMProtectedOutputs","0x2e,0x1028,5,"}, 
  {"NtGdiCreatePaletteInternal","0x2e,0x1029,2,"}, 
  {"NtGdiCreatePatternBrushInternal","0x2e,0x102a,3,"}, 
  {"NtGdiCreatePen","0x2e,0x102b,4,"}, 
  {"NtGdiCreateRectRgn","0x2e,0x102c,4,"}, 
  {"NtGdiCreateRoundRectRgn","0x2e,0x102d,6,"}, 
  {"NtGdiCreateServerMetaFile","0x2e,0x102e,6,"}, 
  {"NtGdiCreateSolidBrush","0x2e,0x102f,2,"}, 
  {"NtGdiD3dContextCreate","0x2e,0x1030,4,"}, 
  {"NtGdiD3dContextDestroy","0x2e,0x1031,1,"}, 
  {"NtGdiD3dContextDestroyAll","0x2e,0x1032,1,"}, 
  {"NtGdiD3dDrawPrimitives2","0x2e,0x1034,7,"}, 
  {"NtGdiD3dValidateTextureStageState","0x2e,0x1033,1,"}, 
  {"NtGdiDDCCIGetCapabilitiesString","0x2e,0x132c,3,"}, 
  {"NtGdiDDCCIGetCapabilitiesStringLength","0x2e,0x132b,2,"}, 
  {"NtGdiDDCCIGetTimingReport","0x2e,0x132d,2,"}, 
  {"NtGdiDDCCIGetVCPFeature","0x2e,0x1328,5,"}, 
  {"NtGdiDDCCISaveCurrentSettings","0x2e,0x132a,1,"}, 
  {"NtGdiDDCCISetVCPFeature","0x2e,0x1329,3,"}, 
  {"NtGdiDdAddAttachedSurface","0x2e,0x1036,3,"}, 
  {"NtGdiDdAlphaBlt","0x2e,0x1037,3,"}, 
  {"NtGdiDdAttachSurface","0x2e,0x1038,2,"}, 
  {"NtGdiDdBeginMoCompFrame","0x2e,0x1039,2,"}, 
  {"NtGdiDdBlt","0x2e,0x103a,3,"}, 
  {"NtGdiDdCanCreateD3DBuffer","0x2e,0x103c,2,"}, 
  {"NtGdiDdCanCreateSurface","0x2e,0x103b,2,"}, 
  {"NtGdiDdColorControl","0x2e,0x103d,2,"}, 
  {"NtGdiDdCreateD3DBuffer","0x2e,0x1040,8,"}, 
  {"NtGdiDdCreateDirectDrawObject","0x2e,0x103e,1,"}, 
  {"NtGdiDdCreateFullscreenSprite","0x2e,0x132e,4,"}, 
  {"NtGdiDdCreateMoComp","0x2e,0x1041,2,"}, 
  {"NtGdiDdCreateSurface","0x2e,0x103f,8,"}, 
  {"NtGdiDdCreateSurfaceEx","0x2e,0x1061,3,"}, 
  {"NtGdiDdCreateSurfaceObject","0x2e,0x1042,6,"}, 
  {"NtGdiDdDDIAcquireKeyedMutex","0x2e,0x131c,1,"}, 
  {"NtGdiDdDDICheckExclusiveOwnership","0x2e,0x1315,0,"}, 
  {"NtGdiDdDDICheckMonitorPowerState","0x2e,0x1314,1,"}, 
  {"NtGdiDdDDICheckOcclusion","0x2e,0x1312,1,"}, 
  {"NtGdiDdDDICheckSharedResourceAccess","0x2e,0x1321,1,"}, 
  {"NtGdiDdDDICheckVidPnExclusiveOwnership","0x2e,0x1320,1,"}, 
  {"NtGdiDdDDICloseAdapter","0x2e,0x12f9,1,"}, 
  {"NtGdiDdDDIConfigureSharedResource","0x2e,0x131e,1,"}, 
  {"NtGdiDdDDICreateAllocation","0x2e,0x12df,1,"}, 
  {"NtGdiDdDDICreateContext","0x2e,0x12e7,1,"}, 
  {"NtGdiDdDDICreateDCFromMemory","0x2e,0x1307,1,"}, 
  {"NtGdiDdDDICreateDevice","0x2e,0x12e5,1,"}, 
  {"NtGdiDdDDICreateKeyedMutex","0x2e,0x1319,1,"}, 
  {"NtGdiDdDDICreateOverlay","0x2e,0x1300,1,"}, 
  {"NtGdiDdDDICreateSynchronizationObject","0x2e,0x12e9,1,"}, 
  {"NtGdiDdDDIDestroyAllocation","0x2e,0x12e2,1,"}, 
  {"NtGdiDdDDIDestroyContext","0x2e,0x12e8,1,"}, 
  {"NtGdiDdDDIDestroyDCFromMemory","0x2e,0x1308,1,"}, 
  {"NtGdiDdDDIDestroyDevice","0x2e,0x12e6,1,"}, 
  {"NtGdiDdDDIDestroyKeyedMutex","0x2e,0x131b,1,"}, 
  {"NtGdiDdDDIDestroyOverlay","0x2e,0x1303,1,"}, 
  {"NtGdiDdDDIDestroySynchronizationObject","0x2e,0x12eb,1,"}, 
  {"NtGdiDdDDIEscape","0x2e,0x12fb,1,"}, 
  {"NtGdiDdDDIFlipOverlay","0x2e,0x1302,1,"}, 
  {"NtGdiDdDDIGetContextSchedulingPriority","0x2e,0x130a,1,"}, 
  {"NtGdiDdDDIGetDeviceState","0x2e,0x1306,1,"}, 
  {"NtGdiDdDDIGetDisplayModeList","0x2e,0x12f2,1,"}, 
  {"NtGdiDdDDIGetMultisampleMethodList","0x2e,0x12f4,1,"}, 
  {"NtGdiDdDDIGetOverlayState","0x2e,0x131f,1,"}, 
  {"NtGdiDdDDIGetPresentHistory","0x2e,0x12fe,1,"}, 
  {"NtGdiDdDDIGetPresentQueueEvent","0x2e,0x12ff,2,"}, 
  {"NtGdiDdDDIGetProcessSchedulingPriorityClass","0x2e,0x130c,2,"}, 
  {"NtGdiDdDDIGetRuntimeData","0x2e,0x12ee,1,"}, 
  {"NtGdiDdDDIGetScanLine","0x2e,0x130e,1,"}, 
  {"NtGdiDdDDIGetSharedPrimaryPlugin","0x2e,0x12fa,1,"}, 
  {"NtGdiDdDDIInvalidateActiveVidPn","0x2e,0x1311,1,"}, 
  {"NtGdiDdDDILock","0x2e,0x12f0,1,"}, 
  {"NtGdiDdDDIOpenAdapterFromDeviceName","0x2e,0x12f7,1,"}, 
  {"NtGdiDdDDIOpenAdapterFromHdc","0x2e,0x12f8,1,"}, 
  {"NtGdiDdDDIOpenKeyedMutex","0x2e,0x131a,1,"}, 
  {"NtGdiDdDDIOpenResource","0x2e,0x12e1,1,"}, 
  {"NtGdiDdDDIOpenSynchronizationObject","0x2e,0x12ea,1,"}, 
  {"NtGdiDdDDIPollDisplayChildren","0x2e,0x1310,1,"}, 
  {"NtGdiDdDDIPresent","0x2e,0x12f5,1,"}, 
  {"NtGdiDdDDIQueryAdapterInfo","0x2e,0x12ef,1,"}, 
  {"NtGdiDdDDIQueryAllocationResidency","0x2e,0x12e4,1,"}, 
  {"NtGdiDdDDIQueryResourceInfo","0x2e,0x12e0,1,"}, 
  {"NtGdiDdDDIQueryStatistics","0x2e,0x12fc,1,"}, 
  {"NtGdiDdDDIReleaseKeyedMutex","0x2e,0x131d,1,"}, 
  {"NtGdiDdDDIReleaseProcessVidPnSourceOwners","0x2e,0x130d,1,"}, 
  {"NtGdiDdDDIRender","0x2e,0x12f6,1,"}, 
  {"NtGdiDdDDISetAllocationPriority","0x2e,0x12e3,1,"}, 
  {"NtGdiDdDDISetContextSchedulingPriority","0x2e,0x1309,1,"}, 
  {"NtGdiDdDDISetDisplayMode","0x2e,0x12f3,1,"}, 
  {"NtGdiDdDDISetDisplayPrivateDriverFormat","0x2e,0x1316,1,"}, 
  {"NtGdiDdDDISetGammaRamp","0x2e,0x1305,1,"}, 
  {"NtGdiDdDDISetProcessSchedulingPriorityClass","0x2e,0x130b,2,"}, 
  {"NtGdiDdDDISetQueuedLimit","0x2e,0x130f,1,"}, 
  {"NtGdiDdDDISetVidPnSourceOwner","0x2e,0x12fd,1,"}, 
  {"NtGdiDdDDISharedPrimaryLockNotification","0x2e,0x1317,1,"}, 
  {"NtGdiDdDDISharedPrimaryUnLockNotification","0x2e,0x1318,1,"}, 
  {"NtGdiDdDDISignalSynchronizationObject","0x2e,0x12ed,1,"}, 
  {"NtGdiDdDDIUnlock","0x2e,0x12f1,1,"}, 
  {"NtGdiDdDDIUpdateOverlay","0x2e,0x1301,1,"}, 
  {"NtGdiDdDDIWaitForIdle","0x2e,0x1313,1,"}, 
  {"NtGdiDdDDIWaitForSynchronizationObject","0x2e,0x12ec,1,"}, 
  {"NtGdiDdDDIWaitForVerticalBlankEvent","0x2e,0x1304,1,"}, 
  {"NtGdiDdDeleteDirectDrawObject","0x2e,0x1043,1,"}, 
  {"NtGdiDdDeleteSurfaceObject","0x2e,0x1044,1,"}, 
  {"NtGdiDdDestroyD3DBuffer","0x2e,0x1047,1,"}, 
  {"NtGdiDdDestroyFullscreenSprite","0x2e,0x1330,2,"}, 
  {"NtGdiDdDestroyMoComp","0x2e,0x1045,2,"}, 
  {"NtGdiDdDestroySurface","0x2e,0x1046,2,"}, 
  {"NtGdiDdEndMoCompFrame","0x2e,0x1048,2,"}, 
  {"NtGdiDdFlip","0x2e,0x1049,5,"}, 
  {"NtGdiDdFlipToGDISurface","0x2e,0x104a,2,"}, 
  {"NtGdiDdGetAvailDriverMemory","0x2e,0x104b,2,"}, 
  {"NtGdiDdGetBltStatus","0x2e,0x104c,2,"}, 
  {"NtGdiDdGetDC","0x2e,0x104d,2,"}, 
  {"NtGdiDdGetDriverInfo","0x2e,0x104e,2,"}, 
  {"NtGdiDdGetDriverState","0x2e,0x1035,1,"}, 
  {"NtGdiDdGetDxPlugin","0x2e,0x104f,3,"}, 
  {"NtGdiDdGetFlipStatus","0x2e,0x1050,2,"}, 
  {"NtGdiDdGetInternalMoCompInfo","0x2e,0x1051,2,"}, 
  {"NtGdiDdGetMoCompBuffInfo","0x2e,0x1052,2,"}, 
  {"NtGdiDdGetMoCompFormats","0x2e,0x1054,2,"}, 
  {"NtGdiDdGetMoCompGuids","0x2e,0x1053,2,"}, 
  {"NtGdiDdGetScanLine","0x2e,0x1055,2,"}, 
  {"NtGdiDdLock","0x2e,0x1056,3,"}, 
  {"NtGdiDdLockD3D","0x2e,0x1057,2,"}, 
  {"NtGdiDdNotifyFullscreenSpriteUpdate","0x2e,0x132f,2,"}, 
  {"NtGdiDdQueryDirectDrawObject","0x2e,0x1058,11,"}, 
  {"NtGdiDdQueryMoCompStatus","0x2e,0x1059,2,"}, 
  {"NtGdiDdReenableDirectDrawObject","0x2e,0x105a,2,"}, 
  {"NtGdiDdReleaseDC","0x2e,0x105b,1,"}, 
  {"NtGdiDdRenderMoComp","0x2e,0x105c,2,"}, 
  {"NtGdiDdResetVisrgn","0x2e,0x105d,2,"}, 
  {"NtGdiDdSetColorKey","0x2e,0x105e,2,"}, 
  {"NtGdiDdSetExclusiveMode","0x2e,0x105f,2,"}, 
  {"NtGdiDdSetGammaRamp","0x2e,0x1060,3,"}, 
  {"NtGdiDdSetOverlayPosition","0x2e,0x1062,3,"}, 
  {"NtGdiDdUnattachSurface","0x2e,0x1063,2,"}, 
  {"NtGdiDdUnlock","0x2e,0x1064,2,"}, 
  {"NtGdiDdUnlockD3D","0x2e,0x1065,2,"}, 
  {"NtGdiDdUpdateOverlay","0x2e,0x1066,3,"}, 
  {"NtGdiDdWaitForVerticalBlank","0x2e,0x1067,2,"}, 
  {"NtGdiDeleteClientObj","0x2e,0x107a,1,"}, 
  {"NtGdiDeleteColorSpace","0x2e,0x107b,1,"}, 
  {"NtGdiDeleteColorTransform","0x2e,0x107c,2,"}, 
  {"NtGdiDeleteObjectApp","0x2e,0x107d,1,"}, 
  {"NtGdiDescribePixelFormat","0x2e,0x107e,4,"}, 
  {"NtGdiDestroyOPMProtectedOutput","0x2e,0x107f,1,"}, 
  {"NtGdiDestroyPhysicalMonitor","0x2e,0x1327,1,"}, 
  {"NtGdiDoBanding","0x2e,0x1081,4,"}, 
  {"NtGdiDoPalette","0x2e,0x1082,6,"}, 
  {"NtGdiDrawEscape","0x2e,0x1083,4,"}, 
  {"NtGdiDrawStream","0x2e,0x12db,3,"}, 
  {"NtGdiDvpAcquireNotification","0x2e,0x1077,3,"}, 
  {"NtGdiDvpCanCreateVideoPort","0x2e,0x1068,2,"}, 
  {"NtGdiDvpColorControl","0x2e,0x1069,2,"}, 
  {"NtGdiDvpCreateVideoPort","0x2e,0x106a,2,"}, 
  {"NtGdiDvpDestroyVideoPort","0x2e,0x106b,2,"}, 
  {"NtGdiDvpFlipVideoPort","0x2e,0x106c,4,"}, 
  {"NtGdiDvpGetVideoPortBandwidth","0x2e,0x106d,2,"}, 
  {"NtGdiDvpGetVideoPortConnectInfo","0x2e,0x1073,2,"}, 
  {"NtGdiDvpGetVideoPortField","0x2e,0x106e,2,"}, 
  {"NtGdiDvpGetVideoPortFlipStatus","0x2e,0x106f,2,"}, 
  {"NtGdiDvpGetVideoPortInputFormats","0x2e,0x1070,2,"}, 
  {"NtGdiDvpGetVideoPortLine","0x2e,0x1071,2,"}, 
  {"NtGdiDvpGetVideoPortOutputFormats","0x2e,0x1072,2,"}, 
  {"NtGdiDvpGetVideoSignalStatus","0x2e,0x1074,2,"}, 
  {"NtGdiDvpReleaseNotification","0x2e,0x1078,2,"}, 
  {"NtGdiDvpUpdateVideoPort","0x2e,0x1075,4,"}, 
  {"NtGdiDvpWaitForVideoPortSync","0x2e,0x1076,2,"}, 
  {"NtGdiDxgGenericThunk","0x2e,0x1079,6,"}, 
  {"NtGdiEllipse","0x2e,0x1084,5,"}, 
  {"NtGdiEnableEudc","0x2e,0x1085,1,"}, 
  {"NtGdiEndDoc","0x2e,0x1086,1,"}, 
  {"NtGdiEndGdiRendering","0x2e,0x1087,3,"}, 
  {"NtGdiEndPage","0x2e,0x1088,1,"}, 
  {"NtGdiEndPath","0x2e,0x1089,1,"}, 
  {"NtGdiEngAlphaBlend","0x2e,0x12ad,7,"}, 
  {"NtGdiEngAssociateSurface","0x2e,0x1298,3,"}, 
  {"NtGdiEngBitBlt","0x2e,0x12a4,11,"}, 
  {"NtGdiEngCheckAbort","0x2e,0x12d4,1,"}, 
  {"NtGdiEngComputeGlyphSet","0x2e,0x129d,3,"}, 
  {"NtGdiEngCopyBits","0x2e,0x129e,6,"}, 
  {"NtGdiEngCreateBitmap","0x2e,0x1299,6,"}, 
  {"NtGdiEngCreateClip","0x2e,0x12b9,0,"}, 
  {"NtGdiEngCreateDeviceBitmap","0x2e,0x129b,4,"}, 
  {"NtGdiEngCreateDeviceSurface","0x2e,0x129a,4,"}, 
  {"NtGdiEngCreatePalette","0x2e,0x129c,6,"}, 
  {"NtGdiEngDeleteClip","0x2e,0x12ba,1,"}, 
  {"NtGdiEngDeletePalette","0x2e,0x129f,1,"}, 
  {"NtGdiEngDeletePath","0x2e,0x12b8,1,"}, 
  {"NtGdiEngDeleteSurface","0x2e,0x12a0,1,"}, 
  {"NtGdiEngEraseSurface","0x2e,0x12a1,3,"}, 
  {"NtGdiEngFillPath","0x2e,0x12a9,7,"}, 
  {"NtGdiEngGradientFill","0x2e,0x12ae,10,"}, 
  {"NtGdiEngLineTo","0x2e,0x12ac,9,"}, 
  {"NtGdiEngLockSurface","0x2e,0x12a3,1,"}, 
  {"NtGdiEngMarkBandingSurface","0x2e,0x12a7,1,"}, 
  {"NtGdiEngPaint","0x2e,0x12ab,5,"}, 
  {"NtGdiEngPlgBlt","0x2e,0x12a6,11,"}, 
  {"NtGdiEngStretchBlt","0x2e,0x12a5,11,"}, 
  {"NtGdiEngStretchBltROP","0x2e,0x12b1,13,"}, 
  {"NtGdiEngStrokeAndFillPath","0x2e,0x12aa,10,"}, 
  {"NtGdiEngStrokePath","0x2e,0x12a8,8,"}, 
  {"NtGdiEngTextOut","0x2e,0x12b0,10,"}, 
  {"NtGdiEngTransparentBlt","0x2e,0x12af,8,"}, 
  {"NtGdiEngUnlockSurface","0x2e,0x12a2,1,"}, 
  {"NtGdiEnumFonts","0x2e,0x108a,8,"}, 
  {"NtGdiEnumObjects","0x2e,0x108b,4,"}, 
  {"NtGdiEqualRgn","0x2e,0x108c,2,"}, 
  {"NtGdiEudcLoadUnloadLink","0x2e,0x108d,7,"}, 
  {"NtGdiExcludeClipRect","0x2e,0x108e,5,"}, 
  {"NtGdiExtCreatePen","0x2e,0x108f,11,"}, 
  {"NtGdiExtCreateRegion","0x2e,0x1090,3,"}, 
  {"NtGdiExtEscape","0x2e,0x1091,8,"}, 
  {"NtGdiExtFloodFill","0x2e,0x1092,5,"}, 
  {"NtGdiExtGetObjectW","0x2e,0x1093,3,"}, 
  {"NtGdiExtSelectClipRgn","0x2e,0x1094,3,"}, 
  {"NtGdiExtTextOutW","0x2e,0x1095,9,"}, 
  {"NtGdiFONTOBJ_cGetAllGlyphPlugins","0x2e,0x12c8,2,"}, 
  {"NtGdiFONTOBJ_cGetGlyphs","0x2e,0x12c3,5,"}, 
  {"NtGdiFONTOBJ_pQueryGlyphAttrs","0x2e,0x12c6,2,"}, 
  {"NtGdiFONTOBJ_pfdg","0x2e,0x12c5,1,"}, 
  {"NtGdiFONTOBJ_pifi","0x2e,0x12c4,1,"}, 
  {"NtGdiFONTOBJ_pvTrueTypeFontFile","0x2e,0x12c7,2,"}, 
  {"NtGdiFONTOBJ_pxoGetXform","0x2e,0x12c2,1,"}, 
  {"NtGdiFONTOBJ_vGetInfo","0x2e,0x12c1,3,"}, 
  {"NtGdiFillPath","0x2e,0x1096,1,"}, 
  {"NtGdiFillRgn","0x2e,0x1097,3,"}, 
  {"NtGdiFlattenPath","0x2e,0x1098,1,"}, 
  {"NtGdiFlush","0x2e,0x1099,0,"}, 
  {"NtGdiFontIsLinked","0x2e,0x100a,1,"}, 
  {"NtGdiForceUFIMapping","0x2e,0x109a,2,"}, 
  {"NtGdiFrameRgn","0x2e,0x109b,5,"}, 
  {"NtGdiFullscreenControl","0x2e,0x109c,5,"}, 
  {"NtGdiGetAndSetDCDword","0x2e,0x109d,4,"}, 
  {"NtGdiGetAppClipBox","0x2e,0x109e,2,"}, 
  {"NtGdiGetBitmapBits","0x2e,0x109f,3,"}, 
  {"NtGdiGetBitmapDimension","0x2e,0x10a0,2,"}, 
  {"NtGdiGetBoundsRect","0x2e,0x10a1,3,"}, 
  {"NtGdiGetCOPPCompatibleOPMInformation","0x2e,0x10ab,3,"}, 
  {"NtGdiGetCertificate","0x2e,0x10a2,4,"}, 
  {"NtGdiGetCertificateSize","0x2e,0x10a3,3,"}, 
  {"NtGdiGetCharABCWidthsW","0x2e,0x10a4,6,"}, 
  {"NtGdiGetCharSet","0x2e,0x10a6,1,"}, 
  {"NtGdiGetCharWidthInfo","0x2e,0x10a8,2,"}, 
  {"NtGdiGetCharWidthW","0x2e,0x10a7,6,"}, 
  {"NtGdiGetCharacterPlacementW","0x2e,0x10a5,6,"}, 
  {"NtGdiGetColorAdjustment","0x2e,0x10a9,2,"}, 
  {"NtGdiGetColorSpaceforBitmap","0x2e,0x10aa,1,"}, 
  {"NtGdiGetDCDword","0x2e,0x10ac,3,"}, 
  {"NtGdiGetDCObject","0x2e,0x10ae,2,"}, 
  {"NtGdiGetDCPoint","0x2e,0x10af,3,"}, 
  {"NtGdiGetDCforBitmap","0x2e,0x10ad,1,"}, 
  {"NtGdiGetDIBitsInternal","0x2e,0x10b3,9,"}, 
  {"NtGdiGetDeviceCaps","0x2e,0x10b0,2,"}, 
  {"NtGdiGetDeviceCapsAll","0x2e,0x10b2,2,"}, 
  {"NtGdiGetDeviceGammaRamp","0x2e,0x10b1,2,"}, 
  {"NtGdiGetDeviceWidth","0x2e,0x1121,1,"}, 
  {"NtGdiGetDhpdev","0x2e,0x12d3,1,"}, 
  {"NtGdiGetETM","0x2e,0x10b4,2,"}, 
  {"NtGdiGetEmbUFI","0x2e,0x10dc,7,"}, 
  {"NtGdiGetEmbedFonts","0x2e,0x10de,0,"}, 
  {"NtGdiGetEudcTimeStampEx","0x2e,0x10b5,3,"}, 
  {"NtGdiGetFontData","0x2e,0x10b6,5,"}, 
  {"NtGdiGetFontFileData","0x2e,0x10b7,5,"}, 
  {"NtGdiGetFontFileInfo","0x2e,0x10b8,5,"}, 
  {"NtGdiGetFontResourceInfoInternalW","0x2e,0x10b9,7,"}, 
  {"NtGdiGetFontUnicodeRanges","0x2e,0x10e1,2,"}, 
  {"NtGdiGetGlyphIndicesW","0x2e,0x10ba,5,"}, 
  {"NtGdiGetGlyphIndicesWInternal","0x2e,0x10bb,6,"}, 
  {"NtGdiGetGlyphOutline","0x2e,0x10bc,8,"}, 
  {"NtGdiGetKerningPairs","0x2e,0x10be,3,"}, 
  {"NtGdiGetLinkedUFIs","0x2e,0x10bf,3,"}, 
  {"NtGdiGetMiterLimit","0x2e,0x10c0,2,"}, 
  {"NtGdiGetMonitorID","0x2e,0x10c1,3,"}, 
  {"NtGdiGetNearestColor","0x2e,0x10c2,2,"}, 
  {"NtGdiGetNearestPaletteIndex","0x2e,0x10c3,2,"}, 
  {"NtGdiGetNumberOfPhysicalMonitors","0x2e,0x1324,2,"}, 
  {"NtGdiGetOPMInformation","0x2e,0x10bd,3,"}, 
  {"NtGdiGetOPMRandomNumber","0x2e,0x10c5,2,"}, 
  {"NtGdiGetObjectBitmapPlugin","0x2e,0x10c4,2,"}, 
  {"NtGdiGetOutlineTextMetricsInternalW","0x2e,0x10c6,4,"}, 
  {"NtGdiGetPath","0x2e,0x10c7,4,"}, 
  {"NtGdiGetPerBandInfo","0x2e,0x1080,2,"}, 
  {"NtGdiGetPhysicalMonitorDescription","0x2e,0x1326,3,"}, 
  {"NtGdiGetPhysicalMonitors","0x2e,0x1325,4,"}, 
  {"NtGdiGetPixel","0x2e,0x10c8,3,"}, 
  {"NtGdiGetRandomRgn","0x2e,0x10c9,3,"}, 
  {"NtGdiGetRasterizerCaps","0x2e,0x10ca,2,"}, 
  {"NtGdiGetRealizationInfo","0x2e,0x10cb,2,"}, 
  {"NtGdiGetRegionData","0x2e,0x10cc,3,"}, 
  {"NtGdiGetRgnBox","0x2e,0x10cd,2,"}, 
  {"NtGdiGetServerMetaFileBits","0x2e,0x10ce,7,"}, 
  {"NtGdiGetStats","0x2e,0x10d0,5,"}, 
  {"NtGdiGetStockObject","0x2e,0x10d1,1,"}, 
  {"NtGdiGetStringBitmapW","0x2e,0x10d2,5,"}, 
  {"NtGdiGetSuggestedOPMProtectedOutputArraySize","0x2e,0x10d3,2,"}, 
  {"NtGdiGetSystemPaletteUse","0x2e,0x10d4,1,"}, 
  {"NtGdiGetTextCharsetInfo","0x2e,0x10d5,3,"}, 
  {"NtGdiGetTextExtent","0x2e,0x10d6,5,"}, 
  {"NtGdiGetTextExtentExW","0x2e,0x10d7,8,"}, 
  {"NtGdiGetTextFaceW","0x2e,0x10d8,4,"}, 
  {"NtGdiGetTextMetricsW","0x2e,0x10d9,3,"}, 
  {"NtGdiGetTransform","0x2e,0x10da,3,"}, 
  {"NtGdiGetUFI","0x2e,0x10db,6,"}, 
  {"NtGdiGetUFIPathname","0x2e,0x10dd,10,"}, 
  {"NtGdiGetWidthTable","0x2e,0x10e2,7,"}, 
  {"NtGdiGradientFill","0x2e,0x10e3,6,"}, 
  {"NtGdiHLSurfGetInformation","0x2e,0x12dd,4,"}, 
  {"NtGdiHLSurfSetInformation","0x2e,0x12de,4,"}, 
  {"NtGdiHT_Get8BPPFormatPalette","0x2e,0x12d5,4,"}, 
  {"NtGdiHT_Get8BPPMaskPalette","0x2e,0x12d6,6,"}, 
  {"NtGdiHfontCreate","0x2e,0x10e4,5,"}, 
  {"NtGdiIcmBrushInfo","0x2e,0x10e5,8,"}, 
  {"NtGdiInitSpool","0x2e,0x10e7,0,"}, 
  {"NtGdiIntersectClipRect","0x2e,0x10e8,5,"}, 
  {"NtGdiInvertRgn","0x2e,0x10e9,2,"}, 
  {"NtGdiLineTo","0x2e,0x10ea,3,"}, 
  {"NtGdiMakeFontDir","0x2e,0x10eb,5,"}, 
  {"NtGdiMakeInfoDC","0x2e,0x10ec,2,"}, 
  {"NtGdiMaskBlt","0x2e,0x10ed,13,"}, 
  {"NtGdiMirrorWindowOrg","0x2e,0x1122,1,"}, 
  {"NtGdiModifyWorldTransform","0x2e,0x10ee,3,"}, 
  {"NtGdiMonoBitmap","0x2e,0x10ef,1,"}, 
  {"NtGdiMoveTo","0x2e,0x10f0,4,"}, 
  {"NtGdiOffsetClipRgn","0x2e,0x10f1,3,"}, 
  {"NtGdiOffsetRgn","0x2e,0x10f2,3,"}, 
  {"NtGdiOpenDCW","0x2e,0x10f3,8,"}, 
  {"NtGdiPATHOBJ_bEnum","0x2e,0x12cf,2,"}, 
  {"NtGdiPATHOBJ_bEnumClipLines","0x2e,0x12d2,3,"}, 
  {"NtGdiPATHOBJ_vEnumStart","0x2e,0x12d0,1,"}, 
  {"NtGdiPATHOBJ_vEnumStartClipLines","0x2e,0x12d1,4,"}, 
  {"NtGdiPATHOBJ_vGetBounds","0x2e,0x12ce,2,"}, 
  {"NtGdiPatBlt","0x2e,0x10f4,6,"}, 
  {"NtGdiPathToRegion","0x2e,0x10f6,1,"}, 
  {"NtGdiPlgBlt","0x2e,0x10f7,11,"}, 
  {"NtGdiPolyDraw","0x2e,0x10f8,4,"}, 
  {"NtGdiPolyPatBlt","0x2e,0x10f5,5,"}, 
  {"NtGdiPolyPolyDraw","0x2e,0x10f9,5,"}, 
  {"NtGdiPolyTextOutW","0x2e,0x10fa,4,"}, 
  {"NtGdiPtInRegion","0x2e,0x10fb,3,"}, 
  {"NtGdiPtVisible","0x2e,0x10fc,3,"}, 
  {"NtGdiQueryFontAssocInfo","0x2e,0x10fe,1,"}, 
  {"NtGdiQueryFonts","0x2e,0x10fd,3,"}, 
  {"NtGdiRectInRegion","0x2e,0x1100,2,"}, 
  {"NtGdiRectVisible","0x2e,0x1101,2,"}, 
  {"NtGdiRectangle","0x2e,0x10ff,5,"}, 
  {"NtGdiRemoveFontMemResourceEx","0x2e,0x1103,1,"}, 
  {"NtGdiRemoveFontResourceW","0x2e,0x1102,6,"}, 
  {"NtGdiRemoveMergeFont","0x2e,0x1005,2,"}, 
  {"NtGdiResetDC","0x2e,0x1104,5,"}, 
  {"NtGdiResizePalette","0x2e,0x1105,2,"}, 
  {"NtGdiRestoreDC","0x2e,0x1106,2,"}, 
  {"NtGdiRoundRect","0x2e,0x1107,7,"}, 
  {"NtGdiSTROBJ_bEnum","0x2e,0x12c9,3,"}, 
  {"NtGdiSTROBJ_bEnumPositionsOnly","0x2e,0x12ca,3,"}, 
  {"NtGdiSTROBJ_bGetAdvanceWidths","0x2e,0x12cb,4,"}, 
  {"NtGdiSTROBJ_dwGetCodePage","0x2e,0x12cd,1,"}, 
  {"NtGdiSTROBJ_vEnumStart","0x2e,0x12cc,1,"}, 
  {"NtGdiSaveDC","0x2e,0x1108,1,"}, 
  {"NtGdiScaleViewportExtEx","0x2e,0x1109,6,"}, 
  {"NtGdiScaleWindowExtEx","0x2e,0x110a,6,"}, 
  {"NtGdiSelectBitmap","0x2e,0x110b,2,"}, 
  {"NtGdiSelectBrush","0x2e,0x110c,2,"}, 
  {"NtGdiSelectClipPath","0x2e,0x110d,2,"}, 
  {"NtGdiSelectFont","0x2e,0x110e,2,"}, 
  {"NtGdiSelectPen","0x2e,0x110f,2,"}, 
  {"NtGdiSetBitmapAttributes","0x2e,0x1110,2,"}, 
  {"NtGdiSetBitmapBits","0x2e,0x1111,3,"}, 
  {"NtGdiSetBitmapDimension","0x2e,0x1112,4,"}, 
  {"NtGdiSetBoundsRect","0x2e,0x1113,3,"}, 
  {"NtGdiSetBrushAttributes","0x2e,0x1114,2,"}, 
  {"NtGdiSetBrushOrg","0x2e,0x1115,4,"}, 
  {"NtGdiSetColorAdjustment","0x2e,0x1116,2,"}, 
  {"NtGdiSetColorSpace","0x2e,0x1117,2,"}, 
  {"NtGdiSetDIBitsToDeviceInternal","0x2e,0x1119,16,"}, 
  {"NtGdiSetDeviceGammaRamp","0x2e,0x1118,2,"}, 
  {"NtGdiSetFontEnumeration","0x2e,0x111a,1,"}, 
  {"NtGdiSetFontXform","0x2e,0x111b,3,"}, 
  {"NtGdiSetIcmMode","0x2e,0x111c,3,"}, 
  {"NtGdiSetLayout","0x2e,0x1123,3,"}, 
  {"NtGdiSetLinkedUFIs","0x2e,0x111d,3,"}, 
  {"NtGdiSetMagicColors","0x2e,0x111e,3,"}, 
  {"NtGdiSetMetaRgn","0x2e,0x111f,1,"}, 
  {"NtGdiSetMiterLimit","0x2e,0x1120,3,"}, 
  {"NtGdiSetOPMSigningKeyAndSequenceNumbers","0x2e,0x1124,2,"}, 
  {"NtGdiSetPUMPDOBJ","0x2e,0x12d8,4,"}, 
  {"NtGdiSetPixel","0x2e,0x1125,4,"}, 
  {"NtGdiSetPixelFormat","0x2e,0x1126,2,"}, 
  {"NtGdiSetRectRgn","0x2e,0x1127,5,"}, 
  {"NtGdiSetSizeDevice","0x2e,0x112b,3,"}, 
  {"NtGdiSetSystemPaletteUse","0x2e,0x1128,2,"}, 
  {"NtGdiSetTextJustification","0x2e,0x1129,3,"}, 
  {"NtGdiSetVirtualResolution","0x2e,0x112a,5,"}, 
  {"NtGdiSfmGetNotificationTokens","0x2e,0x12dc,3,"}, 
  {"NtGdiStartDoc","0x2e,0x112c,4,"}, 
  {"NtGdiStartPage","0x2e,0x112d,1,"}, 
  {"NtGdiStretchBlt","0x2e,0x112e,12,"}, 
  {"NtGdiStretchDIBitsInternal","0x2e,0x112f,16,"}, 
  {"NtGdiStrokeAndFillPath","0x2e,0x1130,1,"}, 
  {"NtGdiStrokePath","0x2e,0x1131,1,"}, 
  {"NtGdiSwapBuffers","0x2e,0x1132,1,"}, 
  {"NtGdiTransformPoints","0x2e,0x1133,5,"}, 
  {"NtGdiTransparentBlt","0x2e,0x1134,11,"}, 
  {"NtGdiUMPDEngFreeUserMem","0x2e,0x12da,1,"}, 
  {"NtGdiUnrealizeObject","0x2e,0x1137,1,"}, 
  {"NtGdiUpdateColors","0x2e,0x1138,1,"}, 
  {"NtGdiUpdateTransform","0x2e,0x12d7,1,"}, 
  {"NtGdiWidenPath","0x2e,0x1139,1,"}, 
  {"NtGdiXFORMOBJ_bApplyXform","0x2e,0x12bf,5,"}, 
  {"NtGdiXFORMOBJ_iGetXform","0x2e,0x12c0,2,"}, 
  {"NtGdiXLATEOBJ_cGetPalette","0x2e,0x12b2,4,"}, 
  {"NtGdiXLATEOBJ_hGetColorTransform","0x2e,0x12b4,1,"}, 
  {"NtGdiXLATEOBJ_iXlate","0x2e,0x12b3,2,"}, 
  {"NtGetContextThread","0x2e,0x0087,2,"}, 
  {"NtGetCurrentProcessorNumber","0x2e,0x0088,0,"}, 
  {"NtGetDevicePowerState","0x2e,0x0089,2,"}, 
  {"NtGetMUIRegistryInfo","0x2e,0x008a,3,"}, 
  {"NtGetNextProcess","0x2e,0x008b,5,"}, 
  {"NtGetNextThread","0x2e,0x008c,6,"}, 
  {"NtGetNlsSectionPtr","0x2e,0x008d,5,"}, 
  {"NtGetNotificationResourceManager","0x2e,0x008e,7,"}, 
  {"NtGetPlugPlayEvent","0x2e,0x008f,4,"}, 
  {"NtGetWriteWatch","0x2e,0x0090,7,"}, 
  {"NtImpersonateAnonymousToken","0x2e,0x0091,1,"}, 
  {"NtImpersonateClientOfPort","0x2e,0x0092,2,"}, 
  {"NtImpersonateThread","0x2e,0x0093,3,"}, 
  {"NtInitializeNlsFiles","0x2e,0x0094,3,"}, 
  {"NtInitializeRegistry","0x2e,0x0095,1,"}, 
  {"NtInitiatePowerAction","0x2e,0x0096,4,"}, 
  {"NtIsProcessInJob","0x2e,0x0097,2,"}, 
  {"NtIsSystemResumeAutomatic","0x2e,0x0098,0,"}, 
  {"NtIsUILanguageComitted","0x2e,0x0099,0,"}, 
  {"NtListenPort","0x2e,0x009a,2,"}, 
  {"NtLoadDriver","0x2e,0x009b,1,"}, 
  {"NtLoadKey","0x2e,0x009c,2,"}, 
  {"NtLoadKey2","0x2e,0x009d,3,"}, 
  {"NtLoadKeyEx","0x2e,0x009e,8,"}, 
  {"NtLockFile","0x2e,0x009f,10,"}, 
  {"NtLockProductActivationKeys","0x2e,0x00a0,2,"}, 
  {"NtLockRegistryKey","0x2e,0x00a1,1,"}, 
  {"NtLockVirtualMemory","0x2e,0x00a2,4,"}, 
  {"NtMakePermanentObject","0x2e,0x00a3,1,"}, 
  {"NtMakeTemporaryObject","0x2e,0x00a4,1,"}, 
  {"NtMapCMFModule","0x2e,0x00a5,6,"}, 
  {"NtMapUserPhysicalPages","0x2e,0x00a6,3,"}, 
  {"NtMapUserPhysicalPagesScatter","0x2e,0x00a7,3,"}, 
  {"NtMapViewOfSection","0x2e,0x00a8,10,"}, 
  {"NtModifyBootEntry","0x2e,0x00a9,1,"}, 
  {"NtModifyDriverEntry","0x2e,0x00aa,1,"}, 
  {"NtNotifyChangeDirectoryFile","0x2e,0x00ab,9,"}, 
  {"NtNotifyChangeKey","0x2e,0x00ac,10,"}, 
  {"NtNotifyChangeMultipleKeys","0x2e,0x00ad,12,"}, 
  {"NtNotifyChangeSession","0x2e,0x00ae,8,"}, 
  {"NtOpenDirectoryObject","0x2e,0x00af,3,"}, 
  {"NtOpenEnlistment","0x2e,0x00b0,5,"}, 
  {"NtOpenEvent","0x2e,0x00b1,3,"}, 
  {"NtOpenEventPair","0x2e,0x00b2,3,"}, 
  {"NtOpenFile","0x2e,0x00b3,6,"}, 
  {"NtOpenIoCompletion","0x2e,0x00b4,3,"}, 
  {"NtOpenJobObject","0x2e,0x00b5,3,"}, 
  {"NtOpenKey","0x2e,0x00b6,3,"}, 
  {"NtOpenKeyEx","0x2e,0x00b7,4,"}, 
  {"NtOpenKeyTransacted","0x2e,0x00b9,4,"}, 
  {"NtOpenKeyTransactedEx","0x2e,0x00ba,5,"}, 
  {"NtOpenKeyedEvent","0x2e,0x00b8,3,"}, 
  {"NtOpenMutant","0x2e,0x00bb,3,"}, 
  {"NtOpenObjectAuditAlarm","0x2e,0x00bc,12,"}, 
  {"NtOpenPrivateNamespace","0x2e,0x00bd,4,"}, 
  {"NtOpenProcess","0x2e,0x00be,4,"}, 
  {"NtOpenProcessToken","0x2e,0x00bf,3,"}, 
  {"NtOpenProcessTokenEx","0x2e,0x00c0,4,"}, 
  {"NtOpenResourceManager","0x2e,0x00c1,5,"}, 
  {"NtOpenSection","0x2e,0x00c2,3,"}, 
  {"NtOpenSemaphore","0x2e,0x00c3,3,"}, 
  {"NtOpenSession","0x2e,0x00c4,3,"}, 
  {"NtOpenSymbolicLinkObject","0x2e,0x00c5,3,"}, 
  {"NtOpenThread","0x2e,0x00c6,4,"}, 
  {"NtOpenThreadToken","0x2e,0x00c7,4,"}, 
  {"NtOpenThreadTokenEx","0x2e,0x00c8,5,"}, 
  {"NtOpenTimer","0x2e,0x00c9,3,"}, 
  {"NtOpenTransaction","0x2e,0x00ca,5,"}, 
  {"NtOpenTransactionManager","0x2e,0x00cb,6,"}, 
  {"NtPlugPlayControl","0x2e,0x00cc,3,"}, 
  {"NtPowerInformation","0x2e,0x00cd,5,"}, 
  {"NtPrePrepareComplete","0x2e,0x00d0,2,"}, 
  {"NtPrePrepareEnlistment","0x2e,0x00d1,2,"}, 
  {"NtPrepareComplete","0x2e,0x00ce,2,"}, 
  {"NtPrepareEnlistment","0x2e,0x00cf,2,"}, 
  {"NtPrivilegeCheck","0x2e,0x00d2,3,"}, 
  {"NtPrivilegeObjectAuditAlarm","0x2e,0x00d4,6,"}, 
  {"NtPrivilegedServiceAuditAlarm","0x2e,0x00d3,5,"}, 
  {"NtPropagationComplete","0x2e,0x00d5,4,"}, 
  {"NtPropagationFailed","0x2e,0x00d6,3,"}, 
  {"NtProtectVirtualMemory","0x2e,0x00d7,5,"}, 
  {"NtPulseEvent","0x2e,0x00d8,2,"}, 
  {"NtQueryAttributesFile","0x2e,0x00d9,2,"}, 
  {"NtQueryBootEntryOrder","0x2e,0x00da,2,"}, 
  {"NtQueryBootOptions","0x2e,0x00db,2,"}, 
  {"NtQueryDebugFilterState","0x2e,0x00dc,2,"}, 
  {"NtQueryDefaultLocale","0x2e,0x00dd,2,"}, 
  {"NtQueryDefaultUILanguage","0x2e,0x00de,1,"}, 
  {"NtQueryDirectoryFile","0x2e,0x00df,11,"}, 
  {"NtQueryDirectoryObject","0x2e,0x00e0,7,"}, 
  {"NtQueryDriverEntryOrder","0x2e,0x00e1,2,"}, 
  {"NtQueryEaFile","0x2e,0x00e2,9,"}, 
  {"NtQueryEvent","0x2e,0x00e3,5,"}, 
  {"NtQueryFullAttributesFile","0x2e,0x00e4,2,"}, 
  {"NtQueryInformationAtom","0x2e,0x00e5,5,"}, 
  {"NtQueryInformationEnlistment","0x2e,0x00e6,5,"}, 
  {"NtQueryInformationFile","0x2e,0x00e7,5,"}, 
  {"NtQueryInformationJobObject","0x2e,0x00e8,5,"}, 
  {"NtQueryInformationPort","0x2e,0x00e9,5,"}, 
  {"NtQueryInformationProcess","0x2e,0x00ea,5,"}, 
  {"NtQueryInformationResourceManager","0x2e,0x00eb,5,"}, 
  {"NtQueryInformationThread","0x2e,0x00ec,5,"}, 
  {"NtQueryInformationToken","0x2e,0x00ed,5,"}, 
  {"NtQueryInformationTransaction","0x2e,0x00ee,5,"}, 
  {"NtQueryInformationTransactionManager","0x2e,0x00ef,5,"}, 
  {"NtQueryInformationWorkerFactory","0x2e,0x00f0,5,"}, 
  {"NtQueryInstallUILanguage","0x2e,0x00f1,1,"}, 
  {"NtQueryIntervalProfile","0x2e,0x00f2,2,"}, 
  {"NtQueryIoCompletion","0x2e,0x00f3,5,"}, 
  {"NtQueryKey","0x2e,0x00f4,5,"}, 
  {"NtQueryLicenseValue","0x2e,0x00f5,5,"}, 
  {"NtQueryMultipleValueKey","0x2e,0x00f6,6,"}, 
  {"NtQueryMutant","0x2e,0x00f7,5,"}, 
  {"NtQueryObject","0x2e,0x00f8,5,"}, 
  {"NtQueryOpenSubKeys","0x2e,0x00f9,2,"}, 
  {"NtQueryOpenSubKeysEx","0x2e,0x00fa,4,"}, 
  {"NtQueryPerformanceCounter","0x2e,0x00fb,2,"}, 
  {"NtQueryPortInformationProcess","0x2e,0x00fc,0,"}, 
  {"NtQueryQuotaInformationFile","0x2e,0x00fd,9,"}, 
  {"NtQuerySection","0x2e,0x00fe,5,"}, 
  {"NtQuerySecurityAttributesToken","0x2e,0x00ff,6,"}, 
  {"NtQuerySecurityObject","0x2e,0x0100,5,"}, 
  {"NtQuerySemaphore","0x2e,0x0101,5,"}, 
  {"NtQuerySymbolicLinkObject","0x2e,0x0102,3,"}, 
  {"NtQuerySystemEnvironmentValue","0x2e,0x0103,4,"}, 
  {"NtQuerySystemEnvironmentValueEx","0x2e,0x0104,5,"}, 
  {"NtQuerySystemInformation","0x2e,0x0105,4,"}, 
  {"NtQuerySystemInformationEx","0x2e,0x0106,6,"}, 
  {"NtQuerySystemTime","0x2e,0x0107,1,"}, 
  {"NtQueryTimer","0x2e,0x0108,5,"}, 
  {"NtQueryTimerResolution","0x2e,0x0109,3,"}, 
  {"NtQueryValueKey","0x2e,0x010a,6,"}, 
  {"NtQueryVirtualMemory","0x2e,0x010b,6,"}, 
  {"NtQueryVolumeInformationFile","0x2e,0x010c,5,"}, 
  {"NtQueueApcThread","0x2e,0x010d,5,"}, 
  {"NtQueueApcThreadEx","0x2e,0x010e,6,"}, 
  {"NtRaiseException","0x2e,0x010f,3,"}, 
  {"NtRaiseHardError","0x2e,0x0110,6,"}, 
  {"NtReadFile","0x2e,0x0111,9,"}, 
  {"NtReadFileScatter","0x2e,0x0112,9,"}, 
  {"NtReadOnlyEnlistment","0x2e,0x0113,2,"}, 
  {"NtReadRequestData","0x2e,0x0114,6,"}, 
  {"NtReadVirtualMemory","0x2e,0x0115,5,"}, 
  {"NtRecoverEnlistment","0x2e,0x0116,2,"}, 
  {"NtRecoverResourceManager","0x2e,0x0117,1,"}, 
  {"NtRecoverTransactionManager","0x2e,0x0118,1,"}, 
  {"NtRegisterProtocolAddressInformation","0x2e,0x0119,5,"}, 
  {"NtRegisterThreadTerminatePort","0x2e,0x011a,1,"}, 
  {"NtReleaseKeyedEvent","0x2e,0x011b,4,"}, 
  {"NtReleaseMutant","0x2e,0x011c,2,"}, 
  {"NtReleaseSemaphore","0x2e,0x011d,3,"}, 
  {"NtReleaseWorkerFactoryWorker","0x2e,0x011e,1,"}, 
  {"NtRemoveIoCompletion","0x2e,0x011f,5,"}, 
  {"NtRemoveIoCompletionEx","0x2e,0x0120,6,"}, 
  {"NtRemoveProcessDebug","0x2e,0x0121,2,"}, 
  {"NtRenameKey","0x2e,0x0122,2,"}, 
  {"NtRenameTransactionManager","0x2e,0x0123,2,"}, 
  {"NtReplaceKey","0x2e,0x0124,3,"}, 
  {"NtReplacePartitionUnit","0x2e,0x0125,3,"}, 
  {"NtReplyPort","0x2e,0x0126,2,"}, 
  {"NtReplyWaitReceivePort","0x2e,0x0127,4,"}, 
  {"NtReplyWaitReceivePortEx","0x2e,0x0128,5,"}, 
  {"NtReplyWaitReplyPort","0x2e,0x0129,2,"}, 
  {"NtRequestPort","0x2e,0x012a,2,"}, 
  {"NtRequestWaitReplyPort","0x2e,0x012b,3,"}, 
  {"NtResetEvent","0x2e,0x012c,2,"}, 
  {"NtResetWriteWatch","0x2e,0x012d,3,"}, 
  {"NtRestoreKey","0x2e,0x012e,3,"}, 
  {"NtResumeProcess","0x2e,0x012f,1,"}, 
  {"NtResumeThread","0x2e,0x0130,2,"}, 
  {"NtRollbackComplete","0x2e,0x0131,2,"}, 
  {"NtRollbackEnlistment","0x2e,0x0132,2,"}, 
  {"NtRollbackTransaction","0x2e,0x0133,2,"}, 
  {"NtRollforwardTransactionManager","0x2e,0x0134,2,"}, 
  {"NtSaveKey","0x2e,0x0135,2,"}, 
  {"NtSaveKeyEx","0x2e,0x0136,3,"}, 
  {"NtSaveMergedKeys","0x2e,0x0137,3,"}, 
  {"NtSecureConnectPort","0x2e,0x0138,9,"}, 
  {"NtSerializeBoot","0x2e,0x0139,0,"}, 
  {"NtSetBootEntryOrder","0x2e,0x013a,2,"}, 
  {"NtSetBootOptions","0x2e,0x013b,2,"}, 
  {"NtSetContextThread","0x2e,0x013c,2,"}, 
  {"NtSetDebugFilterState","0x2e,0x013d,3,"}, 
  {"NtSetDefaultHardErrorPort","0x2e,0x013e,1,"}, 
  {"NtSetDefaultLocale","0x2e,0x013f,2,"}, 
  {"NtSetDefaultUILanguage","0x2e,0x0140,1,"}, 
  {"NtSetDriverEntryOrder","0x2e,0x0141,2,"}, 
  {"NtSetEaFile","0x2e,0x0142,4,"}, 
  {"NtSetEvent","0x2e,0x0143,2,"}, 
  {"NtSetEventBoostPriority","0x2e,0x0144,1,"}, 
  {"NtSetHighEventPair","0x2e,0x0145,1,"}, 
  {"NtSetHighWaitLowEventPair","0x2e,0x0146,1,"}, 
  {"NtSetInformationDebugObject","0x2e,0x0147,5,"}, 
  {"NtSetInformationEnlistment","0x2e,0x0148,4,"}, 
  {"NtSetInformationFile","0x2e,0x0149,5,"}, 
  {"NtSetInformationJobObject","0x2e,0x014a,4,"}, 
  {"NtSetInformationKey","0x2e,0x014b,4,"}, 
  {"NtSetInformationObject","0x2e,0x014c,4,"}, 
  {"NtSetInformationProcess","0x2e,0x014d,4,"}, 
  {"NtSetInformationResourceManager","0x2e,0x014e,4,"}, 
  {"NtSetInformationThread","0x2e,0x014f,4,"}, 
  {"NtSetInformationToken","0x2e,0x0150,4,"}, 
  {"NtSetInformationTransaction","0x2e,0x0151,4,"}, 
  {"NtSetInformationTransactionManager","0x2e,0x0152,4,"}, 
  {"NtSetInformationWorkerFactory","0x2e,0x0153,4,"}, 
  {"NtSetIntervalProfile","0x2e,0x0154,2,"}, 
  {"NtSetIoCompletion","0x2e,0x0155,5,"}, 
  {"NtSetIoCompletionEx","0x2e,0x0156,6,"}, 
  {"NtSetLdtEntries","0x2e,0x0157,6,"}, 
  {"NtSetLowEventPair","0x2e,0x0158,1,"}, 
  {"NtSetLowWaitHighEventPair","0x2e,0x0159,1,"}, 
  {"NtSetQuotaInformationFile","0x2e,0x015a,4,"}, 
  {"NtSetSecurityObject","0x2e,0x015b,3,"}, 
  {"NtSetSystemEnvironmentValue","0x2e,0x015c,2,"}, 
  {"NtSetSystemEnvironmentValueEx","0x2e,0x015d,5,"}, 
  {"NtSetSystemInformation","0x2e,0x015e,3,"}, 
  {"NtSetSystemPowerState","0x2e,0x015f,3,"}, 
  {"NtSetSystemTime","0x2e,0x0160,2,"}, 
  {"NtSetThreadExecutionState","0x2e,0x0161,2,"}, 
  {"NtSetTimer","0x2e,0x0162,7,"}, 
  {"NtSetTimerEx","0x2e,0x0163,4,"}, 
  {"NtSetTimerResolution","0x2e,0x0164,3,"}, 
  {"NtSetUuidSeed","0x2e,0x0165,1,"}, 
  {"NtSetValueKey","0x2e,0x0166,6,"}, 
  {"NtSetVolumeInformationFile","0x2e,0x0167,5,"}, 
  {"NtShutdownSystem","0x2e,0x0168,1,"}, 
  {"NtShutdownWorkerFactory","0x2e,0x0169,2,"}, 
  {"NtSignalAndWaitForSingleObject","0x2e,0x016a,4,"}, 
  {"NtSinglePhaseReject","0x2e,0x016b,2,"}, 
  {"NtStartProfile","0x2e,0x016c,1,"}, 
  {"NtStopProfile","0x2e,0x016d,1,"}, 
  {"NtSuspendProcess","0x2e,0x016e,1,"}, 
  {"NtSuspendThread","0x2e,0x016f,2,"}, 
  {"NtSystemDebugControl","0x2e,0x0170,6,"}, 
  {"NtTerminateJobObject","0x2e,0x0171,2,"}, 
  {"NtTerminateProcess","0x2e,0x0172,2,"}, 
  {"NtTerminateThread","0x2e,0x0173,2,"}, 
  {"NtTestAlert","0x2e,0x0174,0,"}, 
  {"NtThawRegistry","0x2e,0x0175,0,"}, 
  {"NtThawTransactions","0x2e,0x0176,0,"}, 
  {"NtTraceControl","0x2e,0x0177,6,"}, 
  {"NtTraceEvent","0x2e,0x0178,4,"}, 
  {"NtTranslateFilePath","0x2e,0x0179,4,"}, 
  {"NtUmsThreadYield","0x2e,0x017a,1,"}, 
  {"NtUnloadDriver","0x2e,0x017b,1,"}, 
  {"NtUnloadKey","0x2e,0x017c,1,"}, 
  {"NtUnloadKey2","0x2e,0x017d,2,"}, 
  {"NtUnloadKeyEx","0x2e,0x017e,2,"}, 
  {"NtUnlockFile","0x2e,0x017f,5,"}, 
  {"NtUnlockVirtualMemory","0x2e,0x0180,4,"}, 
  {"NtUnmapViewOfSection","0x2e,0x0181,2,"}, 
  {"NtUserActivateKeyboardLayout","0x2e,0x113a,2,"}, 
  {"NtUserAddClipboardFormatListener","0x2e,0x113b,1,"}, 
  {"NtUserAlterWindowStyle","0x2e,0x113c,3,"}, 
  {"NtUserAssociateInputContext","0x2e,0x113d,3,"}, 
  {"NtUserAttachThreadInput","0x2e,0x113e,3,"}, 
  {"NtUserBeginPaint","0x2e,0x113f,2,"}, 
  {"NtUserBitBltSysBmp","0x2e,0x1140,8,"}, 
  {"NtUserBlockInput","0x2e,0x1141,1,"}, 
  {"NtUserBuildHimcList","0x2e,0x1142,4,"}, 
  {"NtUserBuildHwndList","0x2e,0x1143,7,"}, 
  {"NtUserBuildNameList","0x2e,0x1144,4,"}, 
  {"NtUserBuildPropList","0x2e,0x1145,4,"}, 
  {"NtUserCalcMenuBar","0x2e,0x125b,5,"}, 
  {"NtUserCalculatePopupWindowPosition","0x2e,0x125a,5,"}, 
  {"NtUserCallHwnd","0x2e,0x1146,2,"}, 
  {"NtUserCallHwndLock","0x2e,0x1147,2,"}, 
  {"NtUserCallHwndOpt","0x2e,0x1148,2,"}, 
  {"NtUserCallHwndParam","0x2e,0x1149,3,"}, 
  {"NtUserCallHwndParamLock","0x2e,0x114a,3,"}, 
  {"NtUserCallMsgFilter","0x2e,0x114b,2,"}, 
  {"NtUserCallNextHookEx","0x2e,0x114c,4,"}, 
  {"NtUserCallNoParam","0x2e,0x114d,1,"}, 
  {"NtUserCallOneParam","0x2e,0x114e,2,"}, 
  {"NtUserCallTwoParam","0x2e,0x114f,3,"}, 
  {"NtUserChangeClipboardChain","0x2e,0x1150,2,"}, 
  {"NtUserChangeDisplaySettings","0x2e,0x1151,4,"}, 
  {"NtUserChangeWindowMessageFilterEx","0x2e,0x1291,4,"}, 
  {"NtUserCheckAccessForIntegrityLevel","0x2e,0x1157,3,"}, 
  {"NtUserCheckDesktopByThreadId","0x2e,0x1158,1,"}, 
  {"NtUserCheckMenuItem","0x2e,0x115a,3,"}, 
  {"NtUserCheckWindowThreadDesktop","0x2e,0x1159,2,"}, 
  {"NtUserChildWindowFromPointEx","0x2e,0x115b,4,"}, 
  {"NtUserClipCursor","0x2e,0x115c,1,"}, 
  {"NtUserCloseClipboard","0x2e,0x115d,0,"}, 
  {"NtUserCloseDesktop","0x2e,0x115e,1,"}, 
  {"NtUserCloseWindowStation","0x2e,0x115f,1,"}, 
  {"NtUserConsoleControl","0x2e,0x1160,3,"}, 
  {"NtUserConvertMemPlugin","0x2e,0x1161,2,"}, 
  {"NtUserCopyAcceleratorTable","0x2e,0x1162,3,"}, 
  {"NtUserCountClipboardFormats","0x2e,0x1163,0,"}, 
  {"NtUserCreateAcceleratorTable","0x2e,0x1164,2,"}, 
  {"NtUserCreateCaret","0x2e,0x1165,4,"}, 
  {"NtUserCreateDesktopEx","0x2e,0x1166,6,"}, 
  {"NtUserCreateInputContext","0x2e,0x1167,1,"}, 
  {"NtUserCreateLocalMemPlugin","0x2e,0x1168,4,"}, 
  {"NtUserCreateWindowEx","0x2e,0x1169,15,"}, 
  {"NtUserCreateWindowStation","0x2e,0x116a,8,"}, 
  {"NtUserCtxDisplayIOCtl","0x2e,0x127b,3,"}, 
  {"NtUserDdeInitialize","0x2e,0x116b,5,"}, 
  {"NtUserDefSetText","0x2e,0x116d,2,"}, 
  {"NtUserDeferWindowPos","0x2e,0x116c,8,"}, 
  {"NtUserDeleteMenu","0x2e,0x116e,3,"}, 
  {"NtUserDestroyAcceleratorTable","0x2e,0x116f,1,"}, 
  {"NtUserDestroyCursor","0x2e,0x1170,2,"}, 
  {"NtUserDestroyInputContext","0x2e,0x1171,1,"}, 
  {"NtUserDestroyMenu","0x2e,0x1172,1,"}, 
  {"NtUserDestroyWindow","0x2e,0x1173,1,"}, 
  {"NtUserDisableThreadIme","0x2e,0x1174,1,"}, 
  {"NtUserDispatchMessage","0x2e,0x1175,1,"}, 
  {"NtUserDisplayConfigGetDeviceInfo","0x2e,0x1155,1,"}, 
  {"NtUserDisplayConfigSetDeviceInfo","0x2e,0x1156,1,"}, 
  {"NtUserDoSoundConnect","0x2e,0x1176,0,"}, 
  {"NtUserDoSoundDisconnect","0x2e,0x1177,0,"}, 
  {"NtUserDragDetect","0x2e,0x1178,3,"}, 
  {"NtUserDragObject","0x2e,0x1179,5,"}, 
  {"NtUserDrawAnimatedRects","0x2e,0x117a,4,"}, 
  {"NtUserDrawCaption","0x2e,0x117b,4,"}, 
  {"NtUserDrawCaptionTemp","0x2e,0x117c,7,"}, 
  {"NtUserDrawIconEx","0x2e,0x117d,11,"}, 
  {"NtUserDrawMenuBarTemp","0x2e,0x117e,5,"}, 
  {"NtUserDwmStartRedirection","0x2e,0x127f,1,"}, 
  {"NtUserDwmStopRedirection","0x2e,0x1280,0,"}, 
  {"NtUserEmptyClipboard","0x2e,0x117f,0,"}, 
  {"NtUserEnableMenuItem","0x2e,0x1180,3,"}, 
  {"NtUserEnableScrollBar","0x2e,0x1181,3,"}, 
  {"NtUserEndDeferWindowPosEx","0x2e,0x1182,2,"}, 
  {"NtUserEndMenu","0x2e,0x1183,0,"}, 
  {"NtUserEndPaint","0x2e,0x1184,2,"}, 
  {"NtUserEndTouchOperation","0x2e,0x128f,1,"}, 
  {"NtUserEnumDisplayDevices","0x2e,0x1185,4,"}, 
  {"NtUserEnumDisplayMonitors","0x2e,0x1186,4,"}, 
  {"NtUserEnumDisplaySettings","0x2e,0x1187,4,"}, 
  {"NtUserEvent","0x2e,0x1188,1,"}, 
  {"NtUserExcludeUpdateRgn","0x2e,0x1189,2,"}, 
  {"NtUserFillWindow","0x2e,0x118a,4,"}, 
  {"NtUserFindExistingCursorIcon","0x2e,0x118b,3,"}, 
  {"NtUserFindWindowEx","0x2e,0x118c,5,"}, 
  {"NtUserFlashWindowEx","0x2e,0x118d,1,"}, 
  {"NtUserFrostCrashedWindow","0x2e,0x118e,2,"}, 
  {"NtUserGetAltTabInfo","0x2e,0x118f,6,"}, 
  {"NtUserGetAncestor","0x2e,0x1190,2,"}, 
  {"NtUserGetAppImeLevel","0x2e,0x1191,1,"}, 
  {"NtUserGetAsyncKeyState","0x2e,0x1192,1,"}, 
  {"NtUserGetAtomName","0x2e,0x1193,2,"}, 
  {"NtUserGetCPD","0x2e,0x11a1,3,"}, 
  {"NtUserGetCaretBlinkTime","0x2e,0x1194,0,"}, 
  {"NtUserGetCaretPos","0x2e,0x1195,1,"}, 
  {"NtUserGetClassInfoEx","0x2e,0x1196,5,"}, 
  {"NtUserGetClassName","0x2e,0x1197,3,"}, 
  {"NtUserGetClipCursor","0x2e,0x119d,1,"}, 
  {"NtUserGetClipboardData","0x2e,0x1198,2,"}, 
  {"NtUserGetClipboardFormatName","0x2e,0x1199,3,"}, 
  {"NtUserGetClipboardOwner","0x2e,0x119a,0,"}, 
  {"NtUserGetClipboardSequenceNumber","0x2e,0x119b,0,"}, 
  {"NtUserGetClipboardViewer","0x2e,0x119c,0,"}, 
  {"NtUserGetComboBoxInfo","0x2e,0x119e,2,"}, 
  {"NtUserGetControlBrush","0x2e,0x119f,3,"}, 
  {"NtUserGetControlColor","0x2e,0x11a0,4,"}, 
  {"NtUserGetCursorFrameInfo","0x2e,0x11a2,4,"}, 
  {"NtUserGetCursorInfo","0x2e,0x11a3,1,"}, 
  {"NtUserGetDC","0x2e,0x11a4,1,"}, 
  {"NtUserGetDCEx","0x2e,0x11a5,3,"}, 
  {"NtUserGetDisplayConfigBufferSizes","0x2e,0x1152,3,"}, 
  {"NtUserGetDoubleClickTime","0x2e,0x11a6,0,"}, 
  {"NtUserGetForegroundWindow","0x2e,0x11a7,0,"}, 
  {"NtUserGetGUIThreadInfo","0x2e,0x11a9,2,"}, 
  {"NtUserGetGestureConfig","0x2e,0x1297,6,"}, 
  {"NtUserGetGestureExtArgs","0x2e,0x1294,3,"}, 
  {"NtUserGetGestureInfo","0x2e,0x1293,2,"}, 
  {"NtUserGetGuiResources","0x2e,0x11a8,2,"}, 
  {"NtUserGetIconInfo","0x2e,0x11aa,6,"}, 
  {"NtUserGetIconSize","0x2e,0x11ab,4,"}, 
  {"NtUserGetImeHotKey","0x2e,0x11ac,4,"}, 
  {"NtUserGetImeInfoEx","0x2e,0x11ad,2,"}, 
  {"NtUserGetInputLocaleInfo","0x2e,0x11ae,2,"}, 
  {"NtUserGetInternalWindowPos","0x2e,0x11af,3,"}, 
  {"NtUserGetKeyNameText","0x2e,0x11b3,3,"}, 
  {"NtUserGetKeyState","0x2e,0x11b4,1,"}, 
  {"NtUserGetKeyboardLayoutList","0x2e,0x11b0,2,"}, 
  {"NtUserGetKeyboardLayoutName","0x2e,0x11b1,1,"}, 
  {"NtUserGetKeyboardState","0x2e,0x11b2,1,"}, 
  {"NtUserGetLayeredWindowAttributes","0x2e,0x1269,4,"}, 
  {"NtUserGetListBoxInfo","0x2e,0x11b5,1,"}, 
  {"NtUserGetMenuBarInfo","0x2e,0x11b6,4,"}, 
  {"NtUserGetMenuIndex","0x2e,0x11b7,2,"}, 
  {"NtUserGetMenuItemRect","0x2e,0x11b8,4,"}, 
  {"NtUserGetMessage","0x2e,0x11b9,4,"}, 
  {"NtUserGetMouseMovePointsEx","0x2e,0x11ba,5,"}, 
  {"NtUserGetObjectInformation","0x2e,0x11bb,5,"}, 
  {"NtUserGetOpenClipboardWindow","0x2e,0x11bc,0,"}, 
  {"NtUserGetPriorityClipboardFormat","0x2e,0x11bd,2,"}, 
  {"NtUserGetProcessWindowStation","0x2e,0x11be,0,"}, 
  {"NtUserGetProp","0x2e,0x1232,2,"}, 
  {"NtUserGetRawInputBuffer","0x2e,0x11bf,3,"}, 
  {"NtUserGetRawInputData","0x2e,0x11c0,5,"}, 
  {"NtUserGetRawInputDeviceInfo","0x2e,0x11c1,4,"}, 
  {"NtUserGetRawInputDeviceList","0x2e,0x11c2,3,"}, 
  {"NtUserGetRegisteredRawInputDevices","0x2e,0x11c3,3,"}, 
  {"NtUserGetScrollBarInfo","0x2e,0x11c4,3,"}, 
  {"NtUserGetSystemMenu","0x2e,0x11c5,2,"}, 
  {"NtUserGetThreadDesktop","0x2e,0x11c6,1,"}, 
  {"NtUserGetThreadState","0x2e,0x11c7,1,"}, 
  {"NtUserGetTitleBarInfo","0x2e,0x11c8,2,"}, 
  {"NtUserGetTopLevelWindow","0x2e,0x11c9,1,"}, 
  {"NtUserGetTouchInputInfo","0x2e,0x1290,4,"}, 
  {"NtUserGetUpdateRect","0x2e,0x11cb,3,"}, 
  {"NtUserGetUpdateRgn","0x2e,0x11cc,3,"}, 
  {"NtUserGetUpdatedClipboardFormats","0x2e,0x11ca,3,"}, 
  {"NtUserGetWOWClass","0x2e,0x11d2,2,"}, 
  {"NtUserGetWindowCompositionAttribute","0x2e,0x11ce,2,"}, 
  {"NtUserGetWindowCompositionInfo","0x2e,0x11cd,2,"}, 
  {"NtUserGetWindowDC","0x2e,0x11cf,1,"}, 
  {"NtUserGetWindowDisplayAffinity","0x2e,0x11d0,2,"}, 
  {"NtUserGetWindowMinimizeRect","0x2e,0x1281,2,"}, 
  {"NtUserGetWindowPlacement","0x2e,0x11d1,2,"}, 
  {"NtUserGetWindowRgnEx","0x2e,0x1246,3,"}, 
  {"NtUserGhostWindowFromHungWindow","0x2e,0x11d3,1,"}, 
  {"NtUserHardErrorControl","0x2e,0x11d4,3,"}, 
  {"NtUserHideCaret","0x2e,0x11d5,1,"}, 
  {"NtUserHiliteMenuItem","0x2e,0x11d6,4,"}, 
  {"NtUserHungWindowFromGhostWindow","0x2e,0x11d7,1,"}, 
  {"NtUserHwndQueryRedirectionInfo","0x2e,0x1337,4,"}, 
  {"NtUserHwndSetRedirectionInfo","0x2e,0x1338,4,"}, 
  {"NtUserImpersonateDdeClientWindow","0x2e,0x11d8,2,"}, 
  {"NtUserInitTask","0x2e,0x11db,12,"}, 
  {"NtUserInitialize","0x2e,0x11d9,2,"}, 
  {"NtUserInitializeClientPfnArrays","0x2e,0x11da,4,"}, 
  {"NtUserInjectGesture","0x2e,0x1292,5,"}, 
  {"NtUserInternalGetWindowIcon","0x2e,0x11dd,2,"}, 
  {"NtUserInternalGetWindowText","0x2e,0x11dc,3,"}, 
  {"NtUserInvalidateRect","0x2e,0x11de,3,"}, 
  {"NtUserInvalidateRgn","0x2e,0x11df,3,"}, 
  {"NtUserIsClipboardFormatAvailable","0x2e,0x11e0,1,"}, 
  {"NtUserIsTopLevelWindow","0x2e,0x11e1,1,"}, 
  {"NtUserIsTouchWindow","0x2e,0x128d,2,"}, 
  {"NtUserKillTimer","0x2e,0x11e2,2,"}, 
  {"NtUserLoadKeyboardLayoutEx","0x2e,0x11e3,8,"}, 
  {"NtUserLockWindowStation","0x2e,0x11e4,1,"}, 
  {"NtUserLockWindowUpdate","0x2e,0x11e5,1,"}, 
  {"NtUserLockWorkStation","0x2e,0x11e6,0,"}, 
  {"NtUserLogicalToPhysicalPoint","0x2e,0x11e7,2,"}, 
  {"NtUserMNDragLeave","0x2e,0x11ec,0,"}, 
  {"NtUserMNDragOver","0x2e,0x11ed,2,"}, 
  {"NtUserMagControl","0x2e,0x1334,2,"}, 
  {"NtUserMagGetContextInformation","0x2e,0x1336,4,"}, 
  {"NtUserMagSetContextInformation","0x2e,0x1335,4,"}, 
  {"NtUserManageGesturePluginWindow","0x2e,0x1295,2,"}, 
  {"NtUserMapVirtualKeyEx","0x2e,0x11e8,4,"}, 
  {"NtUserMenuItemFromPoint","0x2e,0x11e9,4,"}, 
  {"NtUserMessageCall","0x2e,0x11ea,7,"}, 
  {"NtUserMinMaximize","0x2e,0x11eb,3,"}, 
  {"NtUserModifyUserStartupInfoFlags","0x2e,0x11ee,2,"}, 
  {"NtUserModifyWindowTouchCapability","0x2e,0x128c,3,"}, 
  {"NtUserMoveWindow","0x2e,0x11ef,6,"}, 
  {"NtUserNotifyIMEStatus","0x2e,0x11f0,3,"}, 
  {"NtUserNotifyProcessCreate","0x2e,0x11f1,4,"}, 
  {"NtUserNotifyWinEvent","0x2e,0x11f2,4,"}, 
  {"NtUserOpenClipboard","0x2e,0x11f3,2,"}, 
  {"NtUserOpenDesktop","0x2e,0x11f4,3,"}, 
  {"NtUserOpenInputDesktop","0x2e,0x11f5,3,"}, 
  {"NtUserOpenThreadDesktop","0x2e,0x11f6,4,"}, 
  {"NtUserOpenWindowStation","0x2e,0x11f7,2,"}, 
  {"NtUserPaintDesktop","0x2e,0x11f8,1,"}, 
  {"NtUserPaintMenuBar","0x2e,0x125c,6,"}, 
  {"NtUserPaintMonitor","0x2e,0x11f9,3,"}, 
  {"NtUserPeekMessage","0x2e,0x11fa,5,"}, 
  {"NtUserPhysicalToLogicalPoint","0x2e,0x11fb,2,"}, 
  {"NtUserPostMessage","0x2e,0x11fc,4,"}, 
  {"NtUserPostThreadMessage","0x2e,0x11fd,4,"}, 
  {"NtUserPrintWindow","0x2e,0x11fe,3,"}, 
  {"NtUserProcessConnect","0x2e,0x11ff,2,"}, 
  {"NtUserQueryDisplayConfig","0x2e,0x1154,6,"}, 
  {"NtUserQueryInformationThread","0x2e,0x1200,4,"}, 
  {"NtUserQueryInputContext","0x2e,0x1201,2,"}, 
  {"NtUserQuerySendMessage","0x2e,0x1202,1,"}, 
  {"NtUserQueryWindow","0x2e,0x1203,2,"}, 
  {"NtUserRealChildWindowFromPoint","0x2e,0x1204,3,"}, 
  {"NtUserRealInternalGetMessage","0x2e,0x1205,6,"}, 
  {"NtUserRealWaitMessageEx","0x2e,0x1206,2,"}, 
  {"NtUserRedrawWindow","0x2e,0x1207,4,"}, 
  {"NtUserRegisterClassExWOW","0x2e,0x1208,7,"}, 
  {"NtUserRegisterErrorReportingDialog","0x2e,0x1209,2,"}, 
  {"NtUserRegisterHotKey","0x2e,0x120b,4,"}, 
  {"NtUserRegisterRawInputDevices","0x2e,0x120c,3,"}, 
  {"NtUserRegisterServicesProcess","0x2e,0x120d,1,"}, 
  {"NtUserRegisterSessionPort","0x2e,0x127c,2,"}, 
  {"NtUserRegisterTasklist","0x2e,0x120e,1,"}, 
  {"NtUserRegisterUserApiHook","0x2e,0x120a,4,"}, 
  {"NtUserRegisterWindowMessage","0x2e,0x120f,1,"}, 
  {"NtUserRemoteConnect","0x2e,0x1277,3,"}, 
  {"NtUserRemoteRedrawRectangle","0x2e,0x1278,4,"}, 
  {"NtUserRemoteRedrawScreen","0x2e,0x1279,0,"}, 
  {"NtUserRemoteStopScreenUpdates","0x2e,0x127a,0,"}, 
  {"NtUserRemoveClipboardFormatListener","0x2e,0x1210,1,"}, 
  {"NtUserRemoveMenu","0x2e,0x1211,3,"}, 
  {"NtUserRemoveProp","0x2e,0x1212,2,"}, 
  {"NtUserResolveDesktopForWOW","0x2e,0x1213,1,"}, 
  {"NtUserSBGetParms","0x2e,0x1214,4,"}, 
  {"NtUserScrollDC","0x2e,0x1215,7,"}, 
  {"NtUserScrollWindowEx","0x2e,0x1216,8,"}, 
  {"NtUserSelectPalette","0x2e,0x1217,3,"}, 
  {"NtUserSendInput","0x2e,0x1218,3,"}, 
  {"NtUserSendTouchInput","0x2e,0x128e,4,"}, 
  {"NtUserSetActiveWindow","0x2e,0x1219,1,"}, 
  {"NtUserSetAppImeLevel","0x2e,0x121a,2,"}, 
  {"NtUserSetCapture","0x2e,0x121b,1,"}, 
  {"NtUserSetChildWindowNoActivate","0x2e,0x121c,1,"}, 
  {"NtUserSetClassLong","0x2e,0x121d,4,"}, 
  {"NtUserSetClassWord","0x2e,0x121e,3,"}, 
  {"NtUserSetClipboardData","0x2e,0x121f,3,"}, 
  {"NtUserSetClipboardViewer","0x2e,0x1220,1,"}, 
  {"NtUserSetCursor","0x2e,0x1221,1,"}, 
  {"NtUserSetCursorContents","0x2e,0x1222,2,"}, 
  {"NtUserSetCursorIconData","0x2e,0x1223,4,"}, 
  {"NtUserSetDisplayConfig","0x2e,0x1153,5,"}, 
  {"NtUserSetFocus","0x2e,0x1224,1,"}, 
  {"NtUserSetGestureConfig","0x2e,0x1296,5,"}, 
  {"NtUserSetImeHotKey","0x2e,0x1225,5,"}, 
  {"NtUserSetImeInfoEx","0x2e,0x1226,1,"}, 
  {"NtUserSetImeOwnerWindow","0x2e,0x1227,2,"}, 
  {"NtUserSetInformationThread","0x2e,0x1228,4,"}, 
  {"NtUserSetInternalWindowPos","0x2e,0x1229,4,"}, 
  {"NtUserSetKeyboardState","0x2e,0x122a,1,"}, 
  {"NtUserSetLayeredWindowAttributes","0x2e,0x126a,4,"}, 
  {"NtUserSetMenu","0x2e,0x122b,3,"}, 
  {"NtUserSetMenuContextHelpId","0x2e,0x122c,2,"}, 
  {"NtUserSetMenuDefaultItem","0x2e,0x122d,3,"}, 
  {"NtUserSetMenuFlagRtoL","0x2e,0x122e,1,"}, 
  {"NtUserSetMirrorRendering","0x2e,0x1332,2,"}, 
  {"NtUserSetObjectInformation","0x2e,0x122f,4,"}, 
  {"NtUserSetParent","0x2e,0x1230,2,"}, 
  {"NtUserSetProcessDPIAware","0x2e,0x123e,0,"}, 
  {"NtUserSetProcessWindowStation","0x2e,0x1231,1,"}, 
  {"NtUserSetProp","0x2e,0x1233,3,"}, 
  {"NtUserSetScrollInfo","0x2e,0x1234,4,"}, 
  {"NtUserSetShellWindowEx","0x2e,0x1235,2,"}, 
  {"NtUserSetSysColors","0x2e,0x1236,4,"}, 
  {"NtUserSetSystemCursor","0x2e,0x1237,2,"}, 
  {"NtUserSetSystemMenu","0x2e,0x1238,2,"}, 
  {"NtUserSetSystemTimer","0x2e,0x1239,3,"}, 
  {"NtUserSetThreadDesktop","0x2e,0x123a,1,"}, 
  {"NtUserSetThreadLayoutPlugins","0x2e,0x123b,2,"}, 
  {"NtUserSetThreadState","0x2e,0x123c,2,"}, 
  {"NtUserSetTimer","0x2e,0x123d,4,"}, 
  {"NtUserSetWinEventHook","0x2e,0x124c,8,"}, 
  {"NtUserSetWindowCompositionAttribute","0x2e,0x123f,2,"}, 
  {"NtUserSetWindowDisplayAffinity","0x2e,0x1240,2,"}, 
  {"NtUserSetWindowFNID","0x2e,0x1241,2,"}, 
  {"NtUserSetWindowLong","0x2e,0x1242,4,"}, 
  {"NtUserSetWindowPlacement","0x2e,0x1243,2,"}, 
  {"NtUserSetWindowPos","0x2e,0x1244,7,"}, 
  {"NtUserSetWindowRgn","0x2e,0x1245,3,"}, 
  {"NtUserSetWindowRgnEx","0x2e,0x1247,3,"}, 
  {"NtUserSetWindowStationUser","0x2e,0x124a,4,"}, 
  {"NtUserSetWindowWord","0x2e,0x124b,3,"}, 
  {"NtUserSetWindowsHookAW","0x2e,0x1248,3,"}, 
  {"NtUserSetWindowsHookEx","0x2e,0x1249,6,"}, 
  {"NtUserSfmDestroyLogicalSurfaceBinding","0x2e,0x128b,1,"}, 
  {"NtUserSfmDxBindSwapChain","0x2e,0x1282,3,"}, 
  {"NtUserSfmDxGetSwapChainStats","0x2e,0x1288,2,"}, 
  {"NtUserSfmDxOpenSwapChain","0x2e,0x1283,4,"}, 
  {"NtUserSfmDxQuerySwapChainBindingStatus","0x2e,0x1286,3,"}, 
  {"NtUserSfmDxReleaseSwapChain","0x2e,0x1284,2,"}, 
  {"NtUserSfmDxReportPendingBindingsToDwm","0x2e,0x1287,0,"}, 
  {"NtUserSfmDxSetSwapChainBindingStatus","0x2e,0x1285,2,"}, 
  {"NtUserSfmDxSetSwapChainStats","0x2e,0x1289,2,"}, 
  {"NtUserSfmGetLogicalSurfaceBinding","0x2e,0x128a,4,"}, 
  {"NtUserShowCaret","0x2e,0x124d,1,"}, 
  {"NtUserShowScrollBar","0x2e,0x124e,3,"}, 
  {"NtUserShowSystemCursor","0x2e,0x1333,1,"}, 
  {"NtUserShowWindow","0x2e,0x124f,2,"}, 
  {"NtUserShowWindowAsync","0x2e,0x1250,2,"}, 
  {"NtUserSoundSentry","0x2e,0x1251,0,"}, 
  {"NtUserSwitchDesktop","0x2e,0x1252,2,"}, 
  {"NtUserSystemParametersInfo","0x2e,0x1253,4,"}, 
  {"NtUserTestForInteractiveUser","0x2e,0x1254,1,"}, 
  {"NtUserThunkedMenuInfo","0x2e,0x1255,2,"}, 
  {"NtUserThunkedMenuItemInfo","0x2e,0x1256,6,"}, 
  {"NtUserToUnicodeEx","0x2e,0x1257,7,"}, 
  {"NtUserTrackMouseEvent","0x2e,0x1258,1,"}, 
  {"NtUserTrackPopupMenuEx","0x2e,0x1259,6,"}, 
  {"NtUserTranslateAccelerator","0x2e,0x125d,3,"}, 
  {"NtUserTranslateMessage","0x2e,0x125e,2,"}, 
  {"NtUserUnhookWinEvent","0x2e,0x1260,1,"}, 
  {"NtUserUnhookWindowsHookEx","0x2e,0x125f,1,"}, 
  {"NtUserUnloadKeyboardLayout","0x2e,0x1261,1,"}, 
  {"NtUserUnlockWindowStation","0x2e,0x1262,1,"}, 
  {"NtUserUnregisterClass","0x2e,0x1263,3,"}, 
  {"NtUserUnregisterHotKey","0x2e,0x1265,2,"}, 
  {"NtUserUnregisterSessionPort","0x2e,0x127d,0,"}, 
  {"NtUserUnregisterUserApiHook","0x2e,0x1264,0,"}, 
  {"NtUserUpdateInputContext","0x2e,0x1266,3,"}, 
  {"NtUserUpdateInstance","0x2e,0x1267,3,"}, 
  {"NtUserUpdateLayeredWindow","0x2e,0x1268,10,"}, 
  {"NtUserUpdatePerUserSystemParameters","0x2e,0x126b,1,"}, 
  {"NtUserUpdateWindowTransform","0x2e,0x127e,3,"}, 
  {"NtUserUserPluginGrantAccess","0x2e,0x126c,3,"}, 
  {"NtUserValidatePluginSecure","0x2e,0x126d,1,"}, 
  {"NtUserValidateRect","0x2e,0x126e,2,"}, 
  {"NtUserValidateTimerCallback","0x2e,0x126f,1,"}, 
  {"NtUserVkKeyScanEx","0x2e,0x1270,3,"}, 
  {"NtUserWaitForInputIdle","0x2e,0x1271,3,"}, 
  {"NtUserWaitForMsgAndEvent","0x2e,0x1272,1,"}, 
  {"NtUserWaitMessage","0x2e,0x1273,0,"}, 
  {"NtUserWindowFromPhysicalPoint","0x2e,0x1274,2,"}, 
  {"NtUserWindowFromPoint","0x2e,0x1275,2,"}, 
  {"NtUserYieldTask","0x2e,0x1276,0,"}, 
  {"NtVdmControl","0x2e,0x0182,2,"}, 
  {"NtWaitForDebugEvent","0x2e,0x0183,4,"}, 
  {"NtWaitForKeyedEvent","0x2e,0x0184,4,"}, 
  {"NtWaitForMultipleObjects","0x2e,0x0185,5,"}, 
  {"NtWaitForMultipleObjects32","0x2e,0x0186,5,"}, 
  {"NtWaitForSingleObject","0x2e,0x0187,3,"}, 
  {"NtWaitForWorkViaWorkerFactory","0x2e,0x0188,2,"}, 
  {"NtWaitHighEventPair","0x2e,0x0189,1,"}, 
  {"NtWaitLowEventPair","0x2e,0x018a,1,"}, 
  {"NtWorkerFactoryWorkerReady","0x2e,0x018b,1,"}, 
  {"NtWriteFile","0x2e,0x018c,9,"}, 
  {"NtWriteFileGather","0x2e,0x018d,9,"}, 
  {"NtWriteRequestData","0x2e,0x018e,6,"}, 
  {"NtWriteVirtualMemory","0x2e,0x018f,5,"}, 
  {"NtYieldExecution","0x2e,0x0190,0,"}, 
  {"bInitRedirDev","0x2e,0x10e6,0,"}, 
  {NULL, NULL}
};
// 0x55d4c78524e0
// TODO
typedef int (*GperfForeachCallback)(void *user, const char *k, const char *v);
int gperf_windows_x86_32_foreach(GperfForeachCallback cb, void *user) {
  int i = 0; while (kvs[i].name) {
  cb (user, kvs[i].name, kvs[i].value);
  i++;}
  return 0;
}
const char *gperf_windows_x86_32_get(const char *s) {
  int i = 0; while (kvs[i].name) {
  if (!strcmp (s, kvs[i].name)) return kvs[i].value;
  i++;}
  return NULL;
}
#define sdb_hash_c_windows_x86_32(x,y) gperf_windows_x86_32_hash(x)
const unsigned int gperf_windows_x86_32_hash(const char *s) {
  int sum = strlen (s);
  while (*s) { sum += *s; s++; }
  return sum;
}
struct {const char *name;void *get;void *hash;void *foreach;} gperf_windows_x86_32 = {
  .name = "windows-x86-32",
  .get = &gperf_windows_x86_32_get,
  .hash = &gperf_windows_x86_32_hash,
  .foreach = &gperf_windows_x86_32_foreach
};

#if MAIN
int main () {
	const char *s = ((char*(*)(char*))gperf_windows_x86_32.get)("foo");
	printf ("%s\n", s);
}
#endif
